<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   abstract class SWIFT_VisitorNoteManager extends SWIFT_Model { const TABLE_NAME = 'visitornotes'; const PRIMARY_KEY = 'visitornoteid'; const TABLE_STRUCTURE = "visitornoteid I PRIMARY AUTO NOTNULL,
								linktypevalue C(50) DEFAULT '' NOTNULL,
								linktype I2 DEFAULT '0' NOTNULL,
								dateline I DEFAULT '0' NOTNULL,
								notetype I2 DEFAULT '0' NOTNULL,
								lastupdated I DEFAULT '0' NOTNULL,
								isedited I2 DEFAULT '0' NOTNULL,
								editedstaffid I DEFAULT '0' NOTNULL,
								editedstaffname C(255) DEFAULT '' NOTNULL,
								editedtimeline I DEFAULT '0' NOTNULL,
								notecolor I DEFAULT '0' NOTNULL,
								staffid I DEFAULT '0' NOTNULL,
								staffname C(255) DEFAULT '' NOTNULL"; const INDEX_1 = 'linktype, linktypevalue'; const INDEX_2 = 'staffid'; protected $_dataStore = array();  const LINKTYPE_VISITOR = 1; const LINKTYPE_CHAT = 2;  public function __construct($_visitorNoteID) { parent::__construct(); if (!$this->LoadData($_visitorNoteID)) { throw new SWIFT_Note_Exception('Unable to load Visitor Note: ' . intval($_visitorNoteID)); return false; } return true; }  public function __destruct() { parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'visitornotes', $this->GetUpdatePool(), 'UPDATE', "visitornoteid = '" . intval($this->GetVisitorNoteID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetVisitorNoteID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Note_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['visitornoteid']; }  protected function LoadData($_visitorNoteID) { $_dataStore = $this->Database->QueryFetch("SELECT visitornotes.*, visitornotedata.* FROM " . TABLE_PREFIX . "visitornotes AS visitornotes LEFT JOIN " . TABLE_PREFIX . "visitornotedata AS visitornotedata ON (visitornotes.visitornoteid = visitornotedata.visitornoteid) WHERE visitornotes.visitornoteid = '" . intval($_visitorNoteID) . "'"); if (isset($_dataStore['visitornoteid']) && !empty($_dataStore['visitornoteid'])) { $this->_dataStore = $_dataStore; return true; } return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Note_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Note_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Note_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function GetSanitizedNoteColor($_noteColor) { $_noteColor = intval($_noteColor); if ($_noteColor > 5 || $_noteColor < 1) { $_noteColor = 1; } return $_noteColor; }  static public function Create($_linkType, $_linkTypeValue, $_staffID, $_staffName, $_noteContents, $_noteColor = 1) { $_SWIFT = SWIFT::GetInstance(); $_noteColor = self::GetSanitizedNoteColor($_noteColor); if (!self::IsValidLinkType($_linkType) || empty($_linkTypeValue)) { throw new SWIFT_Note_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'visitornotes', array('linktype' => intval($_linkType), 'linktypevalue' => $_linkTypeValue, 'dateline' => DATENOW, 'lastupdated' => DATENOW, 'isedited' => '0', 'staffid' => intval($_staffID), 'staffname' => $_staffName, 'editedstaffid' => '0', 'editedstaffname' => '', 'notecolor' => intval($_noteColor)), 'INSERT'); $_visitorNoteID = $_SWIFT->Database->Insert_ID(); if (!$_visitorNoteID) { throw new SWIFT_Note_Exception(SWIFT_CREATEFAILED); return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'visitornotedata', array('visitornoteid' => intval($_visitorNoteID), 'contents' => $_noteContents)); return $_visitorNoteID; }  static public function IsValidLinkType($_linkType) { if ($_linkType == self::LINKTYPE_VISITOR || $_linkType == self::LINKTYPE_CHAT) { return true; } return false; }  public function Update($_editedStaffID, $_editedStaffName, $_noteContents, $_noteColor = 1) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Note_Exception(SWIFT_CLASSNOTLOADED); return false; } $_noteColor = self::GetSanitizedNoteColor($_noteColor); $this->UpdatePool('lastupdated', DATENOW); $this->UpdatePool('isedited', '1'); $this->UpdatePool('editedstaffid', intval($_editedStaffID)); $this->UpdatePool('notecolor', intval($_noteColor)); $this->UpdatePool('editedstaffname', ReturnNone($_editedStaffName)); $this->UpdatePool('editedtimeline', DATENOW); $this->ProcessUpdatePool(); $this->Database->AutoExecute(TABLE_PREFIX . 'visitornotedata', array('contents' => ReturnNone($_noteContents)), 'UPDATE', "visitornoteid = '" . intval($this->GetVisitorNoteID()) . "'"); return true; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Note_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetVisitorNoteID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_visitorNoteIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_visitorNoteIDList)) { return false; } $_finalVisitorNoteIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "visitornotes WHERE visitornoteid IN (" . BuildIN($_visitorNoteIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_finalVisitorNoteIDList[] = $_SWIFT->Database->Record['visitornoteid']; } if (!count($_finalVisitorNoteIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "visitornotes WHERE visitornoteid IN (" . BuildIN($_finalVisitorNoteIDList) . ")"); $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "visitornotedata WHERE visitornoteid IN (" . BuildIN($_finalVisitorNoteIDList) . ")"); return true; } } ?>