<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					    class SWIFT_Report extends SWIFT_Model { const TABLE_NAME = 'reports'; const PRIMARY_KEY = 'reportid'; const TABLE_STRUCTURE = "reportid I PRIMARY AUTO NOTNULL,
								reportcategoryid I DEFAULT '0' NOTNULL,
								title C(255) DEFAULT '' NOTNULL,
								basetablename C(255) DEFAULT '' NOTNULL,
								basetablenametext C(255) DEFAULT '' NOTNULL,

								dateline I DEFAULT '0' NOTNULL,
								creatorstaffid I DEFAULT '0' NOTNULL,
								creatorstaffname C(255) DEFAULT '' NOTNULL,

								visibilitytype C(100) DEFAULT 'public' NOTNULL,

								updatedateline I DEFAULT '0' NOTNULL,
								updatestaffid I DEFAULT '0' NOTNULL,
								updatestaffname C(255) DEFAULT '' NOTNULL,

								executedateline I DEFAULT '0' NOTNULL,
								executestaffid I DEFAULT '0' NOTNULL,
								executestaffname C(255) DEFAULT '' NOTNULL,
								executetimetaken I DEFAULT '0' NOTNULL,

								chartsenabled I2 DEFAULT '1' NOTNULL,

								kql X DEFAULT '' NOTNULL"; const INDEX_1 = 'dateline'; const INDEX_2 = 'title'; const VISIBLE_PUBLIC = 'public'; const VISIBLE_PRIVATE = 'private'; protected $_dataStore = array();  public function __construct(SWIFT_Data $_SWIFT_DataObject) { parent::__construct(); if (!$_SWIFT_DataObject instanceof SWIFT_Data || !$_SWIFT_DataObject->GetIsClassLoaded() || !$this->LoadData($_SWIFT_DataObject)) { throw new SWIFT_Exception('Failed to load Report Object'); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'reports', $this->GetUpdatePool(), 'UPDATE', "reportid = '" . intval($this->GetReportID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetReportID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['reportid']; }  protected function LoadData($_SWIFT_DataObject) { $_SWIFT = SWIFT::GetInstance();  if ($_SWIFT_DataObject instanceof SWIFT_DataID && $_SWIFT_DataObject->GetIsClassLoaded()) { $_dataStore = $_SWIFT->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "reports WHERE reportid = '" . intval($_SWIFT_DataObject->GetDataID()) . "'"); if (isset($_dataStore['reportid']) && !empty($_dataStore['reportid'])) { $this->_dataStore = $_dataStore; return true; }  } else if ($_SWIFT_DataObject instanceof SWIFT_DataStore && $_SWIFT_DataObject->GetIsClassLoaded()) { $this->_dataStore = $_SWIFT_DataObject->GetDataStore(); if (!isset($this->_dataStore['reportid']) || empty($this->_dataStore['reportid'])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } return true; } throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function IsValidVisibilityType($_visibilityType) { return ($_visibilityType == self::VISIBLE_PRIVATE || $_visibilityType == self::VISIBLE_PUBLIC); }  static public function Create($_reportCategoryID, $_title, $_baseTableName, $_kqlStatement, SWIFT_Staff $_SWIFT_StaffObject, $_visibilityType) { $_SWIFT = SWIFT::GetInstance(); $_reportCategoryID = intval($_reportCategoryID); if (empty($_reportCategoryID) || empty($_title) || empty($_kqlStatement) || !$_SWIFT_StaffObject instanceof SWIFT_Staff || !$_SWIFT_StaffObject->GetIsClassLoaded() || !self::IsValidVisibilityType($_visibilityType) || empty($_baseTableName)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_schemaContainer = SWIFT_KQLSchema::GetCombinedSchema(); $_baseTableNameText = $_baseTableName; if (isset($_schemaContainer[$_baseTableName][SWIFT_KQLSchema::SCHEMA_TABLELABEL])) { $_baseTableNameText = SWIFT_KQLSchema::GetLabel($_schemaContainer[$_baseTableName][SWIFT_KQLSchema::SCHEMA_TABLELABEL]); } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'reports', array('title' => $_title, 'dateline' => DATENOW, 'creatorstaffid' => $_SWIFT_StaffObject->GetStaffID(), 'creatorstaffname' => $_SWIFT_StaffObject->GetProperty('fullname'), 'kql' => $_kqlStatement, 'reportcategoryid' => $_reportCategoryID, 'visibilitytype' => $_visibilityType, 'basetablename' => $_baseTableName, 'basetablenametext' => $_baseTableNameText), 'INSERT'); $_reportID = $_SWIFT->Database->Insert_ID(); if (!$_reportID) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); return false; } return $_reportID; }  public function Update($_title, $_kqlStatement, $_enableCharts, SWIFT_Staff $_SWIFT_StaffObject) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_title) || empty($_kqlStatement) || !$_SWIFT_StaffObject instanceof SWIFT_Staff || !$_SWIFT_StaffObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } if (mb_strtolower($_kqlStatement) != mb_strtolower($this->GetProperty('kql'))) { SWIFT_ReportHistory::Create($this); } $this->UpdatePool('title', $_title); $this->UpdatePool('kql', $_kqlStatement); $this->UpdatePool('chartsenabled', intval($_enableCharts)); $this->UpdatePool('updatedateline', DATENOW); $this->UpdatePool('updatestaffid', $_SWIFT_StaffObject->GetStaffID()); $this->UpdatePool('updatestaffname', $_SWIFT_StaffObject->GetProperty('fullname')); $this->ProcessUpdatePool(); return true; }  public function UpdateProperties($_title, $_reportCategoryID, $_baseTableName, $_visibilityType, SWIFT_Staff $_SWIFT_StaffObject) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_title) || empty($_reportCategoryID) || empty($_baseTableName) || !$_SWIFT_StaffObject instanceof SWIFT_Staff || !$_SWIFT_StaffObject->GetIsClassLoaded() || !self::IsValidVisibilityType($_visibilityType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->UpdatePool('title', $_title); $this->UpdatePool('basetablename', $_baseTableName); $this->UpdatePool('reportcategoryid', intval($_reportCategoryID)); $this->UpdatePool('visibilitytype', $_visibilityType); $this->UpdatePool('updatedateline', DATENOW); $this->UpdatePool('updatestaffid', $_SWIFT_StaffObject->GetStaffID()); $this->UpdatePool('updatestaffname', $_SWIFT_StaffObject->GetProperty('fullname'));  if ($_visibilityType == self::VISIBLE_PRIVATE) { $this->UpdatePool('creatorstaffid', $_SWIFT_StaffObject->GetStaffID()); $this->UpdatePool('creatorstaffname', $_SWIFT_StaffObject->GetProperty('fullname')); } $this->ProcessUpdatePool(); return true; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetReportID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_reportIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_reportIDList)) { return false; }  SWIFT_ReportHistory::DeleteOnReport($_reportIDList);  SWIFT_ReportUsageLog::DeleteOnReport($_reportIDList);  SWIFT_ReportSchedule::DeleteOnReport($_reportIDList); $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "reports WHERE reportid IN (" . BuildIN($_reportIDList) . ")"); return true; }  static public function DeleteOnCategory($_reportCategoryIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_reportCategoryIDList)) { return false; } $_reportIDList = array(); $_SWIFT->Database->Query("SELECT reportid FROM " . TABLE_PREFIX . "reports WHERE reportcategoryid IN (" . BuildIN($_reportCategoryIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_reportIDList[] = $_SWIFT->Database->Record['reportid']; } if (!count($_reportIDList)) { return false; } self::DeleteList($_reportIDList); return true; }  static public function GetVisibilityLabel($_visibilityType) { $_SWIFT = SWIFT::GetInstance(); if (!self::IsValidVisibilityType($_visibilityType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } switch ($_visibilityType) { case self::VISIBLE_PUBLIC: return $_SWIFT->Language->Get('visible_public'); break; case self::VISIBLE_PRIVATE: return $_SWIFT->Language->Get('visible_private'); break; default: break; } throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; }  static public function GetBaseTableList() { $_SWIFT = SWIFT::GetInstance(); $_baseTableList = array(); $_schemaContainer = SWIFT_KQLSchema::GetCombinedSchema(); foreach ($_schemaContainer as $_tableName => $_schema) { if (isset($_schema[SWIFT_KQLSchema::SCHEMA_ISVISIBLE]) && $_schema[SWIFT_KQLSchema::SCHEMA_ISVISIBLE] == true) { $_tableLabel = $_tableName; if (isset($_schema[SWIFT_KQLSchema::SCHEMA_TABLELABEL])) { $_tableLabel = $_schema[SWIFT_KQLSchema::SCHEMA_TABLELABEL]; } $_baseTableList[$_tableName] = SWIFT_KQLSchema::GetLabel($_tableLabel); } } asort($_baseTableList); return $_baseTableList; }  public function UpdateExecution(SWIFT_Staff $_SWIFT_StaffObject, $_timeTaken) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->UpdatePool('executedateline', DATENOW); $this->UpdatePool('executestaffid', $_SWIFT_StaffObject->GetStaffID()); $this->UpdatePool('executestaffname', $_SWIFT_StaffObject->GetProperty('fullname')); $this->UpdatePool('executetimetaken', floatval($_timeTaken)); $this->ProcessUpdatePool(); return true; } } ?>