<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_CustomFieldSearch extends SWIFT_Library {  public function __construct() { parent::__construct(); return true; }  public function __destruct() { parent::__destruct(); return true; }  static public function SearchCustomFieldByRules($_customFieldID, $_searchQuery, $_operator = false, $_enforceLimit = true) { $_SWIFT = SWIFT::GetInstance(); $_ticketIDList = array(); $_limitCount = $_SWIFT->Settings->Get('t_resultlimit'); if (!$_enforceLimit) { $_limitCount = 0; } $_customFieldMapCache = $_SWIFT->Cache->Get('customfieldmapcache'); if (isset($_customFieldMapCache[$_customFieldID]['fieldtype'])) { $_CustomFieldType = $_customFieldMapCache[$_customFieldID]['fieldtype']; switch ($_CustomFieldType) { case SWIFT_CustomField::TYPE_DATE: $_queryCalendarDateLine = GetCalendarDateline($_SWIFT->Database->Escape($_searchQuery)); $_SWIFT->Database->QueryLimit("SELECT customfieldvalues.typeid, customfieldvalues.fieldvalue FROM " . TABLE_PREFIX . "customfields AS customfields
						LEFT JOIN " . TABLE_PREFIX . "customfieldvalues AS customfieldvalues ON (customfields.customfieldid = customfieldvalues.customfieldid)
						WHERE customfields.customfieldid = '" . intval($_customFieldID) . "'
						ORDER BY customfieldvalues.typeid DESC", $_limitCount); while ($_SWIFT->Database->NextRecord()) { $_dataCalendarDateLine = GetCalendarDateline($_SWIFT->Database->Record['fieldvalue']); if ($_operator != false) { if ($_operator == SWIFT_Rules::OP_EQUAL && $_dataCalendarDateLine == $_queryCalendarDateLine) { $_ticketIDList[] = $_SWIFT->Database->Record['typeid']; } else if ($_operator == SWIFT_Rules::OP_NOTEQUAL && $_dataCalendarDateLine != $_queryCalendarDateLine) { $_ticketIDList[] = $_SWIFT->Database->Record['typeid']; } else if ($_operator == SWIFT_Rules::OP_LESS && $_dataCalendarDateLine < $_queryCalendarDateLine) { $_ticketIDList[] = $_SWIFT->Database->Record['typeid']; } else if ($_operator == SWIFT_Rules::OP_GREATER && $_dataCalendarDateLine > $_queryCalendarDateLine) { $_ticketIDList[] = $_SWIFT->Database->Record['typeid']; } } } return $_ticketIDList; break; case SWIFT_CustomField::TYPE_CHECKBOX: case SWIFT_CustomField::TYPE_SELECTMULTIPLE: $_SWIFT->Database->QueryLimit("SELECT customfieldvalues.typeid, customfieldvalues.fieldvalue FROM " . TABLE_PREFIX . "customfields AS customfields
						LEFT JOIN " . TABLE_PREFIX . "customfieldvalues AS customfieldvalues ON (customfields.customfieldid = customfieldvalues.customfieldid)
						WHERE customfields.customfieldid = '" . intval($_customFieldID) . "' AND customfieldvalues.isserialized = '1'
						ORDER BY customfieldvalues.typeid DESC", $_limitCount); while ($_SWIFT->Database->NextRecord()) { if (!in_array($_SWIFT->Database->Record['typeid'], $_ticketIDList)) { $_fieldValuesArray = unserialize($_SWIFT->Database->Record['fieldvalue']); if ($_operator == SWIFT_Rules::OP_EQUAL && in_array($_searchQuery, $_fieldValuesArray)) { $_ticketIDList[] = $_SWIFT->Database->Record['typeid']; } else if ($_operator == SWIFT_Rules::OP_NOTEQUAL && !in_array($_searchQuery, $_fieldValuesArray)) { $_ticketIDList[] = $_SWIFT->Database->Record['typeid']; } } } return $_ticketIDList; break; case SWIFT_CustomField::TYPE_PASSWORD: $_encryptedString = SWIFT_CustomFieldManager::Encrypt($_SWIFT->Database->Escape($_searchQuery)); $_SWIFT->Database->QueryLimit("SELECT customfieldvalues.typeid, customfieldvalues.fieldvalue FROM " . TABLE_PREFIX . "customfields AS customfields
						LEFT JOIN " . TABLE_PREFIX . "customfieldvalues AS customfieldvalues ON (customfields.customfieldid = customfieldvalues.customfieldid)
						WHERE customfields.customfieldid = '" . intval($_customFieldID) . "' AND customfieldvalues.isencrypted = '1' AND customfieldvalues.fieldvalue = '" . $_encryptedString . "'
						ORDER BY customfieldvalues.typeid DESC", $_limitCount); break;  case SWIFT_CustomField::TYPE_SELECTLINKED: $_SWIFT->Database->QueryLimit("SELECT customfieldvalues.typeid,customfieldvalues.isencrypted, customfieldvalues.fieldvalue FROM " . TABLE_PREFIX . "customfields AS customfields
						LEFT JOIN " . TABLE_PREFIX . "customfieldvalues AS customfieldvalues ON (customfields.customfieldid = customfieldvalues.customfieldid)
						WHERE customfields.customfieldid = '" . intval($_customFieldID) . "'	ORDER BY customfieldvalues.typeid DESC", $_limitCount); while ($_SWIFT->Database->NextRecord()) { if ($_SWIFT->Database->Record['isencrypted'] == '1') { $_serializedData = SWIFT_CustomFieldManager::Decrypt($_SWIFT->Database->Record['fieldvalue']); } else { $_serializedData = $_SWIFT->Database->Record['fieldvalue']; } $_unserializedData = mb_unserialize($_serializedData); if ($_operator == SWIFT_Rules::OP_EQUAL && (isset($_unserializedData[0]) && $_unserializedData[0] == $_searchQuery) || (isset($_unserializedData[1][$_unserializedData[0]]) && $_unserializedData[1][$_unserializedData[0]] == $_searchQuery)) { $_ticketIDList[] = $_SWIFT->Database->Record['typeid']; } else if ($_operator == SWIFT_Rules::OP_NOTEQUAL && !((isset($_unserializedData[0]) && $_unserializedData[0] == $_searchQuery) || (isset($_unserializedData[1][$_unserializedData[0]]) && $_unserializedData[1][$_unserializedData[0]] == $_searchQuery))) { $_ticketIDList[] = $_SWIFT->Database->Record['typeid']; } } return $_ticketIDList; break; default: $_SWIFT->Database->QueryLimit("SELECT customfieldvalues.typeid FROM " . TABLE_PREFIX . "customfields AS customfields
						LEFT JOIN " . TABLE_PREFIX . "customfieldvalues AS customfieldvalues ON (customfields.customfieldid = customfieldvalues.customfieldid)
						WHERE customfields.customfieldid = '" . intval($_customFieldID) . "' AND (" . SWIFT_Rules::BuildSQL('customfieldvalues.fieldvalue', intval($_operator), $_searchQuery) . ")
						ORDER BY customfieldvalues.typeid DESC", $_limitCount); break; } } while ($_SWIFT->Database->NextRecord()) { if (!in_array($_SWIFT->Database->Record['typeid'], $_ticketIDList)) { $_ticketIDList[] = $_SWIFT->Database->Record['typeid']; } } return $_ticketIDList; } } ?>