<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

/**
* ###############################################
* Setting Groups, Items and other text.
* Descript Text Example: d_startofweek or d_general
* ###############################################
*/

$__LANG = array (
	'settings' => 'Settings',
	'desc_settings' => 'From here you can manage all functional and system-related settings and configurations.',
	'systemsettings' => 'System Settings',
	'loginsharesettings' => 'LoginShare Settings',
	'staff' => 'Staff',
	'users' => 'Users',
	'restapi' => 'REST API',
	'reports' => 'Reports',
	'groups' => 'Groups',
	'settingsfor' => 'Settings for: %s',
	'updatesettings' => 'Update Settings',
	'settingsupdatedfor' => 'Updated all settings for group "%s"',
	'titleurlinvaliddata' => 'Invalid Field Data',
	'desc_titleurlinvaliddata' => SWIFT_PRODUCT . ' is unable to update the URL field as it contains malformed data.',

	// ======= SETTING GROUPS =======
	'settings_general' => 'General',
	'settings_cpu' => 'CPU Optimization & Server',
	'settings_security' => 'Security',
	'settings_datetime' => 'Date & Time',
	'settings_livesupport' => 'Live Chat',
	'settings_tickets' => 'Tickets',
	'settings_parser' => 'Mail Parser',
	'settings_tr' => 'Troubleshooter',
	'settings_users' => 'Users & Organizations',
	'settings_nw' => 'News',
	'settings_kb' => 'Knowledgebase',
	'settings_mail' => 'Email Settings',
	'settings_livechat' => 'Live Chat',
	'settings_loginshare' => 'LoginShare',
	'settings_onsite' => 'OnSite',
	'settings_reports' => 'Reports',

	// ======= IMPORT FROM v3 CVS =======
	'g_whmcstgroup' => 'WHMCS Template Group',
	'd_g_whmcstgroup' => 'Select a default template group for WHMCS integration. This group will override the default template group. This can be used to display a different template group when ' . SWIFT_PRODUCT . ' is used via WHMCS and another when accessed normally.',
	'g_supportcenter' => 'Support Center Settings',
	'g_returnlogout' => 'After Logout Return To Default Template Group',
	'd_g_returnlogout' => 'Redirect the user to the default template group after logout.',
	'g_overrideswiftpath' => 'Override $swiftpath and $themepath variables automatically',
	'd_g_overrideswiftpath' => 'If enabled, the system tries to determine the $swiftpath and $themepath variables for templates from the URL. This allows you to create multi-point installations of helpdesk based off a single database.',
	'dt_timezonephp' => 'Time Zone',
	'd_dt_timezonephp' => 'The system default time zone. Staff users have the option to override this time zone to reflect their own (via the Staff User Preferences in the Staff Control Panel).',
	'livesupport_usehttps' => 'Always Use Secure Connection (https) For Chat',
	'd_livesupport_usehttps' => 'If this setting is enabled, all chat sessions will always be conducted over https.',
	'pr_loopoptions' => 'Loop Control Settings',
	'pr_loopcut_prevents_autoresponder' => 'Don\'t Send Autoresponder',
	'd_pr_loopcut_prevents_autoresponder' => 'If enabled, ' . SWIFT_PRODUCT . ' will not send the receipt confirmation for the message that triggered a loop control rule.  <em>It is highly recommended that this setting always be enabled.</em>',
	'pr_loopcut_ignores_cut_mail' => 'Ignore Email Message',
	'd_pr_loopcut_ignores_cut_mail' => 'If enabled, messages that trigger loop control rules will not be processed.',
	't_autorespondercc' => 'Dispatch Auto Responder for CC Users?',
	'd_t_autorespondercc' => 'If Enabled, ' . SWIFT_PRODUCT . ' will automatically dispatch an autoresponder message to the CC users.',
	't_ochtml' => 'HTML Conversion (Staff Replies)',
	'd_t_ochtml' => 'Choose how to handle HTML content in email replies sent by staff users.  This will affect the content that ultimately reaches the client user.<br><dl><dt><b>HTML Entities</b></dt><dd>Converts HTML to normal text so that you can see the code.</dd><dt><b>Strip Tags</b></dt><dd>Removes HTML formatting completely; (e.g. "<b>foo</b>" = "foo").</dd><dt><b>No Processing</b></dt><dd>Allow HTML code (e.g. "<b>foo</b>" = "<b>foo</b>").  This setting is <b>not</b> recommended as it can allow malicious code to be executed in email client applications.</dd></dl><i>Note: This setting does not affect the final content stored in the database!</i>',
	't_allowhtml' => 'Allow HTML Tags',
	'd_t_allowhtml' => 'If enabled, some (specified below) HTML tags will be allowed, even if rendering is set to <i>Strip Tags</i>.',
	't_allowableadvtags' => 'Allowable HTML Tags',
	'd_t_allowableadvtags' => 'If the option above is enabled, the following HTML tags will be allowed.',
	't_allowableadvtagsattributes' => 'Allowable HTML Tags Attributes',
	'd_t_allowableadvtagsattributes' => 'If the option "Allow HTML Tags" is enabled, the following HTML tags attributes will be allowed.',
	't_searchticketidinbody' => 'Lookup Ticket ID in Email Body?',
	'd_t_searchticketidinbody' => 'If Enabled, ' . SWIFT_PRODUCT . ' will try to lookup the Ticket ID in the body of the email if it cannot be located in the email subject.',
	'tr_captcha' => 'Enable CAPTCHA for Comments',
	'd_tr_captcha' => 'If enabled, users will be required to verify a CAPTCHA image before submitting a comment.',
	'nw_captcha' => 'Enable CAPTCHA for Comments',
	'd_nw_captcha' => 'If enabled, users will be required to verify a CAPTCHA image before submitting a comment.',
	'dl_captcha' => 'Enable CAPTCHA for Comments',
	'd_dl_captcha' => 'If enabled, users will be required to verify a CAPTCHA image before submitting a comment.',
	'kb_captcha' => 'Enable CAPTCHA for Comments',
	'd_kb_captcha' => 'If enabled, users will be required to verify a CAPTCHA image before submitting a comment.',

	// ======= GENERAL SETTINGS =======
	'general_companyname' => 'Company Name',
	'd_general_companyname' => 'The name here is used to brand the client support interface and the outgoing emails.',
	'general_producturl' => 'Product URL',
	'd_general_producturl' => 'Enter the full path to the product installation URL. This value should include a trailing slash. ' . SWIFT_PRODUCT . ' will not work properly if this is incorrect.',
	'general_returnemail' => 'Default Return Email Address',
	'd_general_returnemail' => 'This address is used as the default "From" address in outgoing email. This address must correspond to an active email queue in order to accept customer replies.',
	'general_redirecttype' => 'Redirect Type',
	'd_general_redirecttype' => 'Select <i>HTML Meta Refresh</i> to present a confirmation of an action before redirecting to the next page.',
	'refreshunix' => 'Header Refresh',
	'refreshwindows' => 'HTML META Refresh',
	'general_defaultlanguage' => 'Default Language',
	'general_themeoptions' => 'Default Theme Options',
	'g_displaytopheader' => 'Display Top Logo Header',
	'd_g_displaytopheader' => 'Toggle the display of top logo header in Staff &amp; Admin Control Panel.<br /><br /><i>NOTE: You will need to hard refresh (Ctrl+F5 or Command+R) the page for this setting to take effect.</i>',
	'g_cpmenu' => 'Tab Menu Navigation Style',
	'd_g_cpmenu' => 'Choose the <i>Hover</i> navigation style to activate a tab by placing the mouse cursor over it.',
	'navleft' => 'Left',
	'navright' => 'Right',
	'g_commentsapproval' => 'Moderate Comments',
	'd_g_commentsapproval' => 'Require manual approval of comments entered by users.',
	'menuhover' => 'Hover',
	'menuclick' => 'Click',
	'g_jscache' => 'Javascript Cache for Theme Items',
	'd_g_jscache' => 'Cache heavy-output items such as the menu and navigation bar to a file so that pages load faster (rather than loading from the database each time). This disables the real-time view of comments and private message counts in the menu.',
	'g_onlusr' => 'Display Online Users in Staff CP',
	'd_g_onlusr' => 'Show a list of currently online staff users and their current actions.',
	'g_api' => 'API Settings',
	'g_enableapiinterface' => 'Enable API Interface',
	'd_g_enableapiinterface' => 'If Enabled, the API Interface will accept all authenticated incoming requests.',
	'g_generalsettings' => 'General Settings',
	'g_maxtagcloud' => 'Maximum Tag Cloud Items',
	'd_g_maxtagcloud' => 'Enter the maximum number of items to display in a tag cloud.',
	'g_maxsearchresults' => 'Maximum Search Results',
	'd_g_maxsearchresults' => 'Enter the maximum number of search results to display in client support center.',

	// ======= CPU SAVING & OPTIMIZATION =======
	'cpu_attachments' => 'Attachment Settings',
	'cpu_attachtype' => 'Storage Location For Attachments',
	'd_cpu_attachtype' => 'Specify where the attachments should be stored. If the "files" option is selected, all attachments will be stored in the file system as individual files (with encrypted filenames). If the database option is selected, files will be stored in the database.',
	'database' => 'Database',
	'files' => 'File System ("files" Directory)',
	'cpu_attachchunksize' => 'Database Attachment Chunk Size',
	'd_cpu_attachchunksize' => 'Each attachment that is stored in the database is split into a number of chunks, of the size, in bytes, specified here. This number should not be larger than the <b>maximum packet size</b> setting in your <i>my.cnf</i> (MySQL configuration) file.',
	'cpu_optimization' => 'Optimization Settings',
	'cpu_winappcompresslevel' => 'GZIP Compression Level',
	'd_cpu_winappcompresslevel' => 'Select the compression level for page outputs. Higher values are more resource-intensive, but result in smaller downloads. If set too high, the page load times may actually increase. The default recommended setting is <i>1 - Recommended</i>.',
	'nocompression' => 'No Compression',
	'reccompression' => 'Recommended',
	'highestcompression' => 'Highest',
	'cpu_compresswinappdata' => 'Compress Desktop Application Output',
	'cpu_logcleardays' => 'Log Clearing Time (In Days)',
	'd_cpu_logcleardays' => 'Specify the number of days after which logs will be cleared from the system.',
	'cpu_smsgateway' => 'SMS Gateway',
	'gateway_enable' => 'Enable SMS Gateway',
	'd_gateway_enable' => 'The Kayako SMS Gateway can send alerts directly to mobile phones. For more information, see the <a target="_blank" href="http://my.kayako.com">Kayako Customer Portal</a>.',
	'gateway_username' => 'Gateway Username',
	'd_gateway_username' => 'Your SMS Gateway username. This is the same as the email address used to log in to the <a target="_blank" href="https://my.kayako.com">Kayako Customer Portal</a>.',
	'gateway_password' => 'Gateway Password',
	'd_gateway_password' => 'Your SMS Gateway password. This is the same as the password used to log in to the <a target="_blank" href="https://my.kayako.com">Kayako Customer Portal</a>.',
	'cpu_mailsettings' => 'Outgoing Mail Settings',
	'cpu_enablehtmlmails' => 'HTML Email',
	'd_cpu_enablehtmlmails' => 'Format all outgoing email using HTML. ' . SWIFT_PRODUCT . ' will also send a plain text version of the content to be viewed by simple email clients. The look and content of the email can be changed by editing templates under <i>Templates > Manage Templates</i>.',
	'd_tickets_resattachments' => 'If enabled, only file attachments that are listed in Custom Attachment Types under <i>Tickets > Attachment Types</i> will be processed. All other attachment types will be ignored.',
	'cpu_enablemailqueue' => 'Mail Send-Queue',
	'd_cpu_enablemailqueue' => 'Use a queueing system for outgoing email. ' . SWIFT_PRODUCT . ' will send bulk email in batches. This can prevent server slowdown when sending bulk email.',
	'cpu_mailqueuebatch' => 'Email Batch Size',
	'd_cpu_mailqueuebatch' => 'The number of emails to send per batch. The higher this value is, the more resource-intensive each batch sending will be.',
	'cpu_smtp' => 'SMTP Settings',
	'cpu_enablesmtp' => 'Enable SMTP',
	'd_cpu_enablesmtp' => 'Select whether an SMTP server should be used to send email. By default, ' . SWIFT_PRODUCT . ' will use the internal PHP mail() function to send email.',
	'cpu_smtphost' => 'SMTP Host',
	'd_cpu_smtphost' => 'The IP address or host name of the SMTP server.',
	'cpu_smtpport' => 'SMTP Port',
	'd_cpu_smtpport' => 'The port number of the SMTP server, <i>usually port 25</i>.',
	'cpu_smtpportssl' => 'SMTP Port (TLS/SSL)',
	'd_cpu_smtpportssl' => 'Specify the Port for your Mail Server, You should not change this value unless required, as most SMTP Mail Servers (TLS/SSL) run on Port 465',
	'cpu_smtpuseauth' => 'Use SMTP Authentication',
	'd_cpu_smtpuseauth' => 'Use the information below to authenticate with the SMTP server.',
	'cpu_smtpuser' => 'SMTP Username',
	'd_cpu_smtpuser' => 'The username ' . SWIFT_PRODUCT . ' will use to authenticate with the SMTP server.',
	'cpu_smtppass' => 'SMTP Password',
	'd_cpu_smtppass' => 'The password ' . SWIFT_PRODUCT . ' will use to authenticate with the SMTP server.',
	'gat_emailfailure' => 'Email Failure Reports',
	'd_gat_emailfailure' => 'Send delivery failure reports to the primary administrator email address.',
	'cpu_smtptype' => 'SMTP Type',
	'd_cpu_smtptype' => 'Select the SMTP server type.',
	'smtpssl' => 'SSL',
	'smtptls' => 'TLS',
	'smtpnonssl' => 'Non SSL',
	'smtpssl2' => 'SSL v2',
	'smtpssl3' => 'SSL v3',
	'encqp' => 'quoted-printable',
	'encbase64' => 'base64',
	'encbinary' => 'binary',
	'cpu_headerencoding' => 'Header Encoding',
	'd_cpu_headerencoding' => 'The encoding scheme to use for email MIME headers. The default is base64.',
	'cpu_messageencoding' => 'Message Body Encoding',
	'd_cpu_messageencoding' => 'The encoding scheme to use for email message bodies. The default is quoted-printable.',
	'cpu_maildefaultpriority' => 'Default Mail Priority',
	'd_cpu_maildefaultpriority' => 'Specify the default priority for outgoing emails',
	'mailprioritylow' => 'Low (5)',
	'mailprioritynormal' => 'Normal (3)',
	'mailpriorityhigh' => 'High (1)',

	// ======= SECURITY =======
	'security_autoapprovecomments' => 'Auto Approve Comments',
	'd_security_autoapprovecomments' => 'If enabled, all user comments will be automatically approved after the spam checks (if enabled).',
	'security_enableakismet' => 'Enable Akismet Spam Checking',
	'd_security_enableakismet' => 'If enabled, ' . SWIFT_PRODUCT . ' will check all user submitted comments against the Akismet spam checking system. Usage of Akismet requires an API key, for more information please visit <a href="http://akismet.com" target="_blank">http://akismet.com</a>.',
	'security_akismetkey' => 'Akismet API Key',
	'd_security_akismetkey' => 'Enter your Akismet API key here.',
	'security_commentscaptcha' => 'Enable Captcha for Comments',
	'd_security_commentscaptcha' => 'Require users that post comments via the client support interface to enter text displayed in a special image to verify that they are human.',
	'security_sessioninactivity' => 'Default Session Inactivity Expiration',
	'd_security_sessioninactivity' => 'The time, in seconds, after which a user\'s idle session will be removed from the system.',
	'security_sessionvar' => 'Session Variable Type',
	'security_visitorinactivity' => 'Session Inactivity Expiration For Site Visitors',
	'd_security_visitorinactivity' => 'The time, in seconds, after which visitors (tracked via the ' . SWIFT_PRODUCT . ' Desktop Application) will be marked as idle and their sessions deleted. Increasing this value uses more server resources.',
	'security_cookiedomain' => 'Cookie Domain',
	'd_security_cookiedomain' => 'The cookie domain. Change this value only if multiple installations of ' . SWIFT_PRODUCT . ' are located on the same domain.',
	'security_cookiepath' => 'Cookie Path',
	'd_security_cookiepath' => 'The cookie path. Change this value only if multiple installations of ' . SWIFT_PRODUCT . ' are located on the same domain.',
	'cookie' => 'Cookie',
	'url' => 'URL',
	'urlcookie' => 'URL &amp; Cookie',
	'security_staffpasswordpolicy' => 'Staff Password Policy',
	'security_sppminchars' => 'Minimum Password Length',
	'd_security_sppminchars' => 'Specify the minimum number of characters that the staff password should have.',
	'security_sppminnumbers' => 'Minimum Number Count',
	'd_security_sppminnumbers' => 'Specify the minimum count of digits that should be in the staff password.',
	'security_sppminsymbols' => 'Minimum Symbol Count',
	'd_security_sppminsymbols' => 'Specify the minimum count of symbols that should be in the staff password.',
	'security_sppmincapitalchars' => 'Minimum Capital Character Count',
	'd_security_sppmincapitalchars' => 'Specify the minimum count of capital characters that should appear in the staff password.',
	'security_sppexpiredays' => 'Password Expires in (days)',
	'd_security_sppexpiredays' => 'Specify the number of days after which the staff password expires. Enter "0" if you do not want the password to expire.',
	'security_captcha' => 'CAPTCHA Settings',
	'security_captchatype' => 'CAPTCHA Type',
	'captchalocal' => 'Local (PHP GD)',
	'captcharecaptcha' => 'ReCAPTCHA',
	'd_security_captchatype' => 'Select the CAPTCHA type. ' . SWIFT_PRODUCT . ' by default will use the PHP GD functions to generate the CAPTCHA image. ReCaptcha is more efficient for generating CAPTCHA images and also helps digitize books. For more information please check <b><a href="http://www.recaptcha.net" target="_blank">recaptcha.net</a></b>, To use ReCAPTCHA, you will need to sign up for an account at the ReCAPTCHA web site and enter the required credentials below.',
	'security_recpublickey' => 'ReCAPTCHA Public Key',
	'd_security_recpublickey' => 'Enter the ReCAPTCHA Public Key. (Required only if CAPTCHA Type is set to ReCAPTCHA)',
	'security_recprivatekey' => 'ReCAPTCHA Private Key',
	'd_security_recprivatekey' => 'Enter the ReCAPTCHA Private Key. (Required only if CAPTCHA Type is set to ReCAPTCHA)',
	'security_loginpolicy' => 'Staff Login Lockout',
    'security_loginlocked' => 'Enable Automatic Login Lockout',
    'd_security_loginlocked' => 'If enabled, staff users will be blocked from logging into the control panel after a number of failed login attempts.',
    'security_loginattempts' => 'Number of Failed Login Attempts',
    'd_security_loginattempts' => 'After this number of consecutive failed login attempts, the staff user\'s account will be locked for the time specified.',
    'security_loginlockedtimeline' => 'Lockout Time',
    'd_security_loginlockedtimeline' => 'The number of seconds that the lockout will last for.',

	// ======= LOGINSHARE =======
	'loginshare_staff' => 'Staff LoginShare Settings',
	'loginshare_staffenable' => 'Enable Staff LoginShare',
	'd_loginshare_staffenable' => 'If Enabled, all authentication requests for the staff will first be tried against the URL below based on the LoginShare API Specifications.',
	'loginshare_stafftitle' => 'Staff LoginShare Title',
	'd_loginshare_stafftitle' => 'Enter the title for this LoginShare',
	'loginshare_staffurl' => 'Staff LoginShare URL',
	'd_loginshare_staffurl' => 'Enter the API URL. <b><a href="http://www.kayako.com" target="_blank">Click here</a></b> more information on LoginShare API.',

	'loginshare_user' => 'User LoginShare Settings',
	'loginshare_userenable' => 'Enable User LoginShare',
	'd_loginshare_userenable' => 'If Enabled, all authentication requests for the support center users will first be tried against the URL below based on the LoginShare API Specifications.',
	'loginshare_usertitle' => 'User LoginShare Title',
	'd_loginshare_usertitle' => 'Enter the title for this LoginShare',
	'loginshare_userurl' => 'User LoginShare URL',
	'd_loginshare_userurl' => 'Enter the API URL. <b><a href="http://www.kayako.com" target="_blank">Click here</a></b> more information on LoginShare API.',

	// ======= DATE & TIME =======
	'dtcalus' => 'US (mm/dd/yy + 12hr)',
	'dtcaleu' => 'EU (dd/mm/yy + 24hr)',
	'dt_caltype' => 'Calendar Date Type',
	'd_dt_caltype' => 'Toggle the date type used for all Calendar dates. Note: This setting only affects the date values from the date selector.',
	'dt_dateformat' => 'Date Format',
	'd_dt_dateformat' => 'Specify the default format for all dates displayed in the system. ' . SWIFT_PRODUCT . ' uses the PHP strftime() function. For more information on this function, see <a href="http://www.php.net/strftime" target="_blank">strftime()</a>.',
	'dt_timeformat' => 'Time Format',
	'd_dt_timeformat' => 'Display times using the specified format.',
	'dt_datetimeformat' => 'Date &amp; Time Format',
	'd_dt_datetimeformat' => 'Display times and dates in the specified format.',
	'dt_timezone' => 'Time Zone',
	'd_dt_timezone' => 'Select the Default Time Zone. The Staff users have an option to override this Time Zone in their Preferences.',
	'dt_daylightsavings' => 'Enable Automatic Daylight Savings',
	'd_dt_daylightsavings' => 'Select whether or not you wish to enable Daylight Savings Time.',

	// ======= LIVE CHAT =======
	'livesupport_routingsettings' => 'Queue Settings',
	'ls_routingmode' => 'Live Chat Queuing Mode',
    'd_ls_routingmode' => 'Round Robin Queue: Kayako will send the chat request to the least occupied staff user. If that staff user doesn\'t pick up the request, the next least occupied staff user will be tried, and so on. <br />Open Queue: Incoming chat requests will be added to an open queue. All available staff users will be alerted to the new chat request at once. If no one picks up the request, the chat will remain in the queue until someone does.',
	'ls_roundrobin' => 'Round Robin',
	'ls_openqueue' => 'Open Queue',
	'ls_openqueuetimeout' => 'Open Queue Maximum Wait Time',
    'd_ls_openqueuetimeout' => 'Enter the maximum time (in seconds) that a chat request can wait in the queue. If the chat request is not picked up within this time, the user will be invited to leave a message.',
	'livesupport_clientchatsettings' => 'Visitor &amp; Chat Settings',
	'livesupport_chatwidth' => 'Chat Window Width',
	'd_livesupport_chatwidth' => 'The width of the visitor\'s chat window (in pixels).',
	'livesupport_chatheight' => 'Chat Window Height',
	'd_livesupport_chatheight' => 'The height of the visitor\'s chat window (in pixels).',
	'livesupport_clientchatrefresh' => 'Chat Refresh Interval',
	'd_livesupport_clientchatrefresh' => 'The interval, in seconds, at which a client\'s chat data will be refreshed during a live chat session. Lower values will increase the server load.',
	'livesupport_clientpagerefresh' => 'Visitor Page Refresh Interval',
	'd_livesupport_clientpagerefresh' => 'The interval, in seconds, at which visitor data will be refreshed and sent to the server. Lower values will increase the server load considerably.',
	'livesupport_roundrobinretries' => 'Number Of Chat Round Robin Retries',
	'd_livesupport_roundrobinretries' => 'The number of times ' . SWIFT_PRODUCT . ' will attempt to look for available staff users when a new chat request is received.  If no available staff users are found after this many attempts, the visitor is instructed to <i>Leave a Message</i>.',
	'livesupport_roundrobintimetry' => 'Round Robin Retry Interval',
	'd_livesupport_roundrobintimetry' => 'The time in seconds that ' . SWIFT_PRODUCT . ' will wait between each Round Robin retry.  The total time a visitor will wait if no staff users are available is (<i>number of chat round robin retries * round robin retry delay</i>).  After that amount of time has elapsed without finding an available staff user, the visitor will be instructed to <i>Leave a Message</i>.',
	'livesupport_displayclientchatqueue' => 'Tell Visitor How Many Chats In Queue',
	'd_livesupport_displayclientchatqueue' => 'If enabled, visitors will be shown a message regarding the number of chatters waiting in line before them.',
	'livesupport_cachehtmljscode' => 'Cache HTML JavaScript Code',
	'd_livesupport_cachehtmljscode' => 'Toggle whether ' . SWIFT_PRODUCT . ' should send cache headers to the user\'s browser. It is recommended that you do not change this value.',
	'livesupport_enableuseristyping' => 'Show "User is Typing..."',
	'd_livesupport_enableuseristyping' => 'If enabled, both visitors and staff users will be able to see when the other is typing. Disable this option to reduce server load.',

	'livesupport_messagesettings' => 'Offline Messages Settings',
	'livesupport_enablemessagefw' => 'Enable Forwarding',
	'd_livesupport_enablemessagefw' => 'Forward offline messages received by ' . SWIFT_PRODUCT . ' to the email address entered below.',
	'livesupport_deletemessageafterfw' => 'Delete After Forward',
	'd_livesupport_deletemessageafterfw' => 'Automatically delete the forwarded message.',
	'livesupport_fwmessageemail' => 'Forwarding Email Addresses',
	'd_livesupport_fwmessageemail' => 'Forward offline messages to these semi-colon separated email addresses.  This will only take effect if the above option, <i>Enable Forwarding</i>, is enabled.<br/><br/>Example: <i>jane.doe@company.com;john.smith@company.com</i>',

	'livesupport_winappsettings' => 'Desktop Application Settings',
	'livesupport_searchbgcolor' => 'Search Engine Visitor Background Color',
	'd_livesupport_searchbgcolor' => 'The background color for a visitor that has been referred to the site by a search engine.',
	'livesupport_searchfrcolor' => 'Search Engine Visitor Foreground Color',
	'd_livesupport_searchfrcolor' => 'The foreground color for a visitor that has been referred to the site by a search engine.',
	'ls_adbgcolor' => 'Ad Tracking Visitor Background Color',
	'd_ls_adbgcolor' => 'The background color for a visitor that has been referred to the site by an <b>Ad Campaign</b> (configured within the Staff Control Panel).',
	'ls_adfrcolor' => 'Ad Tracking Visitor Foreground Color',
	'd_ls_adfrcolor' => 'The foreground color for a visitor that has been referred to the site by an <b>Ad Campaign</b> (configured within the Staff Control Panel).',

	'ls_clientarea' => 'Client Support Interface Settings',
	'ls_displaystatus' => 'Display Live Support Status Icon',
	'd_ls_displaystatus' => 'Show the Live Support button within the client support interface (showing Online, Offline, Busy or Be Right Back).',
	'ls_staffcp' => 'Live Support Staff CP Settings',
	'ls_entab' => 'Display Live Support Tab In Staff CP',
	'd_ls_entab' => 'Show the Live Support tab within the staff control panel.',
	'ls_depname' => 'Use Department Name In Chats',
	'd_ls_depname' => 'Use the department name instead of the staff user\'s name in chats. This will hide the name of the staff user from the visitor.',
	'livesupport_alertttl' => 'Alert Timeout',
	'd_livesupport_alertttl' => 'Specify the alert timeout (in seconds). This is used for the custom alerts set in the visitor rules.  Enter 0 to display the alerts indefinitely.',
	'livesupport_clicktocallsettings' => 'Click to Call Settings',
	'ls_activecountrycode' => 'Active Country ITU-T Code',
	'd_ls_activecountrycode' => 'Enter your current country code, this is used to filter local calls from international ones.',
	'ls_ignoreactivecountrycode' => 'Ignore Active Country Code',
	'd_ls_ignoreactivecountrycode' => 'If enabled, ' . SWIFT_PRODUCT . ' will not prefix the active country code for all the relevant call requests.',
	'ls_internationalcallprefix' => 'International Call Prefix',
	'd_ls_internationalcallprefix' => 'Enter the number to prefix to all the international calls.',
	'ls_recordphonecalls' => 'Record Phone Calls',
	'd_ls_recordphonecalls' => 'If enabled, ' . SWIFT_PRODUCT . ' will record all the phone calls which can be played back later via staff control panel.',
	'ls_enableinternationalcalls' => 'Enable International Calls',
	'd_ls_enableinternationalcalls' => 'This option allows you to enable/disable the ability of international site visitors to initiate call requests.',
	'livechat_ignorerange' => 'Ignored IPs',
	'd_livechat_ignorerange' => SWIFT_PRODUCT . ' will ignore all visitors from the given IP address(es) or subnet(s), this can be used to filter office visitors. To ban an IP, use the Admin CP &gt; Live Chat &gt; Bans functionality. Separate multiple values using a comma \',\'. Examples of usage:<BR /><i> * <b>202.1.192.0-202.1.192.255</b>: A range of IPs<BR /> * <b>200.36.161.0/24</b>: A range of IPs by using net masking<BR /> * <b>200.36.161/24</b>: A shortened syntax similar to the above.</i>',

	'livechat_proactivescroll' => 'Enable Proactive Chat Animation',
	'd_livechat_proactivescroll' => 'If enabled, the proactive floating layer will scroll automatically to engage the user.',
	'livechat_timestamps' => 'Enable Timestamps',
	'd_livechat_timestamps' => 'If enabled, ' . SWIFT_PRODUCT . ' will display timestamps beside each chat message',
	'livechat_timestampformat' => 'Timestamp Format',
	'd_livechat_timestampformat' => 'Specify the default format for timestamps displayed in chat history (does not apply to timestamps displayed in chat windows). ' . SWIFT_PRODUCT . ' uses the PHP strftime() function. For more information on this function, see <a href="http://www.php.net/strftime" target="_blank">strftime()</a>.',
	'ls_forcerandomnumber' => 'Force URL Refresh for Every Tag Request',
	'd_ls_forcerandomnumber' => 'If Enabled, ' . SWIFT_PRODUCT . ' will force the refreshing of Tag URL for every request. This allows increased consistency in the chat images but can increase the server load.',

	// ======= MAIL PARSER =======
	'pr_createnewticket' => 'Create a new ticket from any email that is sent in reply to resolved tickets',
	'd_pr_createnewticket' => 'If enabled, ' . SWIFT_PRODUCT . ' will create new ticket is sent in reply to an existing ticket which is resolved, rather than reopening the existing ticket. Note that this setting will override a pre-parse mail parser rule for \'Do not parse as Ticket Reply\'.',
	'pr_allowmultiplecreation' => 'Create ticket for all destination queue(s)?',
	'd_pr_allowmultiplecreation' => 'If enabled, ' . SWIFT_PRODUCT . ' will create multiple tickets if an email has one or more email queue addresses in the \'To:\' or \'CC:\' field.',
	'pr_generalparser' => 'Parser Settings',
	'pr_contentpriority' => 'Email Content Priority',
	'd_pr_contentpriority' => 'Each email that comes into the system can have two content types (HTML and plain-text). This setting specifies which type ' . SWIFT_PRODUCT . ' should use for parsing the email. It is recommended that this value be set to <i>Text</i>.',
	'text' => 'Text',
	'html' => 'HTML',
	'pr_stripscript' => 'Strip &lt;SCRIPT&gt; Tags',
	'd_pr_stripscript' => 'Remove all script tags from incoming email. It is <b>highly</b> recommended this option is enabled. If disabled, users could potentially run arbitrary code in a staff user\'s browser.',
	'pr_allowhtml' => 'Allow HTML Tags',
	'd_pr_allowhtml' => 'Whether or not Parser should allow HTML Tags in the Content.',
	'pr_allowabletags' => 'Valid HTML Tags',
	'd_pr_allowabletags' => 'Specify the Tags that the Parser will not remove for the incoming email.',
	'pr_logoptions' => 'Parser Log Options',
	'pr_enablelog' => 'Enable Logging',
	'd_pr_enablelog' => 'Log all mail parser activity. It is recommended that this setting is always enabled in order to better trace issues related to the parsing of incoming emails.',
	'pr_logchurndays' => 'Log Retention Time',
	'd_pr_logchurndays' => 'The time, in days, that logs will remain in the system.',
	'pr_maxlogsize' => 'Maximum Log Entry Size',
	'd_pr_maxlogsize' => 'The maximum allowable size, in kilobytes, for entries in the parser log. Any entry that is larger than the size specified here will not be stored. This can be used to keep the size of the log database to a minimum.',
	'pr_pop3' => 'POP3/IMAP Fetch Settings',
	'pr_procno' => 'Maximum Number of Messages To Process In Single Pass',
	'd_pr_procno' => 'Once the mail parser reaches this limit, it will end the message processing and the rest of the messages in the inbox, if any, will be processed when the task is next executed.',
	'pr_sizelimit' => 'Message Size Limit',
	'd_pr_sizelimit' => 'Reject any message which is larger than this size (in kilobytes). The size specified here must be less than the <b>php_memory_limit</b> setting in your <i>php.ini</i> (PHP configuration file) -- otherwise, your messages may be left in the queue.',
	'pr_parsereplyto' => 'Reply-To Header Override',
	'd_pr_parsereplyto' => 'Use the <i>Reply-To</i> header entry as the primary email address for the ticket creator. <b>Warning!</b> This may result in security risks if abused, as Reply-To headers are easily faked.',
	'pr_conversion' => 'Automatically Convert Encoding Of Incoming Emails',
	'desc_pr_conversion' => 'If enabled, ' . SWIFT_PRODUCT . ' will automatically attempt to convert incoming emails to the default encoding of the help desk (<i>e.g. If the help desk is set to UTF-8 and an email is sent in ISO-8859-1, it will be converted to UTF-8 before being added to the system</i>).',

	// ======= TICKETS =======
	't_cleanmailsubjects' => 'Enable Clean Email Subjects?',
	'd_t_cleanmailsubjects' => 'If enabled, ticket IDs will be suffixed (using a + sign) to the <b>from</b> email address alias (sales+ABC-123-4567@acme.com) rather than being included in the email subject.<br /><br /><b>EXPERIMENTAL FEATURE:</b> This feature is experimental and we do not recommend enabling it for production use without thorough testing. Although email aliases with a + symbol is valid, it may upset some mail transport agents.',
	't_spamhandling' => 'Spam Handling Settings',
	't_spammovetotrash' => 'Move Spam to Trash?',
	'd_t_spammovetotrash' => 'If Enabled, all tickets marked as spam will be automatically moved to Trash.',
	't_spamban' => 'Ban Spam Emails?',
	'd_t_spamban' => 'If Enabled, the creation email of all tickets marked as spam will automatically be banned.',
	't_restrictnewticket' => 'Restrict New Ticket Creation To Assigned Departments',
	'd_t_restrictnewticket' => 'Only allow staff users to create tickets in departments to which they are assigned.',
	't_rvalemail' => 'Require Valid Email Address',
	'd_t_rvalemail' => 'Require users to provide a valid email address when submitting tickets.',
	'tickets_search' => 'Search Options',
	't_searchsortdate' => 'Sort Results According to Last Activity (Descending)',
	'd_t_searchsortdate' => 'Sort search results according to last activity time (descending). Otherwise, the default view sort order is used.',
	't_cntrelevance' => 'Advanced Ticket Searching',
	'd_t_cntrelevance' => 'Use a more advanced algorithm for searching and determining relevance of results. This setting will increase the search time by up to 40%, but the relevancy of the results will be much higher.',
	'tickets_searchtype' => 'Search Index Type',
	'postindex' => 'Bulletin Post Index',
	'fulltext' => 'MySQL Full Text',
	't_autorecip' => 'Automatically Add CC Users As Recipients',
	'd_t_autorecip' => 'Automatically add CC\'ed email addresses in the incoming email as the ticket recipients.',
	'tickets_minwordlength' => 'Minimum Word Length',
	'd_tickets_minwordlength' => 'Specify the minimum length of a word that will be indexed for search. Any word that does not meet this criteria will be ignored by the indexer and will not be searchable. Shorter words tend to occur more frequently, so allowing their indexing will cause a larger, slower index and thus slower per-word searches.',
	'tickets_maxwordlength' => 'Maximum Word Length',
	'd_tickets_maxwordlength' => 'Specify the maximum length of a word that will be indexed for search. Any word that does not meet this criteria will be ignored by the indexer and will not be searchable.',
	'tickets_indexnumbers' => 'Index Numbers',
	'd_tickets_indexnumbers' => 'If enabled, numbers will be indexed and will be searchable.',
	'tickets_minnumberlength' => 'Minimum Number Length',
	'd_tickets_minnumberlength' => 'The minimum length of a number, in characters, that will be indexed. Any number shorter than this number of characters will be ignored by the indexer and will not be searchable.',
	'tickets_faulttolerance' => 'Word Fault Tolerance',
	'd_tickets_faulttolerance' => 'If a word occurs in a ticket post more than the times specified here, it will be ignored and will not be indexed.',
	't_floodprotection' => 'Flood Protection',
	't_fresponder' => 'Dont Send Autoresponder Message',
	'd_t_fresponder' => 'If Enabled, No Autoresponder Message will be sent when the Flood Protection is triggered.',
	't_fnoadd' => 'Dont add the Ticket/Reply',
	'd_t_fnoadd' => 'If Enabled, The Incoming Email will be simply ignored if Flood Protection is triggered. It is recommended that you do not enable this option as simply disabling the Autoresponder message should stop any potential mail loop.',
	't_fthreshold' => 'Timing Threshold (In Seconds)',
	'd_t_fthreshold' => 'Threshold for checking for Potential Flood Protection cases.<BR /><BR /><span class="tabletitle"><i>How Flood Protection Works?</i></span><BR />Whenever an incoming email is received, '.SWIFT_PRODUCT. ' checks the Tickets table to see if the user created a ticket with the same subject in the given threshold time, If this check succeeds, Flood Protection gets triggered and the specified actions are carried out.',
	't_parser' => 'Parser Settings',
	't_pstaffreply' => 'Allow Staff To Reply By Email',
	'd_t_pstaffreply' => 'Allow staff users to reply to ticket alerts directly from their email clients.',
	't_enfp' => 'Enable/Disable Flood Protection',
	'd_t_enfp' => 'Toggle the Status for Flood Protection. It is recommended that you never disable this option as it prevents mail loops that can happen if your client has an autoresponder message set.',
	't_sla' => 'SLA Settings',
	't_encustomoverdue' => 'Use Default Overdue and Resolution Hours',
	'd_t_encustomoverdue' => 'Use the value (in <i>Default Overdue Hours</i> and <i>Default Resolution Hours</i>) to calculate overdue times for a ticket when an SLA plan is not assigned to the department, user, usergroup, or ticket itself.',
	't_overduehrs' => 'Default Overdue Hours',
	'd_t_overduehrs' => 'Mark a ticket as overdue after this number of hours. (<i>See the above setting, <i>Use Default Overdue Hours</i>, for clarification</i>).',
	't_resolutionduehrs' => 'Default Resolution Hours',
	'd_t_resolutionduehrs' => 'Mark a ticket as overdue if it is not resolved after this number of hours. (<i>See the above setting, <i>Use Default Overdue Hours</i>, for clarification</i>).',
	'tickets_resattachments' => 'Restrict Incoming Attachments To Custom Attachment Types',
	'd_tickets_resattachments' => 'If enabled, only file attachments that are listed in Custom Attachment Types under <i>Tickets > Attachment Types</i> will be processed. All other attachment types will be ignored.',
	't_rss' => 'RSS View Syndication',
	't_enrss' => 'Enable RSS Syndication for Ticket Views',
	'd_t_enrss' => 'Allow ticket views (from within the staff control panel) to be syndicated as RSS feeds.',
	't_general' => 'General Ticket Settings',
	't_tpreview' => 'Enable Post Preview in Ticket List',
	'd_t_tpreview' => 'Display a post preview when hovering over a ticket within the Staff Control Panel. If operating a heavy usage support desk, it is recommended that this option be disabled.',
	't_postlimit' => 'Number Of Tickets Posts Per Page',
	'd_t_postlimit' => 'If the <i>"Split Ticket Posts By Page"</i> option is enabled, this specifies how many ticket posts to display on a single page.',
	't_chtml' => 'HTML Conversion (Rendering and Staff Notifications)',
	'd_t_chtml' => 'Choose how HTML content should be treated when displaying tickets in the web interface and when sending staff Notifications.<br><dl><dt><b>HTML Entities</b></dt><dd>Converts HTML to normal text so that you can see the code.</dd><dt><b>Strip Tags</b></dt><dd>Removes HTML formatting completely; (e.g. "<b>foo</b>" = "foo").</dd><dt><b>No Processing</b></dt><dd>Allow HTML code (e.g. "<b>foo</b>" = "<b>foo</b>").  This setting is <b>not</b> recommended as it can allow malicious code to be executed in staff users\' web browsers and/or email client applications.</dd></dl><i>Note: This setting does not affect the final content stored in the database!</i>',
	't_postorder' => 'Display Order for Ticket Posts',
	'tcentities' => 'HTML Entities',
	'tchtml' => 'No Processing',
	'tchtmlpurifier' => 'HTML Purifier',
	'tcstrip' => 'Strip Tags',
	'd_t_postorder' => 'Specify whether to display the oldest or newest ticket posts first.',
	't_enpagin' => 'Split Ticket Posts By Page',
	'd_t_enpagin' => 'Display ticket posts for a ticket on separate pages instead of all on a single page. Choose how many ticket posts to display per page below.',
	'newestfirst' => 'Newest First',
	'oldestfirst' => 'Oldest First',
	't_overduecolor' => 'Overdue Tickets Background Color',
	'd_t_overduecolor' => 'The background color of tickets that have been marked as overdue.',
	't_ticketnoteresetsupdatetime' => 'Adding Ticket Note Counts as a Ticket Update',
	'd_t_ticketnoteresetsupdatetime' => 'If enabled, this setting will cause a ticket\'s last update time to be reset when a ticket note is added. For example, if you configure your helpdesk to mark tickets as overdue if they are not responded to within a certain timeframe, a ticket note will count as a ticket response and will reset the clock.',
	't_resultlimit' => 'Search Results Limit',
	'd_t_resultlimit' => 'The limit of results that are returned following a search. Setting this value too high can cause searches to become more resource intensive and take longer to execute.',
	't_tidinsub' => 'Set Ticket ID in Subject for Outgoing Email',
	'd_t_tidinsub' => 'Insert a ticket ID into the subject of emails sent when staff create new tickets. Although it is highly recommended that this option be enabled, ' . SWIFT_PRODUCT . ' can still check which ticket a message belongs to by searching for the ticket ID within the email body, by comparing the subject or by checking the Message-ID email header.',
	't_mailset' => 'Mail Settings',
	't_stmsgid' => 'Check the Message-ID for Staff Replies',
	'd_t_stmsgid' => SWIFT_PRODUCT . ' can check the Message-ID header to confirm the identity of a staff user replying to a ticket alert. This adds an extra layer of security and makes sure the replier is a valid staff user. However, it requires that the end mailing client sends the In-Reply-To header, which is not supported by all email clients (in particular, wireless email clients).',
	't_entab' => 'Display Tickets Tab',
	'd_t_entab' => 'Display the Tickets tab within the staff control panel.',
	't_clientarea' => 'Client Support Interface Settings',
	't_cperpage' => 'Tickets to Display Per Page',
	'd_t_cperpage' => 'The number of tickets that will be listed to users when viewing their ticket list.',
	't_eticketid' => 'Ticket ID Type',
	'd_t_eticketid' => 'Choose how ' . SWIFT_PRODUCT . ' should generate new ticket identifiers. It is recommended that this is set to <i>Random</i> to increase security against spoofing attacks.<br /><br />Examples:<br /><i>Sequential:</i> "[#194]: <subject here>"<br /><i>Random:</i> "[ABC-123-4567]:<subject here>"',
	'tsequential' => 'Sequential',
	'trandom' => 'Random',
	't_maxattach' => 'Maximum Number of Attachments When Replying',
	'd_t_maxattach' => 'The maximum number of files that can be attached to a ticket reply. If particularly large files are allowed, it is recommended that the <i>upload_max_filesize</i> setting in your php.ini (PHP configuration file) be edited to reflect the size.',
	't_slaresets' => 'Clear Overdue Time for Tickets After Staff Reply',
	'd_t_slaresets' => 'If enabled, the SLA overdue time will be automatically cleared whenever a staff user replies to a ticket. A new overdue time will be calculated when the client replies back to the ticket.',
	't_cstaffname' => 'Enable Staff Name Override',
	'd_t_cstaffname' => 'Allows you to override the staff name visible to users in the support center and replace it with a common keyword like "Kayako Support"',
	't_cdisplayname' => 'Overridden Staff Name',
	'd_t_cdisplayname' => 'You can specify the keyword that should be displayed if the above setting is disabled.',
	't_cthirdparty' => 'Users Can View Third-Party Replies',
	'd_t_cthirdparty' => 'If enabled, users will be able to view third-party replies made to their tickets from within the client support interface.',
	't_cenattach' => 'Users Can Upload Attachments',
	'd_t_cenattach' => 'If enabled, users will be able to upload file attachments when they create or reply to a ticket.',
	't_cmaxattach' => 'Maximum Number of Attachments',
	'd_t_cmaxattach' => 'The number of attachments a user can add to a new ticket or ticket reply.',
	't_cpostorder' => 'Display Order for Ticket Posts',
	'd_t_cpostorder' => 'Choose whether to display the oldest or newest ticket posts first to users in the client support interface.',
	't_pdainterf' => 'PDA Staff Control Panel Interface',
	't_pdenpagin' => 'Split Ticket Posts by Page',
	'd_t_pdenpagin' => 'Display ticket posts for a ticket will be displayed on separate pages instead of a single page. You may choose how many ticket posts to display per page below.',
	't_pdpostlimit' => 'Number of Tickets Posts Per Page',
	'd_t_pdpostlimit' => 'If you have enabled the <i>"Split Ticket Posts By Page"</i> option, this specifies how many ticket posts to display on a single page. This applies only to the PDA staff control panel interface.',
	't_pdpostorder' => 'Display Order For Ticket Posts',
	'd_t_pdpostorder' => 'Whether to display the oldest or newest ticket posts first.',
	't_signores' => 'Ignore Words Containing Symbols',
	'd_t_signores' => 'If enabled, words containing any of the following symbols will be ignored:<br /><br /><i>- ~ ` @ # $ ^ & * ( ) _ = + [ ] { } | / < > , . ; \' " \</i>',
	't_ccaptcha' => 'Enable CAPTCHA for Ticket Submission',
	'd_t_ccaptcha' => 'Require users who submit ticket via the client support interface to enter text displayed in a special image to attempt to verify whether they are human.',
	't_autoclose' => 'Ticket Automatic Close Settings',
	't_enautoclose' => 'Enable Auto Closure System',
	'd_t_enautoclose' => 'Automatically change the status of tickets that have lingered in the system for the specified amount of time.',
	't_acstatus' => 'Affected Ticket Statuses',
	'd_t_acstatus' => 'Select the ticket statuses the automatic close system will affect.  Select multiple statuses by holding the CTRL key and selecting multiple entries.',
	't_acdep' => 'Affected Departments',
	'd_t_acdep' => 'Select the departments that the automatic close system will affect. Select multiple departments by holding the CTRL key and selecting multiple entries.',
	't_acstatusch' => 'Target Status',
	'd_t_acstatusch' => 'Select the status to which tickets will be changed automatically once they have lingered for the specified time.',
	't_acinactive' => 'Automatic Closure Inactivity Threshold',
	'd_t_acinactive' => 'After a ticket has remained inactive for this amount of time (in hours), the system will send a notice to the user created the ticket, warning the user of the pending automatic status change.',
	't_acnoticeclose' => 'Final Automatic Close Threshold',
	'd_t_acnoticeclose' => 'After this amount of time (in hours) has elapsed (this starts after the "Automatic Closure Inactivity Threshold" has been reached), the target tickets\' status will automatically be changed.',
	't_arnews' => 'Send Latest News In Auto Responder Message',
	'd_t_arnews' => 'If enabled and if the News App is active, the five most recent news items will be sent inside of the ticket autoresponder (ticket receipt).',
	't_ticketlock' => 'Ticket Lock Settings',
	't_entlock' => 'Enable/Disable Ticket Locking',
	't_entplock' => 'Enable Reply Ticket Locking',
	'd_t_entplock' => 'Allow staff users to see other staff user\'s replies in real-time (as they draft their reply) when viewing the same ticket.',
	't_plockthreshold' => 'Threshold for Post Ticket Locking',
	'd_t_plockthreshold' => 'Any update to the reply made after this threshold (in seconds) will not be displayed to other staff users.',
	'd_t_entlock' => 'The ticket locking feature in ' . SWIFT_PRODUCT . ' will lock a ticket when a staff user opens the ticket. Other staff users will still be able to access the ticket, but a lock icon will be displayed letting other staff users know that the ticket is being viewed.',
	't_locktimeout' => 'Ticket Lock Timeout',
	'd_t_locktimeout' => 'Once this amount of time (in seconds) has elapsed (i.e. if the staff user causing the lock has been idle for this amount of time) the lock icon will not be displayed.',
	't_canirs' => 'Enable the Instant Response System (IRS)',
	'd_t_canirs' => 'If enabled, when users draft their initial ticket submissions, ' . SWIFT_PRODUCT . ' will search the knowledgebase for relevant articles in real-time.  This feature cuts down on the amount of new tickets submitted, as users may frequently find the answers they are looking for before submitting their tickets.',
	't_maxwcnt' => 'Maximum Word Count for IRS',
	'd_t_maxwcnt' => 'After the amount of words specified here have been entered by the user, the IRS system will no longer continue looking up knowledgebase articles for suggestion.',
	't_reciplist' => 'List Recipients Before Replying',
	'd_t_reciplist' => 'Display the list of added recipients in a ticket. This adds an overhead of additional database queries in the ticket listing page.',
	't_staffcp' => 'Staff Control Panel Settings',
	't_scanirs' => 'Enable Instant Response System (IRS)',
	'd_t_scanirs' => 'Like the IRS in the client support interface, ' . SWIFT_PRODUCT . ' will suggest knowledgebase articles as staff users draft their replies.',
	't_advanced' => 'Advanced Ticket Settings',
	't_postlist' => 'Assign Post List Variable to Staff Replies',
	'd_t_postlist' => 'Include the entire history of the ticket to date in replies sent by staff members.  This does add overhead and could potentially slow down replies.',
	't_reciplimit' => 'Limit Recipients in Incoming Email',
	'd_t_reciplimit' => 'You can use this setting to limit the number of recipients from an incoming email, increasing this setting can cause issues whenver spam emails with high number of recipients are processed by the system.',
	't_mergrecip' => 'Add Users As Recipients When Merging',
	'd_t_mergrecip' => 'When two tickets are merged, add users whose email addresses are associated with either ticket as recipients in the ticket that results from the merge.  This ensures that all users will receive future correspondence associated with the tickets.',
	'tickets_bayesian' => 'Bayesian Filtering Settings',
	'tb_minwordlength' => 'Minimum Word Length',
	'd_tb_minwordlength' => 'Specify the Minimum Length of a Word for the Bayesian Indexing Engine. Any Word that does not meet this criteria will be ignored by the system.',
	'tb_maxwordlength' => 'Maximum Word Length',
	'd_tb_maxwordlength' => 'Specify the Maximum Length of a Word for the Bayesian Indexing Engine. Any Word which is bigger than the specified length will be ignored.',
	'tb_indexnumbers' => 'Index Numbers',
	'd_tb_indexnumbers' => 'Toggle the Indexing of Numbers',
	'tb_minnumberlength' => 'Minimum Number Length',
	'd_tb_minnumberlength' => 'Minimum Length for a Number to Qualify for Bayesian Indexing',
	'tb_signores' => 'Ignore Words with Symbols',
	'd_tb_signores' => 'If Enabled, Any word with a symbol in it will be ignored. This includes URLs, Phone Numbers (With - in them), Ticket IDs etc.',
	'tb_enablespam' => 'Enable Spam Filtering?',
	'd_tb_enablespam' => 'If Enabled, You can train the naive bayesian filter to filter out spam and non spam messages. Even with spam filtering disabled, you can still use the bayesian filtering engine to route tickets based on specified categories.',

	// ======= TROUBLESHOOTER =======
	'tr_staffcp' => 'Troubleshooter Staff Control Panel Settings',
	'tr_general' => 'Client Support Interface Troubleshooter Settings',
	'tr_staffwysiwyg' => 'Enable WYSIWYG Editor',
	'd_tr_staffwysiwyg' => 'Use the advanced WYSIWYG editor (rich text) for creating troubleshooter articles.',
	'tr_enableclient' => 'Display Troubleshooter Widget',
	'd_tr_enableclient' => 'Show the troubleshooter icon and link on the index.php page of the client support interface.',
	'tr_enablepopularcat' => 'Enable Popular Troubleshooters Box',
	'd_tr_enablepopularcat' => 'Show a list of the most popular troubleshooters on the index.php page of the client support interface.',
	'tr_maxpopularcat' => 'Maximum Number Of Troubleshooters To Display',
	'd_tr_maxpopularcat' => 'The maximum number of troubleshooters to display in the popular troubleshooters box.',
	'tr_displayviews' => 'Display Number Of Views',
	'd_tr_displayviews' => 'Display the number of views each troubleshooter category has received besides the category title.',
	'tr_displaynavbar' => 'Display Troubleshooters in Navigation Bar',
	'd_tr_displaynavbar' => 'Display troubleshooters at every step in the navigation bar.',
	'tr_entab' => 'Display Troubleshooter Tab',
	'd_tr_entab' => 'Show the Troubleshooter tab within the Staff Control Panel.',
	't_cstatusupd' => 'Default Ticket Status for Client Reply',
	'd_t_cstatusupd' => 'Automatically set tickets to this status when a client has replied.',
	'tsnochange' => '-- Do Not Change --',
	't_canrecip' => 'Users Can Specify Custom Recipients',
	'd_t_canrecip' => 'Allow users to specify custom "CC Recipients" to tickets that they create.',
	't_enhistory' => 'Send Complete History in Staff Replies?',
	'd_t_enhistory' => 'Include the entire history of the ticket to date in replies sent by staff members.  This does add overhead and could potentially slow down replies.',

	// ======= USER REGISTRATION =======
	'user_enableemailverification' => 'User Email Verification',
	'd_user_enableemailverification' => 'If enabled, ' . SWIFT_PRODUCT . ' will verify the email address of the user when they register via the client support interface. Verification involves sending an email to the user containing an activation link which they must click to activate the account.',
	'user_enablecaptcha' => 'Enable CAPTCHA for New User Registration',
	'd_user_enablecaptcha' => 'Require users that register via the client support interface to enter text displayed in a special image to verify that they are human.',
	'user_autodelete' => 'Auto Clear',
	'user_adelunveri' => 'Automatically Clear Unverified Users',
	'd_user_adelunveri' => 'Purge unverified user accounts after a given amount of time (set below).',
	'user_delcleardays' => 'Auto Clear Timeline',
	'd_user_delcleardays' => 'The time (in days) after which unverified user accounts will be automatically purged from the system (if the above option is enabled).',
	'u_sendpw' => 'Send Password in Auto Responder (Ticket Receipt)',
	'd_u_sendpw' => 'Send the user\'s password to them whenever they create a new ticket.',
	'user_organizations' => 'User Organization Settings (Support Center)',
	'user_orgrestrictautoadd' => 'Allow Auto-Addition to Shared Organizations',
	'd_user_orgrestrictautoadd' => 'If Enabled, the user will be allowed to be a part of a shared organization through his profile. This setting only applies to organization names entered through the support center.<br/><br /><i>NOTE: This can cause a security risk allowing anyone to specify an organization name and access all tickets under it</i>',
	'user_orgselection' => 'User Organization Selection',
	'd_user_orgselection' => 'Select whether the user is allowed to be a part of an organization or how the system should behave when the user enters an organization name.<br/><br/><i>Do not allow:</i> The user will not be allowed to enter an organization name<br /><i>Create New Record:</i> A new organization will be created whenever a user enters an organization name<br /><i>Create/Auto Merge:</i> A new organization will be created or the user will be merged into one if it exists.',
	'uodontallow' => 'Do not allow',
	'uocreatenew' => 'Create New',
	'uocreatemerge' => 'Create/Auto Merge',
	'user_orgprofileupdate' => 'Organization Profile Update',
	'd_user_orgprofileupdate' => 'Select who can update the organization profile.',
	'uoallusers' => 'All Users',
	'uomanagersonly' => 'Managers Only',
	'user_orgdefaultclassification' => 'Default User Classification',
	'd_user_orgdefaultclassification' => 'Select how a new user is to be classified as.<br /><br/><i>User:</i> All new users are classified as \'normal users\'<br/><i>Manager:</i> A user is classified as a manager if none exists for that organization.',
	'uouser' => 'User',
	'uomanager' => 'Manager',
	'user_dispatchregemail' => 'Dispatch Registration Email',
	'd_user_dispatchregemail' => 'If enabled, the user will receive an email with his profile details (including his password) after registration.',

	// ======= NEWS =======
	'nw_general' => 'News Settings',
	'nw_sendstaffemail' => 'Send Email Updates to Staff',
	'd_nw_sendstaffemail' => 'If enabled, the staff users will receive email updates whenever a news article is created or updated. This setting is restricted to news article with type of Global and Private.',
	'nw_sync' => 'Synchronization Settings',
	'nw_globalsync' => 'Global News RSS URL',
	'd_nw_globalsync' => 'Specify the URL to the RSS feed from which the global news will be synchronized.',
	'nw_publicsync' => 'Public News RSS URL',
	'd_nw_publicsync' => 'Specify the URL to the RSS feed from which the public news will be synchronized.',
	'nw_privatesync' => 'Private News RSS URL',
	'd_nw_privatesync' => 'Specify the URL to the RSS feed from which the private news will be synchronized.',
	'nw_wysiwyg' => 'Enable WYSIWYG Editor',
	'd_nw_wysiwyg' => 'Use the advanced WYSIWYG editor (rich text) for creating news articles.',
	'nw_newsstaffcp' => 'Staff Control Panel News Settings',
	'nw_newsclient' => 'Client Support Interface News Settings',
	'nw_enableclient' => 'Display News Widget',
	'd_nw_enableclient' => 'Display the news icon and link on the index.php page of the client support interface.',
	'nw_enablestaffdashboard' => 'Display Latest News on Dashboard',
	'd_nw_enablestaffdashboard' => 'Display the latest news articles in the welcome tab of staff dashboard.',
	'nw_maxdashboardnewslist' => 'Maximum Number of Dashboard News Articles',
	'd_nw_maxdashboardnewslist' => 'The maximum number of most recent news articles that will be displayed on the staff dashboard.',
	'nw_enablenewsnav' => 'Display Latest News on Index Page',
	'd_nw_enablenewsnav' => 'Display the latest news articles at the bottom of the index page.',
	'nw_maxnewslist' => 'Maximum Number of Recent News Articles',
	'd_nw_maxnewslist' => 'The maximum number of most recent news articles that will be displayed on the index page.',
	'nw_navdisplaydate' => 'Display Date Beside News Items',
	'd_nw_navdisplaydate' => 'Display the date a news posting was made alongside the title of the posting.',
	'nw_navdateformat' => 'Navigation News Date Format',
	'd_nw_navdateformat' => 'The format in which the posting date of news items is displayed. For more information, see the documentation for the PHP <a href="http://www.php.net/date" target="_blank">date()</a> function.',
	'nw_rss' => 'RSS Syndication Settings',
	'nw_enablerss' => 'Enable RSS Content Syndication',
	'd_nw_enablerss' => 'Allow users to subscribe to RSS feeds of posted news items.',
	'nw_maxrss' => 'Maximum Limit of Latest News Items for RSS Feed',
	'd_nw_maxrss' => 'The maximum number of news articles that will be syndicated into an RSS feed at any one time.',
	'nw_entab' => 'Display News Tab',
	'd_nw_entab' => 'Display the News tab within the Staff Control Panel.',
	'nw_svalidate' => 'Validate Subscriber Email Address',
	'd_nw_svalidate' => 'Specify whether ' . SWIFT_PRODUCT . ' should verify the email address of the user when they subscribe to news postings through the client support interface. Verification involves sending an email to the user containing an activation link which they must click to activate the account.',
	'nw_pageno' => 'Number of News Items Per Page',
	'd_nw_pageno' => 'The number of news items shown on one page.',
	'nw_staffpageno' => 'Number of News Items Per Page',
	'd_nw_staffpageno' => 'The number of news items shown on one page.',

	// ======= KNOWLEDGEBASE =======
	'kb_clientarea' => 'General Knowledgebase Settings',
	'kb_clientareaindex' => 'Client Support Interface Index Page Settings',
	'kb_categoryindex' => 'Category Index Settings',
	'kb_enableclient' => 'Display Knowledgebase Widget',
	'd_kb_enableclient' => 'Show the knowledgebase icon and link on the index.php page of the client support interface.',
	'kb_enpopulararticles' => 'Display Popular Articles Box',
	'd_kb_enpopulararticles' => 'Show a list of the most popular knowledgebase articles on the knowledgebase page of client support interface and staff control panel.',
	'kb_maxpopulararticles' => 'Maximum Number Of Popular Articles',
	'kb_dispviews' => 'Display View Count Next To Popular Articles',
	'kb_enlatestarticles' => 'Display Latest Articles Box',
	'd_kb_enlatestarticles' => 'Show a list of the most recent knowledgebase articles on the knowledgebase page of client support interface and staff control panel.',
	'kb_maxlatestarticles' => 'Maximum Number Of Latest Articles',
	'kb_displayarticledate' => 'Display Creation Date Next To Latest Articles',
	'kb_dateformat' => 'Creation Date Format',
	'd_kb_dateformat' => 'Specify the format used to display creation dates in articles. For more information, see the documentation for the PHP <a href="http://www.php.net/date" target="_blank">date()</a> function.',
	'kb_maxcatarticles' => 'Maximum Number of Articles to Display under Category List',
	'kb_displaymore' => 'Display "More Topics" Link Under Category List',
	'kb_catarticledetails' => 'Display Article Details Under Category List',
	'kb_alphabetical' => 'Alphabetical',
	'kb_chrono' => 'Chronological',
	'kb_totalarticles' => 'Total Articles',
	'kb_catdisplayorder' => 'Override Category Display Order Field',
	'd_kb_catdisplayorder' => 'Specify the display order to be used when sorting categories. Select <i>Default Display Order</i> to use the display order specified when creating article categories.',
	'kb_catorder' => 'Category Order Of Display',
	'kb_asc' => 'Ascending',
	'kb_desc' => 'Descending',
	'kb_arorder' => 'Article Order Of Display',
	'd_kb_ardisplayorder' => 'Use the specified display order to sort articles. Select <i>Default Display Order</i> to use the display order specified when creating articles.',
	'kb_ardisplayorder' => 'Override Article Display Order Field',
	'kb_datemodified' => 'Date Modified',
	'kb_views' => 'Total Views',
	'kb_rating' => 'Article Rating',
	'kb_defaultdisp' => '-- Default Display Order --',
	'kb_enrss' => 'Enable RSS Content Syndication',
	'kb_rss' => 'RSS Syndication Settings',
	'd_kb_enrss' => 'Enable users to subscribe to new article postings.',
	'kb_climit' => 'Article Preview Character Limit',
	'd_kb_climit' => 'The maximum number of characters that will be displayed for an article preview under a category index. To disable article previews, set this value to "0".',
	'kb_rssclimit' => 'RSS Feed Character Limit',
	'd_kb_rssclimit' => 'The maximum number of characters of an article that will be syndicated into an RSS feed.',
	'kb_enrating' => 'Enable Article Rating',
	'd_kb_enrating' => '',
	'kb_categorycolumns' => 'Number of Category Columns',
	'd_kb_categorycolumns' => 'Specify the number of columns to group the categories into.',
	'kb_staffcp' => 'Knowledgebase Staff Control Panel Settings',
	'kb_staffwysiwyg' => 'Enable WYSIWYG Editor',
	'd_kb_staffwysiwyg' => 'Use the advanced WYSIWYG editor (rich text) for creating new articles.',
	'kb_entab' => 'Display Knowledgebase Tab',
	'd_kb_entab' => 'Enable the Knowledgebase tab within the Staff Control Panel.',
	'kb_parcount' => 'Count Articles In Subcategories',
	'd_kb_parcount' => 'If enabled, ' . SWIFT_PRODUCT . ' will include articles stored in subcategories when counting articles in a category. Deeply nested knowledgebase structures can be very resource intensive.',

	//======== PURCHASER ======
	'settings_purchase' => 'Ticket Purchaser',
	'purchase_admin_email' => 'Billing Email',
	'purchase_money_format' => 'Currency Symbol Position',
	'purchase_number_format_style' => 'Number Format',
	'purchase_money_sign' => 'Currency Symbol',
	'purchase_bluepay_account' => 'Bluepay Account Number',
	'purchase_bluepay_key' => 'Bluepay Secret Key',
	'purchase_bluepay_mode' => 'Bluepay Transaction Mode',
	'purchase_bluepay_mode_test' => 'Test',
	'purchase_bluepay_mode_live' => 'Live',
	'purchase_invoice_address' => 'Billing address to display on invoices',

	// ======= ONSITE =======
	'ons_general_1' => 'Primary OnSite Server Settings',
	'ons_xmpphost_1' => 'XMPP Host',
	'd_ons_xmpphost_1' => 'The primary XMPP OnSite server that should be used to negotiate a P2P NAT traversal session.',
	'ons_xmppport_1' => 'XMPP Port',
	'd_ons_xmppport_1' => '',
	'ons_stunhost_1' => 'STUN Host',
	'd_ons_stunhost_1' => '',
	'ons_stunport_1' => 'STUN Port',
	'd_ons_stunport_1' => '',
	'ons_turnhost_1' => 'TURN Host',
	'd_ons_turnhost_1' => '',
	'ons_turnportudp_1' => 'TURN Port (UDP)',
	'd_ons_turnportudp_1' => '',
	'ons_turnporttcp_1' => 'TURN Port (TCP)',
	'd_ons_turnporttcp_1' => '',

	'ons_general_2' => 'Secondary OnSite Server Settings',
	'ons_xmpphost_2' => 'XMPP Host',
	'd_ons_xmpphost_2' => 'The primary XMPP OnSite server that should be used to negotiate a P2P NAT traversal session.',
	'ons_xmppport_2' => 'XMPP Port',
	'd_ons_xmppport_2' => '',
	'ons_stunhost_2' => 'STUN Host',
	'd_ons_stunhost_2' => '',
	'ons_stunport_2' => 'STUN Port',
	'd_ons_stunport_2' => '',
	'ons_turnhost_2' => 'TURN Host',
	'd_ons_turnhost_2' => '',
	'ons_turnportudp_2' => 'TURN Port (UDP)',
	'd_ons_turnportudp_2' => '',
	'ons_turnporttcp_2' => 'TURN Port (TCP)',
	'd_ons_turnporttcp_2' => '',

	// ======= REPORT =======
	'rep_general' => 'Reports Settings',
	'rep_maxrows' => 'Max Rows',
	'd_rep_maxrows' => 'The maximum number of rows to display in a page for tabular/summary reports',
);

?>