<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_KnowledgebaseCategory extends SWIFT_Model { const TABLE_NAME = 'kbcategories'; const PRIMARY_KEY = 'kbcategoryid'; const TABLE_STRUCTURE = "kbcategoryid I PRIMARY AUTO NOTNULL,
								parentkbcategoryid I DEFAULT '0' NOTNULL,
								staffid I DEFAULT '0' NOTNULL,
								title C(255) DEFAULT '' NOTNULL,
								dateline I DEFAULT '0' NOTNULL,
								totalarticles I DEFAULT '0' NOTNULL,
								categorytype I2 DEFAULT '0' NOTNULL,
								displayorder I DEFAULT '0' NOTNULL,

								articlesortorder I2 DEFAULT '0' NOTNULL,
								allowcomments I2 DEFAULT '0' NOTNULL,
								allowrating I2 DEFAULT '0' NOTNULL,
								ispublished I2 DEFAULT '0' NOTNULL,

								uservisibilitycustom I2 DEFAULT '0' NOTNULL,
								staffvisibilitycustom I2 DEFAULT '0' NOTNULL,

								isimporteddownloadcategory I2 DEFAULT '0' NOTNULL"; const INDEX_1 = 'parentkbcategoryid'; const INDEX_2 = 'categorytype, parentkbcategoryid, uservisibilitycustom, staffvisibilitycustom'; const INDEX_3 = 'uservisibilitycustom, categorytype'; const INDEX_4 = 'title, kbcategoryid'; protected $_dataStore = array(); static protected $_knowledgebaseCategoryCache = array(); static protected $_parentCategoryTypeCache = array();  const TYPE_GLOBAL = 1; const TYPE_PUBLIC = 2; const TYPE_PRIVATE = 3; const TYPE_INHERIT = 4; const SORT_INHERIT = 1; const SORT_TITLE = 2; const SORT_RATING = 3; const SORT_CREATIONDATE = 4; const SORT_DISPLAYORDER = 5;  public function __construct(SWIFT_Data $_SWIFT_DataObject) { parent::__construct(); if (!$_SWIFT_DataObject instanceof SWIFT_Data || !$_SWIFT_DataObject->GetIsClassLoaded() || !$this->LoadData($_SWIFT_DataObject)) { throw new SWIFT_Category_Exception('Failed to load Knowledgebase Category Object'); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Category_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'kbcategories', $this->GetUpdatePool(), 'UPDATE', "kbcategoryid = '" . intval($this->GetKnowledgebaseCategoryID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetKnowledgebaseCategoryID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Category_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['kbcategoryid']; }  protected function LoadData($_SWIFT_DataObject) { $_SWIFT = SWIFT::GetInstance();  if ($_SWIFT_DataObject instanceof SWIFT_DataID && $_SWIFT_DataObject->GetIsClassLoaded()) { $_dataStore = $_SWIFT->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "kbcategories WHERE kbcategoryid = '" . intval($_SWIFT_DataObject->GetDataID()) . "'"); if (isset($_dataStore['kbcategoryid']) && !empty($_dataStore['kbcategoryid'])) { $this->_dataStore = $_dataStore; return true; }  } else if ($_SWIFT_DataObject instanceof SWIFT_DataStore && $_SWIFT_DataObject->GetIsClassLoaded()) { $this->_dataStore = $_SWIFT_DataObject->GetDataStore(); if (!isset($this->_dataStore['kbcategoryid']) || empty($this->_dataStore['kbcategoryid'])) { throw new SWIFT_Category_Exception(SWIFT_INVALIDDATA); } return true; } throw new SWIFT_Category_Exception(SWIFT_INVALIDDATA); return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Category_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Category_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Category_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function IsValidCategoryType($_categoryType) { if ($_categoryType == self::TYPE_GLOBAL || $_categoryType == self::TYPE_PRIVATE || $_categoryType == self::TYPE_PUBLIC || $_categoryType == self::TYPE_INHERIT) { return true; } return false; }  static public function IsValidArticleSortOrder($_articleSortOrder) { if ($_articleSortOrder == self::SORT_TITLE || $_articleSortOrder == self::SORT_RATING || $_articleSortOrder == self::SORT_CREATIONDATE || $_articleSortOrder == self::SORT_DISPLAYORDER || $_articleSortOrder == self::SORT_INHERIT) { return true; } return false; }  static public function Create($_parentCategoryID, $_title, $_categoryType, $_displayOrder, $_articleSortOrder, $_allowComments, $_allowRating, $_isPublished, $_userVisibilityCustom = false, $_userGroupIDList = array(), $_staffVisibilityCustom = false, $_staffGroupIDList = array(), $_staffID = false) { $_SWIFT = SWIFT::GetInstance(); if (empty($_title) || !self::IsValidArticleSortOrder($_articleSortOrder) || !self::IsValidCategoryType($_categoryType)) { throw new SWIFT_Category_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'kbcategories', array('parentkbcategoryid' => intval($_parentCategoryID), 'title' => $_title, 'categorytype' => intval($_categoryType), 'displayorder' => intval($_displayOrder), 'articlesortorder' => intval($_articleSortOrder), 'allowrating' => intval($_allowRating), 'ispublished' => intval($_isPublished), 'staffid' => intval($_staffID), 'uservisibilitycustom' => intval($_userVisibilityCustom), 'staffvisibilitycustom' => intval($_staffVisibilityCustom), 'allowcomments' => intval($_allowComments)), 'INSERT'); $_knowledgebaseCategoryID = $_SWIFT->Database->Insert_ID(); if (!$_knowledgebaseCategoryID) { throw new SWIFT_Category_Exception(SWIFT_CREATEFAILED); return false; } if ($_userVisibilityCustom == true) { if (_is_array($_userGroupIDList)) { foreach ($_userGroupIDList as $_userGroupID) { SWIFT_UserGroupAssign::Insert($_knowledgebaseCategoryID, SWIFT_UserGroupAssign::TYPE_KBCATEGORY, $_userGroupID); } } } if ($_staffVisibilityCustom == true) { if (_is_array($_staffGroupIDList)) { foreach ($_staffGroupIDList as $_staffGroupID) { SWIFT_StaffGroupLink::Create($_staffGroupID, SWIFT_StaffGroupLink::TYPE_KBCATEGORY, $_knowledgebaseCategoryID); } } } self::RebuildCache(true); return $_knowledgebaseCategoryID; }  public function Update($_parentCategoryID, $_title, $_categoryType, $_displayOrder, $_articleSortOrder, $_allowComments, $_allowRating, $_isPublished, $_userVisibilityCustom = false, $_userGroupIDList = array(), $_staffVisibilityCustom = false, $_staffGroupIDList = array(), $_staffID = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Category_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->UpdatePool('parentkbcategoryid', intval($_parentCategoryID)); $this->UpdatePool('title', $_title); $this->UpdatePool('categorytype', intval($_categoryType)); $this->UpdatePool('displayorder', intval($_displayOrder)); $this->UpdatePool('articlesortorder', intval($_articleSortOrder)); $this->UpdatePool('allowrating', intval($_allowRating)); $this->UpdatePool('allowcomments', intval($_allowComments)); $this->UpdatePool('ispublished', intval($_isPublished)); $this->UpdatePool('staffid', intval($_staffID)); $this->UpdatePool('uservisibilitycustom', intval($_userVisibilityCustom)); $this->UpdatePool('staffvisibilitycustom', intval($_staffVisibilityCustom)); $this->ProcessUpdatePool(); SWIFT_UserGroupAssign::DeleteList(array($this->GetKnowledgebaseCategoryID()), SWIFT_UserGroupAssign::TYPE_KBCATEGORY); if ($_userVisibilityCustom == true) { if (_is_array($_userGroupIDList)) { foreach ($_userGroupIDList as $_userGroupID) { SWIFT_UserGroupAssign::Insert($this->GetKnowledgebaseCategoryID(), SWIFT_UserGroupAssign::TYPE_KBCATEGORY, $_userGroupID); } } } SWIFT_StaffGroupLink::DeleteOnLinkList(SWIFT_StaffGroupLink::TYPE_KBCATEGORY, array($this->GetKnowledgebaseCategoryID())); if ($_staffVisibilityCustom == true) { if (_is_array($_staffGroupIDList)) { foreach ($_staffGroupIDList as $_staffGroupID) { SWIFT_StaffGroupLink::Create($_staffGroupID, SWIFT_StaffGroupLink::TYPE_KBCATEGORY, $this->GetKnowledgebaseCategoryID()); } } } self::RebuildCache(true); return true; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Category_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetKnowledgebaseCategoryID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_knowledgebaseCategoryIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_knowledgebaseCategoryIDList)) { return false; } $_finalKnowledgebaseCategoryIDList = array_merge($_knowledgebaseCategoryIDList, self::RetrieveSubCategoryIDList($_knowledgebaseCategoryIDList)); $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "kbcategories WHERE kbcategoryid IN (" . BuildIN($_finalKnowledgebaseCategoryIDList) . ")"); SWIFT_KnowledgebaseArticleLink::DeleteOnLinkType(SWIFT_KnowledgebaseArticleLink::LINKTYPE_CATEGORY, $_finalKnowledgebaseCategoryIDList); self::RebuildCache(true); return true; }  static public function RetrieveSubCategoryIDList($_parentKnowledgebaseCategoryIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_parentKnowledgebaseCategoryIDList)) { return array(); } if (!self::$_knowledgebaseCategoryCache) { self::$_knowledgebaseCategoryCache = self::RetrieveCategories(); } $_knowledgebaseParentMap = array(); extract(self::$_knowledgebaseCategoryCache); $_subCategoryIDList = $_fetchParentCategoryIDList = array(); foreach ($_parentKnowledgebaseCategoryIDList as $_knowledgebaseCategoryID) { if (isset($_knowledgebaseParentMap[$_knowledgebaseCategoryID])) { foreach ($_knowledgebaseParentMap[$_knowledgebaseCategoryID] as $_subKey => $_subVal) { $_subCategoryIDList[] = $_subVal['kbcategoryid']; $_fetchParentCategoryIDList[] = $_subVal['kbcategoryid']; } } } if (count($_fetchParentCategoryIDList)) { $_subCategoryIDList = array_merge($_subCategoryIDList, self::RetrieveSubCategoryIDList($_fetchParentCategoryIDList)); } return $_subCategoryIDList; }  static public function RetrieveCategories() { $_SWIFT = SWIFT::GetInstance(); $_knowledgebaseCategoryContainer = $_knowledgebaseParentMap = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "kbcategories ORDER BY displayorder ASC"); while ($_SWIFT->Database->NextRecord()) { $_knowledgebaseCategoryContainer[$_SWIFT->Database->Record['kbcategoryid']] = $_SWIFT->Database->Record; if (!isset($_knowledgebaseParentMap[$_SWIFT->Database->Record['parentkbcategoryid']])) { $_knowledgebaseParentMap[$_SWIFT->Database->Record['parentkbcategoryid']] = array(); } $_knowledgebaseParentMap[$_SWIFT->Database->Record['parentkbcategoryid']][] = $_SWIFT->Database->Record; } return array('_knowledgebaseCategoryContainer' => $_knowledgebaseCategoryContainer, '_knowledgebaseParentMap' => $_knowledgebaseParentMap); }  static public function GetLastDisplayOrder() { $_SWIFT = SWIFT::GetInstance(); $_SWIFT->Cache->Load('kbcategorycache'); $_statusCache = $_SWIFT->Cache->Get('kbcategorycache'); if (!$_statusCache) { return '1'; }  $_lastInsertID = max(array_keys($_statusCache)); $_displayOrder = intval($_statusCache[$_lastInsertID]['displayorder'] + 1); return $_displayOrder; }  public function GetLinkedUserGroupIDList() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return SWIFT_UserGroupAssign::RetrieveList(SWIFT_UserGroupAssign::TYPE_KBCATEGORY, $this->GetKnowledgebaseCategoryID()); }  public function GetLinkedStaffGroupIDList() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return SWIFT_StaffGroupLink::RetrieveList(SWIFT_StaffGroupLink::TYPE_KBCATEGORY, $this->GetKnowledgebaseCategoryID()); }  static public function RebuildCache($_recount = false) { $_SWIFT = SWIFT::GetInstance(); $_cacheContainer = $_knowledgebaseCategoryIDList = $_parentKBCategoryIDList = array(); $_SWIFT->Database->Query("SELECT kbcategoryid FROM " . TABLE_PREFIX . "kbcategories WHERE parentkbcategoryid = '0'"); while ($_SWIFT->Database->NextRecord()) { $_parentKBCategoryIDList[] = $_SWIFT->Database->Record['kbcategoryid']; } if ($_recount) { $_processedKBCategoryIDList = array(); self::RecountKBTree($_parentKBCategoryIDList, $_processedKBCategoryIDList); } $_parentMap = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "kbcategories ORDER BY displayorder ASC"); while ($_SWIFT->Database->NextRecord()) { $_cacheContainer[$_SWIFT->Database->Record['kbcategoryid']] = $_SWIFT->Database->Record; $_knowledgebaseCategoryIDList[] = $_SWIFT->Database->Record['kbcategoryid']; if (!isset($_parentMap[$_SWIFT->Database->Record['parentkbcategoryid']])) { $_parentMap[$_SWIFT->Database->Record['parentkbcategoryid']] = array(); } $_parentMap[$_SWIFT->Database->Record['parentkbcategoryid']][] = $_SWIFT->Database->Record['kbcategoryid']; } foreach ($_cacheContainer as $_knowledgebaseCategoryID => $_knowledgebaseCategoryContainer) { if (!isset($_knowledgebaseCategoryContainer['childrenidlist'])) { $_cacheContainer[$_knowledgebaseCategoryID]['childrenidlist'] = array(); } if (isset($_parentMap[$_knowledgebaseCategoryID])) { $_cacheContainer[$_knowledgebaseCategoryID]['childrenidlist'] = $_parentMap[$_knowledgebaseCategoryID]; } } $_SWIFT->Cache->Update('kbcategorycache', $_cacheContainer); return true; }  static protected function RecountKBTree($_parentKBCategoryIDList, &$_processedKBCategoryIDList) { $_SWIFT = SWIFT::GetInstance(); if ($_SWIFT->Settings->Get('kb_parcount') != '1') { $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'kbcategories', array('totalarticles' => '0'), 'UPDATE', "1 = 1"); return 0; } $_totalArticleCount = 0; foreach ($_parentKBCategoryIDList as $_knowledgebaseCategoryID) { $_activeCategoryCountContainer = $_SWIFT->Database->QueryFetch("SELECT COUNT(*) AS totalitems, kbarticlelinks.linktype, kbarticlelinks.linktypeid
				FROM " . TABLE_PREFIX . "kbarticlelinks AS kbarticlelinks
				LEFT JOIN " . TABLE_PREFIX . "kbarticles AS kbarticles ON (kbarticlelinks.kbarticleid = kbarticles.kbarticleid)
				WHERE kbarticles.articlestatus = '" . SWIFT_KnowledgebaseArticle::STATUS_PUBLISHED . "'
				GROUP BY kbarticlelinks.linktypeid HAVING kbarticlelinks.linktype = '" . intval(SWIFT_KnowledgebaseArticleLink::LINKTYPE_CATEGORY) . "'
					AND kbarticlelinks.linktypeid = '" . intval($_knowledgebaseCategoryID) . "'");  if (!in_array($_knowledgebaseCategoryID, $_parentKBCategoryIDList) && in_array($_knowledgebaseCategoryID, $_processedKBCategoryIDList)) { return 0; } $_processedKBCategoryIDList[] = $_knowledgebaseCategoryID; $_subCategoryIDList = array(); $_SWIFT->Database->Query("SELECT kbcategoryid FROM " . TABLE_PREFIX . "kbcategories WHERE parentkbcategoryid = '" . intval($_knowledgebaseCategoryID) . "'"); while ($_SWIFT->Database->NextRecord()) { $_subCategoryIDList[] = $_SWIFT->Database->Record['kbcategoryid']; } $_articleCount = self::RecountKBTree($_subCategoryIDList, $_processedKBCategoryIDList) + $_activeCategoryCountContainer['totalitems']; $_totalArticleCount += $_articleCount; $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'kbcategories', array('totalarticles' => $_articleCount), 'UPDATE', "kbcategoryid = '" . intval($_knowledgebaseCategoryID) . "'"); } return $_totalArticleCount; }  static public function RetrieveTree($_categoryTypeList, $_staffGroupID = 0, $_userGroupID = 0) { $_SWIFT = SWIFT::GetInstance(); $_knowledgebaseCategoryContainer = array(); $_filterUserKBCategoryIDList = $_filterStaffKBCategoryIDList = false; if (!empty($_userGroupID)) { $_filterUserKBCategoryIDList = SWIFT_UserGroupAssign::RetrieveListOnUserGroup($_userGroupID, SWIFT_UserGroupAssign::TYPE_KBCATEGORY); } if (!empty($_staffGroupID)) { $_filterStaffKBCategoryIDList = SWIFT_StaffGroupLink::RetrieveListFromCacheOnStaffGroup(SWIFT_StaffGroupLink::TYPE_KBCATEGORY, $_staffGroupID); } $_knowledgebaseCategoryContainer = self::RetrieveTreeSub(0, $_categoryTypeList, $_filterUserKBCategoryIDList, $_filterStaffKBCategoryIDList); return $_knowledgebaseCategoryContainer; }  static protected function RetrieveTreeSub($_parentCategoryID, $_categoryTypeList, $_filterUserKBCategoryIDList, $_filterStaffKBCategoryIDList) { $_SWIFT = SWIFT::GetInstance(); $_knowledgebaseCategoryContainer = array('subcategories' => array(), 'articles' => array()); $_sortOrder = 'DESC'; if ($_SWIFT->Settings->Get('kb_catorder') == '1') { $_sortOrder = 'ASC'; } $_sortField = 'displayorder'; if ($_SWIFT->Settings->Get('kb_catdisplayorder') == '2') { $_sortField = 'title'; } else if ($_SWIFT->Settings->Get('kb_catdisplayorder') == '3') { $_sortField = 'kbcategoryid'; } $_finalKnowledgebaseCategoryIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "kbcategories AS kbcategories
			WHERE kbcategories.categorytype IN (" . BuildIN($_categoryTypeList) . ")
				AND kbcategories.parentkbcategoryid = '" . intval($_parentCategoryID) . "'
				" . IIF(is_array($_filterUserKBCategoryIDList), "AND (kbcategories.uservisibilitycustom = '0' OR (kbcategories.uservisibilitycustom = '1' AND kbcategories.kbcategoryid IN (" . BuildIN($_filterUserKBCategoryIDList) . ")))") . "
				" . IIF(is_array($_filterStaffKBCategoryIDList), "AND (kbcategories.staffvisibilitycustom = '0' OR (kbcategories.staffvisibilitycustom = '1' AND kbcategories.kbcategoryid IN (" . BuildIN($_filterStaffKBCategoryIDList) . ")))") . "
			ORDER BY kbcategories." . $_sortField . " " . $_sortOrder); while ($_SWIFT->Database->NextRecord()) { $_knowledgebaseCategoryContainer['subcategories'][$_SWIFT->Database->Record['kbcategoryid']] = $_SWIFT->Database->Record; } $_finalKnowledgebaseCategoryIDList[] = $_parentCategoryID; $_SWIFT->Database->Query("SELECT kbarticlelinks.linktypeid, kbarticles.* FROM " . TABLE_PREFIX . "kbarticlelinks AS kbarticlelinks
			LEFT JOIN " . TABLE_PREFIX . "kbarticles AS kbarticles ON (kbarticles.kbarticleid = kbarticlelinks.kbarticleid)
			WHERE kbarticlelinks.linktype = '" . intval(SWIFT_KnowledgebaseArticleLink::LINKTYPE_CATEGORY) . "' AND kbarticlelinks.linktypeid = '" . intval($_parentCategoryID) . "'
				AND kbarticles.articlestatus = '" . SWIFT_KnowledgebaseArticle::STATUS_PUBLISHED . "'"); while ($_SWIFT->Database->NextRecord()) { $_SWIFT->Database->Record['seosubject'] = htmlspecialchars(str_replace(' ', '-', CleanURL($_SWIFT->Database->Record['subject']))); $_knowledgebaseCategoryContainer['articles'][$_SWIFT->Database->Record['kbarticleid']] = $_SWIFT->Database->Record; } foreach ($_knowledgebaseCategoryContainer['subcategories'] as $_knowledgebaseCategoryID => $_knowledgebaseCategory) { $_knowledgebaseCategoryContainer['subcategories'][$_knowledgebaseCategoryID] = array_merge($_knowledgebaseCategory, self::RetrieveTreeSub($_knowledgebaseCategoryID, $_categoryTypeList, $_filterUserKBCategoryIDList, $_filterStaffKBCategoryIDList)); } return $_knowledgebaseCategoryContainer; }  static public function RetrieveSubCategoryIDListExtended($_categoryTypeList, $_parentCategoryIDList, $_staffGroupID = 0, $_userGroupID = 0) { $_SWIFT = SWIFT::GetInstance(); $_filterUserKBCategoryIDList = $_filterStaffKBCategoryIDList = false; if (!empty($_userGroupID)) { $_filterUserKBCategoryIDList = SWIFT_UserGroupAssign::RetrieveListOnUserGroup($_userGroupID, SWIFT_UserGroupAssign::TYPE_KBCATEGORY); } if (!empty($_staffGroupID)) { $_filterStaffKBCategoryIDList = SWIFT_StaffGroupLink::RetrieveListFromCacheOnStaffGroup(SWIFT_StaffGroupLink::TYPE_KBCATEGORY, $_staffGroupID); } $_knowledgebaseCategoryIDList = self::RetrieveSubCategoryIDListLoop($_parentCategoryIDList, $_categoryTypeList, $_filterUserKBCategoryIDList, $_filterStaffKBCategoryIDList); return $_knowledgebaseCategoryIDList; }  static protected function RetrieveSubCategoryIDListLoop($_parentCategoryIDList, $_categoryTypeList, $_filterUserKBCategoryIDList, $_filterStaffKBCategoryIDList) { $_SWIFT = SWIFT::GetInstance(); $_sortOrder = 'DESC'; if ($_SWIFT->Settings->Get('kb_catorder') == '1') { $_sortOrder = 'ASC'; } $_sortField = 'displayorder'; if ($_SWIFT->Settings->Get('kb_catdisplayorder') == '2') { $_sortField = 'title'; } else if ($_SWIFT->Settings->Get('kb_catdisplayorder') == '3') { $_sortField = 'kbcategoryid'; } $_finalKnowledgebaseCategoryIDList = array(); $_SWIFT->Database->Query("SELECT kbcategoryid FROM " . TABLE_PREFIX . "kbcategories AS kbcategories
			WHERE kbcategories.categorytype IN (" . BuildIN($_categoryTypeList) . ")
				AND kbcategories.parentkbcategoryid IN (" . BuildIN($_parentCategoryIDList) . ")
				" . IIF(is_array($_filterUserKBCategoryIDList), "AND (kbcategories.uservisibilitycustom = '0' OR (kbcategories.uservisibilitycustom = '1' AND kbcategories.kbcategoryid IN (" . BuildIN($_filterUserKBCategoryIDList) . ")))") . "
				" . IIF(is_array($_filterStaffKBCategoryIDList), "AND (kbcategories.staffvisibilitycustom = '0' OR (kbcategories.staffvisibilitycustom = '1' AND kbcategories.kbcategoryid IN (" . BuildIN($_filterStaffKBCategoryIDList) . ")))") . "
			ORDER BY kbcategories." . $_sortField . " " . $_sortOrder); while ($_SWIFT->Database->NextRecord()) { $_finalKnowledgebaseCategoryIDList[] = $_SWIFT->Database->Record['kbcategoryid']; } if (count($_finalKnowledgebaseCategoryIDList)) { $_finalKnowledgebaseCategoryIDList = array_merge($_finalKnowledgebaseCategoryIDList, self::RetrieveSubCategoryIDListLoop($_finalKnowledgebaseCategoryIDList, $_categoryTypeList, $_filterUserKBCategoryIDList, $_filterStaffKBCategoryIDList)); } return $_finalKnowledgebaseCategoryIDList; }  static public function Retrieve($_categoryTypeList, $_parentCategoryID = 0, $_staffGroupID = 0, $_userGroupID = 0, $_retrieveArticles = true) { $_SWIFT = SWIFT::GetInstance(); $_knowledgebaseCategoryCache = $_SWIFT->Cache->Get('kbcategorycache'); $_knowledgebaseCategoryContainer = array(); $_filterUserKBCategoryIDList = $_filterStaffKBCategoryIDList = false; if (!empty($_userGroupID)) { $_filterUserKBCategoryIDList = SWIFT_UserGroupAssign::RetrieveListOnUserGroup($_userGroupID, SWIFT_UserGroupAssign::TYPE_KBCATEGORY); } if (!empty($_staffGroupID)) { $_filterStaffKBCategoryIDList = SWIFT_StaffGroupLink::RetrieveListFromCacheOnStaffGroup(SWIFT_StaffGroupLink::TYPE_KBCATEGORY, $_staffGroupID); } $_kbCategoryContainer = array(); $_sortOrder = 'DESC'; if ($_SWIFT->Settings->Get('kb_catorder') == '1') { $_sortOrder = 'ASC'; } $_sortField = 'displayorder'; if ($_SWIFT->Settings->Get('kb_catdisplayorder') == '2') { $_sortField = 'title'; } else if ($_SWIFT->Settings->Get('kb_catdisplayorder') == '3') { $_sortField = 'kbcategoryid'; } $_finalKnowledgebaseCategoryIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "kbcategories AS kbcategories
			WHERE kbcategories.categorytype IN (" . BuildIN($_categoryTypeList) . ")
				AND kbcategories.parentkbcategoryid = '" . intval($_parentCategoryID) . "'
				" . IIF(is_array($_filterUserKBCategoryIDList), "AND (kbcategories.uservisibilitycustom = '0' OR (kbcategories.uservisibilitycustom = '1' AND kbcategories.kbcategoryid IN (" . BuildIN($_filterUserKBCategoryIDList) . ")))") . "
				" . IIF(is_array($_filterStaffKBCategoryIDList), "AND (kbcategories.staffvisibilitycustom = '0' OR (kbcategories.staffvisibilitycustom = '1' AND kbcategories.kbcategoryid IN (" . BuildIN($_filterStaffKBCategoryIDList) . ")))") . "
			ORDER BY kbcategories." . $_sortField . " " . $_sortOrder); while ($_SWIFT->Database->NextRecord()) { $_kbCategoryContainer[$_SWIFT->Database->Record['kbcategoryid']] = $_SWIFT->Database->Record; $_finalKnowledgebaseCategoryIDList[] = $_SWIFT->Database->Record['kbcategoryid']; } $_returnTotalKnowledgebaseCategoryIDList = $_finalKnowledgebaseCategoryIDList; foreach ($_kbCategoryContainer as $_kbCategoryID => $_kbCategory) { $_knowledgebaseCategoryContainer[$_kbCategoryID] = $_kbCategory; $_knowledgebaseCategoryContainer[$_kbCategoryID]['articles'] = array(); $_knowledgebaseCategoryContainer[$_kbCategoryID]['subcategoryidlist'] = array(); if ($_SWIFT->Settings->Get('kb_parcount') == '1') { $_filterResult = self::FilterTotalArticles($_categoryTypeList, array($_kbCategory['kbcategoryid']), $_filterUserKBCategoryIDList, $_filterStaffKBCategoryIDList); $_knowledgebaseCategoryContainer[$_kbCategoryID]['subcategoryidlist'] = $_filterResult[1]; $_returnTotalKnowledgebaseCategoryIDList = array_merge($_returnTotalKnowledgebaseCategoryIDList, $_filterResult[1]); $_knowledgebaseCategoryContainer[$_kbCategoryID]['totalarticles'] = $_filterResult[0]; } else { $_knowledgebaseCategoryContainer[$_kbCategoryID]['totalarticles'] = '0'; } $_knowledgebaseCategoryContainer[$_kbCategoryID]['seotitle'] = str_replace(' ', '-', CleanURL($_kbCategory['title'])); $_knowledgebaseCategoryContainer[$_kbCategoryID]['title'] = htmlspecialchars($_kbCategory['title']); if ($_retrieveArticles && intval($_SWIFT->Settings->Get('kb_maxcatarticles')) > 0) { $_fetchCategoryIDList = $_knowledgebaseCategoryContainer[$_kbCategoryID]['subcategoryidlist']; $_fetchCategoryIDList[] = $_kbCategoryID; $_SWIFT->Database->QueryLimit("SELECT kbarticlelinks.linktypeid, kbarticles.* FROM " . TABLE_PREFIX . "kbarticlelinks AS kbarticlelinks
					LEFT JOIN " . TABLE_PREFIX . "kbarticles AS kbarticles ON (kbarticles.kbarticleid = kbarticlelinks.kbarticleid)
					WHERE kbarticlelinks.linktype = '" . intval(SWIFT_KnowledgebaseArticleLink::LINKTYPE_CATEGORY) . "' AND kbarticlelinks.linktypeid IN (" . BuildIN($_fetchCategoryIDList) . ")
						AND kbarticles.articlestatus = '" . SWIFT_KnowledgebaseArticle::STATUS_PUBLISHED . "'", $_SWIFT->Settings->Get('kb_maxcatarticles')); while ($_SWIFT->Database->NextRecord()) { $_SWIFT->Database->Record['seosubject'] = htmlspecialchars(str_replace(' ', '-', CleanURL($_SWIFT->Database->Record['subject']))); $_knowledgebaseCategoryContainer[$_kbCategoryID]['articles'][$_SWIFT->Database->Record['kbarticleid']] = $_SWIFT->Database->Record; $_knowledgebaseCategoryContainer[$_kbCategoryID]['articles'][$_SWIFT->Database->Record['kbarticleid']]['subject'] = htmlspecialchars($_SWIFT->Database->Record['subject']); } } } return array($_knowledgebaseCategoryContainer, $_returnTotalKnowledgebaseCategoryIDList); }  static public function FilterTotalArticles($_categoryTypeList, $_parentCategoryIDList = array(), $_filterUserKBCategoryIDList = array(), $_filterStaffKBCategoryIDList = array()) { $_SWIFT = SWIFT::GetInstance(); $_kbCategoryCache = $_SWIFT->Cache->Get('kbcategorycache'); $_totalArticles = 0; $_dispatchParentKBCategoryIDList = $_returnTotalKnowledgebaseCategoryIDList = array(); $_SWIFT->Database->Query("SELECT kbcategories.kbcategoryid, kbcategories.totalarticles FROM " . TABLE_PREFIX . "kbcategories AS kbcategories
			WHERE kbcategories.categorytype IN (" . BuildIN($_categoryTypeList) . ")
				AND kbcategories.parentkbcategoryid IN (" . BuildIN($_parentCategoryIDList) . ")
				" . IIF(is_array($_filterUserKBCategoryIDList), "AND (kbcategories.uservisibilitycustom = '0' OR (kbcategories.uservisibilitycustom = '1' AND kbcategories.kbcategoryid IN (" . BuildIN($_filterUserKBCategoryIDList) . ")))") . "
				" . IIF(is_array($_filterStaffKBCategoryIDList), "AND (kbcategories.staffvisibilitycustom = '0' OR (kbcategories.staffvisibilitycustom = '1' AND kbcategories.kbcategoryid IN (" . BuildIN($_filterStaffKBCategoryIDList) . ")))") . "
			ORDER BY kbcategories.displayorder ASC"); while ($_SWIFT->Database->NextRecord()) { $_dispatchParentKBCategoryIDList[] = $_SWIFT->Database->Record['kbcategoryid']; } $_returnTotalKnowledgebaseCategoryIDList = $_dispatchParentKBCategoryIDList; if (count($_parentCategoryIDList)) { $_parentCountContainer = $_SWIFT->Database->QueryFetch("SELECT COUNT(*) AS totalitems FROM " . TABLE_PREFIX . "kbarticlelinks AS kbarticlelinks
				LEFT JOIN " . TABLE_PREFIX . "kbarticles AS kbarticles ON (kbarticles.kbarticleid = kbarticlelinks.kbarticleid)
				WHERE kbarticlelinks.linktype = '" . SWIFT_KnowledgebaseArticleLink::LINKTYPE_CATEGORY . "' AND kbarticlelinks.linktypeid IN (" . BuildIN($_parentCategoryIDList) . ")
					AND kbarticles.articlestatus = '" . SWIFT_KnowledgebaseArticle::STATUS_PUBLISHED . "'"); $_totalArticles += intval($_parentCountContainer['totalitems']); } if (count($_dispatchParentKBCategoryIDList)) { $_filterResult = self::FilterTotalArticles($_categoryTypeList, $_dispatchParentKBCategoryIDList, $_filterUserKBCategoryIDList, $_filterStaffKBCategoryIDList); $_totalArticles += $_filterResult[0]; $_returnTotalKnowledgebaseCategoryIDList = array_merge($_returnTotalKnowledgebaseCategoryIDList, $_filterResult[1]); } return array($_totalArticles, $_returnTotalKnowledgebaseCategoryIDList); }  public function IsParentCategoryOfType($_categoryTypeList) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!_is_array($_categoryTypeList) || $this->GetProperty('categorytype') != self::TYPE_INHERIT) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); }  if ($this->GetProperty('parentkbcategoryid') == '0') { return true; } return self::IsParentCategoryOfTypeLoop($this->GetProperty('parentkbcategoryid'), $_categoryTypeList); }  static protected function IsParentCategoryOfTypeLoop($_parentCategoryID, $_categoryTypeList) { $_SWIFT = SWIFT::GetInstance(); if ($_parentCategoryID == '0') { return false; } if (isset(self::$_parentCategoryTypeCache[$_parentCategoryID]) && in_array(self::$_parentCategoryTypeCache[$_parentCategoryID], $_categoryTypeList)) { return true; } $_knowledgebaseCategoryContainer = $_SWIFT->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "kbcategories WHERE kbcategoryid = '" . intval($_parentCategoryID) . "'"); if (!isset($_knowledgebaseCategoryContainer['kbcategoryid']) || empty($_knowledgebaseCategoryContainer['kbcategoryid'])) { return false; } if (in_array($_knowledgebaseCategoryContainer['categorytype'], $_categoryTypeList)) { self::$_parentCategoryTypeCache[$_parentCategoryID] = $_knowledgebaseCategoryContainer['categorytype']; return true; } if ($_knowledgebaseCategoryContainer['parentkbcategoryid'] == '0') { return false; } return self::IsParentCategoryOfTypeLoop($_knowledgebaseCategoryContainer['parentkbcategoryid'], $_categoryTypeList); }  static function RetrieveParentCategoryList($_categoryID, $_categoryTypeList, $_userGroupID = 0) { $_SWIFT = SWIFT::GetInstance(); $_filterUserKBCategoryIDList = $_knowledgebaseCategoryContainer = array(); if (!empty($_userGroupID)) { $_filterUserKBCategoryIDList = SWIFT_UserGroupAssign::RetrieveListOnUserGroup($_userGroupID, SWIFT_UserGroupAssign::TYPE_KBCATEGORY); } $_finalKnowledgebaseCategoryIDList = array(); $_knowledgebaseCategoryContainer = $_SWIFT->Database->QueryFetch("SELECT kbcategoryid, parentkbcategoryid, title FROM " . TABLE_PREFIX . "kbcategories AS kbcategories
			WHERE kbcategories.categorytype IN (" . BuildIN($_categoryTypeList) . ")
				AND kbcategories.kbcategoryid = '" . intval($_categoryID) . "'
				" . IIF(is_array($_filterUserKBCategoryIDList), " AND (kbcategories.uservisibilitycustom = '0' OR (kbcategories.uservisibilitycustom = '1' AND kbcategories.kbcategoryid IN (" . BuildIN($_filterUserKBCategoryIDList) . ")))") ); if (isset($_knowledgebaseCategoryContainer['parentkbcategoryid']) && !empty($_knowledgebaseCategoryContainer['parentkbcategoryid'])) { $_finalKnowledgebaseCategoryIDList = self::RetrieveParentCategoryList($_knowledgebaseCategoryContainer['parentkbcategoryid'], $_categoryTypeList, $_userGroupID); } $_finalKnowledgebaseCategoryIDList[$_knowledgebaseCategoryContainer['kbcategoryid']] = htmlspecialchars($_knowledgebaseCategoryContainer['title']); return $_finalKnowledgebaseCategoryIDList; } } ?>