<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ChatQueue extends SWIFT_Model { private $_SWIFT_ChatObject;  const MESSAGE_CLIENT = 1; const MESSAGE_STAFF = 2; const MESSAGE_SYSTEM = 3;  const SUBMIT_STAFF = 1; const SUBMIT_CLIENT = 2; const SUBMIT_SYSTEM = 3;  const CHATACTION_SYSTEM = 'systemmsg'; const CHATACTION_SYSTEMMESSAGE = 'systemmsg'; const CHATACTION_MESSAGE = 'message'; const CHATACTION_TEXT = 'text'; const CHATACTION_URL = 'url'; const CHATACTION_IMAGE = 'image'; const CHATACTION_CODE = 'code'; const CHATACTION_CHATLEAVE = 'leave'; const CHATACTION_CHATENTER = 'enter'; const CHATACTION_CHATJOIN = 'join'; const CHATACTION_CHATREFUSE = 'refuse'; const CHATACTION_TYPING = 'typing'; const CHATACTION_CALL = 'call'; const CHATACTION_ONSITE = 'onsite'; const CHATACTION_UPLOADEDIMAGE = 'uploadedimage'; const CHATACTION_FILE = 'file'; const CHATACTION_OBSERVE = 'observe';  public function __construct(SWIFT_Chat $_SWIFT_ChatObject) { if (!$_SWIFT_ChatObject->GetIsClassLoaded()) { throw new SWIFT_Chat_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_SWIFT_ChatObject = $_SWIFT_ChatObject; parent::__construct(); return true; }  public function __destruct() { parent::__destruct(); return true; }  static public function GenerateGUID() { return strtoupper(substr(BuildHash(), 0, 8).'-'.substr(BuildHash(), 0, 4).'-'.substr(BuildHash(), 0, 4).'-'.substr(BuildHash(), 0, 4).'-'.substr(BuildHash(), 0, 12)); }  static public function IsValidMessageType($_msgType) { if ($_msgType != self::MESSAGE_CLIENT && $_msgType != self::MESSAGE_STAFF) { return false; } return true; }  public function IsValidChatObject() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Chat_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!$this->_SWIFT_ChatObject instanceof SWIFT_Chat || !$this->_SWIFT_ChatObject->GetIsClassLoaded()) { throw new SWIFT_Chat_Exception(SWIFT_INVALIDDATA); return false; } return true; }  public function AddMessageToQueue($_msgType, $_submitType, $_message, $_doBase64 = false, $_msgTimestamp = false) { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded() || !$this->IsValidChatObject()) { throw new SWIFT_Chat_Exception(SWIFT_CLASSNOTLOADED); return false; } $_finalTimestamp = DATENOW; if (!empty($_msgTimestamp)) { $_finalTimestamp = $_msgTimestamp; } $_msgArray = array('type' => self::CHATACTION_MESSAGE, 'contents' => $_message, "base64" => $_doBase64, 'timestamp' => $_finalTimestamp); if ($_msgType == self::MESSAGE_STAFF) { $_fullName = $_SWIFT->Staff->GetProperty('fullname'); } else { $_fullName = $this->_SWIFT_ChatObject->GetProperty('userfullname'); } $_chatChildList = $this->_SWIFT_ChatObject->GetChatChildList(); if (_is_array($_chatChildList)) { foreach ($_chatChildList as $_key => $_val) { if ($_msgType == self::MESSAGE_STAFF && $_val['staffid'] == $_SWIFT->Staff->GetStaffID()) {  } else if (isset($_val['staffid']) && isset($_val['chatchildid']) && !empty($_val['chatchildid']) && !empty($_val['staffid'])) { $this->Insert($_val['chatchildid'], $_val['staffid'], $_fullName, serialize($_msgArray), self::CHATACTION_MESSAGE, self::GenerateGUID(), $_submitType); } } }  if ($_msgType == self::MESSAGE_STAFF && $this->_SWIFT_ChatObject->GetProperty('chattype') == SWIFT_Chat::CHATTYPE_CLIENT) { $this->Insert('0', $_SWIFT->Staff->GetStaffID(), $_fullName, serialize($_msgArray), self::CHATACTION_MESSAGE, self::GenerateGUID(), $_submitType); } $this->_SWIFT_ChatObject->UpdateLastPostActivity($_submitType); $this->_SWIFT_ChatObject->AppendChatData($_msgType, $_submitType, $_fullName, $_message, $_doBase64, self::CHATACTION_MESSAGE); return true; }  public function AddActionToQueue($_submitType, $_actionType, $_data, $_ignoreCustomerAddition = false, $_onlyForObservers = false) { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded() || !$this->IsValidChatObject()) { throw new SWIFT_Chat_Exception(SWIFT_CLASSNOTLOADED); return false; } $_msgArray = array('type' => $_actionType, 'contents' => $_data); $_fullName = ''; $_chatChildList = $this->_SWIFT_ChatObject->GetChatChildList(); if (!$_chatChildList) { return false; } $_staffID = 0; if (isset($_SWIFT->Staff) && $_SWIFT->Staff instanceof SWIFT_Staff && $_SWIFT->Staff->GetIsClassLoaded()) { $_staffID = $_SWIFT->Staff->GetStaffID();  $_fullName = $_SWIFT->Staff->GetProperty('fullname'); } foreach ($_chatChildList as $_key => $_val) {  if ($_val['staffid'] == $_staffID && ($_actionType == self::CHATACTION_CHATLEAVE || $_actionType == self::CHATACTION_CHATENTER || $_actionType == self::CHATACTION_TYPING || $_actionType == self::CHATACTION_URL || $_actionType == self::CHATACTION_CODE || $_actionType == self::CHATACTION_IMAGE || $_actionType == self::CHATACTION_UPLOADEDIMAGE)) {  continue;  } else if ($this->_SWIFT_ChatObject->GetProperty('chattype') == SWIFT_Chat::CHATTYPE_STAFF && $_val['staffid'] == $_staffID && $this->_SWIFT_ChatObject->GetProperty('creatorstaffid') == $_staffID) {  } else { if ($this->_SWIFT_ChatObject->GetProperty('chattype') == SWIFT_Chat::CHATTYPE_CLIENT && $_submitType == self::SUBMIT_CLIENT) { $_fullName = $this->_SWIFT_ChatObject->GetProperty('userfullname'); } if (!$_onlyForObservers || ($_onlyForObservers == true && $_val['isobserver'] == '1')) { $this->Insert($_val['chatchildid'], $_staffID, $_fullName, serialize($_msgArray), $_actionType, self::GenerateGUID(), $_submitType); } } }  if ($this->_SWIFT_ChatObject->GetProperty('chattype') == SWIFT_Chat::CHATTYPE_CLIENT && $_submitType == self::SUBMIT_STAFF && !$_ignoreCustomerAddition && !$_onlyForObservers) { $this->Insert('0', $_staffID, $_fullName, serialize($_msgArray), $_actionType, self::GenerateGUID(), $_submitType); } $this->_SWIFT_ChatObject->UpdateLastPostActivity($_submitType); $this->_SWIFT_ChatObject->AppendChatData(IIF($_submitType==self::SUBMIT_STAFF, self::MESSAGE_STAFF, self::MESSAGE_CLIENT), $_submitType, $_fullName, $_data, false, $_actionType); return true; }  public function AddChatChildActionToQueue($_chatChildID, $_actionType, $_data) { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded() || !$this->IsValidChatObject()) { throw new SWIFT_Chat_Exception(SWIFT_CLASSNOTLOADED); return false; } $_msgArray = array('type' => $_actionType, 'contents' => $_data); $_fullName = $_SWIFT->Staff->GetProperty('fullname'); $this->Insert($_val['chatchildid'], $_SWIFT->Staff->GetStaffID(), $_fullName, serialize($_msgArray), $_actionType, self::GenerateGUID(), self::SUBMIT_STAFF); }  public function Insert($_chatChildID, $_staffID, $_name, $_contents, $_msgType, $_guid, $_submitType) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Chat_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!self::IsValidMessageType($_submitType)) { throw new SWIFT_Chat_Exception(SWIFT_INVALIDDATA); return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'messagequeue', array('chatobjectid' => $this->_SWIFT_ChatObject->GetChatObjectID(), 'chatchildid' => $_chatChildID, 'staffid' => intval($_staffID), 'dateline' => DATENOW, 'name' => $_name, 'contents' => $_contents, 'msgtype' => $_msgType, 'guid' => $_guid, 'submittype' => $_submitType), 'INSERT'); $_messageQueueID = $this->Database->Insert_ID(); return $_messageQueueID; }  static public function DeleteGUID($_guidList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_guidList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "messagequeue WHERE guid IN (" . BuildIN($_guidList) . ")"); return true; }  public function GetMessageQueue($_chatChildID = 0) { if (!$this->GetIsClassLoaded() || !$this->IsValidChatObject()) { throw new SWIFT_Chat_Exception(SWIFT_CLASSNOTLOADED); return false; } $_messageQueueContainer = array(); $this->Database->Query("SELECT * FROM " . TABLE_PREFIX . "messagequeue WHERE chatchildid = '" . intval($_chatChildID) . "' AND chatobjectid = '" . $this->_SWIFT_ChatObject->GetChatObjectID() . "' ORDER BY dateline ASC"); while ($this->Database->NextRecord()) { $_messageQueueContainer[$this->Database->Record['messagequeueid']] = $this->Database->Record; } return $_messageQueueContainer; }  public function DeleteMessageQueue($_messageQueueIDList) { if (!$this->GetIsClassLoaded() || !$this->IsValidChatObject()) { throw new SWIFT_Chat_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!_is_array($_messageQueueIDList)) { return false; } $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "messagequeue WHERE messagequeueid IN (" . BuildIN($_messageQueueIDList) . ")"); return true; }  static public function Cleanup() { $_SWIFT = SWIFT::GetInstance(); $_threshold = DATENOW - 1800; $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "messagequeue WHERE dateline < '" . intval($_threshold) . "'"); return true; } } ?>