<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_NewsSubscriber extends SWIFT_Model { const TABLE_NAME = 'newssubscribers'; const PRIMARY_KEY = 'newssubscriberid'; const TABLE_STRUCTURE = "newssubscriberid I PRIMARY AUTO NOTNULL,
								tgroupid I DEFAULT '0' NOTNULL,
								userid I DEFAULT '0' NOTNULL,
								email C(255) DEFAULT '' NOTNULL,
								dateline I DEFAULT '0' NOTNULL,
								isvalidated I2 DEFAULT '0' NOTNULL,
								usergroupid I2 DEFAULT '0' NOTNULL"; const INDEX_1 = 'tgroupid, isvalidated'; const INDEX_2 = 'email'; const INDEXTYPE_2 = 'UNIQUE'; const INDEX_3 = 'usergroupid, isvalidated'; const INDEX_4 = 'isvalidated'; protected $_dataStore = array();  public function __construct($_newsSubscriberID) { parent::__construct(); if (!$this->LoadData($_newsSubscriberID)) { throw new SWIFT_Subscriber_Exception('Failed to load News Subscriber ID: ' . intval($_newsSubscriberID)); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'newssubscribers', $this->GetUpdatePool(), 'UPDATE', "newssubscriberid = '" . intval($this->GetNewsSubscriberID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetNewsSubscriberID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Subscriber_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['newssubscriberid']; }  protected function LoadData($_newsSubscriberID) { $_dataStore = $this->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "newssubscribers WHERE newssubscriberid = '" . intval($_newsSubscriberID) . "'"); if (isset($_dataStore['newssubscriberid']) && !empty($_dataStore['newssubscriberid'])) { $this->_dataStore = $_dataStore; return true; } return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Subscriber_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Subscriber_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Subscriber_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function Create($_emailAddress, $_isValidated, $_userID = false, $_templateGroupID = false, $_sendEmails = true, $_userGroupID = 0) { $_SWIFT = SWIFT::GetInstance(); $_emailAddress = trim($_emailAddress); if (empty($_emailAddress)) { throw new SWIFT_Subscriber_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'newssubscribers', array('email' => mb_strtolower($_emailAddress), 'isvalidated' => intval($_isValidated), 'userid' => intval($_userID), 'tgroupid' => intval($_templateGroupID), 'dateline' => DATENOW, 'usergroupid' => intval($_userGroupID)), 'INSERT'); $_newsSubscriberID = $_SWIFT->Database->Insert_ID(); if (!$_newsSubscriberID) { throw new SWIFT_Subscriber_Exception(SWIFT_CREATEFAILED); return false; } $_SWIFT_NewsSubscriberObject = new SWIFT_NewsSubscriber($_newsSubscriberID); if (!$_SWIFT_NewsSubscriberObject instanceof SWIFT_NewsSubscriber || !$_SWIFT_NewsSubscriberObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); } if ($_sendEmails) { if ($_isValidated == false) { $_hash = SWIFT_NewsSubscriberHash::Create($_newsSubscriberID); $_SWIFT_NewsSubscriberObject->DispatchValidationEmail($_hash); } else { $_SWIFT_NewsSubscriberObject->DispatchWelcomeEmail(); } } return $_newsSubscriberID; }  public function Update($_emailAddress) { $_emailAddress = trim($_emailAddress); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Subscriber_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_emailAddress)) { throw new SWIFT_Subscriber_Exception(SWIFT_INVALIDDATA); return false; } $this->UpdatePool('email', mb_strtolower($_emailAddress)); $this->ProcessUpdatePool(); return true; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Subscriber_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetNewsSubscriberID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_newsSubscriberIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_newsSubscriberIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "newssubscribers WHERE newssubscriberid IN (" . BuildIN($_newsSubscriberIDList) . ")"); return true; }  static public function IsSubscribed($_emailAddress) { $_SWIFT = SWIFT::GetInstance(); $_emailAddress = trim($_emailAddress); $_subscriberContainer = $_SWIFT->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "newssubscribers WHERE email = '" . $_SWIFT->Database->Escape($_emailAddress) . "'"); if (isset($_subscriberContainer['newssubscriberid'])) { return true; } return false; }  public function DispatchValidationEmail($_hash) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->Load->Library('Mail:Mail');  $this->Language->Queue('default', SWIFT_LanguageEngine::TYPE_DB); $this->Language->Queue('news', SWIFT_LanguageEngine::TYPE_DB); $this->Language->LoadQueue(SWIFT_LanguageEngine::TYPE_DB); $this->Template->Assign('_hash', urlencode($_hash)); $_textEmailContents = $this->Template->Get('email_subscribervalidate_text', SWIFT_TemplateEngine::TYPE_DB); $_htmlEmailContents = $this->Template->Get('email_subscribervalidate_html', SWIFT_TemplateEngine::TYPE_DB); $this->Mail->SetFromField($this->Settings->Get('general_returnemail'), SWIFT::Get('companyname')); $this->Mail->SetToField($this->GetProperty('email')); $this->Mail->SetSubjectField($this->Language->Get('nwvalidatesubscriptionsub')); $this->Mail->SetDataText($_textEmailContents); $this->Mail->SetDataHTML($_htmlEmailContents); $this->Mail->SendMail(); return true; }  public function DispatchWelcomeEmail() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->Load->Library('Mail:Mail');  $this->Language->Queue('default', SWIFT_LanguageEngine::TYPE_DB); $this->Language->Queue('news', SWIFT_LanguageEngine::TYPE_DB); $this->Language->LoadQueue(SWIFT_LanguageEngine::TYPE_DB); $this->Template->Assign('_subscriberEmail', urlencode($this->GetProperty('email'))); $this->Template->Assign('_subscriberID', $this->GetNewsSubscriberID()); $this->Template->Assign('_subscriberHash', substr(md5(SWIFT::Get('installationhash') . $this->GetProperty('email')), 0, 20)); $_textEmailContents = $this->Template->Get('email_subscriberconfirm_text', SWIFT_TemplateEngine::TYPE_DB); $_htmlEmailContents = $this->Template->Get('email_subscriberconfirm_html', SWIFT_TemplateEngine::TYPE_DB); $this->Mail->SetFromField($this->Settings->Get('general_returnemail'), SWIFT::Get('companyname')); $this->Mail->SetToField($this->GetProperty('email')); $this->Mail->SetSubjectField($this->Language->Get('nwsubconfirmsub')); $this->Mail->SetDataText($_textEmailContents); $this->Mail->SetDataHTML($_htmlEmailContents); $this->Mail->SendMail(); return true; }  public function MarkAsValidated() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->UpdatePool('isvalidated', '1'); $this->ProcessUpdatePool(); $this->DispatchWelcomeEmail(); return true; }  static private function GenerateFileName() { return strtolower(SWIFT_PRODUCT) . '.' . str_replace('.', '-', SWIFT_VERSION) . '.' . 'subscribers.xml'; }  static public function Export($_templateGroupID, $_customFileName = '') { $_SWIFT = SWIFT::GetInstance(); $_fileName = $_customFileName; if (empty($_customFileName)) { $_fileName = self::GenerateFileName(); } $_finalTemplateGroupID = 0; $_templateGroupCache = $_SWIFT->Cache->Get('templategroupcache'); if (isset($_templateGroupCache[$_templateGroupID])) { $_finalTemplateGroupID = $_templateGroupID; } $_SWIFT_XMLObject = new SWIFT_XML(); $_SWIFT_XMLObject->AddComment(sprintf($_SWIFT->Language->Get('generationdate'), SWIFT_Date::Get(SWIFT_Date::TYPE_DATETIME, DATENOW))); $_SWIFT_XMLObject->AddParentTag('subscribers'); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "newssubscribers " . IIF(!empty($_finalTemplateGroupID), "WHERE tgroupid = '" . intval($_finalTemplateGroupID) . "'") . " ORDER BY email ASC"); while ($_SWIFT->Database->NextRecord()) { $_SWIFT_XMLObject->AddTag('email', $_SWIFT->Database->Record['email']); } $_SWIFT_XMLObject->EndTag('subscribers'); $_xmlData = $_SWIFT_XMLObject->ReturnXML(); if(isset($_SERVER['HTTP_USER_AGENT']) && preg_match("/MSIE/", $_SERVER['HTTP_USER_AGENT'])) {  ini_set( 'zlib.output_compression','Off' ); } header("Content-Type: application/force-download"); if (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE')){ header("Content-Disposition: attachment; filename=\"". $_fileName ."\""); } else{ header("Content-Disposition: attachment; filename=\"". $_fileName ."\""); } header("Content-Transfer-Encoding: binary\n"); header("Content-Length: ". strlen($_xmlData) ."\n"); echo $_xmlData; return true; }  static public function Import($_emailString) { $_SWIFT = SWIFT::GetInstance(); $_emailList = $_finalEmailList = array(); $_importCount = 0; if (strpos($_emailString, ',')) { $_emailList = explode(',' , $_emailString); } else { $_emailList = array($_emailString); } foreach ($_emailList as $_emailAddress) { $_finalEmail = trim(mb_strtolower($_emailAddress)); if (IsEmailValid($_finalEmail)) { $_finalEmailList[] = $_finalEmail; } } if (!count($_finalEmailList)) { return 0; } $_ignoredEmailList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "newssubscribers WHERE email IN (" . BuildIN($_finalEmailList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_finalEmail = trim(mb_strtolower($_SWIFT->Database->Record['email'])); $_ignoredEmailList[] = $_finalEmail; } foreach ($_finalEmailList as $_emailAddress) { if (in_array($_emailAddress, $_ignoredEmailList)) { continue; } SWIFT_NewsSubscriber::Create($_emailAddress, true, 0, 0, false); $_importCount++; } return $_importCount; } } ?>