<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_TicketNotification extends SWIFT_Library { protected $Ticket = false; static protected $_notificationDispatchCache = array(); protected $_updateContainer = array();  const TYPE_USER = 1; const TYPE_USERORGANIZATION = 2; const TYPE_STAFF = 3; const TYPE_TEAM = 4; const TYPE_DEPARTMENT = 5; const TYPE_CUSTOM = 6; const CONTENT_TEXT = 1; const CONTENT_HTML = 2;  public function __construct(SWIFT_Ticket $_SWIFT_TicketObject) { parent::__construct(); if (!$this->SetTicket($_SWIFT_TicketObject)) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); } return true; }  public function __destruct() { parent::__destruct(); return true; }  protected function SetTicket(SWIFT_Ticket $_SWIFT_TicketObject) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!$_SWIFT_TicketObject instanceof SWIFT_Ticket || !$_SWIFT_TicketObject->GetIsClassLoaded()) { return false; } $this->Ticket = $_SWIFT_TicketObject; return true; }  static public function IsValidType($_notificationType) { if ($_notificationType == self::TYPE_USER || $_notificationType == self::TYPE_USERORGANIZATION || $_notificationType == self::TYPE_STAFF || $_notificationType == self::TYPE_TEAM || $_notificationType == self::TYPE_DEPARTMENT || $_notificationType == self::TYPE_CUSTOM) { return true; } return false; }  public function Update($_title, $_oldValue, $_newValue, $_userOldValue = '', $_userNewValue = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_title)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->_updateContainer[$_title] = array($_oldValue, $_newValue, $_userOldValue, $_userNewValue); return true; }  protected function GetEmailList($_notificationType, $_customEmailList = array()) { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!self::IsValidType($_notificationType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_emailList = array(); switch ($_notificationType) { case self::TYPE_USER: { $_emailList[] = $this->Ticket->GetProperty('email');  if ($this->Ticket->GetProperty('userid') != '0') { $_userEmailList = SWIFT_UserEmail::RetrieveList($this->Ticket->GetProperty('userid')); foreach ($_userEmailList as $_emailAddress) { if (!in_array($_emailAddress, $_emailList)) { $_emailList[] = $_emailAddress; } } } } break; case self::TYPE_USERORGANIZATION: { $_SWIFT_UserOrganizationObject = $this->Ticket->GetUserOrganizationObject(); if ($_SWIFT_UserOrganizationObject instanceof SWIFT_UserOrganization && $_SWIFT_UserOrganizationObject->GetIsClassLoaded()) { $_userIDList = SWIFT_User::GetUserIDListOnOrganization($_SWIFT_UserOrganizationObject->GetUserOrganizationID()); $_userEmailList = SWIFT_UserEmail::RetrieveListOnUserIDList($_userIDList); foreach ($_userEmailList as $_emailAddress) { if (!in_array($_emailAddress, $_emailList)) { $_emailList[] = $_emailAddress; } } } } break; case self::TYPE_STAFF: { if ($this->Ticket->GetProperty('ownerstaffid') != '0') { try { $_SWIFT_StaffObject = new SWIFT_Staff(new SWIFT_DataID($this->Ticket->GetProperty('ownerstaffid'))); if ($_SWIFT_StaffObject instanceof SWIFT_Staff && $_SWIFT_StaffObject->GetIsClassLoaded() && $_SWIFT_StaffObject->GetProperty('isenabled') == '1') { $_emailList[] = $_SWIFT_StaffObject->GetProperty('email'); } } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { return false; } } } break; case self::TYPE_TEAM: { if ($this->Ticket->GetProperty('ownerstaffid') != '0') { try { $_SWIFT_StaffObject = new SWIFT_Staff(new SWIFT_DataID($this->Ticket->GetProperty('ownerstaffid'))); if ($_SWIFT_StaffObject instanceof SWIFT_Staff && $_SWIFT_StaffObject->GetIsClassLoaded()) { $_emailList = SWIFT_Staff::RetrieveEmailOnStaffGroupID($_SWIFT_StaffObject->GetProperty('staffgroupid')); } } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { return false; } } } break; case self::TYPE_DEPARTMENT: { $_staffCache = $_SWIFT->Cache->Get('staffcache'); $_staffIDList = array(); if ($this->Ticket->GetProperty('departmentid') != '0') { $_staffIDList = SWIFT_Department::RetrieveAssignedStaffIDList($this->Ticket->GetProperty('departmentid')); } if (_is_array($_staffIDList)) { foreach ($_staffIDList as $_staffID) { if (isset($_staffCache[$_staffID]) && !in_array($_staffCache[$_staffID]['email'], $_emailList) && $_staffCache[$_staffID]['isenabled'] == '1') { $_emailList[] = $_staffCache[$_staffID]['email']; } } } } break; case self::TYPE_CUSTOM: { return $_customEmailList; } break; default: break; } return array_merge($_emailList, $_customEmailList); }  protected function GetBaseContent($_notificationType) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_departmentCache = $this->Cache->Get('departmentcache'); $_staffCache = $this->Cache->Get('staffcache'); $_ticketTypeCache = $this->Cache->Get('tickettypecache'); $_ticketStatusCache = $this->Cache->Get('statuscache'); $_ticketPriorityCache = $this->Cache->Get('prioritycache'); $_slaPlanCache = $this->Cache->Get('slaplancache'); $_templateGroupCache = $this->Cache->Get('templategroupcache'); $_baseContentsText = $_baseContentsHTML = '';  $_baseContentsText .= $this->Ticket->GetProperty('subject') . SWIFT_CRLF; $_baseContentsText .= str_repeat('-', mb_strlen($this->Ticket->GetProperty('subject'))) . SWIFT_CRLF; $_baseContentsHTML .= $this->Ticket->GetProperty('subject') . '<br />' . SWIFT_CRLF; $_baseContentsHTML .= str_repeat('-', mb_strlen($this->Ticket->GetProperty('subject'))) . '<br />' . SWIFT_CRLF;  $_baseContentsText .= SWIFT_CRLF; $_baseContentsHTML .= '<br />' . SWIFT_CRLF;  $_baseContentsText .= self::GetTitle(self::CONTENT_TEXT, $this->Language->Get('ntitle_ticketid')) . $this->Ticket->GetTicketDisplayID() . SWIFT_CRLF; $_baseContentsHTML .= self::GetTitle(self::CONTENT_HTML, $this->Language->Get('ntitle_ticketid')) . $this->Ticket->GetTicketDisplayID() . '</div>' . SWIFT_CRLF;  $_ticketURL = ''; $_originalBaseName = SWIFT_BASENAME; if (!empty($_originalBaseName)) { $_originalBaseName = '/' . $_originalBaseName; } if ($_notificationType == self::TYPE_USER || $_notificationType == self::TYPE_USERORGANIZATION) { $_ticketURL = StripTrailingSlash(SWIFT::Get('swiftpath')) . $_originalBaseName . $this->Template->GetTemplateGroupPrefix() . '/Tickets/Ticket/View/' . $this->Ticket->GetTicketDisplayID(); } else { $_ticketURL = SWIFT::Get('swiftpath') . 'staff' . $_originalBaseName . '/Tickets/Ticket/View/' . $this->Ticket->GetTicketID(); } $_baseContentsText .= self::GetTitle(self::CONTENT_TEXT, $this->Language->Get('ntitle_url')) . $_ticketURL . SWIFT_CRLF; $_baseContentsHTML .= self::GetTitle(self::CONTENT_HTML, $this->Language->Get('ntitle_url')) . '<a href="' . $_ticketURL . '">' . $_ticketURL . '</a></div>' . SWIFT_CRLF;  $_baseContentsText .= self::GetTitle(self::CONTENT_TEXT, $this->Language->Get('ntitle_fullname')) . $this->Ticket->GetProperty('fullname') . SWIFT_CRLF; $_baseContentsHTML .= self::GetTitle(self::CONTENT_HTML, $this->Language->Get('ntitle_fullname')) . htmlspecialchars($this->Ticket->GetProperty('fullname')) . '</div>' . SWIFT_CRLF; $_baseContentsText .= self::GetTitle(self::CONTENT_TEXT, $this->Language->Get('ntitle_email')) . $this->Ticket->GetProperty('email') . SWIFT_CRLF; $_baseContentsHTML .= self::GetTitle(self::CONTENT_HTML, $this->Language->Get('ntitle_email')) . htmlspecialchars($this->Ticket->GetProperty('email')) . '</div>' . SWIFT_CRLF; if ($this->Ticket->GetProperty('phoneno') != '') { $_baseContentsText .= self::GetTitle(self::CONTENT_TEXT, $this->Language->Get('ntitle_phone')) . $this->Ticket->GetProperty('phoneno') . SWIFT_CRLF; $_baseContentsHTML .= self::GetTitle(self::CONTENT_HTML, $this->Language->Get('ntitle_phone')) . htmlspecialchars($this->Ticket->GetProperty('phoneno')) . '</div>' . SWIFT_CRLF; } $_creatorLabel = $this->Language->Get('nval_user'); if ($this->Ticket->GetProperty('creator') == SWIFT_Ticket::CREATOR_STAFF) { $_creatorLabel = $this->Language->Get('nval_staff'); } $_baseContentsText .= self::GetTitle(self::CONTENT_TEXT, $this->Language->Get('ntitle_creator')) . $_creatorLabel . SWIFT_CRLF; $_baseContentsHTML .= self::GetTitle(self::CONTENT_HTML, $this->Language->Get('ntitle_creator')) . $_creatorLabel . '</div>' . SWIFT_CRLF;  $_departmentID = $this->Ticket->GetProperty('departmentid'); $_departmentTitle = $this->Language->Get('nval_na'); if (isset($_departmentCache[$_departmentID])) { $_departmentTitle = $_departmentCache[$_departmentID]['title']; } else if ($_departmentID == '0') { $_departmentTitle = $this->Language->Get('nval_trash'); } $_baseContentsText .= self::GetTitle(self::CONTENT_TEXT, $this->Language->Get('ntitle_department')) . $_departmentTitle . SWIFT_CRLF; $_baseContentsHTML .= self::GetTitle(self::CONTENT_HTML, $this->Language->Get('ntitle_department')) . htmlspecialchars($_departmentTitle) . '</div>' . SWIFT_CRLF; if ($_notificationType == self::TYPE_USER || $_notificationType == self::TYPE_USERORGANIZATION) { return array($_baseContentsText, $_baseContentsHTML); }  $_ownerStaffID = $this->Ticket->GetProperty('ownerstaffid'); $_ownerTitle = $this->Language->Get('nval_na'); if ($_ownerStaffID == 0) { $_ownerTitle = $this->Language->Get('nval_unassigned'); } else if (isset($_staffCache[$_ownerStaffID])) { $_ownerTitle = $_staffCache[$_ownerStaffID]['fullname']; } $_baseContentsText .= self::GetTitle(self::CONTENT_TEXT, $this->Language->Get('ntitle_owner')) . $_ownerTitle . SWIFT_CRLF; $_baseContentsHTML .= self::GetTitle(self::CONTENT_HTML, $this->Language->Get('ntitle_owner')) . htmlspecialchars($_ownerTitle) . '</div>' . SWIFT_CRLF;  $_ticketTypeID = $this->Ticket->GetProperty('tickettypeid'); $_typeTitle = $this->Language->Get('nval_na'); if (isset($_ticketTypeCache[$_ticketTypeID])) { $_typeTitle = $_ticketTypeCache[$_ticketTypeID]['title']; } $_baseContentsText .= self::GetTitle(self::CONTENT_TEXT, $this->Language->Get('ntitle_type')) . $_typeTitle . SWIFT_CRLF; $_baseContentsHTML .= self::GetTitle(self::CONTENT_HTML, $this->Language->Get('ntitle_type')) . htmlspecialchars($_typeTitle) . '</div>' . SWIFT_CRLF;  $_ticketStatusID = $this->Ticket->GetProperty('ticketstatusid'); $_statusTitle = $this->Language->Get('nval_na'); if (isset($_ticketStatusCache[$_ticketStatusID])) { $_statusTitle = $_ticketStatusCache[$_ticketStatusID]['title']; } $_baseContentsText .= self::GetTitle(self::CONTENT_TEXT, $this->Language->Get('ntitle_status')) . $_statusTitle . SWIFT_CRLF; $_baseContentsHTML .= self::GetTitle(self::CONTENT_HTML, $this->Language->Get('ntitle_status')) . htmlspecialchars($_statusTitle) . '</div>' . SWIFT_CRLF;  $_ticketPriorityID = $this->Ticket->GetProperty('priorityid'); $_priorityTitle = $this->Language->Get('nval_na'); if (isset($_ticketPriorityCache[$_ticketPriorityID])) { $_priorityTitle = $_ticketPriorityCache[$_ticketPriorityID]['title']; } $_baseContentsText .= self::GetTitle(self::CONTENT_TEXT, $this->Language->Get('ntitle_priority')) . $_priorityTitle . SWIFT_CRLF; $_baseContentsHTML .= self::GetTitle(self::CONTENT_HTML, $this->Language->Get('ntitle_priority')) . htmlspecialchars($_priorityTitle) . '</div>' . SWIFT_CRLF;  $_slaPlanID = $this->Ticket->GetProperty('slaplanid'); if (isset($_slaPlanCache[$_slaPlanID])) { $_slaPlanTitle = $_slaPlanCache[$_slaPlanID]['title']; $_baseContentsText .= self::GetTitle(self::CONTENT_TEXT, $this->Language->Get('ntitle_sla')) . $_slaPlanTitle . SWIFT_CRLF; $_baseContentsHTML .= self::GetTitle(self::CONTENT_HTML, $this->Language->Get('ntitle_sla')) . htmlspecialchars($_slaPlanTitle) . '</div>' . SWIFT_CRLF; }  $_templateGroupID = $this->Ticket->GetProperty('tgroupid'); if (isset($_templateGroupCache[$_templateGroupID])) { $_templateGroupTitle = $_templateGroupCache[$_templateGroupID]['title']; $_baseContentsText .= self::GetTitle(self::CONTENT_TEXT, $this->Language->Get('ntitle_tgroup')) . $_templateGroupTitle . SWIFT_CRLF; $_baseContentsHTML .= self::GetTitle(self::CONTENT_HTML, $this->Language->Get('ntitle_tgroup')) . htmlspecialchars($_templateGroupTitle) . '</div>' . SWIFT_CRLF; }  $_createdDate = SWIFT_Date::Get(SWIFT_Date::TYPE_DATETIME, $this->Ticket->GetProperty('dateline')); $_baseContentsText .= self::GetTitle(self::CONTENT_TEXT, $this->Language->Get('ntitle_created')) . $_createdDate . SWIFT_CRLF; $_baseContentsHTML .= self::GetTitle(self::CONTENT_HTML, $this->Language->Get('ntitle_created')) . htmlspecialchars($_createdDate) . '</div>' . SWIFT_CRLF; $_updatedDate = SWIFT_Date::Get(SWIFT_Date::TYPE_DATETIME, $this->Ticket->GetProperty('lastactivity')); $_baseContentsText .= self::GetTitle(self::CONTENT_TEXT, $this->Language->Get('ntitle_updated')) . $_updatedDate . SWIFT_CRLF; $_baseContentsHTML .= self::GetTitle(self::CONTENT_HTML, $this->Language->Get('ntitle_updated')) . htmlspecialchars($_updatedDate) . '</div>' . SWIFT_CRLF;  $_dueDateline = $this->Ticket->GetProperty('duetime'); $_resolutionDueDateline = $this->Ticket->GetProperty('resolutionduedateline'); if ($_dueDateline != '0') { $_dueDate = SWIFT_Date::Get(SWIFT_Date::TYPE_DATETIME, $_dueDateline) . ' ' . IIF($_dueDateline > DATENOW, '(' . SWIFT_Date::ColorTime($_dueDateline - DATENOW, false, true) . ')'); $_baseContentsText .= self::GetTitle(self::CONTENT_TEXT, $this->Language->Get('ntitle_due')) . $_dueDate . SWIFT_CRLF; $_baseContentsHTML .= self::GetTitle(self::CONTENT_HTML, $this->Language->Get('ntitle_due')) . htmlspecialchars($_dueDate) . '</div>' . SWIFT_CRLF; } if ($_resolutionDueDateline != '0') { $_dueDate = SWIFT_Date::Get(SWIFT_Date::TYPE_DATETIME, $_resolutionDueDateline) . ' ' . IIF($_resolutionDueDateline > DATENOW, '(' . SWIFT_Date::ColorTime($_resolutionDueDateline - DATENOW, false, true) . ')'); $_baseContentsText .= self::GetTitle(self::CONTENT_TEXT, $this->Language->Get('ntitle_resolutiondue')) . $_dueDate . SWIFT_CRLF; $_baseContentsHTML .= self::GetTitle(self::CONTENT_HTML, $this->Language->Get('ntitle_resolutiondue')) . htmlspecialchars($_dueDate) . '</div>' . SWIFT_CRLF; }  if ($this->Ticket->GetProperty('hasratings') == '1') { $_ticketRatingContainer = SWIFT_Rating::Retrieve(array(SWIFT_Rating::TYPE_TICKET), false, SWIFT_PUBLIC, $this->Ticket->GetProperty('departmentid')); $_ticketRatingIDList = array_keys($_ticketRatingContainer); $_ticketRatingResultContainer = SWIFT_RatingResult::Retrieve($_ticketRatingIDList, array($this->Ticket->GetTicketID())); if (count($_ticketRatingResultContainer)) { $_baseContentsText .= SWIFT_CRLF; $_baseContentsHTML .= '<br />' . SWIFT_CRLF; } foreach ($_ticketRatingResultContainer as $_ratingID => $_ratingResultContainer) { if (!isset($_ratingResultContainer[$this->Ticket->GetTicketID()])) { continue; } $_ratingResult = $_ratingResultContainer[$this->Ticket->GetTicketID()]; if (!isset($_ticketRatingContainer[$_ratingResult['ratingid']])) { continue; } $_ratingContainer = $_ticketRatingContainer[$_ratingResult['ratingid']]; $_baseContentsText .= self::GetTitle(self::CONTENT_TEXT, $_ratingContainer['ratingtitle']) . ': ' . $_ratingResult['ratingresult'] . '/' . $_ratingContainer['ratingscale'] . SWIFT_CRLF; $_baseContentsHTML .= self::GetTitle(self::CONTENT_HTML, $_ratingContainer['ratingtitle']) . ': ' . $_ratingResult['ratingresult'] . '/' . $_ratingContainer['ratingscale'] . '</div>' . SWIFT_CRLF; } } return array($_baseContentsText, $_baseContentsHTML); }  static protected function GetTitle($_contentType, $_title) { $_baseLine = 22; $_extendLength = ($_baseLine - mb_strlen(StripName($_title, 18))); if ($_extendLength <= 0) { return $_title; } if ($_contentType == self::CONTENT_TEXT) { return str_repeat(' ', $_extendLength) . $_title; } else if ($_contentType == self::CONTENT_HTML) { return '<div style="margin-left: 40px;">' . $_title; } return false; }  protected function Prepare($_notificationType, $_notificationContents = '') { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; }  $_templateGroupCache = $this->Cache->Get('templategroupcache'); $_ticketTemplateGroupID = $this->Ticket->GetProperty('tgroupid'); if (!empty($_ticketTemplateGroupID) && isset($_templateGroupCache[$_ticketTemplateGroupID])) { $this->Template->SetTemplateGroupID($_ticketTemplateGroupID); }  $_baseContentContainer = $this->GetBaseContent($_notificationType); $_baseContentsText = $_baseContentContainer[0]; $_baseContentsHTML = $_baseContentContainer[1];  if (!empty($_notificationContents)) { $_baseContentsText .= SWIFT_CRLF . SWIFT_CRLF . $_notificationContents;  if (stristr($_notificationContents, "<DIV") || stristr($_notificationContents, "<BR>") || stristr($_notificationContents, "<BR />") || stristr($_notificationContents, "<P") || stristr($_notificationContents, "<SPAN")) { $_baseContentsHTML .= '<br />' . SWIFT_CRLF . '<br />' . SWIFT_CRLF . $_notificationContents; } else { $_baseContentsHTML .= '<br />' . SWIFT_CRLF . '<br />' . SWIFT_CRLF . nl2br(htmlspecialchars($_notificationContents)); } }  $_contentPrefix = $_infoTitle = ''; if (isset($_SWIFT->Staff) && $_SWIFT->Staff instanceof SWIFT_Staff && $_SWIFT->Staff->GetIsClassLoaded()) { $_infoTitle = sprintf($this->Language->Get('ninfoupdated'), $_SWIFT->Staff->GetProperty('fullname'), $this->Ticket->GetTicketDisplayID()); } else if (isset($_SWIFT->User) && $_SWIFT->User instanceof SWIFT_User && $_SWIFT->User->GetIsClassLoaded()) { $_infoTitle = sprintf($this->Language->Get('ninfoupdated'), $_SWIFT->User->GetProperty('fullname'), $this->Ticket->GetTicketDisplayID()); } if ($_infoTitle != '') { $_contentPrefix .= $_infoTitle . SWIFT_CRLF; $_contentPrefix .= str_repeat('-', mb_strlen($_infoTitle)) . SWIFT_CRLF . SWIFT_CRLF; } $_contentPropertiesText = $_contentPropertiesHTML = ''; foreach ($this->_updateContainer as $_updateTitle => $_updateValues) { $_oldValue = $_updateValues[0]; $_newValue = $_updateValues[1]; if ($_notificationType == self::TYPE_USER || $_notificationType == self::TYPE_USERORGANIZATION) { if (isset($_updateValues[2]) && !empty($_updateValues[2])) { $_oldValue = $_updateValues[2]; } if (isset($_updateValues[3]) && !empty($_updateValues[3])) { $_newValue = $_updateValues[3]; } }  if ($_oldValue == '' && $_newValue != '') { $_contentPropertiesText .= self::GetTitle(self::CONTENT_TEXT, $_updateTitle) . $_newValue . SWIFT_CRLF; $_contentPropertiesHTML .= self::GetTitle(self::CONTENT_HTML, $_updateTitle) . $_newValue . '</div>' . SWIFT_CRLF;  } else if ($_oldValue != '' && $_newValue == '') { $_contentPropertiesText .= self::GetTitle(self::CONTENT_TEXT, $_updateTitle) . $this->Language->Get('notificationcleared') . sprintf($this->Language->Get('notificationwas'), $_oldValue) . SWIFT_CRLF; $_contentPropertiesHTML .= self::GetTitle(self::CONTENT_HTML, $_updateTitle) . $this->Language->Get('notificationcleared') . sprintf($this->Language->Get('notificationwas'), $_oldValue) . '</div>' . SWIFT_CRLF;  } else if ($_oldValue != '' && $_newValue != '') { $_contentPropertiesText .= self::GetTitle(self::CONTENT_TEXT, $_updateTitle) . $_newValue . sprintf($this->Language->Get('notificationwas'), $_oldValue) . SWIFT_CRLF; $_contentPropertiesHTML .= self::GetTitle(self::CONTENT_HTML, $_updateTitle) . $_newValue . sprintf($this->Language->Get('notificationwas'), $_oldValue) . '</div>' . SWIFT_CRLF; } } if (count($this->_updateContainer)) { $_contentPropertiesText .= SWIFT_CRLF; $_contentPropertiesHTML .= '<br />' . SWIFT_CRLF; }  $_finalEmailContentsText = $_contentPrefix . $_contentPropertiesText . $_baseContentsText; $_finalEmailContentsHTML = nl2br(htmlspecialchars($_contentPrefix)) . $_contentPropertiesHTML . $_baseContentsHTML; return array($_finalEmailContentsText, $_finalEmailContentsHTML); }  public function Dispatch($_notificationType, $_customEmailList = array(), $_notificationSubject = '', $_notificationContents = '', $_customFromName = '', $_customFromEmail = '', $_requireChanges = false, $_notificationEvent = '') { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!self::IsValidType($_notificationType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); }  if ($this->Ticket->GetNoAlerts() == true) { return true; } if ($_requireChanges == true && (empty($_notificationContents) && !count($this->_updateContainer))) { return false; } $_emailList = $this->GetEmailList($_notificationType, $_customEmailList); if (!count($_emailList)) { return false; } $_emailContentContainer = $this->Prepare($_notificationType, $_notificationContents); $this->Load->Library('Mail:Mail');  $this->Language->Load('tickets_notifications', SWIFT_LanguageEngine::TYPE_FILE); $this->Language->Queue('default', SWIFT_LanguageEngine::TYPE_DB); $this->Language->LoadQueue(SWIFT_LanguageEngine::TYPE_DB); $this->Template->Assign('_notificationContentsText', $_emailContentContainer[0]); $this->Template->Assign('_notificationContentsHTML', $_emailContentContainer[1]); $_textEmailContents = $_htmlEmailContents = ''; if ($_notificationType == self::TYPE_USER || $_notificationType == self::TYPE_USERORGANIZATION) { $_textEmailContents = $this->Template->Get('emailnotificationuser_text', SWIFT_TemplateEngine::TYPE_DB); $_htmlEmailContents = $this->Template->Get('emailnotificationuser_html', SWIFT_TemplateEngine::TYPE_DB); } else { $_textEmailContents = $this->Template->Get('emailnotification_text', SWIFT_TemplateEngine::TYPE_DB); $_htmlEmailContents = $this->Template->Get('emailnotification_html', SWIFT_TemplateEngine::TYPE_DB); } $_mailNotificationType = SWIFT_Ticket::MAIL_NOTIFICATION; if ($_notificationType == self::TYPE_USER || $_notificationType == self::TYPE_USERORGANIZATION) { $_mailNotificationType = SWIFT_Ticket::MAIL_CLIENT; } $_mailSubject = $this->Ticket->GetMailSubject($_mailNotificationType, $_notificationSubject); $_cacheToken = $this->Ticket->GetTicketID() . $_notificationEvent;  $_staffReplyFromEmail = ''; if (!empty($_notificationEvent) && $_notificationEvent == 'newstaffreply') { $_lastPostID = $this->Ticket->GetProperty('lastpostid'); $_SWIFT_TicketPostObject = false; try { $_SWIFT_TicketPostObject = new SWIFT_TicketPost(new SWIFT_DataID($_lastPostID)); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { } if ($_SWIFT_TicketPostObject instanceof SWIFT_TicketPost && $_SWIFT_TicketPostObject->GetIsClassLoaded() && $_SWIFT_TicketPostObject->GetProperty('creationmode') == SWIFT_Ticket::CREATIONMODE_EMAIL && $_SWIFT_TicketPostObject->GetProperty('creator') == SWIFT_Ticket::CREATOR_STAFF) { $_staffReplyFromEmail = $_SWIFT_TicketPostObject->GetProperty('email'); } } foreach ($_emailList as $_emailAddress) { if (!isset(self::$_notificationDispatchCache[$_cacheToken])) { self::$_notificationDispatchCache[$_cacheToken] = array(); }  if (in_array($_emailAddress, self::$_notificationDispatchCache[$_cacheToken]) || (isset($_SWIFT->Staff) && $_SWIFT->Staff instanceof SWIFT_Staff && $_SWIFT->Staff->GetIsClassLoaded() && $_emailAddress == $_SWIFT->Staff->GetProperty('email')) || $_emailAddress == $_staffReplyFromEmail) { continue; } $this->Mail = new SWIFT_Mail(); $_attachmentContainer = $this->Ticket->GetNotificationAttachments(); if (_is_array($_attachmentContainer)) { foreach ($_attachmentContainer as $_ticketAttachment) { $this->Mail->Attach($_ticketAttachment['contents'], $_ticketAttachment['type'], $_ticketAttachment['name']); } }  $this->Mail->SetToField($_emailAddress); $_fromEmailAddress = IIF(empty($_customFromEmail), $this->Ticket->GetMailFromEmail(), $_customFromEmail); $_fromEmailAddress = $this->Ticket->RetrieveFromEmailWithSuffix($_fromEmailAddress, SWIFT_Ticket::MAIL_NOTIFICATION); $this->Mail->SetFromField($_fromEmailAddress, IIF(empty($_customFromName), SWIFT::Get('companyname'), $_customFromName)); $this->Mail->SetSubjectField($_mailSubject); $this->Mail->SetDataText($_textEmailContents); $this->Mail->SetDataHTML($_htmlEmailContents); $this->Mail->SendMail(); self::$_notificationDispatchCache[$_cacheToken][] = $_emailAddress; } return true; } } ?>
