<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_SLAManager extends SWIFT_Library { protected $_slaPlanCache = false; protected $_slaScheduleCache = false; protected $_slaHolidayCache = false; protected $_ticketPropertiesChanged = false;  const TYPE_OVERDUE = 1; const TYPE_RESOLUTIONDUE = 2;  public function __construct() { parent::__construct();  $this->Cache->Queue('slaplancache'); $this->Cache->Queue('slaschedulecache'); $this->Cache->Queue('slaholidaycache'); $this->Cache->LoadQueue(); $this->_slaPlanCache = $this->Cache->Get('slaplancache'); $this->_slaScheduleCache = $this->Cache->Get('slaschedulecache'); $this->_slaHolidayCache = $this->Cache->Get('slaholidaycache'); return true; }  public function __destruct() { parent::__destruct(); return true; }  static public function GetSecondsFromHour($_hourValue) { $_SWIFT = SWIFT::GetInstance(); $_hourValue = number_format(floatval($_hourValue), 2, '.', ''); $_hourContainer = explode('.', $_hourValue); $_actualHours = $_hourContainer[0]; $_actualMinutes = $_hourContainer[1]; $_totalSeconds = 0; $_totalSeconds = $_actualHours * 60 * 60; if ($_actualMinutes > 60) { $_actualMinutes = 60; } $_totalSeconds += $_actualMinutes * 60; return $_totalSeconds; }  protected function GetDefaultOverdueSeconds() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->Settings->Get('t_encustomoverdue') != '1') { return array(0, 0); } $_defaultOverdueHours = floatval($this->Settings->Get('t_overduehrs')); $_defaultOverdueSeconds = DATENOW + self::GetSecondsFromHour($_defaultOverdueHours); return array(0, $_defaultOverdueSeconds); }  protected function GetDefaultResolutionDueSeconds() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->Settings->Get('t_encustomoverdue') != '1') { return array(0, 0); } $_defaultResolutionDueHours = floatval($this->Settings->Get('t_resolutionduehrs')); $_defaultResolutionDueSeconds = DATENOW + self::GetSecondsFromHour($_defaultResolutionDueHours); return array(0, $_defaultResolutionDueSeconds); }  protected function ExecuteSLAPlans(SWIFT_Ticket $_SWIFT_TicketObject) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_slaProperties = $_SWIFT_TicketObject->GetSLAProperties(); $_SWIFT_SLAPlanObject_Default = false; foreach ($this->_slaPlanCache as $_slaPlanID => $_slaPlanDataStore) { $_SWIFT_SLAPlanObject = new SWIFT_SLA(new SWIFT_DataStore($_slaPlanDataStore)); if (!$_SWIFT_SLAPlanObject instanceof SWIFT_SLA || !$_SWIFT_SLAPlanObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } if ($_SWIFT_SLAPlanObject->GetProperty('isenabled') == '0') { continue; }  $_oldTicketProperties = $_SWIFT_TicketObject->GetOldTicketProperties();  $_slaPropertiesChange = array_diff_assoc($_slaProperties, $_oldTicketProperties);  if (!_is_array($_slaPropertiesChange)) {  continue; } $_SWIFT_SLAPlanObject->SetSLAProperties($_slaPropertiesChange);  if ($_SWIFT_SLAPlanObject->Execute()) {  $_SWIFT_SLAPlanObject_Default = $_SWIFT_SLAPlanObject;  $this->_ticketPropertiesChanged = true; break; } } return $_SWIFT_SLAPlanObject_Default; }  public function GetDueTime(SWIFT_Ticket $_SWIFT_TicketObject) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!$_SWIFT_TicketObject instanceof SWIFT_Ticket || !$_SWIFT_TicketObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); }  if (!_is_array($this->_slaPlanCache) || !_is_array($this->_slaScheduleCache)) { return $this->GetDefaultOverdueSeconds(); } $_SWIFT_SLAPlanObject = false;  if ($_SWIFT_TicketObject->GetProperty('ticketslaplanid') != '0' && isset($this->_slaPlanCache[$_SWIFT_TicketObject->GetProperty('ticketslaplanid')])) { $_SWIFT_SLAPlanObject = new SWIFT_SLA(new SWIFT_DataID($_SWIFT_TicketObject->GetProperty('ticketslaplanid'))); } $_SWIFT_UserObject = $_SWIFT_TicketObject->GetUserObject(); if ($_SWIFT_UserObject instanceof SWIFT_User && $_SWIFT_UserObject->GetIsClassLoaded() && $_SWIFT_UserObject->GetProperty('slaplanid') != '0' && ($_SWIFT_UserObject->GetProperty('slaexpirytimeline') == '0' || $_SWIFT_UserObject->GetProperty('slaexpirytimeline') > DATENOW)) { try { $_SWIFT_SLAPlanObject = new SWIFT_SLA(new SWIFT_DataID($_SWIFT_UserObject->GetProperty('slaplanid'))); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { } } $_SWIFT_UserOrganizationObject = $_SWIFT_TicketObject->GetUserOrganizationObject(); if ($_SWIFT_UserOrganizationObject instanceof SWIFT_UserOrganization && $_SWIFT_UserOrganizationObject->GetIsClassLoaded() && $_SWIFT_UserOrganizationObject->GetProperty('slaplanid') != '0' && ($_SWIFT_UserOrganizationObject->GetProperty('slaexpirytimeline') == '0' || $_SWIFT_UserOrganizationObject->GetProperty('slaexpirytimeline') > DATENOW)) { try { $_SWIFT_SLAPlanObject = new SWIFT_SLA(new SWIFT_DataID($_SWIFT_UserOrganizationObject->GetProperty('slaplanid'))); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { } }  if (!$_SWIFT_SLAPlanObject instanceof SWIFT_SLA || !$_SWIFT_SLAPlanObject->GetIsClassLoaded()) { $_SWIFT_SLAPlanObject = $this->ExecuteSLAPlans($_SWIFT_TicketObject); } if (!$this->_ticketPropertiesChanged && _is_array($_SWIFT_TicketObject->GetOldTicketProperties())) {  return array(0, 0); } if (!$_SWIFT_SLAPlanObject instanceof SWIFT_SLA || !$_SWIFT_SLAPlanObject->GetIsClassLoaded()) { return $this->GetDefaultOverdueSeconds(); }  $_overdueSeconds = $this->GetDueSeconds(self::TYPE_OVERDUE, $_SWIFT_SLAPlanObject); return array($_SWIFT_SLAPlanObject, $_overdueSeconds); }  public function GetResolutionTime(SWIFT_Ticket $_SWIFT_TicketObject, SWIFT_SLA $_SWIFT_SLAPlanObject_Custom = null) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!$_SWIFT_TicketObject instanceof SWIFT_Ticket || !$_SWIFT_TicketObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); }  if (!_is_array($this->_slaPlanCache) || !_is_array($this->_slaScheduleCache)) { return $this->GetDefaultResolutionDueSeconds(); }  $_SWIFT_SLAPlanObject = false; if ($_SWIFT_SLAPlanObject_Custom instanceof SWIFT_SLA && $_SWIFT_SLAPlanObject_Custom->GetIsClassLoaded()) { $_SWIFT_SLAPlanObject = $_SWIFT_SLAPlanObject_Custom; } else { $_SWIFT_SLAPlanObject = $this->ExecuteSLAPlans($_SWIFT_TicketObject); if (!$_SWIFT_SLAPlanObject instanceof SWIFT_SLA || !$_SWIFT_SLAPlanObject->GetIsClassLoaded()) { return $this->GetDefaultResolutionDueSeconds(); } }   $_resolutionDueSeconds = $this->GetDueSeconds(self::TYPE_RESOLUTIONDUE, $_SWIFT_SLAPlanObject); return array($_SWIFT_SLAPlanObject, $_resolutionDueSeconds); }  static public function IsValidType($_type) { if ($_type == self::TYPE_OVERDUE || $_type == self::TYPE_RESOLUTIONDUE) { return true; } return false; }  static protected function GetTimeLeftInDay($_currentHour, $_currentMinute) {  $_currentTimeline = mktime($_currentHour, $_currentMinute, 0);  $_endTimeline = mktime(24, 0, 0);  $_secondsLeftInDay = $_endTimeline - $_currentTimeline;  return $_secondsLeftInDay; }  static protected function GetStartOfDay($_currentTimeline) { $_currentTimeline = mktime(0, 0, 0, date('n', $_currentTimeline), date('j', $_currentTimeline), date('Y', $_currentTimeline)); return $_currentTimeline; }  static public function GetTimestampOnSLAHour($_slaHour, $_currentTimeline) { $_SWIFT = SWIFT::GetInstance(); if (strpos($_slaHour, ':') === false) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_slaHourContainer = explode(':', $_slaHour); $_newTimeline = mktime($_slaHourContainer[0], $_slaHourContainer[1], 0, date('n', $_currentTimeline), date('j', $_currentTimeline), date('Y', $_currentTimeline)); return $_newTimeline; }  static public function GetTimezoneTimestamp() { $_SWIFT = SWIFT::GetInstance(); $_timeStamp = time(); $_oldTimezone = date_default_timezone_get(); date_default_timezone_set($_SWIFT->Settings->Get('dt_timezonephp')); $_hourDifference = date('Z'); date_default_timezone_set($_oldTimezone); $_finalTimeStamp = $_timeStamp + $_hourDifference; return $_finalTimeStamp; }  public function GetDueSeconds($_type, SWIFT_SLA $_SWIFT_SLAPlanObject, $_customStartTimeline = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!self::IsValidType($_type) || !$_SWIFT_SLAPlanObject instanceof SWIFT_SLA || !$_SWIFT_SLAPlanObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_debugString = ''; $_overDueSeconds = false; if ($_type == self::TYPE_OVERDUE) { $_overDueSeconds = self::GetSecondsFromHour($_SWIFT_SLAPlanObject->GetProperty('overduehrs')); } else { $_overDueSeconds = self::GetSecondsFromHour($_SWIFT_SLAPlanObject->GetProperty('resolutionduehrs')); } $_debugString .= 'Overdue Seconds: ' . $_overDueSeconds . SWIFT_CRLF; $_SWIFT_SLAScheduleObject = $_SWIFT_SLAPlanObject->GetScheduleObject();  date_default_timezone_set($this->Settings->Get('dt_timezonephp'));  $_startTimeline = time(); if ($_customStartTimeline) { $_startTimeline = $_customStartTimeline; } $_debugString .= 'Start Timeline: ' . date('d M Y h:i:s A', $_startTimeline) . SWIFT_CRLF;  $_runLoop = true;   $_shiftSeconds = 0;  $_openOverDueSeconds = 0; $_currentTimeline = $_startTimeline; $_itterationCount = $_indexCount = 0; while ($_runLoop) { $_indexCount++; $_currentSLAHour = date('H:i', $_currentTimeline); $_currentDay = date('w', $_currentTimeline); $_debugString .= 'Current Day: ' . $_currentDay . ', Current SLA Hour: ' . $_currentSLAHour . SWIFT_CRLF; if ($_openOverDueSeconds >= $_overDueSeconds || $_itterationCount >= 1000) { $_debugString .= 'Overdue Seconds Threshold OR Itteration Count Threshold Reached: ' . $_openOverDueSeconds . ' - ' . $_overDueSeconds . ' - ' . $_itterationCount . SWIFT_CRLF; break; } $_actualOverDueSecondsLeft = $_overDueSeconds - $_openOverDueSeconds; $_debugString .= 'ACTUALOVERDUESECONDSLEFT: ' . $_actualOverDueSecondsLeft . SWIFT_CRLF;  if ($_SWIFT_SLAScheduleObject->GetDayType($_currentDay) == SWIFT_SLASchedule::SCHEDULE_DAYCLOSED || SWIFT_SLAHoliday::IsHoliday($_currentTimeline, $_SWIFT_SLAPlanObject)) {  $_timeLeftInDay = self::GetTimeLeftInDay(date('H', $_currentTimeline), date('i', $_currentTimeline)); $_shiftSeconds += $_timeLeftInDay; $_currentTimeline += $_timeLeftInDay; $_debugString .= 'Current Day is CLOSED, Time Left in Day: ' . $_timeLeftInDay . SWIFT_CRLF;  } else if ($_SWIFT_SLAScheduleObject->GetDayType($_currentDay) == SWIFT_SLASchedule::SCHEDULE_DAYOPEN24) { $_timeLeftInDay = self::GetTimeLeftInDay(date('H', $_currentTimeline), date('i', $_currentTimeline)); $_debugString .= 'Current Day is OPEN24, Time Left in Day: ' . $_timeLeftInDay . SWIFT_CRLF;  if ($_actualOverDueSecondsLeft < $_timeLeftInDay) { $_debugString .= 'Actual Overdue Seconds Left < Time Left in Day: ' . $_actualOverDueSecondsLeft . SWIFT_CRLF; $_currentTimeline += $_actualOverDueSecondsLeft; $_shiftSeconds += $_actualOverDueSecondsLeft; $_openOverDueSeconds += $_actualOverDueSecondsLeft; break;  } else { $_debugString .= 'Actual Overdue Seconds Left > Time Left in Day: ' . $_actualOverDueSecondsLeft . SWIFT_CRLF; $_currentTimeline += $_timeLeftInDay; $_shiftSeconds += $_timeLeftInDay; $_openOverDueSeconds += $_timeLeftInDay; }  } else if ($_SWIFT_SLAScheduleObject->GetDayType($_currentDay) == SWIFT_SLASchedule::SCHEDULE_DAYOPEN) { $_slaScheduleTable = $_SWIFT_SLAScheduleObject->GetDayScheduleTable($_currentDay); $_timeLeftInDay = self::GetTimeLeftInDay(date('H', $_currentTimeline), date('i', $_currentTimeline)); $_dayEndTimeStamp = mktime(24, 0, 0, date('n', $_currentTimeline), date('j', $_currentTimeline), date('Y', $_currentTimeline)); $_debugString .= 'Current Day is DAYOPEN (CUSTOM) Time Left in Day: ' . $_timeLeftInDay . SWIFT_CRLF;  if (!_is_array($_slaScheduleTable)) { $_currentTimeline += $_timeLeftInDay; $_shiftSeconds += $_timeLeftInDay;  } else { $_lastTimeStampClose = 0; $_scheduleTableIndex = 0; foreach ($_slaScheduleTable as $_slaScheduleTableID => $_slaScheduleTableContainer) { $_timeStampOpen = self::GetTimestampOnSLAHour($_slaScheduleTableContainer[0], $_currentTimeline); $_timeStampClose = self::GetTimestampOnSLAHour($_slaScheduleTableContainer[1], $_currentTimeline); $_timeStampDuration = $_timeStampClose - $_timeStampOpen; $_debugString .= 'Open: ' . date('d M Y h:i:s A', $_timeStampOpen) . SWIFT_CRLF; $_debugString .= 'Close: ' . date('d M Y h:i:s A', $_timeStampClose) . SWIFT_CRLF; $_debugString .= 'Duration: ' . $_timeStampDuration . SWIFT_CRLF;  if ($_timeStampDuration < 0) { continue; } $_debugString .= 'Current Start Timeline: ' . date('d M Y h:i:s A', $_currentTimeline) . SWIFT_CRLF;  if ($_scheduleTableIndex == 0 && $_timeStampOpen > $_currentTimeline) { $_startOfDay = self::GetStartOfDay($_currentTimeline); $_debugString .= 'Start of Day: ' . date('d M Y h:i:s A', $_startOfDay) . SWIFT_CRLF; $_secondsSinceStart = $_timeStampOpen - $_startOfDay; $_debugString .= 'Hit the first rule of day, adding time since start of day to rule start: ' . $_secondsSinceStart . SWIFT_CRLF; $_timeToStart = $_timeStampOpen - $_currentTimeline; $_shiftSeconds += $_timeToStart; $_currentTimeline += $_timeToStart; } $_currentTimeline -= date('s', $_currentTimeline); $_debugString .= 'Current Timeline: ' . date('d M Y h:i:s A', $_currentTimeline) . SWIFT_CRLF; $_debugString .= 'timeStampOpen: ' . date('d M Y h:i:s A', $_timeStampOpen) . SWIFT_CRLF; $_debugString .= 'timeStampClose: ' . date('d M Y h:i:s A', $_timeStampClose) . SWIFT_CRLF;  if ($_currentTimeline > $_timeStampOpen && $_currentTimeline < $_timeStampClose) { $_timeDifference = $_timeStampClose - $_currentTimeline; $_debugString .= 'DUPE CHECK: ' . $_slaScheduleTableContainer[0] . ' => ' . $_slaScheduleTableContainer[1] . SWIFT_CRLF; $_debugString .= 'Hit Dupe Check. Added Time Difference: ' . $_timeDifference . SWIFT_CRLF; if ($_overDueSeconds <= $_timeDifference) { $_currentTimeline += $_overDueSeconds; $_openOverDueSeconds += $_overDueSeconds; $_shiftSeconds += $_overDueSeconds; $_debugString .= 'Overdue Seconds: ' . $_overDueSeconds . SWIFT_CRLF; $_debugString .= 'New Shift Seconds: ' . $_shiftSeconds . SWIFT_CRLF; $_debugString .= 'New Current Timeline: ' . date('d M Y h:i:s A', $_currentTimeline) . SWIFT_CRLF; break; } else { $_currentTimeline += $_timeDifference; $_openOverDueSeconds += $_timeDifference; $_debugString .= 'Old Shift Seconds: ' . $_shiftSeconds . SWIFT_CRLF; $_debugString .= 'Overdue Seconds: ' . $_overDueSeconds . SWIFT_CRLF;  if ($_timeDifference > $_overDueSeconds) {  $_shiftSeconds += $_overDueSeconds-$_shiftSeconds; $_debugString .= 'HIT TimeDiff > OverdueSeconds' . SWIFT_CRLF; } else { $_shiftSeconds += $_timeDifference; } $_debugString .= 'New Shift Seconds: ' . $_shiftSeconds . SWIFT_CRLF; $_debugString .= 'New Current Timeline: ' . date('d M Y h:i:s A', $_currentTimeline) . SWIFT_CRLF; $_lastTimeStampClose = $_timeStampClose; }   } else if ($_currentTimeline <= $_timeStampOpen) { $_debugString .= 'Processing Because CurrentTimeline (' . date('d M Y h:i:s A', $_currentTimeline) . ') is <= TimeStampOpen (' . date('d M Y h:i:s A', $_timeStampOpen) . ')' . SWIFT_CRLF;  $_closingDifference = $_timeStampOpen - $_lastTimeStampClose; $_debugString .= 'Closing Difference: ' . $_closingDifference . SWIFT_CRLF; if ($_lastTimeStampClose && $_closingDifference > 0) { $_debugString .= 'Seems like this is a second rule, we found difference between last closing time: ' . $_closingDifference . SWIFT_CRLF; $_shiftSeconds += $_closingDifference; $_currentTimeline += $_closingDifference; $_debugString .= 'New Current Timeline: ' . date('d M Y h:i:s A', $_currentTimeline) . SWIFT_CRLF; } $_timeToStart = $_timeStampOpen - $_currentTimeline; if ($_timeToStart > 0) { $_debugString .= 'The shift hasnt started yet.. time to start: ' . $_timeToStart . SWIFT_CRLF; $_currentTimeline += $_timeToStart; $_shiftSeconds += $_timeToStart; $_debugString .= 'New Current Timeline: ' . date('d M Y h:i:s A', $_currentTimeline) . SWIFT_CRLF; }  if ($_actualOverDueSecondsLeft <= $_timeStampDuration) { $_debugString .= 'Actual Overdue Seconds Left (' . $_actualOverDueSecondsLeft . ') < Time Stamp Duration (' . $_timeStampDuration . ')' . SWIFT_CRLF; $_currentTimeline += $_actualOverDueSecondsLeft; $_shiftSeconds += $_actualOverDueSecondsLeft; $_openOverDueSeconds += $_actualOverDueSecondsLeft; $_debugString .= 'New Current Timeline: ' . date('d M Y h:i:s A', $_currentTimeline) . SWIFT_CRLF; break; } else { $_debugString .= 'Actual Overdue Seconds Left (' . $_actualOverDueSecondsLeft . ') > Time Stamp Duration (' . $_timeStampDuration . ')' . SWIFT_CRLF; $_currentTimeline += $_timeStampDuration; $_shiftSeconds += $_timeStampDuration; $_openOverDueSeconds += $_timeStampDuration; $_debugString .= 'New Current Timeline: ' . date('d M Y h:i:s A', $_currentTimeline) . SWIFT_CRLF; } $_lastTimeStampClose = $_timeStampClose; } else { $_debugString .= 'IGNORING: ' . $_slaScheduleTableContainer[0] . ' => ' . $_slaScheduleTableContainer[1] . SWIFT_CRLF; } $_actualOverDueSecondsLeft = $_overDueSeconds - $_openOverDueSeconds; $_scheduleTableIndex++; }  $_dayClosingDifference = $_dayEndTimeStamp - $_lastTimeStampClose; $_debugString .= 'DAYCLOSINGDIFFERENCE: ' . $_dayClosingDifference . SWIFT_CRLF; $_debugString .= 'Open Overdue Seconds: ' . $_openOverDueSeconds . ', Overdue Seconds: ' . $_overDueSeconds . SWIFT_CRLF; if ($_openOverDueSeconds < $_overDueSeconds) { if ($_lastTimeStampClose && $_dayClosingDifference > 0) { $_debugString .= 'Last Timestamp Close: ' . date('d M Y h:i:s A', $_lastTimeStampClose) . SWIFT_CRLF; $_debugString .= 'Day End Timestamp: ' . date('d M Y h:i:s A', $_dayEndTimeStamp) . SWIFT_CRLF; $_debugString .= 'There is a day closing difference: ' . $_dayClosingDifference . SWIFT_CRLF; $_shiftSeconds += $_dayClosingDifference; $_currentTimeline += $_dayClosingDifference; $_debugString .= 'New Current Timeline: ' . date('d M Y h:i:s A', $_currentTimeline) . SWIFT_CRLF;  } else if ($_lastTimeStampClose == 0) { $_debugString .= 'IMPORTANT! No day closing difference found, adding time left in day: ' . $_timeLeftInDay . SWIFT_CRLF; $_currentTimeline += $_timeLeftInDay; $_shiftSeconds += $_timeLeftInDay; $_debugString .= 'New Current Timeline: ' . date('d M Y h:i:s A', $_currentTimeline) . SWIFT_CRLF;  } } } } $_itterationCount++; } $_finalTimeline = intval($_startTimeline + $_shiftSeconds); $_debugString .= 'Start Timeline: ' . date('d M Y h:i:s A', $_startTimeline) . ' - ' . $_startTimeline . SWIFT_CRLF; $_debugString .= 'SHIFT Seconds: ' . $_shiftSeconds . SWIFT_CRLF; $_debugString .= 'Final Timeline: ' . date('d M Y h:i:s A', $_finalTimeline) . ' - ' . $_finalTimeline . SWIFT_CRLF . SWIFT_CRLF . SWIFT_CRLF . SWIFT_CRLF . SWIFT_CRLF;  return $_finalTimeline; } } ?>