<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_TicketRecipient extends SWIFT_Model { const TABLE_NAME = 'ticketrecipients'; const PRIMARY_KEY = 'ticketrecipientid'; const TABLE_STRUCTURE = "ticketrecipientid I PRIMARY AUTO NOTNULL,
								ticketid I DEFAULT '0' NOTNULL,
								ticketemailid I DEFAULT '0' NOTNULL,
								recipienttype I2 DEFAULT '0' NOTNULL"; const INDEX_1 = 'ticketid, ticketemailid'; const INDEXTYPE_1 = 'UNIQUE'; protected $_dataStore = array();  const TYPE_THIRDPARTY = 1; const TYPE_CC = 2; const TYPE_BCC = 3;  public function __construct($_ticketRecipientID) { parent::__construct(); if (!$this->LoadData($_ticketRecipientID)) { throw new SWIFT_Recipient_Exception('Failed to load Ticket Recipient ID: ' . intval($_ticketRecipientID)); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'ticketrecipients', $this->GetUpdatePool(), 'UPDATE', "ticketrecipientid = '" . intval($this->GetTicketRecipientID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetTicketRecipientID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Recipient_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['ticketrecipientid']; }  protected function LoadData($_ticketRecipientID) { $_dataStore = $this->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "ticketrecipients WHERE ticketrecipientid = '" . intval($_ticketRecipientID) . "'"); if (isset($_dataStore['ticketrecipientid']) && !empty($_dataStore['ticketrecipientid'])) { $this->_dataStore = $_dataStore; return true; } return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Recipient_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Recipient_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Recipient_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function IsValidType($_recipientType) { if ($_recipientType == self::TYPE_THIRDPARTY || $_recipientType == self::TYPE_CC || $_recipientType == self::TYPE_BCC) { return true; } return false; }  static public function Create(SWIFT_Ticket $_SWIFT_TicketObject, $_recipientType, $_emailList) { $_SWIFT = SWIFT::GetInstance(); if (!$_SWIFT_TicketObject instanceof SWIFT_Ticket || !$_SWIFT_TicketObject->GetIsClassLoaded() || !self::IsValidType($_recipientType) || !_is_array($_emailList)) { throw new SWIFT_Recipient_Exception(SWIFT_INVALIDDATA); return false; }  $_queueCache = $_SWIFT->Cache->Get('queuecache'); $_finalEmailList = array(); foreach ($_emailList as $_listEmailAddress) { $_listEmailAddress = trim(mb_strtolower($_listEmailAddress)); if (isset($_queueCache['pointer'][$_listEmailAddress])) { continue; } $_finalEmailList[] = $_listEmailAddress; }  $_ticketEmailIDList = SWIFT_TicketEmail::RetrieveIDListOnEmailListAndCreateIfNotExists($_finalEmailList);  if (count($_ticketEmailIDList)) { $_SWIFT->Database->Query("SELECT ticketemailid FROM " . TABLE_PREFIX . "ticketrecipients WHERE ticketid = '" . intval($_SWIFT_TicketObject->GetTicketID()) . "' AND ticketemailid IN (" . BuildIN($_ticketEmailIDList) . ")"); while ($_SWIFT->Database->NextRecord()) {  unset($_ticketEmailIDList[$_SWIFT->Database->Record['ticketemailid']]); } } if (!count($_ticketEmailIDList)) { return false; }  foreach ($_ticketEmailIDList as $_key => $_val) { try { $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'ticketrecipients', array('ticketid' => intval($_SWIFT_TicketObject->GetTicketID()), 'ticketemailid' => intval($_val), 'recipienttype' => intval($_recipientType)), 'INSERT'); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { return false; } } return true; }  static public function RetrieveOnTicket(SWIFT_Ticket $_SWIFT_TicketObject) { $_SWIFT = SWIFT::GetInstance(); if (!$_SWIFT_TicketObject instanceof SWIFT_Ticket || !$_SWIFT_TicketObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_ticketRecipientContainer = $_ticketEmailIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "ticketrecipients WHERE ticketid = '" . intval($_SWIFT_TicketObject->GetTicketID()) . "'"); while ($_SWIFT->Database->NextRecord()) { $_ticketRecipientContainer[$_SWIFT->Database->Record['ticketrecipientid']] = $_SWIFT->Database->Record; if (!in_array($_SWIFT->Database->Record['ticketemailid'], $_ticketEmailIDList)) { $_ticketEmailIDList[] = $_SWIFT->Database->Record['ticketemailid']; } } if (!count($_ticketRecipientContainer)) { return false; } $_ticketEmailMap = SWIFT_TicketEmail::RetrieveEmailListOnIDList($_ticketEmailIDList); $_finalRecipientContainer = array(); foreach ($_ticketRecipientContainer as $_ticketRecipientID => $_ticketRecipientContainer) { if (!isset($_ticketEmailMap[$_ticketRecipientContainer['ticketemailid']])) { continue; } $_finalRecipientContainer[$_ticketRecipientContainer['recipienttype']][$_ticketRecipientID] = $_ticketEmailMap[$_ticketRecipientContainer['ticketemailid']]; } return $_finalRecipientContainer; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Recipient_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetTicketRecipientID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_ticketRecipientIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_ticketRecipientIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "ticketrecipients WHERE ticketrecipientid IN (" . BuildIN($_ticketRecipientIDList) . ")"); return true; }  static public function DeleteOnTicket($_ticketIDList, $_ignoreThirdParty = false) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_ticketIDList)) { return false; } $_ticketRecipientIDList = $_ticketEmailIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "ticketrecipients
			WHERE ticketid IN (" . BuildIN($_ticketIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { if ($_SWIFT->Database->Record['recipienttype'] == self::TYPE_THIRDPARTY && $_ignoreThirdParty == true) { continue; } $_ticketRecipientIDList[] = intval($_SWIFT->Database->Record['ticketrecipientid']); $_ticketEmailIDList[] = $_SWIFT->Database->Record['ticketemailid']; } if (!_is_array($_ticketRecipientIDList)) { return false; } self::DeleteList($_ticketRecipientIDList);  SWIFT_TicketEmail::DeleteForRecipient($_ticketEmailIDList); return true; }  static public function ReplaceTicket($_ticketIDList, SWIFT_Ticket $_SWIFT_ParentTicketObject) { $_SWIFT = SWIFT::GetInstance(); if (!$_SWIFT_ParentTicketObject instanceof SWIFT_Ticket || !$_SWIFT_ParentTicketObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } if (!_is_array($_ticketIDList)) { return false; } try { $_ticketRecipientIDList = $_ticketEmailIDList = array(); $_SWIFT->Database->Query("SELECT ticketrecipientid, ticketemailid FROM " . TABLE_PREFIX . "ticketrecipients
				WHERE ticketid IN (" . intval($_SWIFT_ParentTicketObject->GetTicketID()) . ', ' . BuildIN($_ticketIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { if (in_array($_SWIFT->Database->Record['ticketemailid'], $_ticketEmailIDList)) { $_ticketRecipientIDList[] = $_SWIFT->Database->Record['ticketrecipientid']; } else { $_ticketEmailIDList[] = $_SWIFT->Database->Record['ticketemailid']; } } if (_is_array($_ticketRecipientIDList)) { self::DeleteList($_ticketRecipientIDList); } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'ticketrecipients', array('ticketid' => intval($_SWIFT_ParentTicketObject->GetTicketID())), 'UPDATE', "ticketid IN (" . BuildIN($_ticketIDList) . ")"); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { return false; } return true; } } ?>