<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_TicketWorkflowNotification extends SWIFT_Model { const TABLE_NAME = 'ticketworkflownotifications'; const PRIMARY_KEY = 'ticketworkflownotificationid'; const TABLE_STRUCTURE = "ticketworkflownotificationid I PRIMARY AUTO NOTNULL,
								dateline I DEFAULT '0' NOTNULL,
								ticketworkflowid I DEFAULT '0' NOTNULL,
								notificationtype C(100) DEFAULT '' NOTNULL,
								subject C(255) DEFAULT '' NOTNULL,
								notificationcontents X DEFAULT '' NOTNULL"; const INDEX_1 = 'ticketworkflowid'; protected $_dataStore = array();  const TYPE_USER = 'user'; const TYPE_USERORGANIZATION = 'userorganization'; const TYPE_STAFF = 'staff'; const TYPE_TEAM = 'team'; const TYPE_DEPARTMENT = 'department';  public function __construct($_ticketWorkflowNotificationID) { parent::__construct(); if (!$this->LoadData($_ticketWorkflowNotificationID)) { throw new SWIFT_Workflow_Exception('Failed to load Ticket Workflow Notification ID: ' . intval($_ticketWorkflowNotificationID)); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'ticketworkflownotifications', $this->GetUpdatePool(), 'UPDATE', "ticketworkflownotificationid = '" . intval($this->GetTicketWorkflowNotificationID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetTicketWorkflowNotificationID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Workflow_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['ticketworkflownotificationid']; }  protected function LoadData($_ticketWorkflowNotificationID) { $_dataStore = $this->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "ticketworkflownotifications WHERE
			ticketworkflownotificationid = '" . intval($_ticketWorkflowNotificationID) . "'"); if (isset($_dataStore['ticketworkflownotificationid']) && !empty($_dataStore['ticketworkflownotificationid'])) { $this->_dataStore = $_dataStore; return true; } return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Workflow_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Workflow_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Workflow_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function IsValidType($_notificationType) { if ($_notificationType == self::TYPE_USER || $_notificationType == self::TYPE_USERORGANIZATION || $_notificationType == self::TYPE_STAFF || $_notificationType == self::TYPE_TEAM || $_notificationType == self::TYPE_DEPARTMENT) { return true; } return false; }  static public function GetTypeList() { $_SWIFT = SWIFT::GetInstance(); return array(self::TYPE_USER => $_SWIFT->Language->Get('notificationuser'), self::TYPE_USERORGANIZATION => $_SWIFT->Language->Get('notificationuserorganization'), self::TYPE_STAFF => $_SWIFT->Language->Get('notificationstaff'), self::TYPE_TEAM => $_SWIFT->Language->Get('notificationteam'), self::TYPE_DEPARTMENT => $_SWIFT->Language->Get('notificationdepartment')); }  static public function RetrieveOnWorkflow($_ticketWorkflowID) { $_SWIFT = SWIFT::GetInstance(); $_ticketWorkflowNotificationContainer = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "ticketworkflownotifications WHERE ticketworkflowid = '" . intval($_ticketWorkflowID) . "' ORDER BY ticketworkflownotificationid"); while ($_SWIFT->Database->NextRecord()) { $_ticketWorkflowNotificationContainer[$_SWIFT->Database->Record['ticketworkflownotificationid']] = $_SWIFT->Database->Record; } return $_ticketWorkflowNotificationContainer; }  static public function Create($_notificationType, $_ticketWorkflowID, $_subject, $_contents) { $_SWIFT = SWIFT::GetInstance(); $_ticketWorkflowID = intval($_ticketWorkflowID); if (empty($_ticketWorkflowID) || empty($_contents) || !self::IsValidType($_notificationType)) { throw new SWIFT_Workflow_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'ticketworkflownotifications', array('notificationtype' => $_notificationType, 'ticketworkflowid' => intval($_ticketWorkflowID), 'subject' => $_subject, 'notificationcontents' => $_contents, 'dateline' => DATENOW), 'INSERT'); $_ticketWorkflowNotificationID = $_SWIFT->Database->Insert_ID(); if (!$_ticketWorkflowNotificationID) { throw new SWIFT_Workflow_Exception(SWIFT_CREATEFAILED); return false; } return $_ticketWorkflowNotificationID; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Workflow_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetTicketWorkflowNotificationID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_ticketWorkflowNotificationIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_ticketWorkflowNotificationIDList)) { return false; } $_finalTicketWorkflowNotificationIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "ticketworkflownotifications WHERE ticketworkflownotificationid IN (" . BuildIN($_ticketWorkflowNotificationIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_finalTicketWorkflowNotificationIDList[] = $_SWIFT->Database->Record['ticketworkflownotificationid']; } if (!count($_finalTicketWorkflowNotificationIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "ticketworkflownotifications WHERE ticketworkflownotificationid IN (" . BuildIN($_finalTicketWorkflowNotificationIDList) . ")"); return true; }  static public function DeleteOnWorkflow($_ticketWorkflowIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_ticketWorkflowIDList)) { return false; } $_finalTicketWorkflowNotificationIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "ticketworkflownotifications WHERE ticketworkflowid IN (" . BuildIN($_ticketWorkflowIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_finalTicketWorkflowNotificationIDList[] = $_SWIFT->Database->Record['ticketworkflownotificationid']; } if (!count($_finalTicketWorkflowNotificationIDList)) { return false; } self::DeleteList($_finalTicketWorkflowNotificationIDList); return true; } } ?>