<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImportManager extends SWIFT_Library { protected $_productName = ''; protected $_productTitle = ''; protected $_logContainer = array(); public $DatabaseImport = false;  protected $ImportRegistry = false; static protected $_productListCache = false; static protected $_ImportRegistry = false;  const LOG_SUCCESS = 1; const LOG_FAILURE = 2; const LOG_WARNING = 3;  public function __construct($_productName, $_productTitle = '') { parent::__construct(); if (!$this->SetProduct($_productName)) { throw new SWIFT_Import_Exception(SWIFT_CREATEFAILED); } $_finalProductTitle = $_productTitle; if (empty($_productTitle)) { $_finalProductTitle = $_productName; } $this->SetProductTitle($_productTitle); if (!self::$_ImportRegistry instanceof SWIFT_ImportRegistry || !self::$_ImportRegistry->GetIsClassLoaded()) { self::$_ImportRegistry = new SWIFT_ImportRegistry(); } $this->ImportRegistry = self::$_ImportRegistry; return true; }  public function __destruct() { parent::__destruct(); return true; }  protected function SetProduct($_productName) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_productName) || !self::IsValidProduct($_productName)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->_productName = Clean($_productName); return true; }  public function GetProduct() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_productName; }  public function GetImportRegistry() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->ImportRegistry; }  protected function SetProductTitle($_productTitle) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_productTitle)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->_productTitle = $_productTitle; return true; }  public function GetProductTitle() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_productTitle; }  static public function GetProductList() { $_SWIFT = SWIFT::GetInstance(); if (self::$_productListCache != false) { return self::$_productListCache; } $_productList = array(); $_basePath = './' . SWIFT_BASE_DIRECTORY . '/apps/base/' . SWIFT_LIBRARYDIRECTORY . '/Import'; $_fileList = scandir($_basePath); foreach ($_fileList as $_fileName) { if ($_fileName == '.' || $_fileName == '..' || !is_dir($_basePath . '/' . $_fileName) || !file_exists($_basePath . '/' . $_fileName . '/class.SWIFT_ImportManager_' . $_fileName . '.php')) { continue; } $_productList[] = $_fileName; } if (!count($_productList)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } self::$_productListCache = $_productList; return $_productList; }  static public function IsValidProduct($_productName) { if (empty($_productName)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_productList = self::GetProductList(); if (in_array($_productName, $_productList)) { return true; } return false; }  static public function GetImportManagerObject($_productName) { $_SWIFT = SWIFT::GetInstance(); if (!self::IsValidProduct($_productName)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } SWIFT_Loader::LoadLibrary('Import:' . $_productName . ':ImportManager_' . $_productName); $_className = 'SWIFT_ImportManager_' . $_productName; $_SWIFT_ImportManagerObject = new $_className(); if (!$_SWIFT_ImportManagerObject instanceof SWIFT_ImportManager || !$_SWIFT_ImportManagerObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); } return $_SWIFT_ImportManagerObject; }  public function GetImportTables() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return array(); }  protected function GetTableObject($_tableName) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if (empty($_tableName)) { return false; } $_tableName = Clean($_tableName); $_className = ''; $_SWIFT_ImportTableObject = false; try { SWIFT_Loader::LoadLibrary('Import:' . $this->GetProduct() . ':ImportTable_' . $_tableName); $_className = 'SWIFT_ImportTable_' . $_tableName; $_SWIFT_ImportTableObject = new $_className($this); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { return false; } if (!$_SWIFT_ImportTableObject instanceof SWIFT_ImportTable || !$_SWIFT_ImportTableObject->GetIsClassLoaded()) { return false; } return $_SWIFT_ImportTableObject; }  public function GetActiveTable() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_finalActiveTable = false; $_sectionContainer = $this->ImportRegistry->GetSection($this->GetProduct()); $_registryActiveTable = $this->ImportRegistry->GetKey($this->GetProduct(), 'activetable'); if (!empty($_registryActiveTable)) { $_finalActiveTable = $_registryActiveTable;  } else { $_tableList = $this->GetImportTables(); foreach ($_tableList as $_tableName) { if (isset($_sectionContainer['completed' . $_tableName]) && $_sectionContainer['completed' . $_tableName] == '1') { continue; } $_finalActiveTable = $_tableName; break; } } return $this->GetTableObject($_finalActiveTable); }  public function RenderForm(SWIFT_UserInterfaceTab $_TabObject) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return true; }  public function ProcessForm() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return true; }  public function StartImport($_processTotalRecordCount = true) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($_processTotalRecordCount) { $this->ProcessTotalRecordCount(); } $this->ImportRegistry->UpdateKey($this->GetProduct(), 'starttime', DATENOW); return true; }  public function GetStartTime() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return intval($this->ImportRegistry->GetKey($this->GetProduct(), 'starttime')); }  public function ResetProcessedRecordCount() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->ImportRegistry->UpdateKey($this->GetProduct(), 'processedcount', '0'); return true; }  protected function ProcessTotalRecordCount() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_totalRecordCount = 0; $_sectionContainer = $this->ImportRegistry->GetSection($this->GetProduct()); $_tableList = $this->GetImportTables(); foreach ($_tableList as $_tableName) { $_SWIFT_ImportTableObject = $this->GetTableObject($_tableName); if (!$_SWIFT_ImportTableObject instanceof SWIFT_ImportTable || !$_SWIFT_ImportTableObject->GetIsClassLoaded()) { continue; } if (isset($_sectionContainer['completed' . $_tableName]) && $_sectionContainer['completed' . $_tableName] == '1') { continue; } $_totalRecordCount += intval($_SWIFT_ImportTableObject->GetTotalRecordCount()); } $this->ImportRegistry->UpdateKey($this->GetProduct(), 'totalcount', $_totalRecordCount); return true; }  public function GetTotalRecordCount() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return intval($this->ImportRegistry->GetKey($this->GetProduct(), 'totalcount')); }  public function IncrementProcessedRecordCount($_incrementValue) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_finalProcessed = $this->GetProcessedRecordCount() + intval($_incrementValue); $this->ImportRegistry->UpdateKey($this->GetProduct(), 'processedcount', $_finalProcessed); return true; }  public function GetProcessedRecordCount() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return intval($this->ImportRegistry->GetKey($this->GetProduct(), 'processedcount')); }  public function AddToLog($_logMessage, $_logType, $_errorMessage = '') { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_logContainer[] = array($_logType, $_logMessage, $_errorMessage); if ($_logType == self::LOG_SUCCESS) { return true; } $_finalMessage = $_logMessage; if (!empty($_errorMessage)) { $_finalMessage .= SWIFT_CRLF . $_errorMessage; } SWIFT_ImportLog::Create($_finalMessage, $_logType, $_SWIFT->Staff); return true; }  public function GetLog() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_logContainer; }  public function GetProcessedPercent() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_totalRecord = $this->GetTotalRecordCount(); $_processedRecordCount = $this->GetProcessedRecordCount(); if ($_totalRecord == 0) { return 0; } $_percentage = number_format(($_processedRecordCount/$_totalRecord)*100, 2); return $_percentage; }  public function ImportPre() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return true; }  public function Import() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_SWIFT_ImportTable = $this->GetActiveTable(); if (!$_SWIFT_ImportTable instanceof SWIFT_ImportTable || !$_SWIFT_ImportTable->GetIsClassLoaded()) { return false; } if ($_SWIFT_ImportTable->GetByPass()) { $_SWIFT_ImportTable->MarkTableAsCompleted(); return $_SWIFT_ImportTable; } $_processedRecords = $_SWIFT_ImportTable->Import(); $_totalRecords = $_SWIFT_ImportTable->GetTotalRecordCount(); $_finalProcessedRecords = $_SWIFT_ImportTable->IncrementProcessedRecordCount($_processedRecords); $_SWIFT_ImportTable->UpdateOffset($_finalProcessedRecords); $this->IncrementProcessedRecordCount($_processedRecords);  if ($_finalProcessedRecords >= $_totalRecords) { $_SWIFT_ImportTable->MarkTableAsCompleted(); } return $_SWIFT_ImportTable; } } ?>