<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_KQL extends SWIFT_Library { static protected $_allowedFunctionList = array('count', 'sum', 'avg', 'min', 'max');  static protected $_allowedExtendedFunctionList = array('customfield', 'yesterday', 'today', 'tomorrow', 'last7days', 'lastweek', 'thisweek', 'nextweek', 'lastmonth', 'thismonth', 'nextmonth', 'endofweek', 'mktime', 'datenow', 'month', 'datediff', 'monthrange'); static protected $_extendedFunctionList = array('Today()' => 'Today()', 'Yesterday()' => 'Yesterday()', 'Tomorrow()' => 'Tomorrow()', 'Last7Days()' => 'Last7Days()', 'LastWeek()' => 'LastWeek()', 'ThisWeek()' => 'ThisWeek()', 'NextWeek()' => 'NextWeek()', 'LastMonth()' => 'LastMonth()', 'ThisMonth()' => 'ThisMonth()', 'NextMonth()' => 'NextMonth()', 'EndOfWeek()' => 'EndOfWeek()', 'DateNow()' => 'DateNow()'); static protected $_extendedClauses = array(SWIFT_KQLSchema::FIELDTYPE_SECONDS => array('Minute', 'Hour', 'Day'), SWIFT_KQLSchema::FIELDTYPE_UNIXTIME => array('Hour', 'Day', 'DayName', 'Week', 'WeekDay', 'Month', 'MonthName', 'Quarter', 'Year'));  static protected $_extendedCustomFieldClauses = array(SWIFT_CustomField::TYPE_DATE => array('Hour', 'Day', 'DayName', 'Week', 'WeekDay', 'Month', 'MonthName', 'Quarter', 'Year'));  static protected $_allowedTextOperators = array('in', 'not in', 'like', 'not like'); static protected $_allowedBasicOperators = array('=', '!=', '>', '<', '>=', '<='); static protected $_disallowedColumns = array('staffpassword', 'userpassword'); protected $_schemaContainer = array();  protected $SQLParser = false;  protected $Lexer;  protected $_token; public $_symbols = array(); public $_comments = array(); public $_quotes = array(); protected $_activeCaretPosition = 0;  protected $_tableSchemaMap = array();  public function __construct() { parent::__construct(); require_once ('./' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_THIRDPARTY_DIRECTORY . '/SQLParser/Parser.php'); require_once ('./' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_THIRDPARTY_DIRECTORY . '/SQLParser/Parser/Lexer.php'); $this->SQLParser = new SQL_Parser(null, SQL_Parser::DIALECT_MYSQL, $this);  $this->_schemaContainer = SWIFT_KQLSchema::GetCombinedSchema();  $this->ProcessTableSchemaMap(); return true; }  public function __destruct() { parent::__destruct(); return true; }  static public function GetCombinedFunctionList() { $_SWIFT = SWIFT::GetInstance(); $_finalFunctionList = array(); $_finalFunctionList = array_merge($_finalFunctionList, self::$_allowedFunctionList, self::$_allowedExtendedFunctionList); foreach (self::$_extendedClauses as $_extendedClauseType) { $_finalFunctionList = array_merge($_finalFunctionList, $_extendedClauseType); } foreach ($_finalFunctionList as $_key => $_val) { $_finalFunctionList[$_key] = strtolower($_val); } return $_finalFunctionList; }  protected function NextToken() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_token = $this->Lexer->lex(); return true; }  protected function NextAjaxToken() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_token = $this->Lexer->lex(); $_tokenLength = strlen($this->Lexer->tokText); $this->_activeCaretPosition += $_tokenLength; return true; }  protected function PushBack() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; }  $this->Lexer->pushBack(); $this->_activeCaretPosition -= strlen($this->Lexer->tokText); return true; }  protected function InitializeLexer($_lexContents, $_skipSpaces = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; }  $this->Lexer = new SQL_Parser_Lexer($_lexContents, 3, array('allowIdentFirstDigit' => true), $_skipSpaces); $this->Lexer->symbols =& $this->_symbols; $this->Lexer->comments =& $this->_comments; $this->Lexer->quotes =& $this->_quotes; return true; }  protected function ProcessTableSchemaMap() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } foreach ($this->_schemaContainer as $_tableName => $_tableContainer) { if (!isset($_tableContainer[SWIFT_KQLSchema::SCHEMA_TABLELABEL])) { continue; } $_labelValue = mb_strtolower(SWIFT_KQLSchema::GetLabel($_tableContainer[SWIFT_KQLSchema::SCHEMA_TABLELABEL])); $this->_tableSchemaMap[$_labelValue] = $_tableName; } return true; }  protected function GetTableNameOnLabel($_tableLabel) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_tableLabel)) { return false; } $_tableLabel = mb_strtolower(trim($_tableLabel));  if (isset($this->_schemaContainer[$_tableLabel])) { return $_tableLabel; }  if (isset($this->_tableSchemaMap[$_tableLabel])) { return $this->_tableSchemaMap[$_tableLabel]; }  return $_tableLabel; }  protected function GetFieldNameOnLabel($_tableName, $_fieldLabel) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_fieldLabel = mb_strtolower(trim($_fieldLabel)); $_tableName = mb_strtolower(trim($_tableName));  if (!isset($this->_schemaContainer[$_tableName]) || empty($_fieldLabel)) { return false; }  if (isset($this->_schemaContainer[$_tableName][SWIFT_KQLSchema::SCHEMA_FIELDS][$_fieldLabel])) { return $_fieldLabel;  } else { foreach ($this->_schemaContainer[$_tableName][SWIFT_KQLSchema::SCHEMA_FIELDS] as $_fieldName => $_fieldContainer) {  $_activeFieldLabel = mb_strtolower(SWIFT_KQLSchema::GetLabel($_tableName . '_' . $_fieldName)); if (!empty($_activeFieldLabel) && $_activeFieldLabel == $_fieldLabel) { return $_fieldName; } else {  $_activeFieldLabel = mb_strtolower(SWIFT_KQLSchema::GetLabel($_fieldName)); if (!empty($_activeFieldLabel) && $_activeFieldLabel == $_fieldLabel) { return $_fieldName; } } } } return false; }  public function GetTableAndFieldNameOnText($_activeFieldText) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_activeFieldText = mb_strtolower(preg_replace(array('/^(,)/i', '/(,)$/i', '/^(\()/i', '/(\))$/i', '/^(\'|")/i', '/(\'|")$/i'), array('', '', '', '', '', ''), trim($_activeFieldText)));  $_tableLabel = $this->GetPrimaryTableName(); $_fieldLabel = ''; if (strpos($_activeFieldText, '.')) { $_tableLabel = mb_strtolower(substr($_activeFieldText, 0, strpos($_activeFieldText, '.'))); $_fieldLabel = mb_strtolower(substr($_activeFieldText, strpos($_activeFieldText, '.')+1)); } else { $_fieldLabel = mb_strtolower($_activeFieldText); } $_tableName = $this->GetTableNameOnLabel($_tableLabel); $_fieldName = $this->GetFieldNameOnLabel($_tableName, $_fieldLabel); if (empty($_fieldName)) { $_fieldName = $_fieldLabel; } return array($_tableName, $_fieldName); }  protected function GetPrimaryTableName() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return ''; }  public function GetParsedDistinctValue($_fieldNameReference, $_distinctValue) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_functionList = SWIFT_KQL::GetCombinedFunctionList(); if (!strstr($_fieldNameReference, '_')) { return $_distinctValue; } $_keyChunks = explode('_', strtolower($_fieldNameReference)); $_tableName = $_columnName = '';  if (!count($_keyChunks)) { return $_distinctValue; }  if (in_array($_keyChunks[0], $_functionList) && count($_keyChunks) == 3 && isset($this->_schemaContainer[$_keyChunks[1]]) && isset($this->_schemaContainer[$_keyChunks[1]][SWIFT_KQLSchema::SCHEMA_FIELDS][$_keyChunks[2]])) { $_tableName = $_keyChunks[1]; $_columnName = $_keyChunks[2]; $_fieldContainer = $this->_schemaContainer[$_keyChunks[1]][SWIFT_KQLSchema::SCHEMA_FIELDS][$_keyChunks[2]]; if ($_fieldContainer[SWIFT_KQLSchema::FIELD_TYPE] == SWIFT_KQLSchema::FIELDTYPE_CUSTOM && isset($_fieldContainer[SWIFT_KQLSchema::FIELD_CUSTOMVALUES])) { foreach ($_fieldContainer[SWIFT_KQLSchema::FIELD_CUSTOMVALUES] as $_actualValue => $_languageString) { if (mb_strtolower($_distinctValue) == $_actualValue) { $_labelResult = SWIFT_KQLSchema::GetLabel($_languageString); if (!empty($_labelResult)) { return $_labelResult; } } } } } else if (count($_keyChunks) == 2 && isset($this->_schemaContainer[$_keyChunks[0]]) && isset($this->_schemaContainer[$_keyChunks[0]][SWIFT_KQLSchema::SCHEMA_FIELDS][$_keyChunks[1]])) { $_tableName = $_keyChunks[0]; $_columnName = $_keyChunks[1]; $_fieldContainer = $this->_schemaContainer[$_keyChunks[0]][SWIFT_KQLSchema::SCHEMA_FIELDS][$_keyChunks[1]]; if ($_fieldContainer[SWIFT_KQLSchema::FIELD_TYPE] == SWIFT_KQLSchema::FIELDTYPE_CUSTOM && isset($_fieldContainer[SWIFT_KQLSchema::FIELD_CUSTOMVALUES])) { foreach ($_fieldContainer[SWIFT_KQLSchema::FIELD_CUSTOMVALUES] as $_actualValue => $_languageString) { if (mb_strtolower($_distinctValue) == $_actualValue) { $_labelResult = SWIFT_KQLSchema::GetLabel($_languageString); if (!empty($_labelResult)) { return $_labelResult; } } } } } return $_distinctValue; }  static public function GetParsedCustomFieldValue($_customFieldValue, $_customField, $_isEncrypted = false, $_isSerialized = false) { if (!$_customFieldValue) { return $_customFieldValue; } if ($_isEncrypted) { $_customFieldValue = SWIFT_CustomFieldManager::Decrypt($_customFieldValue); } if ($_isSerialized) { $_customFieldValue = mb_unserialize($_customFieldValue); } if (_is_array($_customFieldValue) && (($_customField['type'] == SWIFT_CustomField::TYPE_CHECKBOX) || ($_customField['type'] == SWIFT_CustomField::TYPE_SELECTMULTIPLE))) { foreach ($_customFieldValue as $_fieldIndex => $_optionIndex) { if (isset($_customField['options'][$_optionIndex])) { $_customFieldValue[$_fieldIndex] = $_customField['options'][$_optionIndex]; } } } elseif (($_customField['type'] == SWIFT_CustomField::TYPE_RADIO) || ($_customField['type'] == SWIFT_CustomField::TYPE_SELECT)) { if (isset($_customField['options'][$_customFieldValue])) { $_customFieldValue = $_customField['options'][$_customFieldValue]; } } elseif ($_customField['type'] == SWIFT_CustomField::TYPE_SELECTLINKED) { $_parentIndex = false; $_linkedSelectValue = array(); foreach ($_customFieldValue as $_fieldIndex => $_optionIndex) { if (is_array($_optionIndex)) { foreach ($_optionIndex as $_subIndex => $_suboptionIndex) { if (($_subIndex == $_parentIndex) &&  isset($_customField['options'][$_subIndex]) && isset($_customField['options'][$_subIndex]['suboptions'][$_suboptionIndex])) { $_linkedSelectValue[] = $_customField['options'][$_subIndex]['suboptions'][$_suboptionIndex]['value']; } } $_parentIndex = false; } else { if (isset($_customField['options'][$_optionIndex])) { $_linkedSelectValue[] = $_customField['options'][$_optionIndex]['value']; } $_parentIndex = $_optionIndex; } } $_customFieldValue = implode(' » ', $_linkedSelectValue); } elseif ($_customField['type'] == SWIFT_CustomField::TYPE_FILE) { try { $_SWIFT_FileManagerObject = new SWIFT_FileManager($_customFieldValue); $_customFieldValue = $_SWIFT_FileManagerObject->GetProperty('originalfilename');  } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { } } if (is_array($_customFieldValue)) { $_customFieldValue = implode(', ', $_customFieldValue); } return $_customFieldValue; } } ?>