<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   abstract class SWIFT_KQLSchema extends SWIFT_Library { static protected $_localeContainer = array(); static protected $_invertedLocaleContainer = array();  const SCHEMA_TABLELABEL = 1; const SCHEMA_RELATEDTABLES = 2; const SCHEMA_FIELDS = 3; const SCHEMA_ISVISIBLE = 4; const SCHEMA_PRIMARYKEY = 5; const SCHEMA_AUTOJOIN = 6; const SCHEMA_TABLEALIAS = 7; const FIELD_TYPE = 1; const FIELD_RELATEDTO = 2; const FIELD_LINKEDTO = 3;  const FIELD_WIDTH = 4; const FIELD_CUSTOMVALUES = 5; const FIELD_ALIGN = 6; const FIELD_AUXILIARY = 7;  const FIELDTYPE_INT = 1; const FIELDTYPE_FLOAT = 2; const FIELDTYPE_STRING = 3; const FIELDTYPE_BOOL = 4; const FIELDTYPE_UNIXTIME = 5; const FIELDTYPE_SECONDS = 6; const FIELDTYPE_LINKED = 7; const FIELDTYPE_CUSTOM = 8;  const CLAUSE_PARSER = 0; const CLAUSE_PRECOMPILER = 1; const CLAUSE_COMPILER = 2;   const OPERATOR_NEGATIVE = 0; const OPERATOR_LEFTTYPE = 1; const OPERATOR_RIGHTTYPE = 2; const OPERATOR_RETURNTYPE = 3; const OPERATOR_EXPANDER = 4; const OPERATOR_COMPILER = 5;  const FUNCTION_ARGUMENTS = 0; const FUNCTION_OPTIONALARGUMENTS = 1;  const FUNCTION_RETURNTYPE = 3; const FUNCTION_PARSER = 4; const FUNCTION_POSTPARSER = 5; const FUNCTION_EXPANDER = 6; const FUNCTION_PRECOMPILER = 7; const FUNCTION_COMPILER = 8;  const SELECTOR_FUNCTION = 0;  const SELECTOR_ARGUMENT = 1; const SELECTOR_RETURNTYPE = 2; const SELECTOR_COMPILER = 3;  const PREMODIFIER_PARSER = 0; const PREMODIFIER_COMPILER = 1;  const POSTMODIFIER_CLAUSE = 0; const POSTMODIFIER_PARSER = 1; const POSTMODIFIER_COMPILER = 2;   const IDENTIFIER_TYPE = 0; const IDENTIFIER_VALUE = 1; const IDENTIFIER_PARSER = 2;  const VARIABLE_COMPILER = 2;  public function __construct() { parent::__construct(); $this->LoadKQLLabels('kql'); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function GetSchema() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_schemaContainer = array(); return $_schemaContainer; }  public function GetClauses() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_clausesContainer = array(); return $_clausesContainer; }  public function GetOperators() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_operatorsContainer = array(); return $_operatorsContainer; }  public function GetFunctions() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_functionsContainer = array(); return $_functionsContainer; }  public function GetSelectors() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_selectorsContainer = array(); return $_selectorsContainer; }  public function GetPreModifiers() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_preModifiersContainer = array(); return $_preModifiersContainer; }  public function GetPostModifiers() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_postModifiersContainer = array(); return $_postModifiersContainer; }  public function GetIdentifiers() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_identifiersContainer = array(); return $_identifiersContainer; }  public function GetVariables() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_variablesContainer = array(); return $_variablesContainer; }  static public function GetSchemaObjects() { $_SWIFT = SWIFT::GetInstance(); $_installedAppList = SWIFT_App::GetInstalledApps(); $_schemaObjects = array(); foreach ($_installedAppList as $_appName) { $_SWIFT_KQLSchemaObject = SWIFT_App::RetrieveKQLSchemaObject($_appName); if (!$_SWIFT_KQLSchemaObject instanceof SWIFT_KQLSchema || !$_SWIFT_KQLSchemaObject->GetIsClassLoaded()) { continue; } $_schemaObjects[] = $_SWIFT_KQLSchemaObject; } return $_schemaObjects; }  static public function GetCombinedSchema() { $_SWIFT = SWIFT::GetInstance(); $_installedAppList = SWIFT_App::GetInstalledApps(); $_schemaContainer = array(); foreach ($_installedAppList as $_appName) { $_SWIFT_KQLSchemaObject = false; try { $_SWIFT_KQLSchemaObject = SWIFT_App::RetrieveKQLSchemaObject($_appName); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { } if (!$_SWIFT_KQLSchemaObject instanceof SWIFT_KQLSchema || !$_SWIFT_KQLSchemaObject->GetIsClassLoaded()) { continue; } $_schemaContainer = array_merge($_schemaContainer, $_SWIFT_KQLSchemaObject->GetSchema()); } return $_schemaContainer; }  public function LoadKQLLabels($_localeName, $_appName = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_localeName)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_localeContainer = false; if (!empty($_appName)) { $_localeContainer = $this->Language->LoadApp($_localeName, $_appName); } else { $_localeContainer = $this->Language->Load($_localeName); } if (!$_localeContainer) { return false; } if (_is_array($_localeContainer)) { self::$_localeContainer = array_merge(self::$_localeContainer, $_localeContainer); } self::$_invertedLocaleContainer = array_flip(self::$_localeContainer); return true; }  static public function GetLabel($_labelKey) { if (isset(self::$_localeContainer[$_labelKey])) { return self::$_localeContainer[$_labelKey]; } return ''; }  static public function GetActualFieldNameOnLabel($_tableName, $_labelName) { $_SWIFT = SWIFT::GetInstance(); if (empty($_tableName) || empty($_labelName)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } if (!isset(self::$_invertedLocaleContainer[$_labelName])) { } return true; }  static public function ArgumentTypeEqual($_dataType, $_allowedType) { if (is_array($_allowedType)) { return in_array($_dataType, $_allowedType); } elseif ($_allowedType !== false) { return ($_dataType == $_allowedType); } return false; } } ?>