<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_KQL2 extends SWIFT_Library { const TYPE_ALPHA = 0x01;  const TYPE_NUMBER = 0x02;  const TYPE_SPACE = 0x04;  const TYPE_ASTERISK = 0x08;  const TYPE_SIGN = 0x10;  const TYPE_DOT = 0x20;  const TYPE_OTHER = 0x40;  const TYPE_SPEC = 0x80;  const TYPE_ERROR = 0xFF; const TYPE_OPERATOR = 0x03;  const TYPE_FIELDNAME = 0x2B;  const TYPE_SIGNREALNUM = 0x32;  const ELEMENT_EXPRESSION = 0; const ELEMENT_FIELD = 1; const ELEMENT_CUSTOMFIELD = 2; const ELEMENT_FUNCTION = 3; const ELEMENT_SELECTOR = 4; const ELEMENT_VALUE = 5; const ELEMENT_ARRAY = 6; const ELEMENT_VARIABLE = 7; const EXPRESSION_TYPE = 0; const EXPRESSION_DATA = 1; const EXPRESSION_RETURNTYPE = 2; const EXPRESSION_NEGATIVE = 3; const EXPRESSION_EXTRA = 4; const DATA_BOOLEAN = 1; const DATA_INTEGER = 2; const DATA_FLOAT = 3; const DATA_SECONDS = 4;  const DATA_INTERVAL = 5;  const DATA_TIME = 6; const DATA_DATE = 7; const DATA_UNIXDATE = 8;  const DATA_DATETIME = 9; const DATA_STRING = 10; const DATA_NUMERIC = 11;  const DATA_OPTION = 12; const DATA_SAME = 13; const DATA_ARRAY = 14; const DATA_ANY = 15; const TABLE_NAME = 0;  const TABLE_JOIN = 1;  const TABLE_RELATED = 2;  static protected $_operatorsPrecedence = array(  '!', '~', '^', '*', '/', 'DIV', '%', 'MOD', '-', '+', '<<', '>>', '&', '|', '=', '<=>', '>=', '>', '<=', '<', '<>', '!=', 'IS', 'LIKE', 'NOT LIKE', 'REGEXP', 'IN', 'NOT IN', 'BETWEEN', 'NOT BETWEEN', '&&', 'AND', 'XOR', '||', 'OR' ); static protected $_kqlCustomFieldTypeMap = array( SWIFT_CustomField::TYPE_CHECKBOX => self::DATA_OPTION, SWIFT_CustomField::TYPE_SELECTMULTIPLE => self::DATA_OPTION, SWIFT_CustomField::TYPE_RADIO => self::DATA_OPTION, SWIFT_CustomField::TYPE_SELECT => self::DATA_OPTION, SWIFT_CustomField::TYPE_SELECTLINKED => self::DATA_OPTION, SWIFT_CustomField::TYPE_DATE => self::DATA_DATE ); static protected $_kqlElementTypeStringMap = array( self::ELEMENT_FIELD => 'field expression', self::ELEMENT_CUSTOMFIELD => 'custom field expression', self::ELEMENT_FUNCTION => 'function expression', self::ELEMENT_VALUE => 'value expression', self::ELEMENT_ARRAY => 'array of expression' ); static protected $_kqlDataTypeStringMap = array( self::DATA_ANY => 'any', self::DATA_NUMERIC => 'number', self::DATA_INTEGER => 'integer', self::DATA_FLOAT => 'float', self::DATA_INTERVAL => 'interval', self::DATA_SECONDS => 'seconds', self::DATA_BOOLEAN => 'boolean', self::DATA_STRING => 'string', self::DATA_DATE => 'date', self::DATA_TIME => 'time', self::DATA_UNIXDATE => 'unix timestamp', self::DATA_DATETIME => 'date and time' );  protected $_schemaContainer = array(); protected $_customFieldContainer = array(); protected $_clausesContainer = array(); protected $_operatorsContainer = array(); protected $_functionsContainer = array(); protected $_selectorsContainer = array(); protected $_preModifiersContainer = array(); protected $_postModifiersContainer = array(); protected $_identifiersContainer = array(); protected $_variablesContainer = array(); protected $_kqlStructure = false; protected $_tableList = array(); protected $_axisXCount = false;  public function __construct($_kql, $_tableList = array()) { parent::__construct(); if (is_string($_kql)) { $_kqlParser = new SWIFT_KQL2Parser(); $_kqlObject = $_kqlParser->Parse($_kql); $_kql = $_kqlObject->GetArray(); } $this->_kqlStructure = $_kql; $this->_tableList = $_tableList; return true; }  public function __destruct() { parent::__destruct(); return true; }  public function SetSchema($_schemaContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_schemaContainer = $_schemaContainer; return true; }  public function GetSchema() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_schemaContainer; }  public function SetCustomFields($_customFieldContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_customFieldContainer = $_customFieldContainer; return true; }  public function GetCustomFields() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_customFieldContainer; }  public function SetClauses($_clausesContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_clausesContainer = $_clausesContainer; return true; }  public function GetClauses() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_clausesContainer; }  public function SetOperators($_operatorsContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_operatorsContainer = $_operatorsContainer; return true; }  public function GetOperators() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_operatorsContainer; }  public function SetFunctions($_functionsContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_functionsContainer = $_functionsContainer; return true; }  public function GetFunctions() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_functionsContainer; }  public function SetSelectors($_selectorsContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_selectorsContainer = $_selectorsContainer; return true; }  public function GetSelectors() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_selectorsContainer; }  public function SetPreModifiers($_preModifiersContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_preModifiersContainer = $_preModifiersContainer; return true; }  public function GetPreModifiers() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_preModifiersContainer; }  public function SetPostModifiers($_postModifiersContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_postModifiersContainer = $_postModifiersContainer; return true; }  public function GetPostModifiers() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_postModifiersContainer; }  public function SetIdentifiers($_identifiersContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_identifiersContainer = $_identifiersContainer; return true; }  public function GetIdentifiers() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_identifiersContainer; }  public function SetVariables($_variablesContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_variablesContainer = $_variablesContainer; return true; }  public function GetVariables() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_variablesContainer; }  public function GetArray() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_kqlStructure; }  public function GetTableList() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_tableList; }  public function IsTabular() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if (!isset($this->_kqlStructure['GROUP BY']) && !isset($this->_kqlStructure['MULTIGROUP BY'])) { return true; } else { return false; } }  public function IsSummary() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if (isset($this->_kqlStructure['GROUP BY']) && !$this->IsMatrix()) { return true; } else { return false; } }  public function IsGroupedTabular() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if (isset($this->_kqlStructure['MULTIGROUP BY'])) { return true; } else { return false; } }  public function IsMatrix() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->_axisXCount == false) { $this->_axisXCount = 0; if (isset($this->_kqlStructure['GROUP BY'])) { foreach ($this->_kqlStructure['GROUP BY'] as $_expression) { if (isset($_expression[SWIFT_KQL2::EXPRESSION_EXTRA]) && isset($_expression[SWIFT_KQL2::EXPRESSION_EXTRA]['X'])) { $this->_axisXCount = 1; break; } } } } return ($this->_axisXCount > 0); }  static public function GetElementTypeString($_type) { if (isset(self::$_kqlElementTypeStringMap[$_type])) { return self::$_kqlElementTypeStringMap[$_type]; } else { return 'expression'; } }  static public function GetDataTypeString($_type) { if (isset(self::$_kqlDataTypeStringMap[$_type])) { return self::$_kqlDataTypeStringMap[$_type]; } elseif ($_type > 0) { return sprintf("unknown type 0x%04X", $_type); } else { return false; } }  static public function ConvertCustomFieldToKQLType($_type) { if (isset(self::$_kqlCustomFieldTypeMap[$_type])) { return self::$_kqlCustomFieldTypeMap[$_type]; } else { return self::DATA_STRING; } }  static public function GetPrecedenceGroups($_expression) { if ($_expression[self::EXPRESSION_TYPE] == self::ELEMENT_EXPRESSION) { $_operators = array(); for ($_i = 0; $_i < count($_expression[self::EXPRESSION_DATA]); $_i++) { if (is_string($_expression[self::EXPRESSION_DATA][$_i])) { if (!isset($_operators[$_expression[self::EXPRESSION_DATA][$_i]])) { $_operators[$_expression[self::EXPRESSION_DATA][$_i]] = array(); } $_operators[$_expression[self::EXPRESSION_DATA][$_i]][] = $_i; } } $_groups = array(); $_groupsCache = array(); foreach (self::$_operatorsPrecedence as $_operator) { if (isset($_operators[$_operator])) { foreach ($_operators[$_operator] as $_position) { $_leftOperand = false; if (($_position > 0) && is_array($_expression[self::EXPRESSION_DATA][$_position - 1])) { $_leftOperand = $_position - 1; } if (isset($_groupsCache[$_leftOperand])) { $_leftOperand = array($_groupsCache[$_leftOperand], $_leftOperand); } $_rightOperand = false; if ((($_position + 1) < count($_expression[self::EXPRESSION_DATA])) && is_array($_expression[self::EXPRESSION_DATA][$_position + 1])) { $_rightOperand = $_position + 1; } if (isset($_groupsCache[$_rightOperand])) { $_rightOperand = array($_rightOperand, $_groupsCache[$_rightOperand]); } $_groups[] = array($_leftOperand, $_position, $_rightOperand); if (is_array($_leftOperand)) { $_groupsCache[$_leftOperand[0]] = (is_array($_rightOperand)) ? $_rightOperand[1] : $_rightOperand; } elseif (is_array($_rightOperand)) { $_groupsCache[$_leftOperand] = (isset($_groupsCache[$_rightOperand[1]]) && ($_groupsCache[$_rightOperand[1]] > $_rightOperand[1])) ? $_groupsCache[$_rightOperand[1]] : $_rightOperand[1]; } else { $_groupsCache[$_leftOperand] = (isset($_groupsCache[$_rightOperand]) && ($_groupsCache[$_rightOperand] > $_rightOperand)) ? $_groupsCache[$_rightOperand] : $_rightOperand; } if (is_array($_rightOperand)) { $_groupsCache[$_rightOperand[1]] = (is_array($_leftOperand)) ? $_leftOperand[0] : $_leftOperand; } elseif (is_array($_leftOperand)) { $_groupsCache[$_rightOperand] = (isset($_groupsCache[$_leftOperand[0]]) && ($_groupsCache[$_leftOperand[0]] < $_leftOperand[0])) ? $_groupsCache[$_leftOperand[0]] : $_leftOperand[0]; } else { $_groupsCache[$_rightOperand] = (isset($_groupsCache[$_leftOperand]) && ($_groupsCache[$_leftOperand] < $_leftOperand)) ? $_groupsCache[$_leftOperand] : $_leftOperand; } } } } return $_groups; } return false; }  static public function SortPrecedenceGroups($_expression) { usort($_expression, array('self', '_SortPrecedenceGroups')); return $_expression; }  static public function _SortPrecedenceGroups($_aGroup, $_bGroup) { $_aStart = is_array($_aGroup[0]) ? $_aGroup[0][0] : $_aGroup[0]; $_bStart = is_array($_bGroup[0]) ? $_bGroup[0][0] : $_bGroup[0]; $_aEnd = is_array($_aGroup[2]) ? $_aGroup[2][1] : $_aGroup[2]; $_bEnd = is_array($_bGroup[2]) ? $_bGroup[2][1] : $_bGroup[2]; if (($_bStart >= $_aStart) && ($_bEnd <= $_aEnd)) { return 1; } elseif (($_aStart >= $_bStart) && ($_aEnd <= $_bEnd)) { return -1; } else { return $_aStart - $_bStart; } }  static public function IsAbstractType($_kqlType) { switch ($_kqlType) { case self::DATA_NUMERIC: return true; break; } return false; }  static public function GetCleanOperator($_operator) { return preg_replace(array('/^!/', '/^NOT /i'), '', $_operator); }  static public function GetBestCastToType($_fromType, $_toTypes) { if (!_is_array($_toTypes)) { return $_toTypes; } $_toTypeMap = array(); switch ($_fromType) { case self::DATA_BOOLEAN: $_toTypeMap = array( self::DATA_INTEGER, self::DATA_FLOAT, self::DATA_STRING ); break; case self::DATA_INTEGER: $_toTypeMap = array( self::DATA_FLOAT, self::DATA_SECONDS, self::DATA_INTERVAL, self::DATA_TIME, self::DATA_UNIXDATE, self::DATA_DATETIME, self::DATA_DATE, self::DATA_BOOLEAN, self::DATA_STRING ); break; case self::DATA_FLOAT: $_toTypeMap = array( self::DATA_INTERVAL, self::DATA_TIME, self::DATA_DATETIME, self::DATA_STRING, self::DATA_INTEGER, self::DATA_SECONDS, self::DATA_UNIXDATE, self::DATA_DATE ); break; case self::DATA_SECONDS: $_toTypeMap = array( self::DATA_INTERVAL, self::DATA_TIME, self::DATA_UNIXDATE, self::DATA_DATETIME, self::DATA_DATE, self::DATA_INTEGER, self::DATA_FLOAT, self::DATA_STRING ); break; case self::DATA_INTERVAL: $_toTypeMap = array( self::DATA_INTEGER, self::DATA_FLOAT, self::DATA_STRING, self::DATA_SECONDS, self::DATA_TIME, self::DATA_UNIXDATE, self::DATA_DATETIME, self::DATA_DATE ); break; case self::DATA_TIME: $_toTypeMap = array( self::DATA_FLOAT, self::DATA_SECONDS, self::DATA_INTERVAL, self::DATA_INTEGER, self::DATA_STRING, self::DATA_UNIXDATE, self::DATA_DATETIME, self::DATA_DATE ); break; case self::DATA_DATE: $_toTypeMap = array( self::DATA_DATETIME, self::DATA_UNIXDATE, self::DATA_SECONDS, self::DATA_INTEGER, self::DATA_FLOAT, self::DATA_STRING ); break; case self::DATA_UNIXDATE: $_toTypeMap = array( self::DATA_DATETIME, self::DATA_SECONDS, self::DATA_INTEGER, self::DATA_FLOAT, self::DATA_STRING, self::DATA_DATE, self::DATA_TIME ); break; case self::DATA_DATETIME: $_toTypeMap = array( self::DATA_UNIXDATE, self::DATA_SECONDS, self::DATA_INTEGER, self::DATA_FLOAT, self::DATA_STRING, self::DATA_DATE, self::DATA_TIME ); break; case self::DATA_NUMERIC: $_toTypeMap = array( self::DATA_FLOAT, self::DATA_INTEGER, self::DATA_SECONDS, self::DATA_INTERVAL, self::DATA_UNIXDATE, self::DATA_DATETIME, self::DATA_STRING, self::DATA_DATE, self::DATA_TIME ); break; default:  break; } $_bestTypeIndex = false; foreach ($_toTypes as $_toType) { $_typeIndex = array_search($_toType, $_toTypeMap); if ($_typeIndex !== false) { if (($_bestTypeIndex === false) || ($_typeIndex < $_bestTypeIndex)) { $_bestTypeIndex = $_typeIndex; } } } if ($_bestTypeIndex !== false) { return $_toTypeMap[$_bestTypeIndex]; } else { return reset($_toTypeMap); } return false; } } ?>