<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_NotificationManager extends SWIFT_Library { protected $_ruleType = false; protected $_changeContainer = array(); protected $_event = '';  protected $Ticket = false; protected $User = false;  public function __construct($_SWIFT_BaseObject) { parent::__construct(); if ($_SWIFT_BaseObject instanceof SWIFT_Ticket && $_SWIFT_BaseObject->GetIsClassLoaded()) { $this->LoadTicket($_SWIFT_BaseObject); } else if ($_SWIFT_BaseObject instanceof SWIFT_User && $_SWIFT_BaseObject->GetIsClassLoaded()) { $this->LoadUser($_SWIFT_BaseObject); } else { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } return true; }  public function __destruct() { parent::__destruct(); return true; }  protected function SetRuleType($_ruleType) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!SWIFT_NotificationRule::IsValidRuleType($_ruleType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->_ruleType = $_ruleType; return true; }  public function GetRuleType() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_ruleType; }  public function LoadTicket(SWIFT_Ticket $_SWIFT_TicketObject) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!$_SWIFT_TicketObject instanceof SWIFT_Ticket || !$_SWIFT_TicketObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->Ticket = $_SWIFT_TicketObject; $this->SetRuleType(SWIFT_NotificationRule::TYPE_TICKET); return true; }  public function LoadUser(SWIFT_User $_SWIFT_UserObject) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!$_SWIFT_UserObject instanceof SWIFT_User || !$_SWIFT_UserObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->User = $_SWIFT_UserObject; $this->SetRuleType(SWIFT_NotificationRule::TYPE_USER); return true; }  public function Changed($_fieldName, $_oldValue, $_newValue) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_changeContainer[$_fieldName] = array($_oldValue, $_newValue); return true; }  public function SetEvent($_event) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if (!empty($this->_event)) { $this->Trigger(); } $this->_event = $_event; return true; }  public function GetEvent() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_event; }  public function Trigger() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false;  } else if (count($this->_changeContainer) == 0 && empty($this->_event)) { return false; } $_staffCache = $this->Cache->Get('staffcache'); $_notificationRuleCache = $this->Cache->Get('notificationrulescache'); if (!_is_array($_notificationRuleCache)) { return false; }  $_finalRulesContainer = array(); foreach ($_notificationRuleCache as $_notificationRuleID => $_notificationRuleContainer) {  if ($_notificationRuleContainer['ruletype'] == $this->GetRuleType() && $_notificationRuleContainer['isenabled'] == '1') { if (!isset($this->_event) || empty($this->_event)) { $_finalRulesContainer[$_notificationRuleID] = $_notificationRuleContainer; } else { foreach ($_notificationRuleContainer['_criteria'] as $_criteriaID => $_criteriaContainer) { if ($_criteriaContainer[2] == $this->_event) { $_finalRulesContainer[$_notificationRuleID] = $_notificationRuleContainer; } } } } } if (!count($_finalRulesContainer)) { return false; } $_finalActionsContainer = array(); foreach ($_finalRulesContainer as $_notificationRuleID => $_notificationRuleContainer) { $_SWIFT_NotificationRuleObject = new SWIFT_NotificationRule(new SWIFT_DataStore($_notificationRuleContainer)); if (!$_SWIFT_NotificationRuleObject instanceof SWIFT_NotificationRule || !$_SWIFT_NotificationRuleObject->GetIsClassLoaded()) { continue; } if ($this->GetRuleType() == SWIFT_NotificationRule::TYPE_TICKET) { $_SWIFT_NotificationRuleObject->ProcessProperties($this->Ticket, $this->_event, $this->_changeContainer); } else if ($this->GetRuleType() == SWIFT_NotificationRule::TYPE_USER) { $_SWIFT_NotificationRuleObject->ProcessProperties($this->User, $this->_event, $this->_changeContainer); } $_ruleResult = $_SWIFT_NotificationRuleObject->Execute(SWIFT_NotificationRule::GetCriteriaPointer($_notificationRuleContainer['ruletype'])); if ($_ruleResult) { $_finalActionsContainer[$_notificationRuleID] = array(); $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_EMAILSTAFF] = false; $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_EMAILSTAFFGROUP] = false; $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_EMAILDEPARTMENT] = false; $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_EMAILCUSTOM] = array(); $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_EMAILSTAFFCUSTOM] = array(); $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_POOLSTAFF] = false; $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_POOLSTAFFGROUP] = false; $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_POOLDEPARTMENT] = false; $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_POOLCUSTOM] = array();  foreach ($_notificationRuleContainer['_actions'] as $_actionContainer) { if ($_actionContainer['actiontype'] == SWIFT_NotificationAction::ACTION_EMAILSTAFF) { $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_EMAILSTAFF] = true; } else if ($_actionContainer['actiontype'] == SWIFT_NotificationAction::ACTION_EMAILSTAFFGROUP) { $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_EMAILSTAFFGROUP] = true; } else if ($_actionContainer['actiontype'] == SWIFT_NotificationAction::ACTION_EMAILDEPARTMENT) { $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_EMAILDEPARTMENT] = true; } else if ($_actionContainer['actiontype'] == SWIFT_NotificationAction::ACTION_POOLSTAFF) { $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_POOLSTAFF] = true; } else if ($_actionContainer['actiontype'] == SWIFT_NotificationAction::ACTION_POOLSTAFFGROUP) { $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_POOLSTAFFGROUP] = true; } else if ($_actionContainer['actiontype'] == SWIFT_NotificationAction::ACTION_POOLDEPARTMENT) { $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_POOLDEPARTMENT] = true; } else if ($_actionContainer['actiontype'] == SWIFT_NotificationAction::ACTION_EMAILCUSTOM) { if (!in_array($_actionContainer['contents'], $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_EMAILCUSTOM])) { $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_EMAILCUSTOM][] = $_actionContainer['contents']; } } else if ($_actionContainer['actiontype'] == SWIFT_NotificationAction::ACTION_EMAILSTAFFCUSTOM && isset($_staffCache[$_actionContainer['contents']]) && $_staffCache[$_actionContainer['contents']]['isenabled'] == '1') { $_emailAddress = $_staffCache[$_actionContainer['contents']]['email']; if (!in_array($_emailAddress, $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_EMAILCUSTOM])) { $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_EMAILCUSTOM][] = $_emailAddress; } } else if ($_actionContainer['actiontype'] == SWIFT_NotificationAction::ACTION_POOLCUSTOM) { if (!in_array($_actionContainer['contents'], $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_POOLCUSTOM])) { $_finalActionsContainer[$_notificationRuleID][SWIFT_NotificationAction::ACTION_POOLCUSTOM][] = $_actionContainer['contents']; } } }  } else {  } } if (!count($_finalActionsContainer)) { return false; }  foreach ($_finalActionsContainer as $_notificationRuleID => $_actionsContainer) { $_emailPrefix = $_finalRulesContainer[$_notificationRuleID]['emailprefix']; foreach ($_actionsContainer as $_actionType => $_actionValue) {  if ($this->GetRuleType() == SWIFT_NotificationRule::TYPE_TICKET) { if ($_actionType == SWIFT_NotificationAction::ACTION_EMAILSTAFF && $_actionValue == true) { $this->Ticket->DispatchNotification(SWIFT_TicketNotification::TYPE_STAFF, array(), $_emailPrefix, $this->GetEvent()); } else if ($_actionType == SWIFT_NotificationAction::ACTION_EMAILSTAFFGROUP && $_actionValue == true) { $this->Ticket->DispatchNotification(SWIFT_TicketNotification::TYPE_TEAM, array(), $_emailPrefix, $this->GetEvent()); } else if ($_actionType == SWIFT_NotificationAction::ACTION_EMAILDEPARTMENT && $_actionValue == true) { $this->Ticket->DispatchNotification(SWIFT_TicketNotification::TYPE_DEPARTMENT, array(), $_emailPrefix, $this->GetEvent()); } else if ($_actionType == SWIFT_NotificationAction::ACTION_EMAILCUSTOM && _is_array($_actionValue)) { $this->Ticket->DispatchNotification(SWIFT_TicketNotification::TYPE_CUSTOM, $_actionValue, $_emailPrefix, $this->GetEvent()); } else if ($_actionType == SWIFT_NotificationAction::ACTION_POOLSTAFF && $_actionValue == true) { $this->Ticket->DispatchNotificationPool(SWIFT_TicketNotification::TYPE_STAFF, array(), $this->GetEvent()); } else if ($_actionType == SWIFT_NotificationAction::ACTION_POOLSTAFFGROUP && $_actionValue == true) { $this->Ticket->DispatchNotificationPool(SWIFT_TicketNotification::TYPE_TEAM, array(), $this->GetEvent()); } else if ($_actionType == SWIFT_NotificationAction::ACTION_POOLDEPARTMENT && $_actionValue == true) { $this->Ticket->DispatchNotificationPool(SWIFT_TicketNotification::TYPE_DEPARTMENT, array(), $this->GetEvent()); } else if ($_actionType == SWIFT_NotificationAction::ACTION_POOLCUSTOM && _is_array($_actionValue)) { $this->Ticket->DispatchNotificationPool(SWIFT_TicketNotification::TYPE_CUSTOM, $_actionValue, $this->GetEvent()); }  } else if ($this->GetRuleType() == SWIFT_NotificationRule::TYPE_USER) { if ($_actionType == SWIFT_NotificationAction::ACTION_EMAILCUSTOM && _is_array($_actionValue)) { $this->User->DispatchNotification(SWIFT_UserNotification::TYPE_CUSTOM, $_actionValue, $_emailPrefix); } else if ($_actionType == SWIFT_NotificationAction::ACTION_POOLCUSTOM && _is_array($_actionValue)) { $this->User->DispatchNotificationPool(SWIFT_UserNotification::TYPE_CUSTOM, $_actionValue); } } } } return true; } } ?>