<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ProfileImage extends SWIFT_Library { const TYPE_USER = 1; const TYPE_STAFF = 2; const CACHE_PREFIX = 'avatar_'; const EXTENSION_PNG = 'png'; const EXTENSION_JPEG = 'jpeg'; const EXTENSION_GIF = 'gif';  public function __construct($_imageType, $_creatorID, $_emailAddress, $_preferredWidth = 100, $_imageExtension = '', $_imageData = '') { parent::__construct(); if (!self::IsValidType($_imageType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } return true; }  public function __destruct() { parent::__destruct(); return true; }  static public function IsValidType($_imageType) { if ($_imageType == self::TYPE_STAFF || $_imageType == self::TYPE_USER) { return true; } return false; }  static public function RetrieveFromGravatar($_emailAddressHash) { $_SWIFT = SWIFT::GetInstance(); $_gravatarImageContents = file_get_contents('http://www.gravatar.com/avatar/' . $_emailAddressHash . '.png?s=100&d=mm'); return $_gravatarImageContents; }  static public function RetrieveFromCache($_imageType, $_creatorID, $_emailAddress, $_preferredWidth) { $_SWIFT = SWIFT::GetInstance(); if (!self::IsValidType($_imageType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_imageFilename = self::CACHE_PREFIX . md5($_imageType . $_creatorID . $_emailAddress) . '_' . $_preferredWidth; foreach (array(self::EXTENSION_GIF, self::EXTENSION_JPEG, self::EXTENSION_PNG) as $_extension) { $_finalFilePath = './' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_CACHE_DIRECTORY . '/' . $_imageFilename . '.' . $_extension; if (file_exists($_finalFilePath)) { return array($_extension, $_finalFilePath); } } return false; }  static public function UpdateImageCache($_fileName, $_fileContents) { $_SWIFT = SWIFT::GetInstance(); if (empty($_fileName)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } file_put_contents('./' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_CACHE_DIRECTORY . '/' . $_fileName, $_fileContents); return true; }  static public function OutputOnStaffID($_staffID, $_emailAddressHash = '', $_preferredWidth = 100, $_hasGravatarFallback = true) { $_SWIFT = SWIFT::GetInstance(); $_staffCache = $_SWIFT->Cache->Get('staffcache'); if (isset($_staffCache[$_staffID])) { $_emailAddressHash = md5($_staffCache[$_staffID]['email']); }  $_imageCacheContainer = self::RetrieveFromCache(self::TYPE_STAFF, $_staffID, $_emailAddressHash, $_preferredWidth); if (_is_array($_imageCacheContainer)) {  $_SWIFT_ImageResizeObject = new SWIFT_ImageResize($_imageCacheContainer[1]); if ($_SWIFT_ImageResizeObject instanceof SWIFT_ImageResize && $_SWIFT_ImageResizeObject->GetIsClassLoaded()) { $_SWIFT_ImageResizeObject->Output(); return true; } }  $_staffHasProfileImage = SWIFT_StaffProfileImage::StaffHasProfileImage($_staffID); if ($_staffHasProfileImage) { $_SWIFT_StaffProfileImageObject = SWIFT_StaffProfileImage::RetrieveOnStaff($_staffID); if ($_SWIFT_StaffProfileImageObject instanceof SWIFT_StaffProfileImage && $_SWIFT_StaffProfileImageObject->GetIsClassLoaded()) {  $_imageFilename = self::CACHE_PREFIX . md5(self::TYPE_STAFF . $_staffID . $_emailAddressHash) . '_' . $_preferredWidth . '.' . $_SWIFT_StaffProfileImageObject->GetProperty('extension'); self::UpdateImageCache($_imageFilename, base64_decode($_SWIFT_StaffProfileImageObject->GetProperty('imagedata'))); $_SWIFT_ImageResizeObject = new SWIFT_ImageResize('./' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_CACHE_DIRECTORY . '/' . $_imageFilename); if ($_SWIFT_ImageResizeObject instanceof SWIFT_ImageResize && $_SWIFT_ImageResizeObject->GetIsClassLoaded()) { $_SWIFT_ImageResizeObject->SetSize($_preferredWidth, $_preferredWidth); $_SWIFT_ImageResizeObject->SetKeepProportions(true); $_SWIFT_ImageResizeObject->Resize(); $_SWIFT_ImageResizeObject->Save('./' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_CACHE_DIRECTORY . '/' . $_imageFilename, true); return true; } } }  $_imageFilename = self::CACHE_PREFIX . md5(self::TYPE_STAFF . $_staffID . $_emailAddressHash) . '_' . $_preferredWidth . '.' . 'png'; $_gravatarImageContents = file_get_contents('./' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_THEMES_DIRECTORY . '/__cp/images/icon_defaultavatar.png'); if ($_hasGravatarFallback) { $_gravatarImageContents = self::RetrieveFromGravatar($_emailAddressHash); } self::UpdateImageCache($_imageFilename, $_gravatarImageContents); $_SWIFT_ImageResizeObject = new SWIFT_ImageResize('./' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_CACHE_DIRECTORY . '/' . $_imageFilename); if ($_SWIFT_ImageResizeObject instanceof SWIFT_ImageResize && $_SWIFT_ImageResizeObject->GetIsClassLoaded()) { $_SWIFT_ImageResizeObject->SetSize($_preferredWidth, $_preferredWidth); $_SWIFT_ImageResizeObject->SetKeepProportions(true); $_SWIFT_ImageResizeObject->Resize(); $_SWIFT_ImageResizeObject->Save('./' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_CACHE_DIRECTORY . '/' . $_imageFilename, true); return true; } return true; }  static public function OutputOnUserID($_userID, $_emailAddressHash = '', $_preferredWidth = 100) { $_SWIFT = SWIFT::GetInstance(); $_userID = intval($_userID); if (!empty($_userID)) { $_userEmailList = SWIFT_UserEmail::RetrieveList($_userID); if (_is_array($_userEmailList)) { $_emailAddressHash = md5($_userEmailList[0]); } }  $_imageCacheContainer = self::RetrieveFromCache(self::TYPE_USER, $_userID, $_emailAddressHash, $_preferredWidth); if (_is_array($_imageCacheContainer)) { $_SWIFT_ImageResizeObject = new SWIFT_ImageResize($_imageCacheContainer[1]); if ($_SWIFT_ImageResizeObject instanceof SWIFT_ImageResize && $_SWIFT_ImageResizeObject->GetIsClassLoaded()) { $_SWIFT_ImageResizeObject->Output(); return true; } }  $_userHasProfileImage = SWIFT_UserProfileImage::UserHasProfileImage($_userID); if ($_userHasProfileImage) { $_SWIFT_UserProfileImageObject = SWIFT_UserProfileImage::RetrieveOnUser($_userID); if ($_SWIFT_UserProfileImageObject instanceof SWIFT_UserProfileImage && $_SWIFT_UserProfileImageObject->GetIsClassLoaded()) {  $_imageFilename = self::CACHE_PREFIX . md5(self::TYPE_USER . $_userID . $_emailAddressHash) . '_' . $_preferredWidth . '.' . $_SWIFT_UserProfileImageObject->GetProperty('extension'); self::UpdateImageCache($_imageFilename, base64_decode($_SWIFT_UserProfileImageObject->GetProperty('imagedata'))); $_SWIFT_ImageResizeObject = new SWIFT_ImageResize('./' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_CACHE_DIRECTORY . '/' . $_imageFilename); if ($_SWIFT_ImageResizeObject instanceof SWIFT_ImageResize && $_SWIFT_ImageResizeObject->GetIsClassLoaded()) { $_SWIFT_ImageResizeObject->SetSize($_preferredWidth, $_preferredWidth); $_SWIFT_ImageResizeObject->SetKeepProportions(true); $_SWIFT_ImageResizeObject->Resize(); $_SWIFT_ImageResizeObject->Save('./' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_CACHE_DIRECTORY . '/' . $_imageFilename, true); return true; } } }  $_imageFilename = self::CACHE_PREFIX . md5(self::TYPE_USER . $_userID . $_emailAddressHash) . '_' . $_preferredWidth . '.' . 'png'; $_gravatarImageContents = self::RetrieveFromGravatar($_emailAddressHash); self::UpdateImageCache($_imageFilename, $_gravatarImageContents); $_SWIFT_ImageResizeObject = new SWIFT_ImageResize('./' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_CACHE_DIRECTORY . '/' . $_imageFilename); if ($_SWIFT_ImageResizeObject instanceof SWIFT_ImageResize && $_SWIFT_ImageResizeObject->GetIsClassLoaded()) { $_SWIFT_ImageResizeObject->SetSize($_preferredWidth, $_preferredWidth); $_SWIFT_ImageResizeObject->SetKeepProportions(true); $_SWIFT_ImageResizeObject->Resize(); $_SWIFT_ImageResizeObject->Save('./' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_CACHE_DIRECTORY . '/' . $_imageFilename, true); return true; } return true; } } ?>