<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_CustomField extends SWIFT_Model { const TABLE_NAME = 'customfields'; const PRIMARY_KEY = 'customfieldid'; const TABLE_STRUCTURE = "customfieldid I PRIMARY AUTO NOTNULL,
								customfieldgroupid I DEFAULT '0' NOTNULL,
								title C(255) DEFAULT '' NOTNULL,
								fieldtype I2 DEFAULT '0' NOTNULL,
								fieldname C(100) DEFAULT '' NOTNULL,
								defaultvalue C(255) DEFAULT '' NOTNULL,
								isrequired I2 DEFAULT '0' NOTNULL,
								usereditable I2 DEFAULT '0' NOTNULL,
								staffeditable I2 DEFAULT '0' NOTNULL,
								regexpvalidate C(255) DEFAULT '' NOTNULL,
								displayorder I DEFAULT '0' NOTNULL,
								encryptindb I2 DEFAULT '0' NOTNULL,
								description C(255) DEFAULT '' NOTNULL"; const INDEX_1 = 'customfieldgroupid'; protected $_dataStore = array();  const TYPE_TEXT = 1; const TYPE_TEXTAREA = 2; const TYPE_PASSWORD = 3; const TYPE_CHECKBOX = 4; const TYPE_RADIO = 5; const TYPE_SELECT = 6; const TYPE_SELECTMULTIPLE = 7; const TYPE_CUSTOM = 8; const TYPE_SELECTLINKED = 9; const TYPE_DATE = 10; const TYPE_FILE = 11;  public function __construct($_customFieldID) { parent::__construct(); if (!$this->LoadData($_customFieldID)) { throw new SWIFT_CustomField_Exception('Failed to load Custom Field ID: ' . intval($_customFieldID)); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!_is_array($this->GetUpdatePool())) { return false; } else if (!$this->GetIsClassLoaded()) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'customfields', $this->GetUpdatePool(), 'UPDATE', "customfieldid = '" . intval($this->GetCustomFieldID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetCustomFieldID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_CustomField_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['customfieldid']; }  protected function LoadData($_customFieldID) { $_dataStore = $this->Database->QueryFetch("SELECT * FROM ". TABLE_PREFIX ."customfields WHERE customfieldid = '" . intval($_customFieldID) . "'"); if (isset($_dataStore['customfieldid']) && !empty($_dataStore['customfieldid'])) { $this->_dataStore = $_dataStore; return true; } return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_CustomField_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded() || !isset($this->_dataStore[$_key])) { throw new SWIFT_CustomField_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore[$_key]; }  static public function IsValidType($_fieldType) { if ($_fieldType == self::TYPE_TEXT || $_fieldType == self::TYPE_TEXTAREA || $_fieldType == self::TYPE_PASSWORD || $_fieldType == self::TYPE_CHECKBOX || $_fieldType == self::TYPE_RADIO || $_fieldType == self::TYPE_SELECT || $_fieldType == self::TYPE_SELECTMULTIPLE || $_fieldType == self::TYPE_CUSTOM || $_fieldType == self::TYPE_SELECTLINKED || $_fieldType == self::TYPE_DATE || $_fieldType == self::TYPE_FILE) { return true; } return false; }  static public function Create($_customFieldGroupID, $_fieldType, $_fieldTitle, $_description, $_fieldName, $_defaultValue, $_displayOrder, $_isRequired, $_userEditable, $_staffEditable, $_regularExpressionValidation, $_fieldOptionsContainer, $_encryptInDB = false) { $_SWIFT = SWIFT::GetInstance(); $_customFieldGroupID = intval($_customFieldGroupID); if (empty($_customFieldGroupID) || !self::IsValidType($_fieldType) || empty($_fieldTitle) || empty($_fieldName) || !SWIFT_CustomFieldGroup::IsValidCustomFieldGroupID($_customFieldGroupID)) { throw new SWIFT_CustomField_Exception(SWIFT_INVALIDDATA); return false; } if ($_fieldType == self::TYPE_DATE && !empty($_defaultValue)) { $_defaultValue = GetCalendarDateline($_defaultValue); } $_fieldName = Clean($_fieldName); $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'customfields', array('customfieldgroupid' => intval($_customFieldGroupID), 'title' => $_fieldTitle, 'fieldtype' => intval($_fieldType), 'fieldname' => $_fieldName, 'defaultvalue' => $_defaultValue, 'isrequired' => intval($_isRequired), 'usereditable' => intval($_userEditable), 'staffeditable' => intval($_staffEditable), 'regexpvalidate' => $_regularExpressionValidation, 'displayorder' => intval($_displayOrder), 'description' => $_description, 'encryptindb' => intval($_encryptInDB)), 'INSERT'); $_customFieldID = $_SWIFT->Database->Insert_ID(); if (!$_customFieldID) { throw new SWIFT_CustomField_Exception(SWIFT_CREATEFAILED); return false; } $_SWIFT_CustomFieldObject = new SWIFT_CustomField($_customFieldID); if (!$_SWIFT_CustomFieldObject instanceof SWIFT_CustomField || !$_SWIFT_CustomFieldObject->GetIsClassLoaded()) { throw new SWIFT_CustomField_Exception(SWIFT_CREATEFAILED); return false; } $_SWIFT_CustomFieldObject->ProcessOptions($_fieldOptionsContainer); SWIFT_CustomFieldManager::RebuildCache(); return $_SWIFT_CustomFieldObject; }  public function Update($_fieldTitle, $_description, $_fieldName, $_defaultValue, $_displayOrder, $_isRequired, $_userEditable, $_staffEditable, $_regularExpressionValidation, $_fieldOptionsContainer, $_encryptInDB = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_CustomField_Exception(SWIFT_CLASSNOTLOADED); return false; } if (empty($_fieldTitle) || empty($_fieldName)) { throw new SWIFT_CustomField_Exception(SWIFT_INVALIDDATA); return false; } if ($this->GetProperty('fieldtype') == self::TYPE_DATE && !empty($_defaultValue)) { $_defaultValue = GetCalendarDateline($_defaultValue); } $_fieldName = Clean($_fieldName); $this->UpdatePool('title', $_fieldTitle); $this->UpdatePool('fieldname', $_fieldName); $this->UpdatePool('defaultvalue', $_defaultValue); $this->UpdatePool('isrequired', intval($_isRequired)); $this->UpdatePool('usereditable', intval($_userEditable)); $this->UpdatePool('staffeditable', intval($_staffEditable)); $this->UPdatePool('regexpvalidate', $_regularExpressionValidation); $this->UpdatePool('displayorder', intval($_displayOrder)); $this->UpdatePool('encryptindb', intval($_encryptInDB)); $this->UpdatePool('description', $_description); $this->ProcessUpdatePool(); $this->ProcessOptions($_fieldOptionsContainer); SWIFT_CustomFieldManager::RebuildCache(); return true; }  protected function ProcessOptions($_fieldOptionsContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_customFieldOptionIDList = array(); if (_is_array($_fieldOptionsContainer)) {  foreach ($_fieldOptionsContainer as $_key => $_val) { if (isset($_val[0]) && $_val[0] != '') {  $_displayOrder = 1; if (isset($_val[1])) { $_displayOrder = intval($_val[1]); }  $_isSelected = false; if (isset($_val[2]) && !empty($_val[2])) { $_isSelected = true; }  $_linkedCustomFieldIDList = array(); if (isset($_val[3]) && _is_array($_val[3])) { $_linkedCustomFieldIDList = $_val[3]; } $_SWIFT_CustomFieldOptionObject = false; try { $_SWIFT_CustomFieldOptionObject = new SWIFT_CustomFieldOption($_key); if ($_SWIFT_CustomFieldOptionObject->GetProperty('customfieldid') != $this->GetCustomFieldID()) { $_SWIFT_CustomFieldOptionObject = false; } } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { } $_customFieldOptionID = 0; if ($_SWIFT_CustomFieldOptionObject instanceof SWIFT_CustomFieldOption && $_SWIFT_CustomFieldOptionObject->GetIsClassLoaded()) { $_SWIFT_CustomFieldOptionObject->Update($_val[0], $_displayOrder, $_isSelected, 0, $_linkedCustomFieldIDList); $_customFieldOptionID = $_SWIFT_CustomFieldOptionObject->GetCustomFieldOptionID(); } else { $_customFieldOptionID = SWIFT_CustomFieldOption::Create($this->GetCustomFieldID(), $_val[0], $_displayOrder, $_isSelected, 0, $_linkedCustomFieldIDList); } $_customFieldOptionIDList[] = $_customFieldOptionID; if (!$_customFieldOptionID) { throw new SWIFT_CustomField_Exception(SWIFT_CREATEFAILED); return false; } if ($this->GetProperty('fieldtype') == self::TYPE_SELECTLINKED && isset($_val[4]) && _is_array($_val[4])) { foreach ($_val[4] as $_subKey => $_subVal) { if (!isset($_subVal[0]) || $_subVal[0] == '') { continue; } $_displayOrder = 1; if (isset($_subVal[1])) { $_displayOrder = intval($_subVal[1]); } $_isSelected = false; if (isset($_subVal[2]) && !empty($_subVal[2])) { $_isSelected = true; } $_linkedCustomFieldIDList = array(); if (isset($_subVal[3]) && _is_array($_subVal[3])) { $_linkedCustomFieldIDList = $_subVal[3]; } $_SWIFT_CustomFieldOptionObject_Sub = false; try { $_SWIFT_CustomFieldOptionObject_Sub = new SWIFT_CustomFieldOption($_subKey); if ($_SWIFT_CustomFieldOptionObject_Sub->GetProperty('customfieldid') != $this->GetCustomFieldID()) { $_SWIFT_CustomFieldOptionObject_Sub = false; } } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { } $_subCustomFieldOptionID = 0; if ($_SWIFT_CustomFieldOptionObject_Sub instanceof SWIFT_CustomFieldOption && $_SWIFT_CustomFieldOptionObject_Sub->GetIsClassLoaded()) { $_SWIFT_CustomFieldOptionObject_Sub->Update($_subVal[0], $_displayOrder, $_isSelected, $_customFieldOptionID, $_linkedCustomFieldIDList); $_subCustomFieldOptionID = $_SWIFT_CustomFieldOptionObject_Sub->GetCustomFieldOptionID(); } else { $_subCustomFieldOptionID = SWIFT_CustomFieldOption::Create($this->GetCustomFieldID(), $_subVal[0], $_displayOrder, $_isSelected, $_customFieldOptionID, $_linkedCustomFieldIDList); } $_customFieldOptionIDList[] = $_subCustomFieldOptionID; if (!$_subCustomFieldOptionID) { throw new SWIFT_CustomField_Exception(SWIFT_CREATEFAILED); return false; } } } } } }  $_finalCustomFieldOptionIDList = $_deleteCustomFieldOptionIDList = array(); $this->Database->Query("SELECT customfieldoptionid FROM " . TABLE_PREFIX . "customfieldoptions WHERE customfieldid = '" . intval($this->GetCustomFieldID()) . "'"); while ($this->Database->NextRecord()) { $_finalCustomFieldOptionIDList[] = $this->Database->Record['customfieldoptionid']; } foreach ($_finalCustomFieldOptionIDList as $_customFieldOptionID) { if (!in_array($_customFieldOptionID, $_customFieldOptionIDList)) { $_deleteCustomFieldOptionIDList[] = $_customFieldOptionID; } } if (count($_deleteCustomFieldOptionIDList)) { SWIFT_CustomFieldOption::DeleteList($_deleteCustomFieldOptionIDList); } return true; }  public function GetOptionsContainer() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_parentCustomFieldOptionIDList = $_customFieldOptionsContainer = array(); $this->Database->Query("SELECT * FROM " . TABLE_PREFIX . "customfieldoptions WHERE customfieldid = '" . intval($this->GetCustomFieldID()) ."' AND parentcustomfieldoptionid = '0' ORDER BY displayorder ASC"); while ($this->Database->NextRecord()) { $_customFieldOptionsContainer[$this->Database->Record['customfieldoptionid']] = $this->Database->Record; $_customFieldOptionsContainer[$this->Database->Record['customfieldoptionid']]['suboptions'] = array(); $_parentCustomFieldOptionIDList[] = $this->Database->Record['customfieldoptionid']; } if (count($_parentCustomFieldOptionIDList)) { $this->Database->Query("SELECT * FROM " . TABLE_PREFIX . "customfieldoptions WHERE parentcustomfieldoptionid IN (" . BuildIN($_parentCustomFieldOptionIDList) . ") ORDER BY displayorder ASC"); while ($this->Database->NextRecord()) { $_customFieldOptionsContainer[$this->Database->Record['parentcustomfieldoptionid']]['suboptions'][$this->Database->Record['customfieldoptionid']] = $this->Database->Record; } } return $_customFieldOptionsContainer; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_CustomField_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetCustomFieldID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_customFieldIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_customFieldIDList)) { return false; } $_finalCustomFieldIDList = array(); $_index = 1; $_fileIDList = $_fileCustomFieldValueIDList = array(); $_finalText = ''; $_SWIFT->Database->Query("SELECT customfields.*, customfieldgroups.title AS grouptitle FROM " . TABLE_PREFIX . "customfields AS customfields
			LEFT JOIN " . TABLE_PREFIX . "customfieldgroups AS customfieldgroups ON (customfields.customfieldgroupid = customfieldgroups.customfieldgroupid)
				WHERE customfields.customfieldid IN (" . BuildIN($_customFieldIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_fieldType = $_SWIFT->Database->Record['fieldtype']; if ($_fieldType == SWIFT_CustomField::TYPE_FILE) { $_fileCustomFieldValueIDList[] = $_SWIFT->Database->Record['customfieldid']; } $_fieldLabelContainer = self::GetFieldLabel($_fieldType); $_finalText .= $_index . ". <img src='". SWIFT::Get('themepath') . 'images/' . $_fieldLabelContainer[1] . "' align='absmiddle' border='0' /> " . htmlspecialchars($_SWIFT->Database->Record['title']) . ' (' . htmlspecialchars($_SWIFT->Database->Record['grouptitle']) . ')<br>'; $_finalCustomFieldIDList[] = $_SWIFT->Database->Record['customfieldid']; $_index++; } if (!count($_finalCustomFieldIDList)) { return false; }  if (count($_fileCustomFieldValueIDList)) { $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "customfieldvalues WHERE customfieldid IN (" . BuildIN($_fileCustomFieldValueIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_fileIDList[] = $_SWIFT->Database->Record['fieldvalue']; }  if (count($_fileIDList)) { SWIFT_FileManager::DeleteList($_fileIDList); } } SWIFT::Info(sprintf($_SWIFT->Language->Get('titledelcfields'), count($_finalCustomFieldIDList)), sprintf($_SWIFT->Language->Get('msgdelcfields'), $_finalText)); $_SWIFT->Database->Query("DELETE FROM ". TABLE_PREFIX ."customfields WHERE customfieldid IN (" . BuildIN($_finalCustomFieldIDList) . ")"); $_SWIFT->Database->Query("DELETE FROM ". TABLE_PREFIX ."customfieldvalues WHERE customfieldid IN (" . BuildIN($_finalCustomFieldIDList) . ")"); SWIFT_CustomFieldOption::DeleteOnCustomField($_finalCustomFieldIDList);  SWIFT_CustomFieldValue::DeleteOnCustomField($_finalCustomFieldIDList);  if (SWIFT_App::IsInstalled(APP_TICKETS)) { SWIFT_Loader::LoadModel('View:TicketViewField', APP_TICKETS); SWIFT_TicketViewField::DeleteOnCustomFieldTypeAndID(SWIFT_TicketViewField::TYPE_CUSTOM, $_finalCustomFieldIDList); } SWIFT_CustomFieldManager::RebuildCache(); return true; }  static public function DeleteOnCustomFieldGroup($_customFieldGroupIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_customFieldGroupIDList)) { return false; } $_customFieldIDList = array(); $_SWIFT->Database->Query("SELECT customfieldid FROM " . TABLE_PREFIX . "customfields WHERE customfieldgroupid IN (". BuildIN($_customFieldGroupIDList) .")"); while ($_SWIFT->Database->NextRecord()) { $_customFieldIDList[] = $_SWIFT->Database->Record['customfieldid']; } if (!count($_customFieldIDList)) { return false; } self::DeleteList($_customFieldIDList); return true; }  static public function GetFieldLabel($_fieldType) { $_SWIFT = SWIFT::GetInstance(); if (!self::IsValidType($_fieldType)) { return array('', '', ''); } $_typeTitle = $_typeDescription = $_typeIcon = ''; if ($_fieldType == self::TYPE_TEXT) { $_typeTitle = $_SWIFT->Language->Get('field_text'); $_typeDescription = $_SWIFT->Language->Get('desc_field_text'); $_typeIcon = 'icon_cfeditbox.gif'; } else if ($_fieldType == self::TYPE_TEXTAREA) { $_typeTitle = $_SWIFT->Language->Get('field_textarea'); $_typeDescription = $_SWIFT->Language->Get('desc_field_textarea'); $_typeIcon = 'icon_cfeditbox.gif'; } else if ($_fieldType == self::TYPE_PASSWORD) { $_typeTitle = $_SWIFT->Language->Get('field_password'); $_typeDescription = $_SWIFT->Language->Get('desc_field_password'); $_typeIcon = 'icon_cfpassword.gif'; } else if ($_fieldType == self::TYPE_CHECKBOX) { $_typeTitle = $_SWIFT->Language->Get('field_checkbox'); $_typeDescription = $_SWIFT->Language->Get('desc_field_checkbox'); $_typeIcon = 'icon_cfcheckbox.gif'; } else if ($_fieldType == self::TYPE_RADIO) { $_typeTitle = $_SWIFT->Language->Get('field_radio'); $_typeDescription = $_SWIFT->Language->Get('desc_field_radio'); $_typeIcon = 'icon_cfradio.gif'; } else if ($_fieldType == self::TYPE_SELECT) { $_typeTitle = $_SWIFT->Language->Get('field_select'); $_typeDescription = $_SWIFT->Language->Get('desc_field_select'); $_typeIcon = 'icon_cfselect.gif'; } else if ($_fieldType == self::TYPE_SELECTMULTIPLE) { $_typeTitle = $_SWIFT->Language->Get('field_selectmultiple'); $_typeDescription = $_SWIFT->Language->Get('desc_field_selectmultiple'); $_typeIcon = 'icon_cfselectmultiple.gif'; } else if ($_fieldType == self::TYPE_SELECTLINKED) { $_typeIcon = 'icon_cflinkedselect.gif'; $_typeTitle = $_SWIFT->Language->Get('field_linkedselect'); $_typeDescription = $_SWIFT->Language->Get('desc_field_linkedselect'); } else if ($_fieldType == self::TYPE_DATE) { $_typeIcon = 'icon_cfdate.gif'; $_typeTitle = $_SWIFT->Language->Get('field_date'); $_typeDescription = $_SWIFT->Language->Get('desc_field_date'); } else if ($_fieldType == self::TYPE_FILE) { $_typeIcon = 'icon_cffile.gif'; $_typeTitle = $_SWIFT->Language->Get('field_file'); $_typeDescription = $_SWIFT->Language->Get('desc_field_file'); } else if ($_fieldType == self::TYPE_CUSTOM) { $_typeTitle = $_SWIFT->Language->Get('field_custom'); $_typeDescription = $_SWIFT->Language->Get('desc_field_custom'); $_typeIcon = 'icon_cfcustom.gif'; } return array($_typeTitle, $_typeIcon, $_typeDescription); }  static public function GetFieldList() { $_fieldList = array(self::TYPE_TEXT, self::TYPE_TEXTAREA, self::TYPE_PASSWORD, self::TYPE_CHECKBOX, self::TYPE_RADIO, self::TYPE_SELECT, self::TYPE_SELECTMULTIPLE, self::TYPE_SELECTLINKED, self::TYPE_DATE, self::TYPE_FILE, self::TYPE_CUSTOM); $_returnFieldList = array(); foreach ($_fieldList as $_key => $_val) { $_labelContainer = self::GetFieldLabel($_val); if (!isset($_labelContainer[0]) || !isset($_labelContainer[1]) || !isset($_labelContainer[2])) { continue; } $_returnFieldList[] = array($_val, $_labelContainer[0], $_labelContainer[2], $_labelContainer[1]); } return $_returnFieldList; }  static public function UpdateDisplayOrderList($_customFieldIDSortList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_customFieldIDSortList)) { return false; } foreach ($_customFieldIDSortList as $_customFieldID => $_displayOrder) { $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'customfields', array('displayorder' => intval($_displayOrder)), 'UPDATE', "customfieldid = '" . intval($_customFieldID) . "'"); } SWIFT_CustomFieldManager::RebuildCache(); return true; } } ?>