<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_SearchStore extends SWIFT_Model { const TABLE_NAME = 'searchstores'; const PRIMARY_KEY = 'searchstoreid'; const TABLE_STRUCTURE = "searchstoreid I PRIMARY AUTO NOTNULL,
								dateline I DEFAULT '0' NOTNULL,
								sessionid C(70) DEFAULT '' NOTNULL,
								lastupdate I DEFAULT '0' NOTNULL,
								staffid I DEFAULT '0' NOTNULL,
								userid I DEFAULT '0' NOTNULL,
								storetype I2 DEFAULT '0' NOTNULL"; const INDEX_1 = 'sessionid'; const INDEX_2 = 'storetype, staffid'; const INDEX_3 = 'storetype, userid'; protected $_dataStore = array(); private $_searchStoreDataIDList = array();  const TYPE_USERS = 1; const TYPE_CHATS = 2; const TYPE_CANNEDRESPONSE = 3; const TYPE_CHATMESSAGE = 4; const TYPE_TICKETS = 5; const TYPE_MACROREPLY = 6; const TYPE_USERORGANIZATIONS = 7; const TYPE_CALLS = 8; const TYPE_NEWS = 9; const TYPE_KBARTICLE = 10; const TYPE_TROUBLESHOOTER = 11; const TYPE_REPORTS = 12;  public function __construct($_searchStoreID) { parent::__construct(); if (!$this->LoadData($_searchStoreID)) { throw new SWIFT_Exception('Failed to load the Search Store ID: ' . intval($_searchStoreID)); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'searchstores', $this->GetUpdatePool(), 'UPDATE', "searchstoreid = '" . intval($this->GetSearchStoreID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetSearchStoreID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['searchstoreid']; }  protected function LoadData($_searchStoreID) { $_dataStore = $this->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "searchstores WHERE searchstoreid = '" . intval($_searchStoreID) . "'"); if (isset($_dataStore['searchstoreid']) && !empty($_dataStore['searchstoreid'])) { $this->_dataStore = $_dataStore; return true; } return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function IsValidStoreType($_storeType) { if ($_storeType == self::TYPE_USERS || $_storeType == self::TYPE_CHATS || $_storeType == self::TYPE_CHATMESSAGE || $_storeType == self::TYPE_CANNEDRESPONSE || $_storeType == self::TYPE_TICKETS || $_storeType == self::TYPE_MACROREPLY || $_storeType == self::TYPE_USERORGANIZATIONS || $_storeType == self::TYPE_CALLS || $_storeType == self::TYPE_NEWS || $_storeType == self::TYPE_KBARTICLE || $_storeType == self::TYPE_TROUBLESHOOTER || $_storeType == self::TYPE_REPORTS) { return true; } else if (is_numeric($_storeType)) { return true; } return false; }  static public function Create($_sessionID, $_storeType, $_dataIDList, $_staffID = false, $_userID = false) { $_SWIFT = SWIFT::GetInstance(); if (empty($_sessionID) || !self::IsValidStoreType($_storeType) || !is_array($_dataIDList)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'searchstores', array('sessionid' => $_sessionID, 'storetype' => intval($_storeType), 'dateline' => DATENOW, 'lastupdate' => DATENOW, 'staffid' => intval($_staffID), 'userid' => intval($_userID)), 'INSERT'); $_searchStoreID = $_SWIFT->Database->Insert_ID(); if (!$_searchStoreID) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); return false; } foreach ($_dataIDList as $_key => $_val) { SWIFT_SearchStoreData::Create($_searchStoreID, $_val); } return $_searchStoreID; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetSearchStoreID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_searchStoreIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_searchStoreIDList)) { return false; } $_finalSearchStoreIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "searchstores WHERE searchstoreid IN (" . BuildIN($_searchStoreIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_finalSearchStoreIDList[] = $_SWIFT->Database->Record['searchstoreid']; } if (!count($_finalSearchStoreIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "searchstores WHERE searchstoreid IN (" . BuildIN($_finalSearchStoreIDList) . ")"); SWIFT_SearchStoreData::DeleteOnSearchStore($_finalSearchStoreIDList); return true; }  public function Verify($_sessionID, $_storeType) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!self::IsValidStoreType($_storeType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } if ($this->GetProperty('sessionid') != $_sessionID || $this->GetProperty('storetype') != $_storeType) { return false; } return true; }  public function LoadSearchStoreData() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_searchStoreDataIDList = SWIFT_SearchStoreData::RetrieveOnSearchStore($this->GetSearchStoreID()); if (!_is_array($_searchStoreDataIDList)) { $_searchStoreDataIDList = array(0); } $this->_searchStoreDataIDList = $_searchStoreDataIDList; return true; }  public function GetSearchStoreData() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_searchStoreDataIDList; }  static public function DeleteOnType($_storeType, $_staffID = false, $_userID = false) { $_SWIFT = SWIFT::GetInstance(); if (!self::IsValidStoreType($_storeType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_staffID = intval($_staffID); $_userID = intval($_userID); if (!empty($_staffID)) { $_extendedSQL = " AND staffid = '" . intval($_staffID) . "'"; } else if (!empty($_userID)) { $_extendedSQL = " AND userid = '" . intval($_userID) . "'"; } $_finalSearchStoreIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "searchstores WHERE storetype = '" . intval($_storeType) . "'" . $_extendedSQL); while ($_SWIFT->Database->NextRecord()) { $_finalSearchStoreIDList[] = $_SWIFT->Database->Record['searchstoreid']; } if (!count($_finalSearchStoreIDList)) { return false; } self::DeleteList($_finalSearchStoreIDList); return false; } } ?>