<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_StaffSettings extends SWIFT_Model { const TABLE_NAME = 'staffsettings'; const PRIMARY_KEY = 'staffsettingid'; const TABLE_STRUCTURE = "staffsettingid I PRIMARY AUTO NOTNULL,
								staffid I DEFAULT '0' NOTNULL,
								departmentid I DEFAULT '0' NOTNULL,
								name C(100) DEFAULT '' NOTNULL,
								value C(255) DEFAULT '' NOTNULL"; const INDEX_1 = 'staffid'; const INDEX_2 = 'staffid, departmentid, name'; const INDEXTYPE_2 = 'UNIQUE'; const INDEX_3 = 'departmentid'; private $_staffID = 0;  public function __construct($_staffID) { if (!$this->SetStaffID($_staffID)) { throw new SWIFT_Staff_Exception(SWIFT_CLASSNOTLOADED); return false; } parent::__construct(); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function SetStaffID($_staffID) { $_staffID = intval($_staffID); if (empty($_staffID)) { throw new SWIFT_Staff_Exception(SWIFT_INVALIDDATA); return false; } $this->_staffID = $_staffID; return true; }  public function GetStaffID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Staff_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_staffID; }  static public function RebuildCache() { $_SWIFT = SWIFT::GetInstance(); $_cache = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "staffsettings ORDER BY staffsettingid ASC"); while ($_SWIFT->Database->NextRecord()) { $_cache[$_SWIFT->Database->Record['staffid']][$_SWIFT->Database->Record['departmentid']][$_SWIFT->Database->Record['name']] = $_SWIFT->Database->Record['value']; } $_SWIFT->Cache->Update('staffpermissionscache', $_cache); return true; }  public function ClearSettings() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Staff_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->Database->Query("DELETE FROM ". TABLE_PREFIX ."staffsettings WHERE staffid = '" . intval($this->GetStaffID()) . "'"); return true; }  static public function RebuildDepartmentSettings($_departmentID, $_staffSettings) { $_SWIFT = SWIFT::GetInstance(); $_departmentID = intval($_departmentID); $_departmentCache = $_SWIFT->Cache->Get('departmentcache'); if (empty($_departmentID) || !isset($_departmentCache[$_departmentID])) { throw new SWIFT_Staff_Exception(SWIFT_INVALIDDATA); return false; } $_permissionContainer = array(); $_SWIFT->Database->Query("SELECT * FROM ". TABLE_PREFIX ."staffsettings WHERE departmentid = '" . intval($_departmentID) . "'"); while ($_SWIFT->Database->NextRecord()) { $_permissionContainer[$_SWIFT->Database->Record['staffid']][$_SWIFT->Database->Record['name']] = $_SWIFT->Database->Record['value']; } if (_is_array($_staffSettings)) { foreach ($_staffSettings as $_staffKey => $_staffVal) { if (!_is_array($_staffVal)) { continue; } foreach ($_staffVal as $_permissionKey => $_permissionVal) { if ($_permissionVal == '1' && (isset($_permissionContainer[$_staffKey][$_permissionKey]) && $_permissionContainer[$_staffKey][$_permissionKey] == '')) {  } else { $_SWIFT->Database->Replace(TABLE_PREFIX . 'staffsettings', array('staffid' => intval($_staffKey), 'name' => $_permissionKey, 'value' => $_permissionVal, 'departmentid' => $_departmentID), array('staffid', 'departmentid', 'name')); } } } } else { self::DeleteOnDepartmentList(array($_departmentID)); } self::RebuildCache(); return true; }  static public function RebuildStaffSettings($_staffID, $_staffSettings) { $_SWIFT = SWIFT::GetInstance(); $_staffID = intval($_staffID); $_staffCache = $_SWIFT->Cache->Get('staffcache'); if (empty($_staffID) || !isset($_staffCache[$_staffID])) { throw new SWIFT_Staff_Exception(SWIFT_INVALIDDATA); return false; } $_permissionContainer = array(); $_SWIFT->Database->Query("SELECT * FROM ". TABLE_PREFIX ."staffsettings WHERE staffid = '" . intval($_staffID) . "'"); while ($_SWIFT->Database->NextRecord()) { $_permissionContainer[$_SWIFT->Database->Record['departmentid']][$_SWIFT->Database->Record['name']] = $_SWIFT->Database->Record['value']; } self::DeleteOnStaffList(array($_staffID)); if (_is_array($_staffSettings)) { foreach ($_staffSettings as $_departmentKey => $_departmentVal) { if (!_is_array($_departmentVal)) { continue; } foreach ($_departmentVal as $_permissionKey => $_permissionVal) { if ($_permissionVal == '1' && (!isset($_permissionContainer[$_departmentKey][$_permissionKey]) || $_permissionContainer[$_departmentKey][$_permissionKey] == '')) {  $_SWIFT->Database->Replace(TABLE_PREFIX . 'staffsettings', array('staffid' => intval($_staffID), 'name' => $_permissionKey, 'value' => '1', 'departmentid' => $_departmentKey), array('staffid', 'departmentid', 'name')); } else { $_SWIFT->Database->Replace(TABLE_PREFIX . 'staffsettings', array('staffid' => intval($_staffID), 'name' => $_permissionKey, 'value' => $_permissionVal, 'departmentid' => $_departmentKey), array('staffid', 'departmentid', 'name')); } } } } else { self::DeleteOnStaffList(array($_staffID)); } self::RebuildCache(); return true; }  static public function RetrieveOnDepartment($_departmentID) { $_SWIFT = SWIFT::GetInstance(); $_departmentID = intval($_departmentID); $_departmentCache = $_SWIFT->Cache->Get('departmentcache'); if (empty($_departmentID) || !isset($_departmentCache[$_departmentID])) { throw new SWIFT_Staff_Exception(SWIFT_INVALIDDATA); return false; } $_permissionContainer = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "staffsettings WHERE departmentid = '" . intval($_departmentID) . "'"); while ($_SWIFT->Database->NextRecord()) { $_permissionContainer[$_SWIFT->Database->Record['staffid']][$_SWIFT->Database->Record['name']] = $_SWIFT->Database->Record['value']; } return $_permissionContainer; }  static public function RetrieveOnStaff($_staffID) { $_SWIFT = SWIFT::GetInstance(); $_staffID = intval($_staffID); $_staffCache = $_SWIFT->Cache->Get('staffcache'); if (empty($_staffID) || !isset($_staffCache[$_staffID])) { throw new SWIFT_Staff_Exception(SWIFT_INVALIDDATA); return false; } $_permissionContainer = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "staffsettings WHERE staffid = '" . intval($_staffID) . "'"); while ($_SWIFT->Database->NextRecord()) { $_permissionContainer[$_SWIFT->Database->Record['departmentid']][$_SWIFT->Database->Record['name']] = $_SWIFT->Database->Record['value']; } return $_permissionContainer; }  static public function DeleteOnDepartmentList($_departmentIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_departmentIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM ". TABLE_PREFIX ."staffsettings WHERE departmentid IN (" . BuildIN($_departmentIDList) . ")"); self::RebuildCache(); return true; }  static public function DeleteOnStaffList($_staffIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_staffIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM ". TABLE_PREFIX ."staffsettings WHERE staffid IN (" . BuildIN($_staffIDList) . ")"); self::RebuildCache(); return true; } } ?>