<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_User extends SWIFT_Model { const TABLE_NAME = 'users'; const PRIMARY_KEY = 'userid'; const TABLE_STRUCTURE = "userid I PRIMARY AUTO NOTNULL,
							usergroupid I DEFAULT '0' NOTNULL,
							userrole I2 DEFAULT '0' NOTNULL,
							userorganizationid I DEFAULT '0' NOTNULL,
							salutation I2 DEFAULT '0' NOTNULL,
							fullname C(200) DEFAULT '' NOTNULL,
							userdesignation C(255) DEFAULT '' NOTNULL,
							phone C(25) DEFAULT '' NOTNULL,
							userpassword C(50) DEFAULT '' NOTNULL,
							islegacypassword I2 DEFAULT '0' NOTNULL,
							dateline I DEFAULT '0' NOTNULL,
							lastupdate I DEFAULT '0' NOTNULL,
							lastvisit I DEFAULT '0' NOTNULL,
							lastvisit2 I DEFAULT '0' NOTNULL,
							lastactivity I DEFAULT '0' NOTNULL,
							lastvisitip C(255) DEFAULT '' NOTNULL,
							lastvisitip2 C(255) DEFAULT '' NOTNULL,
							isenabled I2 DEFAULT '0' NOTNULL,
							languageid I DEFAULT '0' NOTNULL,
							timezonephp C(100) DEFAULT '' NOTNULL,
							enabledst I2 DEFAULT '0' NOTNULL,
							useremailcount I DEFAULT '0' NOTNULL,
							slaplanid I DEFAULT '0' NOTNULL,
							slaexpirytimeline I DEFAULT '0' NOTNULL,
							userexpirytimeline I DEFAULT '0' NOTNULL,
							isvalidated I DEFAULT '0' NOTNULL,
							profileprompt I2 DEFAULT '0' NOTNULL,

							hasgeoip I2 DEFAULT '0' NOTNULL,
							geoiptimezone C(255) DEFAULT '' NOTNULL,
							geoipisp C(255) DEFAULT '' NOTNULL,
							geoiporganization C(255) DEFAULT '' NOTNULL,
							geoipnetspeed C(255) DEFAULT '' NOTNULL,
							geoipcountry C(10) DEFAULT '' NOTNULL,
							geoipcountrydesc C(255) DEFAULT '' NOTNULL,
							geoipregion C(255) DEFAULT '' NOTNULL,
							geoipcity C(255) DEFAULT '' NOTNULL,
							geoippostalcode C(255) DEFAULT '' NOTNULL,
							geoiplatitude C(255) DEFAULT '' NOTNULL,
							geoiplongitude C(255) DEFAULT '' NOTNULL,
							geoipmetrocode C(255) DEFAULT '' NOTNULL,
							geoipareacode C(255) DEFAULT '' NOTNULL"; const INDEX_1 = 'usergroupid'; const INDEX_2 = 'isenabled, dateline'; const INDEX_3 = 'userorganizationid'; const INDEX_4 = 'fullname, phone'; const INDEX_5 = 'isvalidated, dateline'; protected $_dataStore = array(); static public $_permissionCache = array();  public $Notification = false; public $NotificationManager = false; static protected $_notificationExecutionCache = array(); private $_shutdownIndex = false;  const ROLE_USER = 1; const ROLE_MANAGER = 2; const SALUTATION_NONE = 0; const SALUTATION_MR = 1; const SALUTATION_MISS = 2; const SALUTATION_MRS = 3; const SALUTATION_DR = 4;  public function __construct($_SWIFT_DataObject) { parent::__construct($_SWIFT_DataObject); $this->Language->Load('users_notifications', SWIFT_LanguageEngine::TYPE_FILE); $this->Notification = new SWIFT_UserNotification($this); $this->NotificationManager = new SWIFT_NotificationManager($this); register_shutdown_function(array('SWIFT_User', 'ProcessNotificationManager'), $this); }  public function __destruct() { chdir(SWIFT_BASEPATH); $this->ProcessNotifications(); $this->ProcessUpdatePool(); parent::__destruct(); return true; }  static public function ProcessNotificationManager($_SWIFT_UserObject) { if ($_SWIFT_UserObject instanceof SWIFT_User && $_SWIFT_UserObject->GetIsClassLoaded()) { $_SWIFT_UserObject->ProcessNotifications(); } return true; }  static public function IsValidUserRole($_userRole) { return ($_userRole == self::ROLE_MANAGER || $_userRole == self::ROLE_USER); }  static public function IsValidSalutation($_userSalutation) { return ($_userSalutation == self::SALUTATION_NONE || $_userSalutation == self::SALUTATION_MR || $_userSalutation == self::SALUTATION_MISS || $_userSalutation == self::SALUTATION_MRS || $_userSalutation == self::SALUTATION_DR); }  static public function RetrieveSalutationList() { $_SWIFT = SWIFT::GetInstance(); return array( self::SALUTATION_NONE => '', self::SALUTATION_MR => $_SWIFT->Language->Get('salutationmr'), self::SALUTATION_MISS => $_SWIFT->Language->Get('salutationmiss'), self::SALUTATION_MRS => $_SWIFT->Language->Get('salutationmrs'), self::SALUTATION_DR => $_SWIFT->Language->Get('salutationdr') ); }  static public function CheckEmailContainer($_emailContainer) { if (!_is_array($_emailContainer)) { return false; } $_isEmailValid = false; foreach ($_emailContainer as $_emailAddress) { if (IsEmailValid($_emailAddress)) { $_isEmailValid = true; } } return $_isEmailValid; }  public function GetSalutation() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } switch ($this->GetProperty('salutation')) { case self::SALUTATION_NONE: return ''; break; case self::SALUTATION_MR: return $this->Language->Get('salutationmr'); break; case self::SALUTATION_MISS: return $this->Language->Get('salutationmiss'); break; case self::SALUTATION_MRS: return $this->Language->Get('salutationmrs'); break; case self::SALUTATION_DR: return $this->Language->Get('salutationdr'); break; default: break; } return ''; }  public function GetFullName($_useSalutation = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } if (!$_useSalutation) { return $this->GetProperty('fullname'); } $_salutation = $this->GetSalutation(); if (!empty($_salutation)) { return $_salutation . ' ' . $this->GetProperty('fullname'); } return $this->GetProperty('fullname'); }  public function GetOrganizationName() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $_userOrganizationID = intval($this->GetProperty('userorganizationid')); if (!empty($_userOrganizationID)) { try { $_SWIFT_UserOrganizationObject = new SWIFT_UserOrganization($_userOrganizationID); if ($_SWIFT_UserOrganizationObject instanceof SWIFT_UserOrganization && $_SWIFT_UserOrganizationObject->GetIsClassLoaded()) { return $_SWIFT_UserOrganizationObject->GetProperty('organizationname'); } } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { } } return false; }  public function GetOrganization() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $_userOrganizationID = intval($this->GetProperty('userorganizationid')); if (!empty($_userOrganizationID)) { try { $_SWIFT_UserOrganizationObject = new SWIFT_UserOrganization($_userOrganizationID); if ($_SWIFT_UserOrganizationObject instanceof SWIFT_UserOrganization && $_SWIFT_UserOrganizationObject->GetIsClassLoaded()) { return $_SWIFT_UserOrganizationObject; } } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { } } return false; }  public function GetEmailList() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } return SWIFT_UserEmail::RetrieveList($this->GetUserID()); }  static public function Create( $_userGroupID, $_userOrganizationID, $_salutation, $_fullName, $_userDesignation, $_phone, $_isEnabled, $_userRole, $_emailContainer, $_userPassword = false, $_languageID = false, $_timeZonePHP = false, $_enableDST = false, $_slaPlanID = false, $_slaExpiry = false, $_userExpiry = false, $_sendWelcomeEmail = true, $_isValidated = false, $_calculateGeoIP = false) { $_SWIFT = SWIFT::GetInstance(); $_userOrganizationID = intval($_userOrganizationID); $_salutation = intval($_salutation); $_SWIFT_UserOrganizationObject = false; try { $_SWIFT_UserOrganizationObject = new SWIFT_UserOrganization($_userOrganizationID); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { $_SWIFT_UserOrganizationObject = false; }  if (!$_SWIFT_UserOrganizationObject instanceof SWIFT_UserOrganization || !$_SWIFT_UserOrganizationObject->GetIsClassLoaded() || empty($_userOrganizationID)) {  $_userOrganizationID = SWIFT_UserOrganizationEmail::GetOrganizationFromEmailList($_emailContainer); try { $_SWIFT_UserOrganizationObject = new SWIFT_UserOrganization($_userOrganizationID); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { $_SWIFT_UserOrganizationObject = false; } }  if ($_SWIFT_UserOrganizationObject instanceof SWIFT_UserOrganization && $_SWIFT_UserOrganizationObject->GetIsClassLoaded()) {  if ($_userRole == false) { if ($_SWIFT->Settings->Get('user_orgdefaultclassification') == 'user') { $_userRole = self::ROLE_USER;  } else if ($_SWIFT->Settings->Get('user_orgdefaultclassification') == 'manager') { if (!$_SWIFT_UserOrganizationObject->HasUserManager()) { $_userRole = self::ROLE_MANAGER; } else { $_userRole = self::ROLE_USER; } } } }  if ($_userRole == false) { $_userRole = self::ROLE_USER; } if (!self::IsValidUserRole($_userRole) || trim($_fullName) == '' || !self::CheckEmailContainer($_emailContainer) || !SWIFT_UserGroup::IsValidUserGroupID($_userGroupID) || !self::IsValidSalutation($_salutation) ) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); }  $_customPassword = false; if (!$_userPassword) { $_userPassword = substr(BuildHash(), 0, 10); $_customPassword = true; } $_slaPlanID = intval($_slaPlanID); if (empty($_slaPlanID)) { $_slaExpiry = false; }  $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'users', array( 'usergroupid' => intval($_userGroupID), 'salutation' => intval($_salutation), 'userrole' => intval($_userRole), 'userorganizationid' => intval($_userOrganizationID), 'fullname' => $_fullName, 'userdesignation' => $_userDesignation, 'phone' => $_phone, 'userpassword' => self::GetComputedPassword($_userPassword), 'dateline' => DATENOW, 'isenabled' => intval($_isEnabled), 'languageid' => intval($_languageID), 'timezonephp' => $_timeZonePHP, 'enabledst' => intval($_enableDST), 'slaplanid' => intval($_slaPlanID), 'slaexpirytimeline' => intval($_slaExpiry), 'userexpirytimeline' => intval($_userExpiry), 'isvalidated' => intval($_isValidated) ), 'INSERT'); $_userID = $_SWIFT->Database->Insert_ID(); if (!$_userID) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); } $_SWIFT_UserObject = new SWIFT_User(new SWIFT_DataID($_userID)); if (!$_SWIFT_UserObject instanceof SWIFT_User || !$_SWIFT_UserObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); } foreach ($_emailContainer as $_key => $_val) { if (!IsEmailValid($_val)) { continue; } SWIFT_UserEmail::Create($_SWIFT_UserObject, $_val, false); } if ($_sendWelcomeEmail == true && $_SWIFT->Settings->Get('user_dispatchregemail') == '0') { $_sendWelcomeEmail = false; }  if ($_sendWelcomeEmail == true) { $_languageCache = $_SWIFT->Cache->Get('languagecache'); if ($_languageID != '0' && isset($_languageCache[$_languageID]) && $_SWIFT->Language->GetLanguageID() != $_languageID) { $_languageCode = $_languageCache[$_languageID]['languagecode']; $_SWIFT->Language->SetLanguageID($_languageID); $_SWIFT->Language->SetLanguageCode($_languageCode); }  if (!empty($_userGroupID) && isset($_SWIFT->TemplateGroup) && $_SWIFT->TemplateGroup instanceof SWIFT_TemplateGroup && $_SWIFT->TemplateGroup->GetRegisteredUserGroupID() != $_userGroupID ) { $_templateGroupCache = $_SWIFT->Cache->Get('templategroupcache'); $_templateGroupID = 0; foreach ($_templateGroupCache as $_templateGroupContainer) { if ($_templateGroupContainer['regusergroupid'] == $_userGroupID) { $_templateGroupID = $_templateGroupContainer['tgroupid']; break; } } if (!empty($_templateGroupID)) { $_SWIFT->Template->SetTemplateGroupPrefix($_templateGroupID); } } $_SWIFT_UserObject->DispatchWelcomeEmail($_userPassword); } if ($_calculateGeoIP) { $_SWIFT_UserObject->UpdateGeoIP(); } $_SWIFT_UserObject->NotificationManager->SetEvent('newuser'); return $_SWIFT_UserObject; }  public function Update( $_userGroupID, $_userOrganizationID, $_salutation, $_fullName, $_userDesignation, $_phone, $_isEnabled, $_userRole, $_emailContainer, $_languageID = false, $_timeZonePHP = false, $_enableDST = false, $_slaPlanID = false, $_slaExpiry = false, $_userExpiry = false) { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $_userOrganizationID = intval($_userOrganizationID); $_salutation = intval($_salutation); $_SWIFT_UserOrganizationObject = false; try { $_SWIFT_UserOrganizationObject = new SWIFT_UserOrganization($_userOrganizationID); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { } if (!self::IsValidUserRole($_userRole) || trim($_fullName) == '' || !self::CheckEmailContainer($_emailContainer) || !SWIFT_UserGroup::IsValidUserGroupID($_userGroupID) || !self::IsValidSalutation($_salutation)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); }  if (!$_SWIFT_UserOrganizationObject instanceof SWIFT_UserOrganization || !$_SWIFT_UserOrganizationObject->GetIsClassLoaded($_userOrganizationID)) { $_userOrganizationID = false; } $_slaPlanID = intval($_slaPlanID); if (empty($_slaPlanID)) { $_slaExpiry = false; } $this->UpdatePool('userrole', intval($_userRole)); $this->UpdatePool('usergroupid', intval($_userGroupID)); $this->UpdatePool('userorganizationid', intval($_userOrganizationID)); $this->UpdatePool('salutation', intval($_salutation)); $this->UpdatePool('fullname', $_fullName); $this->UpdatePool('userdesignation', $_userDesignation); $this->UpdatePool('phone', $_phone); $this->UpdatePool('isenabled', intval($_isEnabled)); $this->UpdatePool('lastupdate', DATENOW); $this->UpdatePool('languageid', intval($_languageID)); $this->UpdatePool('timezonephp', $_timeZonePHP); $this->UpdatePool('enabledst', intval($_enableDST)); $this->UpdatePool('slaplanid', intval($_slaPlanID)); $this->UpdatePool('slaexpirytimeline', intval($_slaExpiry)); $this->UpdatePool('userexpirytimeline', intval($_userExpiry)); $this->ProcessUpdatePool(); SWIFT_UserEmail::DeleteOnUser(array($this->GetUserID())); foreach ($_emailContainer as $_key => $_val) { if (!IsEmailValid($_val)) { continue; } SWIFT_UserEmail::Create($this, $_val, false); } return true; }  public function UpdateLoginShare($_userGroupID, $_fullName) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } if (trim($_fullName) == '' || !SWIFT_UserGroup::IsValidUserGroupID($_userGroupID)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->UpdatePool('usergroupid', intval($_userGroupID)); $this->UpdatePool('fullname', $_fullName); $this->UpdatePool('lastupdate', DATENOW); $this->ProcessUpdatePool(); return true; }  public function UpdateUserDesignation($_userDesignation) { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $this->UpdatePool('userdesignation', $_userDesignation); $this->UpdatePool('lastupdate', DATENOW); $this->ProcessUpdatePool(); return true; }  public function UpdateUserPhoneNumber($_phone) { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $this->UpdatePool('phone', $_phone); $this->UpdatePool('lastupdate', DATENOW); $this->ProcessUpdatePool(); return true; }  public function UpdateProfile($_salutation, $_fullName, $_userDesignation, $_phone) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } if (trim($_fullName) == '' || !self::IsValidSalutation($_salutation)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->UpdatePool('salutation', intval($_salutation)); $this->UpdatePool('fullname', $_fullName); $this->UpdatePool('userdesignation', $_userDesignation); $this->UpdatePool('phone', $_phone); $this->ProcessUpdatePool(); return true; }  public function UpdatePreferences($_languageID, $_timeZonePHP, $_enableDST) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $this->UpdatePool('languageid', intval($_languageID)); $this->UpdatePool('timezonephp', $_timeZonePHP); $this->UpdatePool('enabledst', intval($_enableDST)); $this->ProcessUpdatePool(); return true; }  public function UpdateLanguage($_languageID) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $this->UpdatePool('languageid', intval($_languageID)); $this->ProcessUpdatePool(); return true; }  static public function DeleteList($_userIDList) { if (!_is_array($_userIDList)) { return false; }  SWIFT_Session::KillSessionListOnType(array(SWIFT_Interface::INTERFACE_CLIENT), $_userIDList); parent::DeleteList($_userIDList); SWIFT_UserProfileImage::DeleteOnUser($_userIDList); SWIFT_UserEmail::DeleteOnUser($_userIDList); SWIFT_UserNote::DeleteOnUser($_userIDList); SWIFT_TagLink::DeleteOnLinkList(SWIFT_TagLink::TYPE_USER, $_userIDList); SWIFT_UserSetting::DeleteOnUser($_userIDList); return true; }  public function Enable() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } self::EnableList(array($this->GetUserID())); return true; }  public function Disable() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } self::DisableList(array($this->GetUserID())); return true; }  static public function DisableList($_userIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_userIDList)) { return false; } $_finalUserIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "users WHERE userid IN (" . BuildIN($_userIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_finalUserIDList[] = $_SWIFT->Database->Record['userid']; } if (!count($_finalUserIDList)) { return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'users', array('isenabled' => '0'), 'UPDATE', "userid IN (" . BuildIN($_finalUserIDList) . ")"); return true; }  static public function EnableList($_userIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_userIDList)) { return false; } $_finalUserIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "users WHERE userid IN (" . BuildIN($_userIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_finalUserIDList[] = $_SWIFT->Database->Record['userid']; } if (!count($_finalUserIDList)) { return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'users', array('isenabled' => '1'), 'UPDATE', "userid IN (" . BuildIN($_finalUserIDList) . ")"); return true; }  static public function DeleteOnUserOrganization($_userOrganizationIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_userOrganizationIDList)) { return false; } $_userIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "users WHERE userorganizationid IN (" . BuildIN($_userOrganizationIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_userIDList[] = $_SWIFT->Database->Record['userid']; } if (!count($_userIDList)) { return false; } self::DeleteList($_userIDList); return true; }  static public function RemoveGlobalUserOrganizationAssociation($_userOrganizationIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_userOrganizationIDList)) { return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'users', array('userorganizationid' => '0'), 'UPDATE', "userorganizationid IN (" . BuildIN($_userOrganizationIDList) . ")"); return true; }  static public function GetComputedPassword($_userPassword) {  return sha1($_userPassword); }  public function ChangePassword($_newPassword) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } else if (empty($_newPassword)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->UpdatePool('userpassword', self::GetComputedPassword($_newPassword)); $this->UpdatePool('lastupdate', DATENOW); $this->ProcessUpdatePool(); return true; }  public function UpdateLastVisit() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $this->UpdatePool('lastvisit', $this->GetProperty('lastvisit2')); $this->UpdatePool('lastvisit2', DATENOW); $this->UpdatePool('lastvisitip', $this->GetProperty('lastvisitip2')); $this->UpdatePool('lastvisitip2', SWIFT::Get('IP')); $this->ProcessUpdatePool(); return true; }  public function LoadIntoSWIFTNamespace() { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } else if ($_SWIFT->User && $_SWIFT->User instanceof SWIFT_User && $_SWIFT->User->GetIsClassLoaded()) { return true; } $_userContainer = $this->GetDataStore(); $_SWIFT->Template->Assign('_user', $_userContainer); $_userGroupSettingCache = $_SWIFT->Cache->Get('usergroupsettingcache'); $_userGroupID = $_userContainer['usergroupid']; $_permissionContainer = array(); if (_is_array($_userContainer) && isset($_userGroupSettingCache[$_userGroupID]) && is_array($_userGroupSettingCache[$_userGroupID])) { $_permissionContainer = $_userGroupSettingCache[$_userGroupID]; } self::$_permissionCache = $_permissionContainer; $_SWIFT->User = $this;  if ($this->GetProperty('timezonephp') != '' && $this->GetProperty('timezonephp') != '0')  { SWIFT::Set('timezone', $this->GetProperty('timezonephp')); SWIFT::Set('daylightsavings', ($this->GetProperty('enabledst') != '0') ? true : false);  if (!date_default_timezone_set(SWIFT::Get('timezone'))) { date_default_timezone_set('GMT'); } }  $_registeredUserGroupID = intval($this->GetProperty('usergroupid')); $_userGroupCache = $this->Cache->Get('usergroupcache'); if (!isset($_userGroupCache[$_registeredUserGroupID]) || (isset($_userGroupCache[$_registeredUserGroupID]) && $_userGroupCache[$_registeredUserGroupID]['grouptype'] != SWIFT_UserGroup::TYPE_REGISTERED) ) { foreach ($_userGroupCache as $_userGroup) { if ($_userGroup['grouptype'] == SWIFT_UserGroup::TYPE_REGISTERED && $_userGroup['ismaster'] == '1') { $_registeredUserGroupID = $_userGroup['usergroupid']; break; } } } SWIFT::Set('usergroupid', $_registeredUserGroupID);  $_SWIFT->Cookie->Parse('client'); $_cookieLanguageID = $_SWIFT->Cookie->GetVariable('client', 'languageid'); $_languageCache = $this->Cache->Get('languagecache'); if (isset($_languageCache[$this->GetProperty('languageid')]) && $_SWIFT->Language->GetLanguageID() != $this->GetProperty('languageid') && (empty($_cookieLanguageID) || $_cookieLanguageID == $this->GetProperty('languageid'))) { $_languageCode = $_languageCache[$this->GetProperty('languageid')]['languagecode']; $_SWIFT->Language->SetLanguageID($this->GetProperty('languageid')); $_SWIFT->Language->SetLanguageCode($_languageCode); $_SWIFT->Language->LoadLanguageTable(); } return true; }  static public function Authenticate($_email, $_userPassword, $_computeHash = true) { $_SWIFT = SWIFT::GetInstance(); $_finalPassword = $_userPassword; if ($_computeHash == true) { $_finalPassword = self::GetComputedPassword($_userPassword); }  if (SWIFT_LoginShareUser::IsActive() && isset($_SWIFT->TemplateGroup) && $_SWIFT->TemplateGroup->GetProperty('useloginshare') == '1') { $_SWIFT_LoginShareUserObject = new SWIFT_LoginShareUser(); if (!$_SWIFT_LoginShareUserObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_INVALIDDATA . 'LOGINSHARE'); } return $_SWIFT_LoginShareUserObject->Authenticate($_email, $_userPassword, SWIFT::Get('IP')); }   $_userID = SWIFT_UserEmail::RetrieveUserIDOnUserEmail($_email); if (!$_userID) {  SWIFT::Set('errorstring', $_SWIFT->Language->Get('invaliduser')); return false; }  $_SWIFT_UserObject = new SWIFT_User(new SWIFT_DataID($_userID)); if (!$_SWIFT_UserObject instanceof SWIFT_User || !$_SWIFT_UserObject->GetIsClassLoaded()) {  throw new SWIFT_Exception(SWIFT_INVALIDDATA); }  if ($_SWIFT_UserObject->GetProperty('isenabled') == '0' || $_SWIFT_UserObject->GetProperty('isvalidated') == '0') { SWIFT::Set('errorstring', $_SWIFT->Language->Get('invaliduserdisabled')); return false;  } else if ($_SWIFT_UserObject->GetProperty('userexpirytimeline') != '0' && $_SWIFT_UserObject->GetProperty('userexpirytimeline') < DATENOW) { SWIFT::Set('errorstring', $_SWIFT->Language->Get('invaliduserexpired')); return false; }  if ($_SWIFT_UserObject->GetProperty('islegacypassword') == '1' && $_computeHash == true) { $_finalPassword = md5($_userPassword); }  if ($_SWIFT_UserObject->GetProperty('userpassword') != $_finalPassword || empty($_finalPassword)) { SWIFT::Set('errorstring', $_SWIFT->Language->Get('invaliduser')); return false; }  $_SWIFT_UserObject->LoadIntoSWIFTNameSpace(); $_SWIFT_UserObject->UpdateLastVisit(); return $_SWIFT_UserObject; }  static public function CleanUp() { $_SWIFT = SWIFT::GetInstance();  if ($_SWIFT->Settings->Get('user_adelunveri') == '1') { $_userIDList = array(); $_dateThreshold = DATENOW - ($_SWIFT->Settings->Get('user_delcleardays') * 86400); $_SWIFT->Database->Query("SELECT userid FROM " . TABLE_PREFIX . "users WHERE isvalidated = '0' AND dateline < '" . intval($_dateThreshold) . "'"); while ($_SWIFT->Database->NextRecord()) { $_userIDList[] = $_SWIFT->Database->Record['userid']; }  if (count($_userIDList)) { self::DeleteList($_userIDList); } } SWIFT_UserVerifyHash::CleanUp(); return true; }  static public function GetDefaultValidationSetting() { $_SWIFT = SWIFT::GetInstance();  if ($_SWIFT->Settings->Get('u_enablesveri') == '1') { return false; } return true; }  protected function DispatchWelcomeEmail($_userPassword) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $this->Load->Library('Mail:Mail');  $this->Language->Queue('default', SWIFT_LanguageEngine::TYPE_DB); $this->Language->Queue('users', SWIFT_LanguageEngine::TYPE_DB); $this->Language->LoadQueue(SWIFT_LanguageEngine::TYPE_DB); $_emailList = SWIFT_UserEmail::RetrieveList($this->GetUserID());  if (!_is_array($_emailList)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_emailContents = sprintf($this->Language->Get('registerwelcomeemail'), SWIFT::Get('companyname'), SWIFT::Get('swiftpath'), $_emailList[0], $_userPassword); $this->Template->Assign('_contentsText', $_emailContents); $this->Template->Assign('_contentsHTML', nl2br($_emailContents)); $_textEmailContents = $this->Template->Get('email_text', SWIFT_TemplateEngine::TYPE_DB); $_htmlEmailContents = $this->Template->Get('email_html', SWIFT_TemplateEngine::TYPE_DB); $this->Mail->SetFromField($this->Settings->Get('general_returnemail'), SWIFT::Get('companyname')); foreach ($_emailList as $_key => $_val) { if ($_key == 0) { $this->Mail->SetToField($_val); } else { $this->Mail->AddCC($_val); } } $this->Mail->SetSubjectField(sprintf($this->Language->Get('registeremailsubject'), SWIFT::Get('companyname'))); $this->Mail->SetDataText($_textEmailContents); $this->Mail->SetDataHTML($_htmlEmailContents); $this->Mail->SendMail(); return true; }  public function MarkAsVerified() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $this->UpdatePool('isvalidated', '1'); $this->UpdatePool('lastupdate', DATENOW); $this->ProcessUpdatePool(); $this->DispatchRegistrationEmail();  SWIFT_UserVerifyHash::DeleteOnUser(array($this->GetUserID())); return true; }  protected function DispatchRegistrationEmail() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $this->Load->Library('Mail:Mail'); $this->Language->Queue('default', SWIFT_LanguageEngine::TYPE_DB); $this->Language->Queue('users', SWIFT_LanguageEngine::TYPE_DB); $this->Language->LoadQueue(SWIFT_LanguageEngine::TYPE_DB); $_emailList = SWIFT_UserEmail::RetrieveList($this->GetUserID());  if (!_is_array($_emailList)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_emailContents = sprintf($this->Language->Get('registersuccessemail'), SWIFT::Get('companyname'), SWIFT::Get('swiftpath'), $_emailList[0]); $this->Template->Assign('_contentsText', $_emailContents); $this->Template->Assign('_contentsHTML', nl2br($_emailContents)); $_textEmailContents = $this->Template->Get('email_text', SWIFT_TemplateEngine::TYPE_DB); $_htmlEmailContents = $this->Template->Get('email_html', SWIFT_TemplateEngine::TYPE_DB); $this->Mail->SetFromField($this->Settings->Get('general_returnemail'), SWIFT::Get('companyname')); foreach ($_emailList as $_key => $_val) { if ($_key == 0) { $this->Mail->SetToField($_val); } else { $this->Mail->AddCC($_val); } } $this->Mail->SetSubjectField(sprintf($this->Language->Get('registeremailsubject'), SWIFT::Get('companyname'))); $this->Mail->SetDataText($_textEmailContents); $this->Mail->SetDataHTML($_htmlEmailContents); $this->Mail->SendMail(); return true; }  public function CreateVerifyAttempt() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $_userVerifyHashID = SWIFT_UserVerifyHash::Create(SWIFT_UserVerifyHash::TYPE_USER, $this->GetUserID()); if (!$_userVerifyHashID) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); } $this->DispatchValidationEmail($_userVerifyHashID); return true; }  protected function DispatchValidationEmail($_userVerifyHashID) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } else if (empty($_userVerifyHashID)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->Load->Library('Mail:Mail'); $_emailList = SWIFT_UserEmail::RetrieveList($this->GetUserID());  if (!_is_array($_emailList)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_validationLink = SWIFT::Get('basename') . '/Base/UserRegistration/Validate/' . $_userVerifyHashID; $_emailValidationContents = sprintf($this->Language->Get('registervalidateemail'), SWIFT::Get('companyname'), SWIFT::Get('swiftpath'), $_validationLink); $this->Template->Assign('_contentsText', $_emailValidationContents); $this->Template->Assign('_contentsHTML', nl2br($_emailValidationContents)); $_textEmailContents = $this->Template->Get('email_text'); $_htmlEmailContents = $this->Template->Get('email_html'); $this->Mail->SetFromField($this->Settings->Get('general_returnemail'), SWIFT::Get('companyname')); foreach ($_emailList as $_key => $_val) { if ($_key == 0) { $this->Mail->SetToField($_val); } else { $this->Mail->AddCC($_val); } } $this->Mail->SetSubjectField(sprintf($this->Language->Get('registeremailvalidationsubject'), SWIFT::Get('companyname'))); $this->Mail->SetDataText($_textEmailContents); $this->Mail->SetDataHTML($_htmlEmailContents); $this->Mail->SendMail(); return true; }  public function ForgotPassword() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $_userVerifyHashID = SWIFT_UserVerifyHash::Create(SWIFT_UserVerifyHash::TYPE_FORGOTPASSWORD, $this->GetUserID()); if (!$_userVerifyHashID) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); } $this->DispatchForgotPasswordEmail($_userVerifyHashID); return true; }  protected function DispatchForgotPasswordEmail($_userVerifyHashID) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } else if (empty($_userVerifyHashID)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->Load->Library('Mail:Mail'); $_emailList = SWIFT_UserEmail::RetrieveList($this->GetUserID());  if (!_is_array($_emailList)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); }  $_validationLink = SWIFT::Get('basename') . $this->Template->GetTemplateGroupPrefix() . '/Base/UserLostPassword/Validate/' . $_userVerifyHashID; $_emailValidationContents = sprintf($this->Language->Get('forgotpasswordemail'), SWIFT::Get('companyname'), SWIFT::Get('swiftpath') . 'index.php?' . $this->Template->GetTemplateGroupPrefix(), $_validationLink); $this->Template->Assign('_contentsText', $_emailValidationContents); $this->Template->Assign('_contentsHTML', nl2br($_emailValidationContents)); $_textEmailContents = $this->Template->Get('email_text'); $_htmlEmailContents = $this->Template->Get('email_html'); $this->Mail->SetFromField($this->Settings->Get('general_returnemail'), SWIFT::Get('companyname')); foreach ($_emailList as $_key => $_val) { if ($_key == 0) { $this->Mail->SetToField($_val); } else { $this->Mail->AddCC($_val); } } $this->Mail->SetSubjectField(sprintf($this->Language->Get('lostpasswordemailsubject'), SWIFT::Get('companyname'))); $this->Mail->SetDataText($_textEmailContents); $this->Mail->SetDataHTML($_htmlEmailContents); $this->Mail->SendMail(); return true; }  static public function GetUserIDListOnOrganization($_userOrganizationID) { $_SWIFT = SWIFT::GetInstance(); if (empty($_userOrganizationID)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_userIDList = array(); $_SWIFT->Database->Query("SELECT userid FROM " . TABLE_PREFIX . "users WHERE userorganizationid = '" . intval($_userOrganizationID) . "'"); while ($_SWIFT->Database->NextRecord()) { $_userIDList[] = intval($_SWIFT->Database->Record['userid']); } return $_userIDList; }  public function UpdateOrganization($_userOrganizationID) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $this->UpdatePool('userorganizationid', $_userOrganizationID); $this->ProcessUpdatePool(); return true; }  static public function UpdateOrganizationList($_userIDList, $_userOrganizationID) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_userIDList)) { return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'users', array('userorganizationid' => $_userOrganizationID), 'UPDATE', "userid IN (" . BuildIN($_userIDList) . ")"); return true; }  static public function UpdateGroupList($_userIDList, $_userGroupID) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_userIDList)) { return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'users', array('usergroupid' => $_userGroupID), 'UPDATE', "userid IN (" . BuildIN($_userIDList) . ")"); return true; }  public function UpdateLastActivity() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $this->UpdatePool('lastactivity', DATENOW); $this->ProcessUpdatePool(); return true; }  public function UpdatePassword($_newPassword) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $this->UpdatePool('userpassword', self::GetComputedPassword($_newPassword)); $this->ProcessUpdatePool(); return true; }  public function GeneratePassword() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $this->Load->Library('Mail:Mail'); $_emailList = SWIFT_UserEmail::RetrieveList($this->GetUserID());  if (!_is_array($_emailList)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_userPassword = substr(BuildHash(), 0, 8); $this->UpdatePassword($_userPassword); $this->Template->Assign('_userPassword', $_userPassword); $this->Language->Queue('default', SWIFT_LanguageEngine::TYPE_DB); $this->Language->Queue('users', SWIFT_LanguageEngine::TYPE_DB); $this->Language->LoadQueue(SWIFT_LanguageEngine::TYPE_DB); $_textEmailContents = $this->Template->Get('email_generatepassword_text', SWIFT_TemplateEngine::TYPE_DB); $_htmlEmailContents = $this->Template->Get('email_generatepassword_html', SWIFT_TemplateEngine::TYPE_DB); $this->Mail->SetFromField($this->Settings->Get('general_returnemail'), SWIFT::Get('companyname')); foreach ($_emailList as $_key => $_val) { if ($_key == 0) { $this->Mail->SetToField($_val); } else { $this->Mail->AddCC($_val); } } $this->Mail->SetSubjectField(sprintf($this->Language->Get('generatepasswordemailsubject'), SWIFT::Get('companyname'))); $this->Mail->SetDataText($_textEmailContents); $this->Mail->SetDataHTML($_htmlEmailContents); $this->Mail->SendMail(); return true; }  public function UpdateGeoIP($_ipAddress = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $_finalIPAddress = SWIFT::Get('IP'); if (!empty($_ipAddress)) { $_finalIPAddress = $_ipAddress; } $_geoIPContainer = SWIFT_GeoIP::GetIPDetails($_finalIPAddress, array( SWIFT_GeoIP::GEOIP_ISP, SWIFT_GeoIP::GEOIP_ORGANIZATION, SWIFT_GeoIP::GEOIP_NETSPEED, SWIFT_GeoIP::GEOIP_CITY )); if (isset($_geoIPContainer[SWIFT_GeoIP::GEOIP_ISP])) { $this->UpdatePool('geoipisp', $_geoIPContainer[SWIFT_GeoIP::GEOIP_ISP]); } if (isset($_geoIPContainer[SWIFT_GeoIP::GEOIP_ORGANIZATION])) { $this->UpdatePool('geoiporganization', $_geoIPContainer[SWIFT_GeoIP::GEOIP_ORGANIZATION]); } if (isset($_geoIPContainer[SWIFT_GeoIP::GEOIP_NETSPEED])) { $this->UpdatePool('geoipnetspeed', $_geoIPContainer[SWIFT_GeoIP::GEOIP_NETSPEED]); } if (isset($_geoIPContainer[SWIFT_GeoIP::GEOIP_CITY])) { $this->UpdatePool('geoipcountry', $_geoIPContainer[SWIFT_GeoIP::GEOIP_CITY]['country']); $this->UpdatePool('geoipregion', $_geoIPContainer[SWIFT_GeoIP::GEOIP_CITY]['region']); $this->UpdatePool('geoipcity', $_geoIPContainer[SWIFT_GeoIP::GEOIP_CITY]['city']); $this->UpdatePool('geoippostalcode', $_geoIPContainer[SWIFT_GeoIP::GEOIP_CITY]['postalcode']); $this->UpdatePool('geoiplatitude', $_geoIPContainer[SWIFT_GeoIP::GEOIP_CITY]['latitude']); $this->UpdatePool('geoiplongitude', $_geoIPContainer[SWIFT_GeoIP::GEOIP_CITY]['longitude']); $this->UpdatePool('geoipmetrocode', $_geoIPContainer[SWIFT_GeoIP::GEOIP_CITY]['metrocode']); $this->UpdatePool('geoipareacode', $_geoIPContainer[SWIFT_GeoIP::GEOIP_CITY]['areacode']); } $this->UpdatePool('hasgeoip', '1'); $this->ProcessUpdatePool(); return true; }  static public function RetrieveOnEmailList($_emailList) { $_SWIFT = SWIFT::GetInstance(); if (!count($_emailList)) { return false; } $_userIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "useremails WHERE linktype = '" . SWIFT_UserEmail::LINKTYPE_USER . "' AND email IN (" . BuildIN($_emailList) . ")"); while ($_SWIFT->Database->NextRecord()) { if (!in_array($_SWIFT->Database->Record['linktypeid'], $_userIDList)) { $_userIDList[] = intval($_SWIFT->Database->Record['linktypeid']); } } if (!count($_userIDList)) { return false; } foreach ($_userIDList as $_userID) { try { $_SWIFT_UserObject = new SWIFT_User(new SWIFT_DataID($_userID)); return $_SWIFT_UserObject; } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { continue; } } return false; }  static public function RetrieveOnPhoneNumber($_phoneNumber) { $_SWIFT = SWIFT::GetInstance(); if (empty($_phoneNumber)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_userIDList = array(); $_phoneSQLExtended = ''; $_phoneSQLContainer = array();  $_phoneDigitCount = intval(strlen($_phoneNumber)); if ($_phoneDigitCount > 5) { $_phoneDigitCount = 5; } for ($index = 0; $index < $_phoneDigitCount; $index++) { $_phoneSQLContainer[] = "phone LIKE '%" . $_SWIFT->Database->Escape(substr($_phoneNumber, $index)) . "'"; } if (count($_phoneSQLContainer)) { $_phoneSQLExtended = " (" . implode(' OR ', $_phoneSQLContainer) . ") "; } $_SWIFT->Database->Query("SELECT userid FROM " . TABLE_PREFIX . "users WHERE " . $_phoneSQLExtended); while ($_SWIFT->Database->NextRecord()) { $_userIDList[] = $_SWIFT->Database->Record['userid']; } return $_userIDList; }  public function ProcessNotifications() { chdir(SWIFT_BASEPATH); $_userID = $this->GetUserID(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } else if (isset(self::$_notificationExecutionCache[$_userID]) && self::$_notificationExecutionCache[$_userID] == '1') { return true; } $this->NotificationManager->Trigger(); self::$_notificationExecutionCache[$_userID] = 1; return true; }  public function DispatchNotification($_notificationType, $_customEmailList, $_emailPrefix = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $_finalEmailPrefix = ''; if (!empty($_emailPrefix)) { $_finalEmailPrefix = $_emailPrefix . ' - '; } $this->Notification->Dispatch($_notificationType, $_customEmailList, '', $this->GetProperty('fullname'), true, $_emailPrefix); return true; }  public function DispatchNotificationPool($_notificationType, $_customStaffIDList) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } return true; }  public function MarkProfilePrompt() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $this->UpdatePool('profileprompt', '1'); $this->ProcessUpdatePool(); return true; }  static public function GetPermission($_permission) { if (isset(self::$_permissionCache[$_permission])) { return self::$_permissionCache[$_permission]; } return true; }  static public function GetOrCreateUserID( $_fullName, $_email, $_userGroupID, $_companyName = '', $_phone = '', $_website = '', $_country = '', $_languageID = false, $_checkGeoIP = false) {  $_userIDFromEmail = SWIFT_UserEmail::RetrieveUserIDOnUserEmail($_email); $_SWIFT_UserObject = false; $_userID = false; if (!empty($_userIDFromEmail)) { $_userID = $_userIDFromEmail; $_SWIFT_UserObject = new SWIFT_User(new SWIFT_DataID($_userID)); } else { $_SWIFT_UserObject = SWIFT_User::Create($_userGroupID, false, SWIFT_User::SALUTATION_NONE, $_fullName, '', $_phone, true, false, array($_email), false, $_languageID, false, false, false, false, false, true, true, $_checkGeoIP); $_userID = $_SWIFT_UserObject->GetUserID(); } $_SWIFT_UserOrganizationObject = $_SWIFT_UserObject->GetOrganization(); if ((!$_SWIFT_UserOrganizationObject instanceof SWIFT_UserOrganization || !$_SWIFT_UserOrganizationObject->GetIsClassLoaded()) && !empty($_companyName)) { SWIFT_UserOrganization::Create($_companyName, SWIFT_UserOrganization::TYPE_RESTRICTED, array(), '', '', '', '', $_country, $_phone, '', $_website, 0, 0); } return $_SWIFT_UserObject; }  public function GetTemplateGroupID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } $_templateGroupCache = $this->Cache->Get('templategroupcache'); $_userGroupID = $this->GetProperty('usergroupid'); $_userTemplateGroupID = 0; foreach ($_templateGroupCache as $_templateGroupContainer) { if ($_templateGroupContainer['regusergroupid'] == $_userGroupID) { $_userTemplateGroupID = $_templateGroupContainer['tgroupid']; break; } } return $_userTemplateGroupID; }  static public function CheckPhoneNumberExists($_phoneNumber, $_currentUserID = false) { $_SWIFT = SWIFT::GetInstance(); if (empty($_phoneNumber)) { return false; } $_SWIFT->Database->Query("SELECT userid, phone FROM " . TABLE_PREFIX . "users
			WHERE phone LIKE '" . $_SWIFT->Database->Escape($_phoneNumber) . "'"); while ($_SWIFT->Database->NextRecord()) { if (!empty($_currentUserID) && $_SWIFT->Database->Record['userid'] == $_currentUserID) {  } else { return array($_SWIFT->Database->Record['phone'], $_SWIFT->Database->Record['userid']); } } return false; } } 