<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_UserGroupSettings extends SWIFT_Model { const TABLE_NAME = 'usergroupsettings'; const PRIMARY_KEY = 'ugroupsettingid'; const TABLE_STRUCTURE = "ugroupsettingid I PRIMARY AUTO NOTNULL,
								usergroupid I DEFAULT '0' NOTNULL,
								name C(100) DEFAULT '' NOTNULL,
								value C(255) DEFAULT '' NOTNULL"; const INDEX_1 = 'usergroupid'; const INDEX_2 = 'usergroupid, name'; const INDEXTYPE_2 = 'UNIQUE'; private $_userGroupID = 0; private $_settingsContainer = array();  public function __construct($_userGroupID) { parent::__construct(); if (!$this->SetUserGroupID($_userGroupID)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $this->_settingsContainer = $this->GetSettings(); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function SetUserGroupID($_userGroupID) { if (empty($_userGroupID)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $this->_userGroupID = $_userGroupID; return true; }  public function GetUserGroupID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_userGroupID; }  static public function RebuildCache() { $_SWIFT = SWIFT::GetInstance(); $_cache = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "usergroupsettings ORDER BY ugroupsettingid ASC"); while ($_SWIFT->Database->NextRecord()) { $_cache[$_SWIFT->Database->Record['usergroupid']][$_SWIFT->Database->Record['name']] = $_SWIFT->Database->Record['value']; } $_SWIFT->Cache->Update("usergroupsettingcache", $_cache); return true; }  public function ClearSettings() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->Database->Query("DELETE FROM " . TABLE_PREFIX . "usergroupsettings WHERE usergroupid = '" . intval($this->GetUserGroupID()) . "'"); return true; }  static public function DeleteOnUserGroup($_userGroupIDList) { if (!_is_array($_userGroupIDList)) { return false; } $_SWIFT = SWIFT::GetInstance(); $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "usergroupsettings WHERE usergroupid IN (" . BuildIN($_userGroupIDList) . ")"); return true; }  static public function RebuildUserGroupSettings() { $_SWIFT = SWIFT::GetInstance();  $_appList = SWIFT_App::GetInstalledApps();  $_userGroupIDList = SWIFT_UserGroup::RetrieveUserGroupIDList(); $_settingCache = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "usergroupsettings"); while ($_SWIFT->Database->NextRecord()) { $_settingCache[$_SWIFT->Database->Record['usergroupid']][$_SWIFT->Database->Record['name']] = $_SWIFT->Database->Record['value']; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "usergroupsettings");  self::ProcessSettingContainer(SWIFT_UserPermissionContainer::GetDefault(), $_settingCache, $_appList, $_userGroupIDList); return true; }  static protected function ProcessSettingContainer($_settingContainer, $_settingCache, $_appList, $_userGroupIDList) { foreach ($_settingContainer as $_key => $_val) { if (in_array($_key, $_appList)) { foreach ($_val as $_permissionKey => $_permissionVal) { for ($ii=0; $ii<count($_userGroupIDList); $ii++) { if (is_array($_permissionVal) && count($_permissionVal[1])) { foreach ($_permissionVal[1] as $_subPermissionKey => $_subPermissionVal) { self::ReplaceGroupSettingGlobal($_userGroupIDList[$ii], $_subPermissionVal, self::GetDefaultPermissionValue($_settingCache, $_userGroupIDList[$ii], $_subPermissionVal)); } } else { self::ReplaceGroupSettingGlobal($_userGroupIDList[$ii], $_permissionVal, self::GetDefaultPermissionValue($_settingCache, $_userGroupIDList[$ii], $_permissionVal)); } } } } } }  static public function GetDefaultPermissionValue($_settingCache, $_userGroupID, $_name) { if (isset($_settingCache[$_userGroupID][$_name])) { $_settingValue = $_settingCache[$_userGroupID][$_name]; } else { $_settingValue = 1; } return $_settingValue; }  static public function ReplaceGroupSettingGlobal($_userGroupID, $_name, $_value) { $_SWIFT = SWIFT::GetInstance(); $_SWIFT->Database->Replace(TABLE_PREFIX . 'usergroupsettings', array('usergroupid' => intval($_userGroupID), 'name' => $_name, 'value' => intval($_value)), array('usergroupid', 'name')); return true; }  public function ReplaceGroupSetting($_name, $_value) { $_SWIFT = SWIFT::GetInstance(); $_value = intval($_value);  if (isset($this->_settingsContainer[$_name]) && $this->_settingsContainer[$_name] == '0' && $_value == '1') { $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "usergroupsettings WHERE usergroupid = '" . intval($this->GetUserGroupID()) . "' AND name = '" . $this->Database->Escape($_name) . "'");  } else if ($_value == '1') { } else if ($_value == '0') { $_SWIFT->Database->Replace(TABLE_PREFIX . 'usergroupsettings', array('usergroupid' => intval($this->GetUserGroupID()), 'name' => $_name, 'value' => intval($_value)), array('usergroupid', 'name')); } return true; }  public function ReprocessGroupSettingArray($_permissionContainer, $_groupPostSettings) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } foreach ($_permissionContainer as $_key => $_val) { if (SWIFT_App::IsInstalled($_key)) { if (!_is_array($_val)) { continue; } foreach ($_val as $_permissionKey=>$_permissionVal) { if (is_array($_permissionVal) && count($_permissionVal[1])) { foreach ($_permissionVal[1] as $_subPermissionKey => $_subPermissionVal) { if (!isset($_groupPostSettings[$_subPermissionVal])) { $this->ReplaceGroupSetting($_subPermissionVal, false); } else { $this->ReplaceGroupSetting($_subPermissionVal, $_groupPostSettings[$_subPermissionVal]); } } } else { if (isset($_groupPostSettings[$_permissionVal])) { $this->ReplaceGroupSetting($_permissionVal, $_groupPostSettings[$_permissionVal]); } } } } } return true; }  public function ReprocessGroupSettings($_groupSettings) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->ClearSettings();  if (_is_array($_groupSettings)) { $this->ReprocessGroupSettingArray(SWIFT_UserPermissionContainer::GetDefault(), $_groupSettings); } self::RebuildCache(); return true; }  public function GetSettings() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_settingsContainer = array(); $this->Database->Query("SELECT * FROM " . TABLE_PREFIX . "usergroupsettings WHERE usergroupid = '" . intval($this->GetUserGroupID()) . "'"); while ($this->Database->NextRecord()) { $_settingsContainer[$this->Database->Record['name']] = $this->Database->Record['value']; } return $_settingsContainer; } } ?>