<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_UserOrganization extends SWIFT_Model { const TABLE_NAME = 'userorganizations'; const PRIMARY_KEY = 'userorganizationid'; const TABLE_STRUCTURE = "userorganizationid I PRIMARY AUTO NOTNULL,
								organizationname C(100) DEFAULT '' NOTNULL,
								organizationtype I2 DEFAULT '0' NOTNULL,
								address C(200) DEFAULT '' NOTNULL,
								city C(255) DEFAULT '' NOTNULL,
								state C(255) DEFAULT '' NOTNULL,
								postalcode C(100) DEFAULT '' NOTNULL,
								country C(255) DEFAULT '' NOTNULL,
								phone C(25) DEFAULT '' NOTNULL,
								fax C(200) DEFAULT '' NOTNULL,
								website C(255) DEFAULT '' NOTNULL,
								dateline I DEFAULT '0' NOTNULL,
								lastupdate I DEFAULT '0' NOTNULL,
								languageid I DEFAULT '0' NOTNULL,
								slaplanid I DEFAULT '0' NOTNULL,
								slaexpirytimeline I DEFAULT '0' NOTNULL,
								usergroupid I DEFAULT '0' NOTNULL"; const INDEX_1 = 'organizationname, address, phone'; protected $_dataStore = array();  const TYPE_RESTRICTED = 1; const TYPE_SHARED = 2;  public function __construct($_userOrganizationID) { parent::__construct(); if (!$this->LoadData($_userOrganizationID)) { throw new SWIFT_Exception('Unable to Load User Organization ID: ' . intval($_userOrganizationID)); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'userorganizations', $this->GetUpdatePool(), 'UPDATE', "userorganizationid = '" . intval($this->GetUserOrganizationID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetUserOrganizationID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['userorganizationid']; }  protected function LoadData($_userOrganizationID) { $_dataStore = $this->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "userorganizations WHERE userorganizationid = '" . intval($_userOrganizationID) . "'"); if (isset($_dataStore['userorganizationid']) && !empty($_dataStore['userorganizationid'])) { $this->_dataStore = $_dataStore; return true; } return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function IsValidOrganizationType($_organizationType) { if ($_organizationType == self::TYPE_RESTRICTED || $_organizationType == self::TYPE_SHARED) { return true; } return false; }  static public function GetOrganizationTypeLabel($_organizationType) { $_SWIFT = SWIFT::GetInstance(); if ($_organizationType == self::TYPE_RESTRICTED) { return $_SWIFT->Language->Get('userorganizationrestricted'); } else if ($_organizationType = self::TYPE_SHARED) { return $_SWIFT->Language->Get('userorganizationshared'); } return false; }  static public function Create($_organizationName, $_organizationType, $_emailContainer = array(), $_address = '', $_city = '', $_state = '', $_postalCode = '', $_country = '', $_phone = '', $_fax = '', $_website = '', $_slaPlanID = false, $_slaPlanExpiry = false) { $_SWIFT = SWIFT::GetInstance(); if (trim($_organizationName) == '' || !self::IsValidOrganizationType($_organizationType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_slaPlanID = intval($_slaPlanID); if (empty($_slaPlanID)) { $_slaPlanExpiry = '0'; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'userorganizations', array('organizationname' => $_organizationName, 'organizationtype' => intval($_organizationType), 'address' => $_address, 'city' => $_city, 'state' => $_state, 'postalcode' => $_postalCode, 'country' => $_country, 'phone' => $_phone, 'fax' => $_fax, 'website' => $_website, 'dateline' => DATENOW, 'lastupdate' => DATENOW, 'slaplanid' => intval($_slaPlanID), 'slaexpirytimeline' => intval($_slaPlanExpiry)), 'INSERT'); $_userOrganizationID = $_SWIFT->Database->Insert_ID(); if (!$_userOrganizationID) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); return false; } $_SWIFT_UserOrganizationObject = new SWIFT_UserOrganization($_userOrganizationID); if (!$_SWIFT_UserOrganizationObject instanceof SWIFT_UserOrganization || !$_SWIFT_UserOrganizationObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); return false; }  $_SWIFT_UserOrganizationObject->ProcessEmailContainer($_emailContainer); return $_SWIFT_UserOrganizationObject; }  public function Update($_organizationName, $_organizationType, $_emailContainer = array(), $_address = '', $_city = '', $_state = '', $_postalCode = '', $_country = '', $_phone = '', $_fax = '', $_website = '', $_slaPlanID = false, $_slaPlanExpiry = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (trim($_organizationName) == '' || !self::IsValidOrganizationType($_organizationType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_slaPlanID = intval($_slaPlanID); if (empty($_slaPlanID)) { $_slaPlanExpiry = '0'; } $this->UpdatePool('organizationname', $_organizationName); $this->UpdatePool('organizationtype', intval($_organizationType)); $this->UpdatePool('address', $_address); $this->UpdatePool('city', $_city); $this->UpdatePool('state', $_state); $this->UpdatePool('postalcode', $_postalCode); $this->UpdatePool('country', $_country); $this->UpdatePool('phone', $_phone); $this->UpdatePool('fax', $_fax); $this->UpdatePool('website', $_website); $this->UpdatePool('slaplanid', intval($_slaPlanID)); $this->UpdatePool('slaexpirytimeline', intval($_slaPlanExpiry)); $this->UpdatePool('lastupdate', DATENOW); $this->ProcessUpdatePool();  $this->ProcessEmailContainer($_emailContainer); return true; }  public function UpdateProfile($_address = '', $_city = '', $_state = '', $_postalCode = '', $_country = '', $_phone = '', $_fax = '', $_website = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->UpdatePool('address', $_address); $this->UpdatePool('city', $_city); $this->UpdatePool('state', $_state); $this->UpdatePool('postalcode', $_postalCode); $this->UpdatePool('country', $_country); $this->UpdatePool('phone', $_phone); $this->UpdatePool('fax', $_fax); $this->UpdatePool('website', $_website); $this->UpdatePool('lastupdate', DATENOW); $this->ProcessUpdatePool(); return true; }  protected function ProcessEmailContainer($_emailContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } SWIFT_UserOrganizationEmail::DeleteOnUserOrganization(array($this->GetUserOrganizationID())); if (_is_array($_emailContainer)) { foreach ($_emailContainer as $_key => $_val) {  if (strrpos($_val, '@') !== false) { $_val = substr($_val, (strrpos($_val, '@')+1)); } SWIFT_UserOrganizationEmail::Create($this, $_val, false); } } return true; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetUserOrganizationID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_userOrganizationIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_userOrganizationIDList)) { return false; } $_finalUserOrganizationIDList = array(); $_index = 1; $_finalText = ''; $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "userorganizations WHERE userorganizationid IN (" . BuildIN($_userOrganizationIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_finalUserOrganizationIDList[] = $_SWIFT->Database->Record['userorganizationid']; $_finalText .= $_index . '. ' . htmlspecialchars($_SWIFT->Database->Record['organizationname']) . ' (' . self::GetOrganizationTypeLabel($_SWIFT->Database->Record['organizationtype']) . ')<BR />'; $_index++; } if (!count($_finalUserOrganizationIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "userorganizations WHERE userorganizationid IN (" . BuildIN($_finalUserOrganizationIDList) . ")"); SWIFT_User::RemoveGlobalUserOrganizationAssociation($_finalUserOrganizationIDList); SWIFT_UserOrganizationEmail::DeleteOnUserOrganization($_finalUserOrganizationIDList); SWIFT_UserOrganizationNote::DeleteOnUserOrganization($_finalUserOrganizationIDList); SWIFT_TagLink::DeleteOnLinkList(SWIFT_TagLink::TYPE_USERORGANIZATION, $_finalUserOrganizationIDList); SWIFT::Info(sprintf($_SWIFT->Language->Get('titledeleteduserorganization'), count($_finalUserOrganizationIDList)), $_SWIFT->Language->Get('msgdeleteduserorganization') . '<BR />' . $_finalText); return true; }  public function HasUserManager() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->Database->Query("SELECT userrole FROM " . TABLE_PREFIX . "users WHERE userorganizationid = '" . intval($this->GetUserOrganizationID()) . "'"); while ($this->Database->NextRecord()) { if ($this->Database->Record['userrole'] == SWIFT_User::ROLE_MANAGER) { return true; } } return false; }  static public function RetrieveOnName($_userOrganizationName) { $_SWIFT = SWIFT::GetInstance(); if (empty($_userOrganizationName)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_userOrganizationContainer = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "userorganizations WHERE organizationname = '" . $_SWIFT->Database->Escape($_userOrganizationName) . "'"); while ($_SWIFT->Database->NextRecord()) { $_userOrganizationContainer[$_SWIFT->Database->Record['userorganizationid']] = $_SWIFT->Database->Record; } return $_userOrganizationContainer; }  static public function MergeList($_primaryOrganizationID, $_userOrganizationIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_userOrganizationIDList) || empty($_primaryOrganizationID) || count($_userOrganizationIDList) == 1) { return false; } $_userOrganizationContainer = $_userOrganizationIDList_Delete = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "userorganizations WHERE userorganizationid IN (" . BuildIN($_userOrganizationIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_userOrganizationContainer[$_SWIFT->Database->Record['userorganizationid']] = $_SWIFT->Database->Record; if ($_SWIFT->Database->Record['userorganizationid'] != $_primaryOrganizationID) { $_userOrganizationIDList_Delete[] = $_SWIFT->Database->Record['userorganizationid']; } }  $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'users', array('userorganizationid' => intval($_primaryOrganizationID)), 'UPDATE', "userorganizationid IN (" . BuildIN($_userOrganizationIDList_Delete) . ")"); if (!count($_userOrganizationIDList_Delete)) { return false; } self::DeleteList($_userOrganizationIDList_Delete); return true; } } ?>