<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_UserVerifyHash extends SWIFT_Model { const TABLE_NAME = 'userverifyhash'; const PRIMARY_KEY = 'userverifyhashid'; const TABLE_STRUCTURE = "userverifyhashid C(50) PRIMARY NOTNULL,
								userid I DEFAULT '0' NOTNULL,
								dateline I DEFAULT '0' NOTNULL,
								hashtype I2 DEFAULT '0' NOTNULL"; const INDEX_1 = 'hashtype, dateline'; const INDEX_2 = 'userid, hashtype'; protected $_dataStore = array();  const TYPE_USER = '1'; const TYPE_FORGOTPASSWORD = '2'; const HASH_EXPIRY = 86400;   public function __construct($_userVerifyHashID) { parent::__construct(); if (!$this->LoadData($_userVerifyHashID)) { throw new SWIFT_Exception('Failed to load User Verification Hash ID: ' . htmlspecialchars($_userVerifyHashID)); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'userverifyhash', $this->GetUpdatePool(), 'UPDATE', "userverifyhashid = '" . $this->Database->Escape($this->GetUserVerifyHashID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetUserVerifyHashID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['userverifyhashid']; }  protected function LoadData($_userVerifyHashID) { $_dataStore = $this->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "userverifyhash WHERE userverifyhashid = '" . $this->Database->Escape($_userVerifyHashID) . "'"); if (isset($_dataStore['userverifyhashid']) && !empty($_dataStore['userverifyhashid'])) { $this->_dataStore = $_dataStore; return true; } return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function IsValidHashType($_hashType) { if ($_hashType == (self::TYPE_USER || self::TYPE_FORGOTPASSWORD)) { return true; } return false; }  static public function Create($_hashType, $_userID) { $_SWIFT = SWIFT::GetInstance(); $_userID = intval($_userID); if (empty($_userID) || !self::IsValidHashType($_hashType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; }  self::DeleteOnUser(array($_userID)); $_userVerifyHashID = BuildHash(); $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'userverifyhash', array('userid' => intval($_userID), 'hashtype' => intval($_hashType), 'dateline' => DATENOW, 'userverifyhashid' => $_userVerifyHashID), 'INSERT'); return $_userVerifyHashID; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetUserVerifyHashID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_userVerifyHashIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_userVerifyHashIDList)) { return false; } $_finalUserVerifyHashIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "userverifyhash WHERE userverifyhashid IN (" . BuildIN($_userVerifyHashIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_finalUserVerifyHashIDList[] = $_SWIFT->Database->Record['userverifyhashid']; } if (!count($_finalUserVerifyHashIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "userverifyhash WHERE userverifyhashid IN (" . BuildIN($_finalUserVerifyHashIDList) . ")"); return true; }  static public function DeleteOnUser($_userIDList, $_hashType = false) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_userIDList)) { return false; } $_extendedSQL = ''; if (!empty($_hashType) && self::IsValidHashType($_hashType)) { $_extendedSQL = " AND hashtype = '" . intval($_hashType) . "'"; } $_userVerifyHashIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "userverifyhash WHERE userid IN (" . BuildIN($_userIDList) . ")" . $_extendedSQL); while ($_SWIFT->Database->NextRecord()) { $_userVerifyHashIDList[] = $_SWIFT->Database->Record['userverifyhashid']; } if (!count($_userVerifyHashIDList)) { return false; } self::DeleteList($_userVerifyHashIDList); return true; }  public function HasExpired() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_expiryThreshold = DATENOW - self::HASH_EXPIRY; if ($this->GetProperty('dateline') < $_expiryThreshold) { return true; } return false; }  static public function CleanUp() { $_SWIFT = SWIFT::GetInstance(); $_userVerifyHashIDList = array();  $_userVerifyThresholdForgotPassword = DATENOW - 86400; $_userVerifyThreshold = DATENOW - ($_SWIFT->Settings->Get('user_delcleardays') * 86400); $_SWIFT->Database->Query("SELECT userverifyhashid FROM " . TABLE_PREFIX . "userverifyhash WHERE (hashtype = '" . self::TYPE_FORGOTPASSWORD . "' AND dateline < '" . intval($_userVerifyThresholdForgotPassword) . "') OR (hashtype = '" . self::TYPE_USER . "' AND dateline < '" . intval($_userVerifyThreshold) . "')"); while ($_SWIFT->Database->NextRecord()) { $_userVerifyHashIDList[] = $_SWIFT->Database->Record['userverifyhashid']; } if (count($_userVerifyHashIDList)) { self::DeleteList($_userVerifyHashIDList); } return true; } } ?>