<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					    function SecureFilePath($_filePath = false) { if ($_filePath === false) { return false; } $_filePath = str_ireplace(SWIFT_BASEPATH, '.', $_filePath); return $_filePath; }  function VariableArray($arr, $string) { $arr_matches = array(); preg_match_all('/\[([^\]]*)\]/', $string, $arr_matches, PREG_PATTERN_ORDER); $return = $arr; foreach($arr_matches[1] as $dimension) { $return = $return[$dimension]; } return $return; } if (!function_exists('mime_content_type')) { function mime_content_type($filename) { $mime_types = array( 'txt' => 'text/plain', 'htm' => 'text/html', 'html' => 'text/html', 'php' => 'text/html', 'css' => 'text/css', 'js' => 'application/javascript', 'json' => 'application/json', 'xml' => 'application/xml', 'swf' => 'application/x-shockwave-flash', 'flv' => 'video/x-flv',  'png' => 'image/png', 'jpe' => 'image/jpeg', 'jpeg' => 'image/jpeg', 'jpg' => 'image/jpeg', 'gif' => 'image/gif', 'bmp' => 'image/bmp', 'ico' => 'image/vnd.microsoft.icon', 'tiff' => 'image/tiff', 'tif' => 'image/tiff', 'svg' => 'image/svg+xml', 'svgz' => 'image/svg+xml',  'zip' => 'application/zip', 'rar' => 'application/x-rar-compressed', 'exe' => 'application/x-msdownload', 'msi' => 'application/x-msdownload', 'cab' => 'application/vnd.ms-cab-compressed',  'mp3' => 'audio/mpeg', 'qt' => 'video/quicktime', 'mov' => 'video/quicktime',  'pdf' => 'application/pdf', 'psd' => 'image/vnd.adobe.photoshop', 'ai' => 'application/postscript', 'eps' => 'application/postscript', 'ps' => 'application/postscript',  'doc' => 'application/msword', 'rtf' => 'application/rtf', 'xls' => 'application/vnd.ms-excel', 'ppt' => 'application/vnd.ms-powerpoint',  'odt' => 'application/vnd.oasis.opendocument.text', 'ods' => 'application/vnd.oasis.opendocument.spreadsheet', );  $ext = strtolower(substr(strrchr($filename, '.'), 1)); if (function_exists('finfo_open')) { $finfo = finfo_open(FILEINFO_MIME); $mimetype = finfo_file($finfo, $filename); finfo_close($finfo); return $mimetype; } elseif (array_key_exists($ext, $mime_types)) { return $mime_types[$ext]; } else { return 'application/octet-stream'; } } }  function FileNotFound($_errorMessage, $_sendHeader = true) { $_SWIFT = SWIFT::GetInstance(); if (SWIFT_INTERFACE == 'console') { echo $_errorMessage; exit; } if ($_sendHeader) { header('HTTP/1.0 404 Not Found'); header('Status: 404 Not Found'); } $_SWIFT->Template->Assign('_errorMessage', $_errorMessage); $_SWIFT->Template->Render('error_404', SWIFT_TemplateEngine::TYPE_FILE); exit; return true; }  function utf8_urldecode($str) { $str = preg_replace("/%u([0-9a-f]{3,4})/i", "&#x\\1;", urldecode($str)); return html_entity_decode($str, null, 'UTF-8'); }  function IsValidColor($_colorValue) { if (substr($_colorValue, 0, 1) == '#' && strlen($_colorValue) <= 7) { return true; } return false; }  function mb_unserialize($string) { $string = preg_replace_callback( '!(?<=^|;)s:(\d+)(?=:"(.*?)";(?:}|a:|d:|s:|b:|i:|o:|N;))!s', 'serialize_fix_callback', $string ); $_unserializeResult = unserialize($string); if ($_unserializeResult === false) { echo 'UNSERIALIZE FAILED: ' . $string; } return $_unserializeResult; } function serialize_fix_callback($match) { return 's:' . strlen($match[2]); }  function GetSymbolCount($_haystack) { return strlen(preg_replace("/[0-9A-Za-z]/", '', $_haystack)); }  function GetSanitizedNoteColor($_noteColor) { $_noteColor = intval($_noteColor); if ($_noteColor > 5 || $_noteColor < 1) { $_noteColor = 1; } return $_noteColor; }  function br2nl($_contents) { return preg_replace('#<br\s*?/?>#i', "\n", $_contents); }  function GetDateFieldTimestamp($_fieldName) { if (!isset($_POST[$_fieldName]) || trim($_POST[$_fieldName]) == '') { return 0; } $_calendarTimeStamp = GetCalendarDateline($_POST[$_fieldName]); if (!$_calendarTimeStamp) { return 0; }  if (isset($_POST[$_fieldName]) && isset($_POST[$_fieldName . '_hour']) && isset($_POST[$_fieldName . '_minute']) && isset($_POST[$_fieldName . '_meridian'])) { $_finalHour = $_POST[$_fieldName . '_hour'];  if ($_POST[$_fieldName . '_meridian'] == 'pm' && $_POST[$_fieldName . '_hour'] < 12) { $_finalHour = $_POST[$_fieldName . '_hour'] + 12; } else if ($_POST[$_fieldName . '_meridian'] == 'am' && $_POST[$_fieldName . '_hour'] == 12) { $_finalHour = 0; } return mktime($_finalHour, $_POST[$_fieldName . '_minute'], 0, date('n', $_calendarTimeStamp), date('j', $_calendarTimeStamp), date('Y', $_calendarTimeStamp));  } else if (isset($_POST[$_fieldName]) && isset($_POST[$_fieldName . '_hour']) && isset($_POST[$_fieldName . '_minute'])) { return mktime($_POST[$_fieldName . '_hour'], $_POST[$_fieldName . '_minute'], 0, date('n', $_calendarTimeStamp), date('j', $_calendarTimeStamp), date('Y', $_calendarTimeStamp)); } return $_calendarTimeStamp; }  function strip_tags_attributes($string, $allowtags=NULL, $allowattributes=NULL) { $string = strip_tags($string, $allowtags); if (!is_null($allowattributes)) { if (!is_array($allowattributes)) $allowattributes = explode(",", $allowattributes); if (is_array($allowattributes)) $allowattributes = implode(")(?<!", $allowattributes); if (strlen($allowattributes) > 0) $allowattributes = "(?<!" . $allowattributes . ")"; $string = preg_replace_callback("/<[^>]*>/i", create_function( '$matches', 'return preg_replace("/ [^ =]*' . $allowattributes . '=(\"[^\"]*\"|\'[^\']*\')/i", "", $matches[0]);' ), $string); } return $string; }  function strip_javascript($filter) { $filter = preg_replace('/<(script)([a-zA-Z\s\/\'\"= ]*)>(.*?)<\/script>/i', htmlspecialchars('<$1$2>$3</$1>'), $filter);  $filter = preg_replace("/href=(['\"])(\s+|\t+)?javascript:(.*)?\\1/i", "onclick='$3'", $filter);  while (preg_match("/<(.*)?javascript.*?\(.*?((?>[^()]+)|(?R)).*?\)?\)(.*)?>/i", $filter)) $filter = preg_replace("/<(.*)?javascript.*?\(.*?((?>[^()]+)|(?R)).*?\)?\)(.*)?>/i", "<$1$3$4$5>", $filter);  if (0) $filter = preg_replace("/:expression\(.*?((?>[^(.*?)]+)|(?R)).*?\)\)/i", "", $filter); while (preg_match("/<(.*)?:expr.*?\(.*?((?>[^()]+)|(?R)).*?\)?\)(.*)?>/i", $filter)) $filter = preg_replace("/<(.*)?:expr.*?\(.*?((?>[^()]+)|(?R)).*?\)?\)(.*)?>/i", "<$1$3$4$5>", $filter);  while (preg_match("/<(.*)?\s?on(?:load|blur|change|click|dblclick|error|focus|keydown|keypress|keyup|mousedown|mousemove|mouseout|mouseover|mouseup|resize|select|unload)=?\s?.+?(['\"]).*?\\2\s?(.*)?>/i", $filter)) $filter = preg_replace("/<(.*)?\s?on(?:load|blur|change|click|dblclick|error|focus|keydown|keypress|keyup|mousedown|mousemove|mouseout|mouseover|mouseup|resize|select|unload)=?\s?.+?(['\"]).*?\\2\s?(.*)?>/i", "<$1$3>", $filter); return $filter; }  function GetCalendarDateline($_calendarDate) { $_SWIFT = SWIFT::GetInstance(); $_dateContainer = explode('/', $_calendarDate); if ($_SWIFT->Settings->Get('dt_caltype') == 'us') { return strtotime($_calendarDate); } else if (count($_dateContainer) == 3) { return mktime(0, 0, 0, $_dateContainer[1], $_dateContainer[0], $_dateContainer[2]); } return false; }  function ProcessDisplayIcon($_displayIcon) { return str_replace('{$themepath}', SWIFT::Get('themepathimages'), $_displayIcon); }  function reversestrchr($_hayStack, $_needle) { if (!$_position = mb_strpos(mb_strtoupper($_hayStack), mb_strtoupper($_needle))) { return false; } else { return mb_substr($_hayStack, 0, $_position); } }  function StripScriptTags($_htmlCode) {  $_htmlCode = preg_replace('@<script[^<]*?/>@si', '', $_htmlCode);  $_htmlCode = preg_replace('@<script(?:.*?)>.*?</script(?:[\s]*?)>@si', '', $_htmlCode);   $_htmlCode = preg_replace('@</script(?:[\s]*?)>@si', '', $_htmlCode); return $_htmlCode; }  function GetPHPMaxUploadSize() { $_uploadSize = ini_get('upload_max_filesize'); if (is_numeric($_uploadSize)) { return $_uploadSize; } $_uploadSizeType1 = strtoupper(substr($_uploadSize, -1)); $_uploadSizeType2 = strtoupper(substr($_uploadSize, -2)); $_uploadSizeChunk1 = intval(substr($_uploadSize, 0, strlen($_uploadSize) - 1)); $_uploadSizeChunk2 = intval(substr($_uploadSize, 0, strlen($_uploadSize) - 2)); if ($_uploadSizeType1 == 'G') { return $_uploadSizeChunk1 * 1024 * 1024 * 1024; } else if ($_uploadSizeType2 == 'GB') { return $_uploadSizeChunk2 * 1024 * 1024 * 1024; } else if ($_uploadSizeType1 == 'M') { return $_uploadSizeChunk1 * 1024 * 1024; } else if ($_uploadSizeType2 == 'MB') { return $_uploadSizeChunk2 * 1024 * 1024; } else if ($_uploadSizeType1 == 'K') { return $_uploadSizeChunk1 * 1024; } else if ($_uploadSizeType2 == 'KB') { return $_uploadSizeChunk2 * 1024; } else if ($_uploadSizeType1 == 'B') { return $_uploadSizeChunk1; } return false; }  function ColorBrightness($hex, $percent) {  $hash = ''; if (stristr($hex, '#')) { $hex = str_replace('#', '', $hex); $hash = '#'; }  $rgb = array(hexdec(substr($hex, 0, 2)), hexdec(substr($hex, 2, 2)), hexdec(substr($hex, 4, 2)));  for ($i = 0; $i < 3; $i++) {  if ($percent > 0) {  $rgb[$i] = round($rgb[$i] * $percent) + round(255 * (1 - $percent)); } else {  $positivePercent = $percent - ($percent * 2); $rgb[$i] = round($rgb[$i] * $positivePercent) + round(0 * (1 - $positivePercent)); }  if ($rgb[$i] > 255) { $rgb[$i] = 255; } }  $hex = ''; for ($i = 0; $i < 3; $i++) {  $hexDigit = dechex($rgb[$i]);  if (strlen($hexDigit) == 1) { $hexDigit = "0" . $hexDigit; }  $hex .= $hexDigit; } return $hash . $hex; }  function HighlightCode($_rawCode) { $_rawCode = trim(preg_replace("#(\r\n|\r|\n)#s", SWIFT_CRLF, $_rawCode)); $_htmlData = '<ol class="highlight_source">';  $_highlightedCode = $_rawCode; $_highlightedCodeContainer = explode(SWIFT_CRLF, $_highlightedCode); foreach ($_highlightedCodeContainer as $_key => $_val) { $_htmlData .= '<li>' . htmlspecialchars($_val) . '</li>'; } $_htmlData .= '</ol>' . SWIFT_CRLF; return $_htmlData; }  function GenerateUniqueMask() { $_SWIFT = SWIFT::GetInstance();   do { do { $_prefix = strtoupper(chr(mt_rand(65, 90)) . chr(mt_rand(65, 90)) . chr(mt_rand(65, 90))); } while (in_array($_prefix, SWIFT::Get('stopwords'))); $_uniqueMaskID = $_prefix . '-' . mt_rand(100, 999) . '-' . mt_rand(10000, 99999); $_maskCheck = $_SWIFT->Database->QueryFetch("SELECT ticketmaskid FROM " . TABLE_PREFIX . "tickets WHERE ticketmaskid = '" . $_SWIFT->Database->Escape($_uniqueMaskID) . "'"); } while (!empty($_maskCheck["ticketmaskid"])); return $_uniqueMaskID; }  function AutoLink($_text, $_customLinkClass = false) { $_customClassHTML = ''; if ($_customLinkClass) { $_customClassHTML = ' class="' . $_customLinkClass . '"'; }  $_returnResult = ' ' . $_text;    $_returnResult = preg_replace("#([\t\r\n ])([a-z0-9]+?){1}://([\w\-]+\.([\w\-]+\.)*[\w]+(:[0-9]+)?(/[^ \"\n\r\t<]*)?)#i", '\1<a href="\2://\3" target="_blank"' . $_customClassHTML . '>\2://\3</a>', $_returnResult);     $_returnResult = preg_replace("#([\t\r\n ])(www|ftp)\.(([\w\-]+\.)*[\w]+(:[0-9]+)?(/[^ \"\n\r\t<]*)?)#i", '\1<a href="http://\2.\3" target="_blank"' . $_customClassHTML . '>\2.\3</a>', $_returnResult);   $_returnResult = preg_replace("#([\n ])([a-z0-9\-_.]+?)@([\w\-]+\.([\w\-\.]+\.)*[\w]+)#i", "\\1<a href=\"mailto:\\2@\\3\"" . $_customClassHTML . ">\\2@\\3</a>", $_returnResult);  $_returnResult = substr($_returnResult, 1); return $_returnResult; }  function GenerateUUID($nodash = false) { $formatString = $nodash ? '%04x%04x%04x%03x4%04x%04x%04x%04x' : '%04x%04x-%04x-%03x4-%04x-%04x%04x%04x'; return sprintf($formatString, mt_rand(0, 65535), mt_rand(0, 65535),  mt_rand(0, 65535),  mt_rand(0, 4095),  bindec(substr_replace(sprintf('%016b', mt_rand(0, 65535)), '01', 6, 2)),    mt_rand(0, 65535), mt_rand(0, 65535), mt_rand(0, 65535)  ); }  function FormattedSize($_size, $_displayBytes = false, $_decimal = 2) { $_SWIFT = SWIFT::GetInstance();  if ($_size < 1024 && $_displayBytes == true) {  return number_format($_size, $_decimal) . " " . $_SWIFT->Language->Get('bytes'); } else { if ($_size < 1024 && $_displayBytes == false) {  return number_format($_size / 1024, $_decimal) . " " . $_SWIFT->Language->Get('kb'); } else if ($_size >= 1024 && $_size < 1048576) {  return number_format($_size / 1024, $_decimal) . " " . $_SWIFT->Language->Get('kb'); } else if ($_size >= 1048576 && $_size < 1073741824) {  return number_format($_size / 1048576, $_decimal) . " " . $_SWIFT->Language->Get('mb'); } else if ($_size >= 1073741824) {  return number_format($_size / 1073741824, $_decimal) . " " . $_SWIFT->Language->Get('gb'); } } return false; }  function DecodeUTF8($_incomingData) { $_SWIFT = SWIFT::GetInstance();  $_defaultCodePage = strtoupper($_SWIFT->Language->Get('charset')); if ($_defaultCodePage != 'UTF-8') {  if (extension_loaded('mbstring') && function_exists('mb_convert_encoding')) { $_convertedData = mb_convert_encoding($_incomingData, $_defaultCodePage, 'UTF-8'); } else {  if ($_defaultCodePage == 'ISO-8859-1' && function_exists('utf8_decode')) { $_convertedData = utf8_decode($_incomingData); } } } else { return $_incomingData; } return $_convertedData; }  function HeaderNoCache() { header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); header("Cache-Control: no-store, no-cache, must-revalidate"); header("Cache-Control: post-check=0, pre-check=0", false); header("Pragma: no-cache"); return true; }  function HeaderCache() { header("Expires: " . gmdate("D, d M Y H:i:s", time() + (3600 * 24)) . " GMT"); header("Cache-Control: max-age=3600, must-revalidate"); }  function AddTrailingSlash($_string) { if (empty($_string)) { return ''; } else if (substr($_string, -1) != '/') { $_string .= '/'; } return $_string; }  function RemoveTrailingSlash($_string) { if (empty($_string)) { return ''; } else if (substr($_string, -1) == '/') { $_string = substr($_string, 0, strlen($_string) - 1); } return $_string; }  function IIF($_expression, $_returnOnTrue = '', $_returnOnFalse = '') { return ($_expression ? $_returnOnTrue : $_returnOnFalse); }  function BuildIN($_dataContainer, $_toInteger = false) { $_inText = ''; if (!_is_array($_dataContainer)) { return "'0'"; } foreach ($_dataContainer as $_key => $_val) { $_inText .= "'" . addslashes($_val) . "',"; } if (!empty($_inText)) { return substr($_inText, 0, -1); } else { return "'0'"; } }  function BuildHash() { return BuildHashBlock() . BuildHashBlock() . BuildHashBlock() . BuildHashBlock(); }  function BuildHashBlock() { $Ch1to3 = mt_rand(0, 36 * 36 * 36) - 1;  $Ch4to5 = mt_rand(0, 36 * 36) - 1; $Ch6to8 = hexdec(substr(uniqid(), -6)) % (36 * 36 * 36);  return str_pad(base_convert($Ch1to3, 10, 36), 3, '0', STR_PAD_LEFT) . str_pad(base_convert($Ch4to5, 10, 36), 2, '0', STR_PAD_LEFT) . str_pad(base_convert($Ch6to8, 10, 36), 3, '0', STR_PAD_LEFT); }  function BuildRandom($_min, $_max) { list($_usec, $_sec) = explode(' ', microtime());  mt_srand((float) $_sec + ((float) $_usec * 100000)); return mt_rand($_min, $_max); }  function RGBToHex($_red, $_green, $_blue) { $_red = intval($_red); $_green = intval($_green); $_blue = intval($_blue); return sprintf("%02X%02X%02X", $_red, $_green, $_blue); }  function ReturnNone($_string) { if (trim($_string) == '' || empty($_string)) { return ''; } else { return $_string; } }  function HexToRGB($_hexCode) { if (trim($_hexCode) == "") { return array('red' => '0', 'green' => '0', 'blue' => '0'); } $_hexCode = str_replace('#', '', $_hexCode); $_red = hexdec(substr($_hexCode, 0, 2)); $_green = hexdec(substr($_hexCode, 2, 2)); $_blue = hexdec(substr($_hexCode, 4, 2)); $_returnContainer = array(); $_returnContainer['red'] = $_red; $_returnContainer['green'] = $_green; $_returnContainer['blue'] = $_blue; return $_returnContainer; }  function CleanDomainName($_string, $_allowPeriod = true) { if ($_allowPeriod == false) { return trim(preg_replace("/[^a-zA-Z0-9\-]/", "", $_string)); } return trim(preg_replace("/[^a-zA-Z0-9\-.]/", "", $_string)); }  function Clean($_string, $_allowSpace = false) { if ($_allowSpace) { return trim(preg_replace("/[^a-zA-Z0-9\-\_:,\s]/", "", $_string)); } return trim(preg_replace("/[^a-zA-Z0-9\-\_:,]/", "", $_string)); }  function CleanQuotes($_string) { if (preg_match('/^(["\'])(.*)\1$/', $_string, $_matches)) { return $_matches[2]; } return $_string; }  function ConvertAccented($_string) { $_accented = array( 'Š'=>'S', 'š'=>'s', 'Đ'=>'Dj', 'đ'=>'dj', 'Ž'=>'Z', 'ž'=>'z', 'Č'=>'C', 'č'=>'c', 'Ć'=>'C', 'ć'=>'c', 'À'=>'A', 'Á'=>'A', 'Â'=>'A', 'Ã'=>'A', 'Ä'=>'A', 'Å'=>'A', 'Æ'=>'A', 'Ç'=>'C', 'È'=>'E', 'É'=>'E', 'Ê'=>'E', 'Ë'=>'E', 'Ì'=>'I', 'Í'=>'I', 'Î'=>'I', 'Ï'=>'I', 'Ñ'=>'N', 'Ò'=>'O', 'Ó'=>'O', 'Ô'=>'O', 'Õ'=>'O', 'Ö'=>'O', 'Ø'=>'O', 'Ù'=>'U', 'Ú'=>'U', 'Û'=>'U', 'Ü'=>'U', 'Ý'=>'Y', 'Þ'=>'B', 'ß'=>'Ss', 'à'=>'a', 'á'=>'a', 'â'=>'a', 'ã'=>'a', 'ä'=>'a', 'å'=>'a', 'æ'=>'a', 'ç'=>'c', 'è'=>'e', 'é'=>'e', 'ê'=>'e', 'ë'=>'e', 'ì'=>'i', 'í'=>'i', 'î'=>'i', 'ï'=>'i', 'ð'=>'o', 'ñ'=>'n', 'ò'=>'o', 'ó'=>'o', 'ô'=>'o', 'õ'=>'o', 'ö'=>'o', 'ø'=>'o', 'ù'=>'u', 'ú'=>'u', 'û'=>'u', 'ý'=>'y', 'ý'=>'y', 'þ'=>'b', 'ÿ'=>'y', 'Ŕ'=>'R', 'ŕ'=>'r', 'б' => 'b', 'в' => 'v', 'г' => 'g', 'д' => 'd', 'е' => 'e', 'ё' => 'jo', 'ж' => 'zh', 'з' => 'z', 'и' => 'i', 'й' => 'jj', 'к' => 'k', 'л' => 'l', 'м' => 'm', 'н' => 'n', 'о' => 'o', 'п' => 'p', 'р' => 'r', 'с' => 's', 'т' => 't', 'у' => 'u', 'ф' => 'f', 'х' => 'kh', 'ц' => 'c', 'ч' => 'ch', 'ш' => 'sh', 'щ' => 'shh', 'ъ' => '', 'ы' => 'y', 'ь' => '', 'э' => 'eh', 'ю' => 'ju', 'я' => 'ja', 'А' => 'A', 'Б' => 'B', 'В' => 'V', 'Г' => 'G', 'Д' => 'D', 'Е' => 'E', 'Ё' => 'JO', 'Ж' => 'ZH', 'З' => 'Z', 'И' => 'I', 'Й' => 'JJ', 'К' => 'K', 'Л' => 'L', 'М' => 'M', 'Н' => 'N', 'О' => 'O', 'П' => 'P', 'Р' => 'R', 'С' => 'S', 'Т' => 'T', 'У' => 'U', 'Ф' => 'F', 'Х' => 'KH', 'Ц' => 'C', 'Ч' => 'CH', 'Ш' => 'SH', 'Щ' => 'SHH', 'Ъ' => '', 'Ы' => 'Y', 'Ь' => '', 'Э' => 'EH', 'Ю' => 'JU', 'Я' => 'JA', ); return strtr($_string, $_accented); }  function CleanURL($_string) {  return mb_strtolower(trim(preg_replace("/[^a-zA-Z0-9\-\_\s]/", "", ConvertAccented($_string)))); }  function CleanInt($_string) { return trim(preg_replace("/[^0-9]/", "", $_string)); }  function CleanTag($_string) { return trim(preg_replace("/[^a-zA-Z0-9\+\-\_:\.@ ]/u", "", $_string)); }  function IsEmailValid($_emailAddress) { if (!is_string($_emailAddress)) { return false; } if (filter_var(trim($_emailAddress), FILTER_VALIDATE_EMAIL)) { return true; } return false; }  function _is_array($_containerArray) { if (!is_array($_containerArray) || !count($_containerArray)) { return false; } else { return true; } return false; }  function GetMicroTime() { list($_usec, $_sec) = explode(" ", microtime()); return (float) ((float) $_usec + (float) $_sec); }  function StripTrailingSlash($_URL) { if (substr($_URL, -1, 1) == "/") { return substr($_URL, 0, strlen($_URL) - 1); } return $_URL; }  function StripName($_string, $_length) { $_SWIFT = SWIFT::GetInstance(); if (mb_strlen($_string, $_SWIFT->Language->Get('charset')) > $_length) { $_string = mb_substr($_string, 0, $_length, $_SWIFT->Language->Get('charset')) . "..."; } return $_string; }  function NetMatch($_network, $_ipAddress) { $_network = trim($_network); $_ip = trim($_ipAddress);  if (strstr($_ipAddress, '::') || strstr($_network, '::')) { if ($_network == $_ipAddress) { return true; } return false; } $_hasRange = strpos($_network, '-'); if ($_hasRange === false) { if (!strpos($_network, '/')) { $_network .= '/30'; } $_ipNetworkContainer = explode('/', $_network); if (!preg_match('@\d*\.\d*\.\d*\.\d*@', $_ipNetworkContainer[0], $_matches)) { $_ipNetworkContainer[0] .= '.0';  } $_ipNetworkLong = ip2long($_ipNetworkContainer[0]); $_ipNetworkLongSec = ip2long($_ipNetworkContainer[1]); $_ipNetworkMask = long2ip($_ipNetworkLongSec) == $_ipNetworkContainer[1] ? $_ipNetworkLongSec : (0xffffffff << (32 - $_ipNetworkContainer[1])); $_ipAddressLong = ip2long($_ipAddress); return ($_ipAddressLong & $_ipNetworkMask) == ($_ipNetworkLong & $_ipNetworkMask); } else { $_fromIPLong = ip2long(trim(substr($_network, 0, $_hasRange))); $_toIPLong = ip2long(trim(substr($_network, $_hasRange + 1))); $_ipAddressLong = ip2long($_ipAddress); return ($_ipAddressLong >= $_fromIPLong and $_ipAddressLong <= $_toIPLong); } return false; }  function BuildSQLSearch($_fieldName, $_searchQuery, $_noParity = false, $_useOR = true) { $_SWIFT = SWIFT::GetInstance();  if ($_noParity) { $_stopData = array("#\s+#s", "#(\r\n|\r|\n)#s"); $_replaceWithData = array(" ", " "); } else { $_stopData = array("#\s+#s", "#(\r\n|\r|\n)#s", "@[~`#$^&*()=+[\]{}|<>,;]@", "#[\\\\]#");  $_replaceWithData = array(" ", " ", "", "\\\\\\\\");  } $_query = preg_replace($_stopData, $_replaceWithData, $_searchQuery); $_matches = $_strictMatches = array(); if (preg_match_all('/["|\'](.*)["|\']/iU', $_query, $_matches)) { foreach ($_matches[1] as $_strictMatch) { if (trim($_strictMatch) == '') { continue; } $_strictMatches[] = $_strictMatch; } $_query = preg_replace('/["|\'](.*)["|\']/iU', '', $_query); }  $_wordsContainer = explode(" ", $_query); if (!count($_wordsContainer)) { $_wordsContainer = array($_searchQuery); } $_sqlContainer = array(); foreach ($_wordsContainer as $_key => $_val) { if (trim($_val) == '') { continue; } $_prefix = substr($_val, 0, 1); $_suffixData = substr($_val, 1); if ($_prefix == '-') { $_sqlContainer[] = $_SWIFT->Database->Escape($_fieldName) . " NOT LIKE '%" . $_SWIFT->Database->Escape($_suffixData) . "%'"; } else if ($_prefix == '+') { $_sqlContainer[] = $_SWIFT->Database->Escape($_fieldName) . " LIKE '%" . $_SWIFT->Database->Escape($_suffixData) . "%'"; } else { $_sqlContainer[] = $_SWIFT->Database->Escape($_fieldName) . " LIKE '%" . $_SWIFT->Database->Escape($_val) . "%'"; } } foreach ($_strictMatches as $_strictMatch) { $_sqlContainer[] = $_SWIFT->Database->Escape($_fieldName) . " LIKE '%" . $_SWIFT->Database->Escape($_strictMatch) . "%'"; } if (!count($_sqlContainer)) { return false; } if ($_useOR) { return implode(' OR ', $_sqlContainer); } return implode(' AND ', $_sqlContainer); }  function CheckOrCreateLockFile($_lockFile, $_lockFileExpiry, $_deleteLockFile = false) { $_lockFilePath = './' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_LOG_DIRECTORY . '/' . $_lockFile;  if ($_deleteLockFile || HasLockFileExpired($_lockFile, $_lockFileExpiry)) { if (!ClearLockFile($_lockFile)) { return false; } }  if (file_exists($_lockFilePath)) { return false; }  $_filePointer = fopen($_lockFilePath, "w+"); if ($_filePointer) { fwrite($_filePointer, DATENOW); fclose($_filePointer); } return true; }  function ClearLockFile($_lockFile) { $_lockFilePath = './' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_LOG_DIRECTORY . '/' . $_lockFile; if (file_exists($_lockFilePath) && !unlink($_lockFilePath)) { return false; } return true; }  function HasLockFileExpired($_lockFile, $_lockFileExpiry) { $_returnStatus = false; $_lockFilePath = './' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_LOG_DIRECTORY . '/' . $_lockFile; if (file_exists($_lockFilePath)) { $_filePointer = fopen($_lockFilePath, "r"); if ($_filePointer !== false) { clearstatcache(); $_fileBytes = filesize($_lockFilePath); $_fileData = fread($_filePointer, $_fileBytes); if ($_fileData !== false) { $_timeElapsed = DATENOW - intval($_fileData); if ($_timeElapsed >= $_lockFileExpiry) { $_returnStatus = true; } } fclose($_filePointer); } } return $_returnStatus; }  function calculateBusinessDay($_days, $_dateTime=null) {  $_dateTime = (is_null($_dateTime)) ? time() : $_dateTime; $_day = 0; $_direction = $_days == 0 ? 0 : intval($_days/abs($_days)); $_day_value = (60 * 60 * 24); while($_day !== $_days) { $_dateTime += $_direction * $_day_value; $_day_w = date("w", $_dateTime); if ($_day_w > 0 && $_day_w < 6) { $_day += $_direction * 1; } } return $_dateTime; }  function IsKayakoIP($_ip, $_useCache = true) { $_ipCache = array(); $_cacheFile = './' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_CACHE_DIRECTORY . '/ip.cache'; if (file_exists($_cacheFile)) { $_ipCache = json_decode(file_get_contents($_cacheFile), true); } if (!is_array($_ipCache)) { $_ipCache = array(); } if ($_useCache && isset($_ipCache[$_ip])) { return $_ipCache[$_ip]; } $_validationURL = 'https://my.kayako.com/Backend/Verify/IsKayakoIP'; $_curlHandle = curl_init(); curl_setopt($_curlHandle, CURLOPT_URL, $_validationURL); curl_setopt($_curlHandle, CURLOPT_SSL_VERIFYHOST, 0); curl_setopt($_curlHandle, CURLOPT_SSL_VERIFYPEER, 0); curl_setopt($_curlHandle, CURLOPT_TIMEOUT, 100); curl_setopt($_curlHandle, CURLOPT_RETURNTRANSFER, true); curl_setopt($_curlHandle, CURLOPT_POST, true); curl_setopt($_curlHandle, CURLOPT_POSTFIELDS, 'ip=' . urlencode($_ip)); $_response = curl_exec($_curlHandle); $_returnResult = false; if (trim($_response) == '1') { $_returnResult = true; } $_ipCache[$_ip] = $_returnResult;  if ($_useCache) { file_put_contents($_cacheFile, json_encode($_ipCache)); } return $_returnResult; }  if (!defined('CAL_GREGORIAN')) { define('CAL_GREGORIAN', 1); } if (!function_exists('cal_days_in_month')) { function cal_days_in_month($_calendar, $_month, $_year) { unset($_calendar); return date('t', mktime(0, 0, 0, $_month, 1, $_year)); } } 