<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					    class SWIFT_AmazonCloudFront extends SWIFT_Library { const BASE_URL = 'cloudfront.amazonaws.com'; const DEFAULT_EXPIRY = 1200;  const API_VERSION = '2009-12-01'; private $_useSSL = true; private $__accessKey;  private $__secretKey;   public function __construct($_accessKey, $_secretKey, $_useSSL = true) { parent::__construct(); if (!$this->SetAccessKey($_accessKey) || !$this->SetSecretKey($_secretKey)) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } $this->SetCanUseSSL($_useSSL); }  public function SetAccessKey($_accessKey) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } else if (empty($_accessKey)) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_INVALIDDATA); } $this->__accessKey = $_accessKey; return true; }  public function GetAccessKey() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } return $this->__accessKey; }  public function SetSecretKey($_secretKey) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } else if (empty($_secretKey)) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_INVALIDDATA); } $this->__secretKey = $_secretKey; return true; }  public function GetSecretKey() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } return $this->__secretKey; }  public function CanUseSSL() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } return intval($this->_useSSL); }  public function SetCanUseSSL($_useSSL) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } $_useSSL = intval($_useSSL); $this->_useSSL = $_useSSL; return true; }  private function CheckResponse(SWIFT_AmazonCloudFrontResponse $_SWIFT_AmazonCloudFrontResponseObject, $_callingFunction = '', $_httpCode = 200, $_endExecution = true) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } else if (!$_SWIFT_AmazonCloudFrontResponseObject->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_INVALIDDATA); } if ($_SWIFT_AmazonCloudFrontResponseObject->GetError() === false && $_SWIFT_AmazonCloudFrontResponseObject->GetHTTPCode() !== $_httpCode) { $_SWIFT_AmazonCloudFrontResponseObject->Error($_SWIFT_AmazonCloudFrontResponseObject->GetHTTPCode(), 'Unexpected HTTP status' . SWIFT_CRLF . $_SWIFT_AmazonCloudFrontResponseObject->GetBody()); } if ($_SWIFT_AmazonCloudFrontResponseObject->GetError() !== false) { if ($_endExecution) { $_errorContainer = $_SWIFT_AmazonCloudFrontResponseObject->GetError(); throw new SWIFT_AmazonCloudFront_Exception(sprintf("SWIFT_AmazonCloudFront::" . $_callingFunction . ": [%s] %s", $_errorContainer['code'], $_errorContainer['message'])); } return false; } return true; }  public function __GetSignature($_string) { return 'AWS ' . $this->GetAccessKey() . ':' . base64_encode(hash_hmac('sha1', $_string, $this->GetSecretKey(), true)); }  protected function __GetCloudFrontDistributionConfigXML($_bucketName, $_callerReference = '0', $_options = array()) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } $_DOMDocument = new DOMDocument('1.0', 'UTF-8'); $_DOMDocument->formatOutput = true; $_distributionConfig = $_DOMDocument->createElement('DistributionConfig'); $_distributionConfig->setAttribute('xmlns', 'http://cloudfront.amazonaws.com/doc/' . self::API_VERSION . '/');  if ($_bucketName !== false) { if (stripos($_bucketName, '.s3.amazonaws.com') !== false) { $_distributionConfig->appendChild($_DOMDocument->createElement('Origin', $_bucketName)); } else { $_distributionConfig->appendChild($_DOMDocument->createElement('Origin', $_bucketName . '.s3.amazonaws.com')); } } else { $_distributionConfig->appendChild($_DOMDocument->createElement('Origin', '')); } if ($_callerReference !== false) { $_distributionConfig->appendChild($_DOMDocument->createElement('CallerReference', $_callerReference)); } else { $_distributionConfig->appendChild($_DOMDocument->createElement('CallerReference', '')); }  if (isset($_options['CNAME'])) { if (is_array($_options['CNAME'])) { foreach ($_options['CNAME'] as $_cname) { $_distributionConfig->appendChild($_DOMDocument->createElement('CNAME', $_cname)); } } else { $_distributionConfig->appendChild($_DOMDocument->createElement('CNAME', $_options['CNAME'])); } }  if (isset($_options['Comment'])) { $_distributionConfig->appendChild($_DOMDocument->createElement('Comment', $_options['Comment'])); }  if (isset($_options['Enabled'])) { $_distributionConfig->appendChild($_DOMDocument->createElement('Enabled', $_options['Enabled'] ? 'true' : 'false')); } else { $_distributionConfig->appendChild($_DOMDocument->createElement('Enabled', 'true')); }  if (isset($_options['Logging'])) { if (is_array($_options['Logging'])) { $_logging = $_DOMDocument->createElement('Logging'); $_loggingBucketName = $_options['Logging']['Bucket'];  if (stripos($_loggingBucketName, '.s3.amazonaws.com') !== false) { $_logging->appendChild($_DOMDocument->createElement('Bucket', $_loggingBucketName)); } else { $_logging->appendChild($_DOMDocument->createElement('Bucket', $_loggingBucketName . '.s3.amazonaws.com')); } $_logging->appendChild($_DOMDocument->createElement('Prefix', $_options['Logging']['Prefix'])); $_distributionConfig->appendChild($_logging); } }  if (isset($_options['OriginAccessIdentity'])) { $_distributionConfig->appendChild($_DOMDocument->createElement('OriginAccessIdentity', 'origin-access-identity/cloudfront/' . $_options['OriginAccessIdentity'])); }  if (isset($_options['TrustedSigners'])) { if (is_array($_options['TrustedSigners'])) { $_trustedSigners = $_DOMDocument->createElement('TrustedSigners'); foreach ($_options['TrustedSigners'] as $_signer) { if ($_signer == 'Self') { $_trustedSigners->appendChild($_DOMDocument->createElement('Self')); } else { $_trustedSigners->appendChild($_DOMDocument->createElement('AwsAccountNumber', $_signer)); } } $_distributionConfig->appendChild($_trustedSigners); } } $_DOMDocument->appendChild($_distributionConfig); return $_DOMDocument->saveXML(); }  protected function __ParseCloudFrontDistributionConfig($_BodyObject) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } $_distributionContainer = array(); if (isset($_BodyObject->Id, $_BodyObject->Status, $_BodyObject->LastModifiedTime, $_BodyObject->DomainName)) { $_distributionContainer['Id'] = (string) $_BodyObject->Id; $_distributionContainer['Status'] = (string) $_BodyObject->Status; $_distributionContainer['LastModifiedTime'] = strtotime((string) $_BodyObject->LastModifiedTime); $_distributionContainer['DomainName'] = (string) $_BodyObject->DomainName; } if (isset($_BodyObject->CallerReference)) { $_distributionContainer['CallerReference'] = (string) $_BodyObject->CallerReference; } if (isset($_BodyObject->Comment)) { $_distributionContainer['Comment'] = (string) $_BodyObject->Comment; } if (isset($_BodyObject->OriginAccessIdentity)) { $_distributionContainer['OriginAccessIdentity'] = (string) $_BodyObject->OriginAccessIdentity; } if (isset($_BodyObject->Enabled, $_BodyObject->Origin)) { $_distributionContainer['Origin'] = (string) $_BodyObject->Origin; $_distributionContainer['Enabled'] = (string) $_BodyObject->Enabled == 'true' ? true : false; } elseif (isset($_BodyObject->DistributionConfig)) { $_distributionContainer = array_merge($_distributionContainer, self::__ParseCloudFrontDistributionConfig($_BodyObject->DistributionConfig)); } if (isset($_BodyObject->TrustedSigners)) { $_distributionContainer['TrustedSigners'] = array(); if (isset($_BodyObject->TrustedSigners->Self)) { $_distributionContainer['TrustedSigners']['Self'] = true; } if (isset($_BodyObject->TrustedSigners->AwsAccountNumber)) { $_distributionContainer['TrustedSigners']['AwsAccountNumber'] = array(); foreach ($_BodyObject->TrustedSigners->AwsAccountNumber as $_AwsAccountNumber) { $_distributionContainer['TrustedSigners']['AwsAccountNumber'][] = (string) $_AwsAccountNumber; } } } if (isset($_BodyObject->Logging, $_BodyObject->Logging->Bucket, $_BodyObject->Logging->Prefix)) { $_distributionContainer['Logging'] = array(); $_distributionContainer['Logging']['Bucket'] = (string) $_BodyObject->Logging->Bucket; $_distributionContainer['Logging']['Prefix'] = (string) $_BodyObject->Logging->Prefix; } if (isset($_BodyObject->CNAME)) { $_distributionContainer['CNAME'] = array(); foreach ($_BodyObject->CNAME as $_cname) { $_distributionContainer['CNAME'][] = (string) $_cname; } } return $_distributionContainer; }  public function ListDistributions($_marker = false, $_maxItems = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } $_SWIFT_AmazonCloudFrontRequestObject = new SWIFT_AmazonCloudFrontRequest(SWIFT_AmazonCloudFrontRequest::ACTION_GET, self::API_VERSION . '/distribution'); $_ResponseObject = $_SWIFT_AmazonCloudFrontRequestObject->GetResponse($this); if (!$this->CheckResponse($_ResponseObject, 'ListDistributions(' . $_marker . ', ' . $_maxItems . ')', 200)) { return false; } $_BodyObject = $_ResponseObject->GetBodyObject(); $_results = array(); if (isset($_BodyObject->Marker, $_BodyObject->MaxItems, $_BodyObject->IsTruncated)) { $_results['Marker'] = (string) $_BodyObject->Marker; $_results['MaxItems'] = (int) $_BodyObject->MaxItems; $_results['IsTruncated'] = (string) $_BodyObject->IsTruncated == 'true' ? true : false; if (isset($_BodyObject->NextMarker)) { $_results['NextMarker'] = (int) $_BodyObject->NextMarker; } } $_results['Summary'] = array(); foreach ($_BodyObject->DistributionSummary as $_SummaryContainer) { $_results['Summary'][(string) $_SummaryContainer->Id] = self::__ParseCloudFrontDistributionConfig($_SummaryContainer); } return $_results; }  public function CreateDistribution($_bucketName, $_isEnabled = true, $_cnameList = array(), $_comment = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } $_SWIFT_AmazonCloudFrontRequestObject = new SWIFT_AmazonCloudFrontRequest(SWIFT_AmazonCloudFrontRequest::ACTION_POST, self::API_VERSION . '/distribution'); $_options = array(); $_options['Enabled'] = $_isEnabled; $_options['CNAME'] = $_cnameList; $_options['Comment'] = $_comment; $_SWIFT_AmazonCloudFrontRequestObject->SetData($this->__GetCloudFrontDistributionConfigXML($_bucketName, (string) microtime(true), $_options)); $_SWIFT_AmazonCloudFrontRequestObject->SetHeader('Content-Type', 'application/xml'); $_ResponseObject = $_SWIFT_AmazonCloudFrontRequestObject->GetResponse($this); if (!$this->CheckResponse($_ResponseObject, 'CreateDistribution(' . $_bucketName . ', ' . intval($_isEnabled) . ', ' . var_export($_cnameList, true) . ', ' . $_comment . ')', 201)) { return false; } $_BodyObject = $_ResponseObject->GetBodyObject(); $_results = $this->__ParseCloudFrontDistributionConfig($_BodyObject); return $_results; }  public function DeleteDistribution($_distributionContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } else if (!isset($_distributionContainer['Id']) || !isset($_distributionContainer['Hash'])) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_INVALIDDATA); }  if ($_distributionContainer['Enabled'] == '1') { $_disableDistributionContainer = $_distributionContainer; $_disableDistributionContainer['Enabled'] = false; $_updatedDistributionContainer = $this->UpdateDistributionConfig($_disableDistributionContainer); $_distributionContainer['Hash'] = $_updatedDistributionContainer['Hash']; $_distributionContainer['Status'] = 'InProgress'; }  if ($_distributionContainer['Status'] == 'InProgress') { $_distributionActive = false; while ($_distributionActive == false) { $_activeDistributionContainer = $this->GetDistribution($_distributionContainer['Id']); if ($_activeDistributionContainer['Status'] == 'Deployed') { $_distributionActive = true; } sleep(10); } } $_SWIFT_AmazonCloudFrontRequestObject = new SWIFT_AmazonCloudFrontRequest(SWIFT_AmazonCloudFrontRequest::ACTION_DELETE, self::API_VERSION . '/distribution/' . $_distributionContainer['Id']); $_SWIFT_AmazonCloudFrontRequestObject->SetHeader('If-Match', $_distributionContainer['Hash']); $_ResponseObject = $_SWIFT_AmazonCloudFrontRequestObject->GetResponse($this); if (!$this->CheckResponse($_ResponseObject, 'DeleteDistribution(' . var_export($_distributionContainer, true) . ')', 204)) { return false; } return true; }  public function GetDistribution($_distributionID) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } else if (empty($_distributionID)) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_INVALIDDATA); } $_SWIFT_AmazonCloudFrontRequestObject = new SWIFT_AmazonCloudFrontRequest(SWIFT_AmazonCloudFrontRequest::ACTION_GET, self::API_VERSION . '/distribution/' . $_distributionID); $_ResponseObject = $_SWIFT_AmazonCloudFrontRequestObject->GetResponse($this); if (!$this->CheckResponse($_ResponseObject, 'GetDistribution(' . $_distributionID . ')', 200)) { return false; } $_BodyObject = $_ResponseObject->GetBodyObject(); $_results = $this->__ParseCloudFrontDistributionConfig($_BodyObject); $_results['Hash'] = $_ResponseObject->GetHeader('hash'); return $_results; }  public function GetDistributionConfig($_distributionID) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } else if (empty($_distributionID)) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_INVALIDDATA); } $_SWIFT_AmazonCloudFrontRequestObject = new SWIFT_AmazonCloudFrontRequest(SWIFT_AmazonCloudFrontRequest::ACTION_GET, self::API_VERSION . '/distribution/' . $_distributionID . '/config'); $_ResponseObject = $_SWIFT_AmazonCloudFrontRequestObject->GetResponse($this); if (!$this->CheckResponse($_ResponseObject, 'GetDistributionConfig(' . $_distributionID . ')', 200)) { return false; } $_BodyObject = $_ResponseObject->GetBodyObject(); $_results = $this->__ParseCloudFrontDistributionConfig($_BodyObject); $_results['Hash'] = $_ResponseObject->GetHeader('hash'); return $_results; }  public function UpdateDistributionConfig($_distributionContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } else if (!isset($_distributionContainer['Id']) || !isset($_distributionContainer['Hash'])) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_INVALIDDATA); } $_SWIFT_AmazonCloudFrontRequestObject = new SWIFT_AmazonCloudFrontRequest(SWIFT_AmazonCloudFrontRequest::ACTION_PUT, self::API_VERSION . '/distribution/' . $_distributionContainer['Id'] . '/config'); $_SWIFT_AmazonCloudFrontRequestObject->SetData($this->__GetCloudFrontDistributionConfigXML($_distributionContainer['Origin'], $_distributionContainer['CallerReference'], $_distributionContainer)); $_SWIFT_AmazonCloudFrontRequestObject->SetHeader('If-Match', $_distributionContainer['Hash']); $_SWIFT_AmazonCloudFrontRequestObject->SetHeader('Content-Type', 'application/xml'); $_ResponseObject = $_SWIFT_AmazonCloudFrontRequestObject->GetResponse($this); if (!$this->CheckResponse($_ResponseObject, 'UpdateDistribution(' . var_export($_distributionContainer, true) . ')', 200)) { return false; } $_BodyObject = $_ResponseObject->GetBodyObject(); $_results = $this->__ParseCloudFrontDistributionConfig($_BodyObject); $_results['Hash'] = $_ResponseObject->GetHeader('hash'); return $_results; }  protected function __ParseCloudFrontOriginAccessIdentityConfig($_BodyObject) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } $_oaiContainer = array(); if (isset($_BodyObject->Id, $_BodyObject->S3CanonicalUserId)) { $_oaiContainer['Id'] = (string) $_BodyObject->Id; $_oaiContainer['S3CanonicalUserId'] = (string) $_BodyObject->S3CanonicalUserId; } if (isset($_BodyObject->Comment)) { $_oaiContainer['Comment'] = (string) $_BodyObject->Comment; } if (isset($_BodyObject->CallerReference)) { $_oaiContainer['CallerReference'] = (string) $_BodyObject->CallerReference; } return $_oaiContainer; }  protected function __ParseCloudFrontOriginAccessIdentity($_BodyObject) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } $_oaiContainer = array(); if (isset($_BodyObject->Id, $_BodyObject->S3CanonicalUserId)) { $_oaiContainer['Id'] = (string) $_BodyObject->Id; $_oaiContainer['S3CanonicalUserId'] = (string) $_BodyObject->S3CanonicalUserId; }  $_oaiContainer = array_merge($_oaiContainer, $this->__ParseCloudFrontOriginAccessIdentityConfig($_BodyObject->CloudFrontOriginAccessIdentityConfig)); return $_oaiContainer; }  protected function __GetCloudFrontOriginAccessIdentityConfigXML($_callerReference, $_comment = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } $_DOMDocument = new DOMDocument('1.0', 'UTF-8'); $_DOMDocument->formatOutput = true; $_distributionConfig = $_DOMDocument->createElement('CloudFrontOriginAccessIdentityConfig'); $_distributionConfig->setAttribute('xmlns', 'http://cloudfront.amazonaws.com/doc/' . self::API_VERSION . '/'); if ($_callerReference !== false) { $_distributionConfig->appendChild($_DOMDocument->createElement('CallerReference', $_callerReference)); } else { $_distributionConfig->appendChild($_DOMDocument->createElement('CallerReference', '')); }  if (!empty($_comment)) { $_distributionConfig->appendChild($_DOMDocument->createElement('Comment', $_comment)); } $_DOMDocument->appendChild($_distributionConfig); return $_DOMDocument->saveXML(); }  public function ListOriginAccessIdentity($_marker = false, $_maxItems = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } $_SWIFT_AmazonCloudFrontRequestObject = new SWIFT_AmazonCloudFrontRequest(SWIFT_AmazonCloudFrontRequest::ACTION_GET, self::API_VERSION . '/origin-access-identity/cloudfront'); $_ResponseObject = $_SWIFT_AmazonCloudFrontRequestObject->GetResponse($this); if (!$this->CheckResponse($_ResponseObject, 'ListOriginAccessIdentity(' . $_marker . ', ' . $_maxItems . ')', 200)) { return false; } $_BodyObject = $_ResponseObject->GetBodyObject(); $_results = array(); if (isset($_BodyObject->Marker, $_BodyObject->MaxItems, $_BodyObject->IsTruncated)) { $_results['Marker'] = (string) $_BodyObject->Marker; $_results['MaxItems'] = (int) $_BodyObject->MaxItems; $_results['IsTruncated'] = (string) $_BodyObject->IsTruncated == 'true' ? true : false; if (isset($_BodyObject->NextMarker)) { $_results['NextMarker'] = (int) $_BodyObject->NextMarker; } } $_results['Summary'] = array(); foreach ($_BodyObject->CloudFrontOriginAccessIdentitySummary as $_SummaryContainer) { $_results['Summary'][(string) $_SummaryContainer->Id] = self::__ParseCloudFrontOriginAccessIdentityConfig($_SummaryContainer); } return $_results; }  public function CreateOriginAccessIdentity($_comment = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } $_SWIFT_AmazonCloudFrontRequestObject = new SWIFT_AmazonCloudFrontRequest(SWIFT_AmazonCloudFrontRequest::ACTION_POST, self::API_VERSION . '/origin-access-identity/cloudfront'); $_SWIFT_AmazonCloudFrontRequestObject->SetData($this->__GetCloudFrontOriginAccessIdentityConfigXML((string) microtime(true), $_comment)); $_SWIFT_AmazonCloudFrontRequestObject->SetHeader('Content-Type', 'application/xml'); $_ResponseObject = $_SWIFT_AmazonCloudFrontRequestObject->GetResponse($this); if (!$this->CheckResponse($_ResponseObject, 'CreateOriginAccessIdentity(' . $_comment . ')', 201)) { return false; } $_BodyObject = $_ResponseObject->GetBodyObject(); $_results = $this->__ParseCloudFrontOriginAccessIdentity($_BodyObject); return $_results; }  public function GetOriginAccessIdentity($_originAccessIdentityID) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } else if (empty($_originAccessIdentityID)) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_INVALIDDATA); } $_SWIFT_AmazonCloudFrontRequestObject = new SWIFT_AmazonCloudFrontRequest(SWIFT_AmazonCloudFrontRequest::ACTION_GET, self::API_VERSION . '/origin-access-identity/cloudfront/' . $_originAccessIdentityID); $_ResponseObject = $_SWIFT_AmazonCloudFrontRequestObject->GetResponse($this); if (!$this->CheckResponse($_ResponseObject, 'GetOriginAccessIdentity(' . $_originAccessIdentityID . ')', 200)) { return false; } $_BodyObject = $_ResponseObject->GetBodyObject(); $_results = $this->__ParseCloudFrontOriginAccessIdentity($_BodyObject); $_results['Hash'] = $_ResponseObject->GetHeader('hash'); return $_results; }  public function DeleteOriginAccessIdentity($_oaiContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } else if (!_is_array($_oaiContainer) || !isset($_oaiContainer['Id']) || !isset($_oaiContainer['Hash'])) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_INVALIDDATA); }  $_distributionsContainer = $this->ListDistributions(); if (isset($_distributionsContainer['Summary'])) { foreach ($_distributionsContainer['Summary'] as $_distributionID => $_distributionContainerList) { $_distributionContainer = $this->GetDistribution($_distributionID); if (isset($_distributionContainer['OriginAccessIdentity']) && $_distributionContainer['OriginAccessIdentity'] == 'origin-access-identity/cloudfront/' . $_oaiContainer['Id']) {  $_updateDistributionContainer = $_distributionContainer; unset($_updateDistributionContainer['OriginAccessIdentity']); $this->UpdateDistributionConfig($_updateDistributionContainer); } } }  $_distributionsContainer = $this->ListDistributions(); if (isset($_distributionsContainer['Summary'])) { foreach ($_distributionsContainer['Summary'] as $_distributionContainer) {  if ($_distributionContainer['Status'] == 'InProgress') { $_distributionActive = false; while ($_distributionActive == false) { $_activeDistributionContainer = $this->GetDistribution($_distributionContainer['Id']); if ($_activeDistributionContainer['Status'] == 'Deployed') { $_distributionActive = true; } sleep(10); } } } }  $_SWIFT_AmazonCloudFrontRequestObject = new SWIFT_AmazonCloudFrontRequest(SWIFT_AmazonCloudFrontRequest::ACTION_DELETE, self::API_VERSION . '/origin-access-identity/cloudfront/' . $_oaiContainer['Id']); $_SWIFT_AmazonCloudFrontRequestObject->SetHeader('If-Match', $_oaiContainer['Hash']); $_ResponseObject = $_SWIFT_AmazonCloudFrontRequestObject->GetResponse($this); if (!$this->CheckResponse($_ResponseObject, 'DeleteOriginAccessIdentity(' . var_export($_oaiContainer, true) . ')', 204)) { return false; } return true; }  public function GetOriginAccessIdentityConfig($_oaiID) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } else if (empty($_oaiID)) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_INVALIDDATA); } $_SWIFT_AmazonCloudFrontRequestObject = new SWIFT_AmazonCloudFrontRequest(SWIFT_AmazonCloudFrontRequest::ACTION_GET, self::API_VERSION . '/origin-access-identity/cloudfront/' . $_oaiID . '/config'); $_ResponseObject = $_SWIFT_AmazonCloudFrontRequestObject->GetResponse($this); if (!$this->CheckResponse($_ResponseObject, 'GetOriginAccessIdentityConfig(' . $_oaiID . ')', 200)) { return false; } $_BodyObject = $_ResponseObject->GetBodyObject(); $_results = $this->__ParseCloudFrontOriginAccessIdentityConfig($_BodyObject); $_results['Hash'] = $_ResponseObject->GetHeader('hash'); return $_results; }  public function UpdateOriginAccessIdentityConfig($_oaiContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } else if (!isset($_oaiContainer['Id']) || !isset($_oaiContainer['Hash'])) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_INVALIDDATA); } $_SWIFT_AmazonCloudFrontRequestObject = new SWIFT_AmazonCloudFrontRequest(SWIFT_AmazonCloudFrontRequest::ACTION_PUT, self::API_VERSION . '/origin-access-identity/cloudfront/' . $_oaiContainer['Id'] . '/config'); $_SWIFT_AmazonCloudFrontRequestObject->SetData($this->__GetCloudFrontOriginAccessIdentityConfigXML($_oaiContainer['CallerReference'], $_oaiContainer['Comment'])); $_SWIFT_AmazonCloudFrontRequestObject->SetHeader('If-Match', $_oaiContainer['Hash']); $_SWIFT_AmazonCloudFrontRequestObject->SetHeader('Content-Type', 'application/xml'); $_ResponseObject = $_SWIFT_AmazonCloudFrontRequestObject->GetResponse($this); if (!$this->CheckResponse($_ResponseObject, 'UpdateOriginAccessIdentityConfig(' . var_export($_oaiContainer, true) . ')', 200)) { return false; } $_BodyObject = $_ResponseObject->GetBodyObject(); $_results = $this->__ParseCloudFrontOriginAccessIdentityConfig($_BodyObject); $_results['Hash'] = $_ResponseObject->GetHeader('hash'); return $_results; }  public function CreateCannedSignedURL($_resourceURL, $_expiryTimeline, $_keyPairID, $_privateKey) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } $_signature = ''; $_cannedPolicy = '{"Statement":[{"Resource":"' . $_resourceURL . '","Condition":{"DateLessThan":{"AWS:EpochTime":' . $_expiryTimeline . '}}}]}'; $_privateKeyID = openssl_get_privatekey($_privateKey); openssl_sign($_cannedPolicy, $_signature, $_privateKeyID); openssl_free_key($_privateKeyID); $_finalSignature = self::URLSafeEncode($_signature);  $_urlContainer = parse_url($_resourceURL);  $_finalParameters = 'Expires=' . intval($_expiryTimeline) . '&Signature=' . $_finalSignature . '&Key-Pair-Id=' . $_keyPairID; $_finalURL = $_resourceURL . '?' . $_finalParameters; if (isset($_urlContainer['query']) && !empty($_urlContainer['query'])) { $_finalURL = $_resourceURL . '&' . $_finalParameters; } return $_finalURL; }  public function CreateCustomSignedURL($_resourceURL, $_keyPairID, $_privateKey, $_dateLessThan = false, $_dateGreaterThan = false, $_ipAddress = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonCloudFront_Exception(SWIFT_CLASSNOTLOADED); } $_conditionContainer = array(); if ($_dateLessThan !== false) { $_conditionContainer[] = '"DateLessThan":{"AWS:EpochTime":' . intval($_dateLessThan) . '}'; } if ($_dateGreaterThan !== false) { $_conditionContainer[] = '"DateGreaterThan":{"AWS:EpochTime":' . intval($_dateGreaterThan) . '}'; } if ($_ipAddress !== false) { $_conditionContainer[] = '"IpAddress":{"AWS:SourceIp":' . $_ipAddress . '}'; } if (!count($_conditionContainer)) { throw new SWIFT_AmazonCloudFront_Exception('Need atleast one valid condition to generate a custom policy signed url'); } $_signature = ''; $_cannedPolicy = '{"Statement":[{"Resource":"' . $_resourceURL . '","Condition":{' . implode(',', $_conditionContainer) . '}}]}'; $_privateKeyID = openssl_get_privatekey($_privateKey); openssl_sign($_cannedPolicy, $_signature, $_privateKeyID); openssl_free_key($_privateKeyID); $_finalSignature = self::URLSafeEncode($_signature);  $_urlContainer = parse_url($_resourceURL);  $_finalParameters = 'Policy=' . self::URLSafeEncode($_cannedPolicy) . '&Signature=' . $_finalSignature . '&Key-Pair-Id=' . $_keyPairID; $_finalURL = $_resourceURL . '?' . $_finalParameters; if (isset($_urlContainer['query']) && !empty($_urlContainer['query'])) { $_finalURL = $_resourceURL . '&' . $_finalParameters; } return $_finalURL; }  static protected function URLSafeEncode($_data) { return str_replace('+', '-', str_replace('=', '_', str_replace('/', '~', base64_encode($_data)))); } }