<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					    class SWIFT_AmazonSQS extends SWIFT_Library { private $_useSSL = false; private $__accessKey;  private $__secretKey;  private $_awsAccountNumber;  private $_verifyHost = 1; private $_verifyPeer = 0;  const BASE_URL = 'queue.amazonaws.com';  public function __construct($_accessKey, $_secretKey, $_awsAccountNumber, $_useSSL = false) { parent::__construct(); if (!$this->SetAccessKey($_accessKey) || !$this->SetSecretKey($_secretKey) || !$this->SetAWSAccountNumber($_awsAccountNumber)) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); $this->SetIsClassLoaded(false); return false; } $this->SetCanUseSSL($_useSSL); return true; }  public function SetAccessKey($_accessKey) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->__accessKey = $_accessKey; return true; }  public function GetAccessKey() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->__accessKey; }  public function SetSecretKey($_secretKey) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->__secretKey = $_secretKey; return true; }  public function GetSecretKey() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->__secretKey; }  public function SetAWSAccountNumber($_awsAccountNumber) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_awsAccountNumber)) { throw new SWIFT_AmazonSQS_Exception(SWIFT_INVALIDDATA); return false; } $this->_awsAccountNumber = $_awsAccountNumber; return true; }  public function GetAWSAccountNumber() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_awsAccountNumber; }  public function CanUseSSL() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); return false; } return intval($this->_useSSL); }  public function SetCanUseSSL($_useSSL) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); return false; } $_useSSL = intval($_useSSL); $this->_useSSL = $_useSSL; return true; }  public function SetVerifyHost($_verifyHost) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_verifyHost = intval($_verifyHost); return true; }  public function GetVerifyHost() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_verifyHost; }  public function GetVerifyPeer() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_verifyPeer; }  public function SetVerifyPeer($_verifyPeer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_verifyPeer = intval($_verifyPeer); return true; }  private function CheckResponse(SWIFT_AmazonSQSResponse $_SWIFT_AmazonSQSResponseObject, $_callingFunction = '', $_httpCode = 200, $_endExecution = true) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!$_SWIFT_AmazonSQSResponseObject->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_INVALIDDATA); return false; } if ($_SWIFT_AmazonSQSResponseObject->GetError() === false && $_SWIFT_AmazonSQSResponseObject->GetHTTPCode() !== $_httpCode) { $_SWIFT_AmazonSQSResponseObject->Error($_SWIFT_AmazonSQSResponseObject->GetHTTPCode(), 'Unexpected HTTP status'); } if ($_SWIFT_AmazonSQSResponseObject->GetError() !== false) { if ($_endExecution) { $_errorContainer = $_SWIFT_AmazonSQSResponseObject->GetError(); $_ErrorObject = $_SWIFT_AmazonSQSResponseObject->GetBodyObject(); $_awsCode = '0'; $_awsMessage = ''; if (isset($_ErrorObject->Error->Code)) { $_awsCode = (string) $_ErrorObject->Error->Code; } if (isset($_ErrorObject->Error->Message)) { $_awsMessage = (string) $_ErrorObject->Error->Message; }  if (stristr($_errorContainer['message'], 'Problem with the SSL')) { return false; } else if (strstr($_errorContainer['message'], 'resolve host')) { return false; } throw new SWIFT_AmazonSQS_Exception(sprintf("SWIFT_AmazonSQS::". $_callingFunction .": [%s] %s" . "\n" . $_awsCode . ': ' . $_awsMessage, $_errorContainer['code'], $_errorContainer['message']), $_errorContainer['code']); return false; } return false; } return true; }  public function __GetSignature($_string) { return base64_encode(hash_hmac('sha256', $_string, $this->GetSecretKey(), true)); }  public function ListQueues($_prefix = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); return false; } $_SWIFT_AmazonSQSRequestObject = new SWIFT_AmazonSQSRequest(SWIFT_AmazonSQSRequest::ACTION_GET, 'ListQueues', ''); if (!empty($_prefix)) { $_SWIFT_AmazonSQSRequestObject->SetParameter('QueueNamePrefix', $_prefix); } $_ResponseObject = $_SWIFT_AmazonSQSRequestObject->GetResponse($this); if (!$this->CheckResponse($_ResponseObject, 'ListQueues(' . $_prefix . ')', 200)) { return false; } $_BodyObject = $_ResponseObject->GetBodyObject(); $_resultsContainer = array(); if (!isset($_BodyObject->ListQueuesResult, $_BodyObject->ListQueuesResult->QueueUrl)) { return $_resultsContainer; } foreach($_BodyObject->ListQueuesResult->QueueUrl as $_Queue) {  $_urlPath = parse_url((string) $_Queue, PHP_URL_PATH); if (empty($_urlPath)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_queueName = pathinfo($_urlPath, PATHINFO_BASENAME); $_resultsContainer[] = $_queueName; } return $_resultsContainer; }  public function CreateQueue($_queueName, $_visibilityTimeout = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_queueName)) { throw new SWIFT_AmazonSQS_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT_AmazonSQSRequestObject = new SWIFT_AmazonSQSRequest(SWIFT_AmazonSQSRequest::ACTION_PUT, 'CreateQueue', ''); $_SWIFT_AmazonSQSRequestObject->SetParameter('QueueName', $_queueName); if (!empty($_visibilityTimeout)) { if ($_visibilityTimeout > 7200) { $_visibilityTimeout = 7200; } $_SWIFT_AmazonSQSRequestObject->SetParameter('DefaultVisibilityTimeout', intval($_visibilityTimeout)); } $_ResponseObject = $_SWIFT_AmazonSQSRequestObject->GetResponse($this); if (!$this->CheckResponse($_ResponseObject, 'CreateQueue(' . $_queueName . ', ' . $_visibilityTimeout . ')', 200)) { return false; } return true; }  public function DeleteQueue($_queueName) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_queueName)) { throw new SWIFT_AmazonSQS_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT_AmazonSQSRequestObject = new SWIFT_AmazonSQSRequest(SWIFT_AmazonSQSRequest::ACTION_DELETE, 'DeleteQueue', $_queueName); $_ResponseObject = $_SWIFT_AmazonSQSRequestObject->GetResponse($this); if (!$this->CheckResponse($_ResponseObject, 'DeleteQueue(' . $_queueName . ')', 200)) { return false; } return true; }  public function GetQueueAttributes($_queueName, $_attribute = 'All') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_queueName) || empty($_attribute)) { throw new SWIFT_AmazonSQS_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT_AmazonSQSRequestObject = new SWIFT_AmazonSQSRequest(SWIFT_AmazonSQSRequest::ACTION_GET, 'GetQueueAttributes', $_queueName); $_SWIFT_AmazonSQSRequestObject->SetParameter('AttributeName', $_attribute); $_ResponseObject = $_SWIFT_AmazonSQSRequestObject->GetResponse($this); if (!$this->CheckResponse($_ResponseObject, 'GetQueueAttributes(' . $_queueName . ', ' . $_attribute . ')', 200)) { return false; } $_BodyObject = $_ResponseObject->GetBodyObject(); $_resultsContainer = array(); if (!isset($_BodyObject->GetQueueAttributesResult, $_BodyObject->GetQueueAttributesResult->Attribute)) { return $_resultsContainer; } foreach($_BodyObject->GetQueueAttributesResult->Attribute as $_Attribute) { $_resultsContainer[(string)($_Attribute->Name)] = (string)($_Attribute->Value); } return $_resultsContainer; return true; }  public function SetQueueAttributes($_queueName, $_attribute, $_value) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_queueName) || empty($_attribute)) { throw new SWIFT_AmazonSQS_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT_AmazonSQSRequestObject = new SWIFT_AmazonSQSRequest(SWIFT_AmazonSQSRequest::ACTION_PUT, 'SetQueueAttributes', $_queueName); $_SWIFT_AmazonSQSRequestObject->SetParameter('Attribute.Name', $_attribute); $_SWIFT_AmazonSQSRequestObject->SetParameter('Attribute.Value', $_value); $_ResponseObject = $_SWIFT_AmazonSQSRequestObject->GetResponse($this); if (!$this->CheckResponse($_ResponseObject, 'SetQueueAttributes(' . $_queueName . ', ' . $_attribute . ', ' . $_value . ')', 200)) { return false; } return true; }  public function SendMessage($_queueName, $_messageBody, $_retryCounter = 0) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_queueName) || empty($_messageBody)) { throw new SWIFT_AmazonSQS_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT_AmazonSQSRequestObject = new SWIFT_AmazonSQSRequest(SWIFT_AmazonSQSRequest::ACTION_PUT, 'SendMessage', $_queueName); $_SWIFT_AmazonSQSRequestObject->SetParameter('MessageBody', $_messageBody); $_ResponseObject = $_SWIFT_AmazonSQSRequestObject->GetResponse($this); $_responseResult = false; $_errorCode = 0; $_errorMessage = ''; try { $_responseResult = $this->CheckResponse($_ResponseObject, 'SendMessage(' . $_queueName . ', ' . $_messageBody . ')', 200); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { $_errorCode = $_SWIFT_ExceptionObject->getCode(); $_errorMessage = $_SWIFT_ExceptionObject->getMessage(); }  if (!$_responseResult && !empty($_errorCode) && $_retryCounter < 4) { $_retryCounter++; if (isset($this->Console) && $this->Console instanceof SWIFT_Console) { $this->Console->Message('Message send failed because of: ' . $_errorMessage . ', retrying and sending..' . $_messageBody . ' to ' . $_queueName); } sleep(10); return $this->SendMessage($_queueName, $_messageBody, $_retryCounter); } else if (!$_responseResult) { throw new SWIFT_AmazonSQS_Exception($_errorMessage, $_errorCode); } return true; }  public function ReceiveMessage($_queueName, $_numberOfMessages = false, $_visibilityTimeout = false, $_retryCounter = 0) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_queueName)) { throw new SWIFT_AmazonSQS_Exception(SWIFT_INVALIDDATA); return false; } $_numberOfMessages = intval($_numberOfMessages); $_visibilityTimeout = intval($_visibilityTimeout); $_SWIFT_AmazonSQSRequestObject = new SWIFT_AmazonSQSRequest(SWIFT_AmazonSQSRequest::ACTION_GET, 'ReceiveMessage', $_queueName); if (!empty($_numberOfMessages)) { $_SWIFT_AmazonSQSRequestObject->SetParameter('MaxNumberOfMessages', $_numberOfMessages); } if (!empty($_visibilityTimeout)) { $_SWIFT_AmazonSQSRequestObject->SetParameter('VisibilityTimeout', $_visibilityTimeout); } $_ResponseObject = $_SWIFT_AmazonSQSRequestObject->GetResponse($this); $_responseResult = false; $_errorCode = 0; $_errorMessage = ''; try { $_responseResult = $this->CheckResponse($_ResponseObject, 'ReceiveMessage(' . $_queueName . ', ' . $_numberOfMessages . ', ' . $_visibilityTimeout . ')', 200); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { $_errorCode = $_SWIFT_ExceptionObject->getCode(); $_errorMessage = $_SWIFT_ExceptionObject->getMessage(); }    if ($_errorCode == '28' || $_errorCode == '503' || $_errorCode == '7') { return false; }  if (!$_responseResult && $_errorCode == 500 && $_retryCounter < 4) { $_retryCounter++; sleep(60); return $this->ReceiveMessage($_queueName, $_numberOfMessages, $_visibilityTimeout); } else if (!$_responseResult) { throw new SWIFT_AmazonSQS_Exception($_errorMessage, $_errorCode); } $_BodyObject = $_ResponseObject->GetBodyObject(); $_resultsContainer = array(); if (!isset($_BodyObject->ReceiveMessageResult, $_BodyObject->ReceiveMessageResult->Message)) { return $_resultsContainer; } foreach ($_BodyObject->ReceiveMessageResult->Message as $_Message) { $_messageContainer = array(); $_messageContainer['MessageID'] = (string) ($_Message->MessageId); $_messageContainer['ReceiptHandle'] = (string) ($_Message->ReceiptHandle); $_messageContainer['MD5OfBody'] = (string) ($_Message->MD5OfBody); $_messageContainer['Body'] = (string) ($_Message->Body); $_resultsContainer[] = $_messageContainer; } return $_resultsContainer; }  public function DeleteMessage($_queueName, $_receiptHandle, $_retryCounter = 0) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_queueName) || empty($_receiptHandle)) { throw new SWIFT_AmazonSQS_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT_AmazonSQSRequestObject = new SWIFT_AmazonSQSRequest(SWIFT_AmazonSQSRequest::ACTION_DELETE, 'DeleteMessage', $_queueName); $_SWIFT_AmazonSQSRequestObject->SetParameter('ReceiptHandle', $_receiptHandle); $_ResponseObject = $_SWIFT_AmazonSQSRequestObject->GetResponse($this); $_responseResult = false; $_errorCode = 0; $_errorMessage = ''; try { $_responseResult = $this->CheckResponse($_ResponseObject, 'DeleteMessage(' . $_queueName . ', ' . $_receiptHandle . ')', 200); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { $_errorCode = $_SWIFT_ExceptionObject->getCode(); $_errorMessage = $_SWIFT_ExceptionObject->getMessage(); }  if (!$_responseResult && !empty($_errorCode) && $_retryCounter < 4) { $_retryCounter++; sleep(300); return $this->DeleteMessage($_queueName, $_receiptHandle, $_retryCounter); } else if (!$_responseResult) { throw new SWIFT_AmazonSQS_Exception($_errorMessage, $_errorCode); } return true; }  public function ChangeMessageVisibility($_queueName, $_receiptHandle, $_visibilityTimeout) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_AmazonSQS_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_queueName) || empty($_receiptHandle)) { throw new SWIFT_AmazonSQS_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT_AmazonSQSRequestObject = new SWIFT_AmazonSQSRequest(SWIFT_AmazonSQSRequest::ACTION_PUT, 'ChangeMessageVisibility', $_queueName); $_SWIFT_AmazonSQSRequestObject->SetParameter('ReceiptHandle', $_receiptHandle); $_SWIFT_AmazonSQSRequestObject->SetParameter('VisibilityTimeout', $_visibilityTimeout); $_ResponseObject = $_SWIFT_AmazonSQSRequestObject->GetResponse($this); if (!$this->CheckResponse($_ResponseObject, 'ChangeMessageVisibility(' . $_queueName . ', ' . $_receiptHandle . ', ' . $_visibilityTimeout . ')', 200)) { return false; } return true; } } ?>