<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_Compressor extends SWIFT_Library { const TYPE_CSS = 'css'; const TYPE_JS = 'js'; const TYPE_TEMPLATE = 'tpl'; const FILTER_LOGIN = 'login'; const FILTER_CORE = 'core'; const FILTER_THIRDPARTY = 'thirdparty';  const JS_CORE = 'core'; const JS_PLUGINS = 'plugins'; const JS_MODELS = 'models'; const JS_TEMPLATES = 'templates'; const JS_CONTROLLERS = 'controllers'; const JS_LIBRARIES = 'library'; const JS_VIEWS = 'views'; const JS_IMAGES = 'images'; const JS_COLLECTIONS = 'collections'; static protected $_jsCore = array( 'jquery' => 'jquery/jquery-1.7.2.min.js', 'jqueryui' => 'jqueryui/jquery-ui-1.8.20.custom.min.js', 'underscore' => 'backbone/underscore-min.js', 'backbone' => 'backbone/backbone-min.js', 'modernizr' => 'modernizr/modernizr.min.js', 'swiftbase' => 'swift/class.SWIFT_Base.js', ); static protected $_jsThirdParty = array( 'yepnope' => array('./__swift/javascript/__global/thirdparty/YepNope/yepnope-min.js', './__swift/javascript/__global/thirdparty/YepNope/yepnope.css-prefix.js', './__swift/javascript/__global/thirdparty/YepNope/yepnope.preload.js'), 'xregexp' => array('./__swift/apps/base/javascript/__global/thirdparty/XRegExp/xregexp.js', './__swift/apps/base/javascript/__global/thirdparty/XRegExp/xregexp-unicode-base.js'), 'tinymce' => './__swift/apps/base/javascript/__global/thirdparty/TinyMCE/jquery.tinymce.min.js', 'nivo' => './__swift/apps/base/javascript/__global/thirdparty/NivoSlider/jquery.nivo.slider.pack.js', 'unifiedsearch' => './__swift/apps/base/javascript/__global/thirdparty/UnifiedSearch/unifiedsearch.js', 'circleplayer' => './__swift/apps/base/javascript/__global/thirdparty/Circleplayer/circle.player.js', 'notification' => './__swift/apps/base/javascript/__global/thirdparty/Notification/notification.js', 'popup' => './__swift/apps/base/javascript/__global/thirdparty/Popup/popup.js', 'kql' => './__swift/apps/base/javascript/staff/thirdparty/KQL/kql.js', 'corecp' => './__swift/apps/base/javascript/__cp/thirdparty/legacy/core.js', 'coresc' => './__swift/apps/base/javascript/client/thirdparty/legacy/core.js', 'staffcp' => './__swift/apps/base/javascript/staff/thirdparty/legacy/staff.js', 'intranetcp' => './__apps/backend/javascript/intranet/thirdparty/legacy/intranet.js', 'admincp' => './__swift/apps/base/javascript/admin/thirdparty/legacy/admin.js', 'livesupport' => './__apps/livechat/javascript/visitor/thirdparty/legacy/livesupport.js', 'onsite' => './__apps/onsite/javascript/onsite/thirdparty/legacy/onsite.js', 'wallboard' => './__apps/backend/javascript/wallboard/thirdparty/legacy/wallboard.js', 'd3' => './__swift/javascript/__global/thirdparty/d3/d3.v3.min.js', 'bootstrap' => './__swift/javascript/__global/thirdparty/bootstrap/js/bootstrap.min.js', ); static protected $_jsInterfaceAutoLoad = array( 'admin' => array('tinymce', 'popup', 'kql', 'notification', 'unifiedsearch', 'xregexp', 'corecp', 'admincp'), 'staff' => array('tinymce', 'popup', 'kql', 'notification', 'circleplayer', 'unifiedsearch', 'xregexp', 'corecp', 'staffcp'), 'intranet' => array('tinymce', 'popup', 'kql', 'notification', 'unifiedsearch', 'xregexp', 'corecp', 'intranetcp'), 'client' => array('colorpicker', 'popup', 'coresc'), 'visitor' => array('coresc', 'livesupport'), 'wallboard' => array('wallboard'), 'onsite' => array('onsite') );  const CSS_CORE = 'core'; const CSS_PLUGINS = 'plugins'; static protected $_cssCore = array( 'jqueryui' => './__swift/javascript/__global/core/jqueryui/custom-theme/jquery-ui-1.7.2.custom.css', ); static protected $_cssThirdParty = array( 'popup' => './__swift/apps/base/javascript/__global/thirdparty/Popup/popup.css', 'notification' => './__swift/apps/base/javascript/__global/thirdparty/Notification/notification.css', 'circleplayer' => './__swift/apps/base/javascript/__global/thirdparty/Circleplayer/circle.player.css', 'unifiedsearch' => './__swift/apps/base/javascript/__global/thirdparty/UnifiedSearch/unifiedsearch.css', 'museosans' => './__swift/themes/__global/css/museosans/museosans.css', 'nivo' => './__swift/apps/base/javascript/__global/thirdparty/NivoSlider/nivo-slider.css', 'bootstrap' => './__swift/javascript/__global/thirdparty/bootstrap/css/bootstrap.min.css', );  static protected $_jsProcessorSkipList = array( 'd3' );  const OPTION_PACKJS = 1;  public function __construct() { parent::__construct(); $this->Load->Library('Less:Less'); $this->Load->Library('JavaScript:JavaScriptPacker'); return true; }  public function __destruct() { parent::__destruct(); return true; }  static public function IsValidType($_dataType) { return ($_dataType == self::TYPE_CSS || $_dataType == self::TYPE_JS || $_dataType == self::TYPE_TEMPLATE); }  static public function IsValidJS($_jsType) { return ($_jsType == self::JS_CORE || $_jsType == self::JS_PLUGINS || $_jsType == self::JS_MODELS || $_jsType == self::JS_TEMPLATES || $_jsType == self::JS_CONTROLLERS || $_jsType == self::JS_LIBRARIES || $_jsType == self::JS_COLLECTIONS); }  static public function IsValidCSS($_cssType) { return ($_cssType == self::CSS_CORE || $_cssType == self::CSS_PLUGINS); }  public function GetJSCore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); return false; } $_cacheFile = './__swift/cache/compressor.' . $this->Interface->GetName() . '_core.js'; if (file_exists($_cacheFile) && !SWIFT::IsDebug()) { return file_get_contents($_cacheFile); } $_jsCoreContents = '/* JS - CORE (' . date('d M Y h:i:s A', DATENOW) . ') */' . SWIFT_CRLF . SWIFT_CRLF;  foreach (self::$_jsCore as $_jsFileName => $_jsFilePath) { $_finalJSFilePath = './__swift/javascript/__global/core/' . $_jsFilePath; if (!file_exists($_finalJSFilePath)) { continue; } $_jsCoreContents .= SWIFT_CRLF . '/* ' . $_finalJSFilePath . ' */' . SWIFT_CRLF; $_jsCoreContents .= self::ProcessJavascriptContents(file_get_contents($_finalJSFilePath), $_jsFileName, $_finalJSFilePath) . SWIFT_CRLF; } $_coreDirectories = array();  if ($this->IsCP()) { $_coreDirectories[] = './__swift/javascript/__cp/core'; }  $_coreDirectories[] = './__swift/javascript/' . $this->Interface->GetName() . '/core';  $_installedApps = SWIFT_App::GetInstalledApps(); foreach ($_installedApps as $_appName) { $_appDirectory = SWIFT_App::GetAppDirectory($_appName); if (empty($_appDirectory)) { continue; } $_coreDirectories[] = $_appDirectory . '/javascript/__global/core';  if ($this->IsCP()) { $_coreDirectories[] = $_appDirectory . '/javascript/__cp/core'; } $_coreDirectories[] = $_appDirectory . '/javascript/' . $this->Interface->GetName() . '/core'; } foreach ($_coreDirectories as $_directoryPath) { $_jsCoreContents .= self::GetFileContentsFromDirectory(self::TYPE_JS, $_directoryPath, false, 'js', true, array(self::OPTION_PACKJS)); }  if (!SWIFT::IsDebug()) { file_put_contents($_cacheFile, $_jsCoreContents); } return $_jsCoreContents; }  public function GetJSPlugins() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); return false; } $_cacheFile = './__swift/cache/compressor.' . $this->Interface->GetName() . '_plugins.js'; if (file_exists($_cacheFile) && !SWIFT::IsDebug()) { return file_get_contents($_cacheFile); } $_jsPluginContents = '/* JS - PLUGINS (' . date('d M Y h:i:s A', DATENOW) . ') */' . SWIFT_CRLF . SWIFT_CRLF; $_pluginDirectories = array();  $_pluginDirectories[] = './__swift/javascript/__global/plugins';  if ($this->IsCP()) { $_pluginDirectories[] = './__swift/javascript/__cp/plugins'; }  $_pluginDirectories[] = './__swift/javascript/' . $this->Interface->GetName() . '/plugins';  $_installedApps = SWIFT_App::GetInstalledApps(); foreach ($_installedApps as $_appName) { $_appDirectory = SWIFT_App::GetAppDirectory($_appName); if (empty($_appDirectory)) { continue; } $_pluginDirectories[] = $_appDirectory . '/javascript/__global/plugins';  if ($this->IsCP()) { $_pluginDirectories[] = $_appDirectory . '/javascript/__cp/plugins'; } $_pluginDirectories[] = $_appDirectory . '/javascript/' . $this->Interface->GetName() . '/plugins'; } foreach ($_pluginDirectories as $_directoryPath) { $_jsPluginContents .= self::GetFileContentsFromDirectory(self::TYPE_JS, $_directoryPath, 'plugin.', 'js', true); }  if (!SWIFT::IsDebug()) { file_put_contents($_cacheFile, $_jsPluginContents); } return $_jsPluginContents; }  public function GetJSLibrary($_filterList = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); return false; } $_cacheFile = './__swift/cache/compressor.' . $this->Interface->GetName() . '_library.js'; if (file_exists($_cacheFile) && !SWIFT::IsDebug()) { return file_get_contents($_cacheFile); } $_jsLibraryContents = '/* JS - LIBRARY (' . date('d M Y h:i:s A', DATENOW) . ') */' . SWIFT_CRLF . SWIFT_CRLF; $_libraryDirectories = array();  if (!_is_array($_filterList) || (_is_array($_filterList) && in_array(self::FILTER_LOGIN, $_filterList))) {  $_libraryDirectories[] = './__swift/javascript/__global/library';  if ($this->IsCP()) { $_libraryDirectories[] = './__swift/javascript/__cp/library'; }  $_libraryDirectories[] = './__swift/javascript/' . $this->Interface->GetName() . '/library'; }  if (!_is_array($_filterList) || (_is_array($_filterList) && !in_array(self::FILTER_LOGIN, $_filterList))) {  $_installedApps = SWIFT_App::GetInstalledApps(); foreach ($_installedApps as $_appName) { $_appDirectory = SWIFT_App::GetAppDirectory($_appName); if (empty($_appDirectory)) { continue; } $_libraryDirectories[] = $_appDirectory . '/javascript/__global/library';  if ($this->IsCP()) { $_libraryDirectories[] = $_appDirectory . '/javascript/__cp/library'; } $_libraryDirectories[] = $_appDirectory . '/javascript/' . $this->Interface->GetName() . '/library'; } } foreach ($_libraryDirectories as $_directoryPath) { $_jsLibraryContents .= self::GetFileContentsFromDirectory(self::TYPE_JS, $_directoryPath, 'class.', 'js', true, array(self::OPTION_PACKJS)); }  if (!SWIFT::IsDebug()) { file_put_contents($_cacheFile, $_jsLibraryContents); } return $_jsLibraryContents; }  public function GetJSModels($_filterList = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); return false; } $_cacheFile = './__swift/cache/compressor.' . $this->Interface->GetName() . '_models.js'; if (file_exists($_cacheFile) && !SWIFT::IsDebug()) { return file_get_contents($_cacheFile); } $_jsModelContents = '/* JS - MODELS (' . date('d M Y h:i:s A', DATENOW) . ') */' . SWIFT_CRLF . SWIFT_CRLF; $_modelDirectories = array();  $_modelDirectories[] = './__swift/javascript/__global/models';  if ($this->IsCP()) { $_modelDirectories[] = './__swift/javascript/__cp/models'; }  $_modelDirectories[] = './__swift/javascript/' . $this->Interface->GetName() . '/models';  $_installedApps = SWIFT_App::GetInstalledApps(); foreach ($_installedApps as $_appName) { $_appDirectory = SWIFT_App::GetAppDirectory($_appName); if (empty($_appDirectory)) { continue; } $_modelDirectories[] = $_appDirectory . '/javascript/__global/models';  if ($this->IsCP()) { $_modelDirectories[] = $_appDirectory . '/javascript/__cp/models'; } $_modelDirectories[] = $_appDirectory . '/javascript/' . $this->Interface->GetName() . '/models'; } foreach ($_modelDirectories as $_directoryPath) { $_jsModelContents .= self::GetFileContentsFromDirectory(self::TYPE_JS, $_directoryPath, 'model.', 'js', true, array(self::OPTION_PACKJS), $_filterList); }  if (!SWIFT::IsDebug()) { file_put_contents($_cacheFile, $_jsModelContents); } return $_jsModelContents; }  public function GetJSCollections($_filterList = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); return false; } $_cacheFile = './__swift/cache/compressor.' . $this->Interface->GetName() . '_collections.js'; if (file_exists($_cacheFile) && !SWIFT::IsDebug()) { return file_get_contents($_cacheFile); } $_jsCollectionContents = '/* JS - COLLECTIONS (' . date('d M Y h:i:s A', DATENOW) . ') */' . SWIFT_CRLF . SWIFT_CRLF; $_collectionDirectories = array();  $_collectionDirectories[] = './__swift/javascript/__global/collections';  if ($this->IsCP()) { $_collectionDirectories[] = './__swift/javascript/__cp/collections'; }  $_collectionDirectories[] = './__swift/javascript/' . $this->Interface->GetName() . '/collections';  $_installedApps = SWIFT_App::GetInstalledApps(); foreach ($_installedApps as $_appName) { $_appDirectory = SWIFT_App::GetAppDirectory($_appName); if (empty($_appDirectory)) { continue; } $_collectionDirectories[] = $_appDirectory . '/javascript/__global/collections';  if ($this->IsCP()) { $_collectionDirectories[] = $_appDirectory . '/javascript/__cp/collections'; } $_collectionDirectories[] = $_appDirectory . '/javascript/' . $this->Interface->GetName() . '/collections'; } foreach ($_collectionDirectories as $_directoryPath) { $_jsCollectionContents .= self::GetFileContentsFromDirectory(self::TYPE_JS, $_directoryPath, 'collection.', 'js', true, array(self::OPTION_PACKJS), $_filterList); }  if (!SWIFT::IsDebug()) { file_put_contents($_cacheFile, $_jsCollectionContents); } return $_jsCollectionContents; }  public function GetJSControllers($_filterList = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); return false; } $_cacheFile = './__swift/cache/compressor.' . $this->Interface->GetName() . '_controllers.js'; if (file_exists($_cacheFile) && !SWIFT::IsDebug()) { return file_get_contents($_cacheFile); } $_jsControllerContents = '/* JS - CONTROLLERS (' . date('d M Y h:i:s A', DATENOW) . ') */' . SWIFT_CRLF . SWIFT_CRLF; $_controllerDirectories = array();  $_controllerDirectories[] = './__swift/javascript/__global/controllers';  if ($this->IsCP()) { $_controllerDirectories[] = './__swift/javascript/__cp/controllers'; }  $_controllerDirectories[] = './__swift/javascript/' . $this->Interface->GetName() . '/controllers';  $_installedApps = SWIFT_App::GetInstalledApps(); foreach ($_installedApps as $_appName) { $_appDirectory = SWIFT_App::GetAppDirectory($_appName); if (empty($_appDirectory)) { continue; } $_controllerDirectories[] = $_appDirectory . '/javascript/__global/controllers';  if ($this->IsCP()) { $_controllerDirectories[] = $_appDirectory . '/javascript/__cp/controllers'; } $_controllerDirectories[] = $_appDirectory . '/javascript/' . $this->Interface->GetName() . '/controllers'; } foreach ($_controllerDirectories as $_directoryPath) { $_jsControllerContents .= self::GetFileContentsFromDirectory(self::TYPE_JS, $_directoryPath, 'controller.', 'js', true, array(self::OPTION_PACKJS), $_filterList); }  if (!SWIFT::IsDebug()) { file_put_contents($_cacheFile, $_jsControllerContents); } return $_jsControllerContents; }  public function GetJSViews($_filterList = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); return false; } $_cacheFile = './__swift/cache/compressor.' . $this->Interface->GetName() . '_views.js'; if (file_exists($_cacheFile) && !SWIFT::IsDebug()) { return file_get_contents($_cacheFile); } $_jsViewsContents = '/* JS - VIEWS (' . date('d M Y h:i:s A', DATENOW) . ') */' . SWIFT_CRLF . SWIFT_CRLF; $_viewsDirectories = array();  $_viewsDirectories[] = './__swift/javascript/__global/views';  if ($this->IsCP()) { $_viewsDirectories[] = './__swift/javascript/__cp/views'; }  $_viewsDirectories[] = './__swift/javascript/' . $this->Interface->GetName() . '/views';  $_installedApps = SWIFT_App::GetInstalledApps(); foreach ($_installedApps as $_appName) { $_appDirectory = SWIFT_App::GetAppDirectory($_appName); if (empty($_appDirectory)) { continue; } $_viewsDirectories[] = $_appDirectory . '/javascript/__global/views';  if ($this->IsCP()) { $_viewsDirectories[] = $_appDirectory . '/javascript/__cp/views'; } $_viewsDirectories[] = $_appDirectory . '/javascript/' . $this->Interface->GetName() . '/views'; } foreach ($_viewsDirectories as $_directoryPath) { $_jsViewsContents .= self::GetFileContentsFromDirectory(self::TYPE_JS, $_directoryPath, 'view.', 'js', true, array(self::OPTION_PACKJS), $_filterList); }  if (!SWIFT::IsDebug()) { file_put_contents($_cacheFile, $_jsViewsContents); } return $_jsViewsContents; }  public function GetJSTemplates() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); return false; } $_cacheFile = './__swift/cache/compressor.' . $this->Interface->GetName() . '_templates.js'; if (file_exists($_cacheFile) && !SWIFT::IsDebug()) { return file_get_contents($_cacheFile); } $_jsTemplateContents = '/* JS - TEMPLATES (' . date('d M Y h:i:s A', DATENOW) . ') */' . SWIFT_CRLF . SWIFT_CRLF; $_templateDirectories = array();  $_templateDirectories[] = './__swift/javascript/__global/templates';  if ($this->IsCP()) { $_templateDirectories[] = './__swift/javascript/__cp/templates'; }  $_templateDirectories[] = './__swift/javascript/' . $this->Interface->GetName() . '/templates';  $_installedApps = SWIFT_App::GetInstalledApps(); foreach ($_installedApps as $_appName) { $_appDirectory = SWIFT_App::GetAppDirectory($_appName); if (empty($_appDirectory)) { continue; } $_templateDirectories[] = $_appDirectory . '/javascript/__global/templates';  if ($this->IsCP()) { $_templateDirectories[] = $_appDirectory . '/javascript/__cp/templates'; } $_templateDirectories[] = $_appDirectory . '/javascript/' . $this->Interface->GetName() . '/templates'; } $_jsTemplateContainer = array(); foreach ($_templateDirectories as $_directoryPath) { $_jsTemplateContainer = array_merge($_jsTemplateContainer, self::GetFileContentsFromDirectory(self::TYPE_TEMPLATE, $_directoryPath, false, 'tpl', true)); } $_jsTemplateContents .= 'SWIFT.LoadCoreLibraries(); SWIFT.Template.AddToCache(' . json_encode($_jsTemplateContainer) . ');' . SWIFT_CRLF . SWIFT_CRLF;  if (!SWIFT::IsDebug()) { file_put_contents($_cacheFile, $_jsTemplateContents); } return $_jsTemplateContents; }  public function GetJSSWIFT($_filterList = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); return false; } $_cacheFile = './__swift/cache/compressor.' . $this->Interface->GetName() . '_swift.js'; if (file_exists($_cacheFile) && !SWIFT::IsDebug()) { return file_get_contents($_cacheFile); } $_jsSWIFTContents = '/* JS - SWIFT (' . date('d M Y h:i:s A', DATENOW) . ') */' . SWIFT_CRLF . SWIFT_CRLF; $_swiftDirectories = array();  $_swiftDirectories[] = './__swift/javascript/__global/swift';  if ($this->IsCP()) { $_swiftDirectories[] = './__swift/javascript/__cp/swift'; }  $_swiftDirectories[] = './__swift/javascript/' . $this->Interface->GetName() . '/swift'; foreach ($_swiftDirectories as $_directoryPath) { $_jsSWIFTContents .= self::GetFileContentsFromDirectory(self::TYPE_JS, $_directoryPath, false, 'js', true, array(self::OPTION_PACKJS)); }  $_installedApps = SWIFT_App::GetInstalledApps(); foreach ($_installedApps as $_appName) { $_appDirectory = SWIFT_App::GetAppDirectory($_appName); if (empty($_appDirectory)) { continue; } $_libAppName = ucfirst($_appName); $_configFile = $_appDirectory . '/' . SWIFT_App::DIRECTORY_CONFIG . '/' . SWIFT_App::FILE_CONFIG; if (file_exists($_configFile)) { $_SimpleXMLObject = simplexml_load_file($_configFile); if (isset($_SimpleXMLObject->name)) { $_libAppName = (string) $_SimpleXMLObject->name; } } $_jsSWIFTContents .= '/* JS - ' . strtoupper($_appName) . ' CONSTANTS */' . SWIFT_CRLF; if ($_libAppName != 'Base' && $_libAppName != 'Core') { $_jsSWIFTContents .= 'SWIFT.' . $_libAppName . ' = {};' . SWIFT_CRLF; $_jsSWIFTContents .= 'SWIFT.' . $_libAppName . '.Models = {};' . SWIFT_CRLF; $_jsSWIFTContents .= 'SWIFT.' . $_libAppName . '.Library = {};' . SWIFT_CRLF; $_jsSWIFTContents .= 'SWIFT.' . $_libAppName . '.Views = {};' . SWIFT_CRLF; $_jsSWIFTContents .= 'SWIFT.' . $_libAppName . '.Collections = {};' . SWIFT_CRLF; $_jsSWIFTContents .= 'SWIFT.' . $_libAppName . '.Controllers = {};' . SWIFT_CRLF; $_jsSWIFTContents .= 'SWIFT.' . $_libAppName . '.Layouts = {};' . SWIFT_CRLF; $_jsSWIFTContents .= 'SWIFT.' . $_libAppName . '.Regions = {};' . SWIFT_CRLF; } $_jsSWIFTContents .= 'SWIFT.Library.' . $_libAppName . ' = {};' . SWIFT_CRLF; $_jsSWIFTContents .= 'SWIFT.Models.' . $_libAppName . ' = {};' . SWIFT_CRLF; $_jsSWIFTContents .= 'SWIFT.Layouts.' . $_libAppName . ' = {};' . SWIFT_CRLF; $_jsSWIFTContents .= 'SWIFT.Regions.' . $_libAppName . ' = {};' . SWIFT_CRLF; $_jsSWIFTContents .= 'SWIFT.Collections.' . $_libAppName . ' = {};' . SWIFT_CRLF;  $_jsSWIFTContents .= 'SWIFT.Views.' . strtolower($_libAppName) . ' = {};' . SWIFT_CRLF; $_jsSWIFTContents .= 'SWIFT.Controllers.' . strtolower($_libAppName) . ' = {};' . SWIFT_CRLF; }  if (!SWIFT::IsDebug()) { file_put_contents($_cacheFile, $_jsSWIFTContents); } return $_jsSWIFTContents; }  public function GetCSSCore($_fileChunks) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); return false; } $_cacheFile = './__swift/cache/compressor.' . $this->Interface->GetName() . '_core.css'; if (file_exists($_cacheFile) && !SWIFT::IsDebug()) { return file_get_contents($_cacheFile); } $_cssCoreContents = '/* CSS - CORE (' . date('d M Y h:i:s A', DATENOW) . ') */' . SWIFT_CRLF . SWIFT_CRLF;  foreach (self::$_cssCore as $_cssFileName => $_cssFilePath) { if (!file_exists($_cssFilePath)) { continue; } $_cssCoreContents .= SWIFT_CRLF . '/* ' . $_cssFilePath . ' */' . SWIFT_CRLF; $_cssCoreContents .= self::ProcessCSSContents(file_get_contents($_cssFilePath)) . SWIFT_CRLF; } $_coreDirectories = array();  $_coreDirectories[] = './__swift/themes/__global/css';  if ($this->IsCP()) { $_coreDirectories[] = './__swift/themes/__cp/css'; } $_coreDirectories[] = './__swift/themes/' . $this->Interface->GetName() . '/css';  if ($this->Interface->GetName() == 'client' || $this->Interface->GetName() == 'wallboard' || $this->Interface->GetName() == 'visitor' || $this->Interface->GetName() == 'rss' || $this->Interface->GetName() == 'chat' || $this->Interface->GetName() == 'onsite') { $_cssCoreContents .= SWIFT_CRLF . '/* clientcss template from database */' . SWIFT_CRLF; $_cssCoreContents .= self::ProcessCSSContents($this->Template->Get('clientcss', SWIFT_TemplateEngine::TYPE_DB)) . SWIFT_CRLF; $_cssCoreContents .= SWIFT_CRLF . '/* css_* Templates */' . SWIFT_CRLF; $_cssCoreContents .= self::ProcessCSSContents($this->Template->GetDBTemplatesWithPrefix('css_')) . SWIFT_CRLF; }  $_installedApps = SWIFT_App::GetInstalledApps(); foreach ($_installedApps as $_appName) { $_appDirectory = SWIFT_App::GetAppDirectory($_appName); if (empty($_appDirectory)) { continue; } $_coreDirectories[] = $_appDirectory . '/themes/__global/css';  if ($this->IsCP()) { $_coreDirectories[] = $_appDirectory . '/themes/__cp/css'; } $_coreDirectories[] = $_appDirectory . '/themes/' . $this->Interface->GetName() . '/css'; } foreach ($_coreDirectories as $_directoryPath) { $_cssCoreContents .= self::GetFileContentsFromDirectory(self::TYPE_CSS, $_directoryPath, false, 'css', true, array(), $_fileChunks); }  if (!SWIFT::IsDebug()) { file_put_contents($_cacheFile, $_cssCoreContents); } return $_cssCoreContents; }  public function GetCSSPlugins() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); return false; } $_cacheFile = './__swift/cache/compressor.' . $this->Interface->GetName() . '_plugins.css'; if (file_exists($_cacheFile) && !SWIFT::IsDebug()) { return file_get_contents($_cacheFile); } $_cssPluginContents = '/* CSS - PLUGINS (' . date('d M Y h:i:s A', DATENOW) . ') */' . SWIFT_CRLF . SWIFT_CRLF; $_pluginDirectories = array();  $_pluginDirectories[] = './__swift/javascript/__global/plugins';  if ($this->IsCP()) { $_pluginDirectories[] = './__swift/javascript/__cp/plugins'; }  $_pluginDirectories[] = './__swift/javascript/' . $this->Interface->GetName() . '/plugins';  $_installedApps = SWIFT_App::GetInstalledApps(); foreach ($_installedApps as $_appName) { $_appDirectory = SWIFT_App::GetAppDirectory($_appName); if (empty($_appDirectory)) { continue; } $_pluginDirectories[] = $_appDirectory . '/javascript/__global/plugins';  if ($this->IsCP()) { $_pluginDirectories[] = $_appDirectory . '/javascript/__cp/plugins'; } $_pluginDirectories[] = $_appDirectory . '/javascript/' . $this->Interface->GetName() . '/plugins'; } foreach ($_pluginDirectories as $_directoryPath) { $_cssPluginContents .= self::GetFileContentsFromDirectory(self::TYPE_CSS, $_directoryPath, 'plugin.', 'css', true); }  if (!SWIFT::IsDebug()) { file_put_contents($_cacheFile, $_cssPluginContents); } return $_cssPluginContents; }  static public function GetFileContentsFromDirectory($_dataType, $_directoryPath, $_filePrefix = false, $_fileExtension = false, $_searchSubDirectories = false, $_optionList = array(), $_customFileChunks = array(), $_customIgnoreFileChunks = array()) { $_SWIFT = SWIFT::GetInstance(); if (!self::IsValidType($_dataType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } if (!file_exists($_directoryPath) || !is_dir($_directoryPath)) { if ($_dataType == self::TYPE_TEMPLATE) { return array(); } else { return ''; } } $_fileContents = ''; $_filePrefix = mb_strtolower($_filePrefix); $_directoryPath = StripTrailingSlash($_directoryPath); $_directoryHandle = opendir($_directoryPath); if ($_directoryHandle) { $_directoryList = array(); while (false !== ($_fileName = readdir($_directoryHandle))) { $_filePath = $_directoryPath . '/' . $_fileName; $_pathInfoContainer = pathinfo($_filePath); if ($_fileName != '.' && $_fileName != '..') {  if (is_dir($_filePath) && $_searchSubDirectories == true) { $_directoryList[] = $_filePath;  } else {  if (!empty($_filePrefix) && mb_strtolower(substr($_fileName, 0, strlen($_filePrefix))) != $_filePrefix) { continue;  } else if (!empty($_fileExtension) && (!isset($_pathInfoContainer['extension']) || ($_pathInfoContainer['extension'] != $_fileExtension))) { continue; } if ($_dataType == self::TYPE_JS) { $_parsedChunk = strtolower($_pathInfoContainer['filename']); if (strstr($_parsedChunk, '.')) { $_parsedChunk = substr($_parsedChunk, strpos($_parsedChunk, '.')+1); } if (_is_array($_customFileChunks) && !in_array($_parsedChunk, $_customFileChunks)) { continue; } else if (_is_array($_customIgnoreFileChunks) && in_array($_parsedChunk, $_customIgnoreFileChunks)) { continue; } $_fileContents .= SWIFT_CRLF . '/* ' . $_filePath . ' */' . SWIFT_CRLF; if (in_array(self::OPTION_PACKJS, $_optionList)) { $_fileContents .= self::ProcessJavascriptContents(file_get_contents($_filePath), $_fileName, $_filePath) . SWIFT_CRLF; } else { $_fileContents .= self::ProcessJavascriptContents(file_get_contents($_filePath), $_fileName) . SWIFT_CRLF; } } else if ($_dataType == self::TYPE_CSS) { if (_is_array($_customFileChunks) && !in_array($_pathInfoContainer['filename'], $_customFileChunks)) { continue; } else if (_is_array($_customIgnoreFileChunks) && in_array($_pathInfoContainer['filename'], $_customIgnoreFileChunks)) { continue; } $_fileContents .= SWIFT_CRLF . '/* ' . $_filePath . ' */' . SWIFT_CRLF; $_fileContents .= self::ProcessCSSContents(file_get_contents($_filePath)) . SWIFT_CRLF; } else if ($_dataType == self::TYPE_TEMPLATE) { $_fileContents[$_pathInfoContainer['filename']] = self::ProcessTemplateContents(file_get_contents($_filePath), $_pathInfoContainer['filename']); } } } } closedir($_directoryHandle); foreach ($_directoryList as $_filePath) { $_returnData = self::GetFileContentsFromDirectory($_dataType, $_filePath, $_filePrefix, $_fileExtension, $_searchSubDirectories, $_optionList, $_customFileChunks, $_customIgnoreFileChunks); if ($_dataType == self::TYPE_TEMPLATE && is_array($_returnData)) { $_fileContents = array_merge($_fileContents, $_returnData); } else if ($_dataType != self::TYPE_TEMPLATE) { $_fileContents .= $_returnData; } } } return $_fileContents; }  protected function IsCP() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); return false; } return SWIFT::IsCP(); }  static public function ProcessVariables($_contents) { $_contents = str_replace(array('%themepathglobal%', '%themepath%', '%themepathinterface%', '%swiftpath%', '%basename%'), array(SWIFT::Get('themepathglobal'), SWIFT::Get('themepath'), SWIFT::Get('themepathinterface'), SWIFT::Get('swiftpath'), SWIFT::Get('basename')), $_contents); return $_contents; }  static public function ParseLanguage($_languageKey) { $_SWIFT = SWIFT::GetInstance(); return $_SWIFT->Language->Get($_languageKey); }  static protected function ProcessJavascriptContents($_contents, $_requestName, $_filePath = '', $_force = false) {       if ( (! $_force) && ((in_array($_requestName, self::$_jsProcessorSkipList))) ) { return $_contents; } $_SWIFT = SWIFT::GetInstance();  $_contents = self::ProcessVariables($_contents);  if (!empty($_filePath)) { $_pathInfoContainer = pathinfo($_filePath); if (isset($_pathInfoContainer['filename']) && !strstr($_pathInfoContainer['filename'], '.min') && !strstr($_pathInfoContainer['filename'], '-min') && !strstr($_pathInfoContainer['filename'], '.pack') && !strstr($_pathInfoContainer['filename'], '-pack')) { $_SWIFT_JavaScriptPackerObject = new SWIFT_JavaScriptPacker();  } } $_contents = preg_replace('/_\[([a-zA-Z0-9_]+)\]/Ue', 'SWIFT_Compressor::ParseLanguage("\1")', $_contents);   return $_contents; }  static protected function ProcessTemplateContents($_contents, $_requestName) { $_SWIFT = SWIFT::GetInstance();  $_contents = self::ProcessVariables($_contents); $_contents = preg_replace('/_\[([a-zA-Z0-9_]+)\]/Ue', 'SWIFT_Compressor::ParseLanguage("\1")', $_contents);   return $_contents; }  static protected function ProcessCSSContents($_contents) {  $_contents = self::ProcessVariables($_contents);  $_SWIFT_LessObject = new SWIFT_Less(); $_contents = $_SWIFT_LessObject->Parse($_contents);   return $_contents; }  public function Dispatch($_dispatchType, $_fileList = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_fileList = trim(preg_replace("/[^a-zA-Z0-9\-\_:,]/", "" , $_fileList)); $_requestHash = md5($_dispatchType . $this->Interface->GetName() . $this->Language->GetLanguageCode() . $_fileList); $_finalFileChunks = array(); if (strpos($_fileList, ':')) { $_finalFileChunks = explode(':', $_fileList); } else if (strpos($_fileList, ';')) { $_finalFileChunks = explode(';', $_fileList); } else if (trim($_fileList) == '') { $_finalFileChunks = array(); } else { $_finalFileChunks = array($_fileList); } if (!is_array($_finalFileChunks)) { return false; }  $_filterList = array(); $_enableCoreFiltering = $_enableFiltering = false; foreach ($_finalFileChunks as $_chunkName) { if ($_chunkName == self::FILTER_LOGIN || $_chunkName == self::FILTER_CORE || $_chunkName == self::FILTER_THIRDPARTY) { $_filterList[] = $_chunkName; $_enableCoreFiltering = $_enableFiltering = true; } } $_finalContents = ''; if (in_array(self::JS_CORE, $_finalFileChunks) || in_array(self::JS_PLUGINS, $_finalFileChunks) || in_array(self::JS_MODELS, $_finalFileChunks) || in_array(self::JS_TEMPLATES, $_finalFileChunks) || in_array(self::JS_VIEWS, $_finalFileChunks) || in_array(self::JS_CONTROLLERS, $_finalFileChunks) || in_array(self::JS_LIBRARIES, $_finalFileChunks) || in_array(self::JS_IMAGES, $_finalFileChunks) || in_array(self::FILTER_LOGIN, $_finalFileChunks) || in_array(self::JS_COLLECTIONS, $_finalFileChunks)) { $_enableCoreFiltering = true; } HeaderCache(); if ($_dispatchType == self::TYPE_CSS) { header('Content-Type: text/css'); } else if ($_dispatchType == self::TYPE_JS) { header('Content-Type: text/javascript'); }  $_templateGroup = $this->Template->GetTemplateGroupName();  $_encodingList = array(); if (isset($_SERVER['HTTP_ACCEPT_ENCODING'])) { $_encodingList = explode(',', strtolower(preg_replace('/\s+/', '', $_SERVER['HTTP_ACCEPT_ENCODING']))); } if (SWIFT::IsDebug()) { $_encodingList = array(); } $_encodingType = false; $_gzipSupport = false; if ((in_array('gzip', $_encodingList) || in_array('x-gzip', $_encodingList) || isset($_SERVER['---------------'])) && function_exists('ob_gzhandler') && !ini_get('zlib.output_compression')) { $_encodingType = in_array('x-gzip', $_encodingList) ? 'x-gzip' : 'gzip'; $_gzipSupport = true; } $_cacheFileName = './' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_CACHE_DIRECTORY . '/compressor.cache' . IIF(!empty($_templateGroup), '_' . $_templateGroup) . '.' . $_requestHash . IIF(!empty($_encodingType), '.' . $_encodingType) . '.js'; if ($_gzipSupport) { header('Content-Encoding: ' . $_encodingType); } if (file_exists($_cacheFileName) && !SWIFT::IsDebug()) { echo file_get_contents($_cacheFileName); return true; }  if ($_dispatchType == self::TYPE_CSS) {  if (in_array(self::FILTER_LOGIN, $_finalFileChunks)) { $_finalFileChunks[] = self::FILTER_CORE; } $_finalContents .= $this->GetCSSCore($_finalFileChunks); if (!in_array(self::FILTER_LOGIN, $_finalFileChunks)) { $_finalContents .= $this->GetCSSPlugins(); }  $_finalContents .= '/* CSS - LINKEDJS (' . date('d M Y h:i:s A', DATENOW) . ') */' . SWIFT_CRLF . SWIFT_CRLF; $_interfaceName = $this->Interface->GetName(); if (isset(self::$_jsInterfaceAutoLoad[$_interfaceName])) { foreach (self::$_jsInterfaceAutoLoad[$_interfaceName] as $_thirdPartyLibName) { if (!isset(self::$_cssThirdParty[$_thirdPartyLibName])) { continue; } else if (_is_array($_finalFileChunks) && !in_array($_thirdPartyLibName, $_finalFileChunks) && !in_array(self::FILTER_THIRDPARTY, $_finalFileChunks)) { continue; } if (_is_array(self::$_cssThirdParty[$_thirdPartyLibName])) { foreach (self::$_cssThirdParty[$_thirdPartyLibName] as $_filePath) { if (!file_exists($_filePath)) { continue; } $_finalContents .= SWIFT_CRLF . '/* ' . $_filePath . ' */' . SWIFT_CRLF; $_finalContents .= self::ProcessCSSContents(file_get_contents($_filePath)); } } else if (file_exists(self::$_cssThirdParty[$_thirdPartyLibName])) { $_finalContents .= SWIFT_CRLF . '/* ' . self::$_cssThirdParty[$_thirdPartyLibName] . ' */' . SWIFT_CRLF; $_finalContents .= self::ProcessCSSContents(file_get_contents(self::$_cssThirdParty[$_thirdPartyLibName])); } } }  foreach ($_finalFileChunks as $_chunkName) {  if (isset(self::$_cssThirdParty[$_chunkName])) {  $_chunkFiles = (array) self::$_cssThirdParty[$_chunkName]; foreach($_chunkFiles as $_chunkFile) { $_finalContents .= SWIFT_CRLF . '/* ' . $_chunkFile . ' */' . SWIFT_CRLF; $_finalContents .= self::ProcessCSSContents(file_get_contents($_chunkFile)); } } } } else if ($_dispatchType == self::TYPE_JS) {  if (!$_enableCoreFiltering) { $_finalContents .= $this->GetJSCore() . $this->GetJSSWIFT() . $this->GetJSPlugins() . $this->GetJSLibrary() . $this->GetJSModels() . $this->GetJSControllers() . $this->GetJSViews() . $this->GetJSTemplates() . $this->GetJSCollections(); } else if ($_enableFiltering && in_array(self::FILTER_LOGIN, $_filterList)) { $_finalContents .= $this->GetJSCore() . $this->GetJSSWIFT($_filterList) . $this->GetJSLibrary($_filterList) . $this->GetJSControllers($_filterList) . $this->GetJSViews($_filterList); } else { foreach ($_finalFileChunks as $_chunkName) { if ($_chunkName == 'core') { $_finalContents .= $this->GetJSCore(); } else if ($_chunkName == 'plugins') { $_finalContents .= $this->GetJSPlugins(); } else if ($_chunkName == 'models') { $_finalContents .= $this->GetJSModels(); } else if ($_chunkName == 'collections') { $_finalContents .= $this->GetJSCollections(); } else if ($_chunkName == 'templates') { $_finalContents .= $this->GetJSTemplates(); } else if ($_chunkName == 'controllers') { $_finalContents .= $this->GetJSControllers(); } else if ($_chunkName == 'views') { $_finalContents .= $this->GetJSViews(); } else if ($_chunkName == 'library') { $_finalContents .= $this->GetJSLibrary(false, false);  } else if ($_chunkName == 'swift') { $_finalContents .= $this->GetJSSWIFT(); } else if ($_chunkName == 'images') { $_finalContents .= $this->GetJSImages(); } } }  foreach ($_finalFileChunks as $_chunkName) {  if (isset(self::$_jsThirdParty[$_chunkName])) {  $_chunkFiles = (array) self::$_jsThirdParty[$_chunkName]; foreach($_chunkFiles as $_chunkFile) { $_finalContents .= SWIFT_CRLF . '/* ' . $_chunkFile . ' */' . SWIFT_CRLF; $_finalContents .= self::ProcessJavascriptContents(file_get_contents($_chunkFile), $_chunkName); } } }  $_finalContents .= '/* JS - THIRDPARTY (' . date('d M Y h:i:s A', DATENOW) . ') */' . SWIFT_CRLF . SWIFT_CRLF; $_interfaceName = $this->Interface->GetName(); if (isset(self::$_jsInterfaceAutoLoad[$_interfaceName])) { foreach (self::$_jsInterfaceAutoLoad[$_interfaceName] as $_thirdPartyLibName) { if (!isset(self::$_jsThirdParty[$_thirdPartyLibName])) { continue; } else if (_is_array($_finalFileChunks) && !in_array($_thirdPartyLibName, $_finalFileChunks) && !in_array(self::FILTER_THIRDPARTY, $_finalFileChunks)) { continue; } if (_is_array(self::$_jsThirdParty[$_thirdPartyLibName])) { foreach (self::$_jsThirdParty[$_thirdPartyLibName] as $_filePath) { if (!file_exists($_filePath)) { continue; } $_finalContents .= SWIFT_CRLF . '/* ' . $_filePath . ' */' . SWIFT_CRLF; $_finalContents .= self::ProcessJavascriptContents(file_get_contents($_filePath), $_thirdPartyLibName); } } else if (file_exists(self::$_jsThirdParty[$_thirdPartyLibName])) { $_finalContents .= SWIFT_CRLF . '/* ' . self::$_jsThirdParty[$_thirdPartyLibName] . ' */' . SWIFT_CRLF; $_finalContents .= self::ProcessJavascriptContents(file_get_contents(self::$_jsThirdParty[$_thirdPartyLibName]), $_thirdPartyLibName); } } } } $_cacheData = $_finalContents; if ($_gzipSupport) { $_cacheData = gzencode($_finalContents, 9, FORCE_GZIP); } echo $_cacheData; if (!SWIFT::IsDebug()) { file_put_contents($_cacheFileName, $_cacheData); } return true; }  public function ParseChunkContents($_chunkContents, $_chunkName) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($_chunkName == 'jqueryui') { $_chunkContents = str_replace('url(', 'url(' . SWIFT::Get('swiftpath') . SWIFT_BASE_DIRECTORY . '/' . SWIFT_THIRDPARTY_DIRECTORY . '/jQueryUI/css/' . SWIFT::Get('jquerytheme') . '-theme/', $_chunkContents); } else if ($_chunkName == 'colorpicker') { $_chunkContents = str_replace('url(', 'url(' . SWIFT::Get('swiftpath') . SWIFT_BASE_DIRECTORY . '/' . SWIFT_THIRDPARTY_DIRECTORY . '/jQuery/colorpicker/css/', $_chunkContents); } $_replaceWhat = array('%themepathglobal%', '%swiftpath%'); $_replaceWith = array(SWIFT::Get('themepathglobal'), SWIFT::Get('swiftpath')); foreach (SWIFT::GetThemePath() as $_themePathName => $_themePathContainer) { $_replaceWhat[] = '%' . $_themePathName . '%'; $_replaceWith[] = $_themePathContainer[1]; } $_chunkContents = str_replace($_replaceWhat, $_replaceWith, $_chunkContents); return $_chunkContents; } } ?>