<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   abstract class SWIFT_DynectRecord extends SWIFT_DynectBase { protected $_rData; protected $_ttlSeconds; protected $_DynectZoneObject; protected $_FQDN; const DEFAULT_TTL = '600';  public function __construct(SWIFT_DynectZone $_DynectZoneObject, $_FQDN, $_rData, $_ttlSeconds = self::DEFAULT_TTL) { if (! $_DynectZoneObject instanceof SWIFT_DynectZone || !$_DynectZoneObject->GetIsClassLoaded() || !count($_rData) || empty($_FQDN)) { throw new SWIFT_Dynect_Exception(SWIFT_CREATEFAILED); return false; } parent::__construct(); $this->SetDynectZone($_DynectZoneObject); $this->SetRData($_rData); $this->SetTTLSeconds($_ttlSeconds); $this->SetFQDN($_FQDN); return true; }  public function __destruct() { parent::__destruct(); return true; }  public function SetRData($_rData) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_rData = $_rData; return true; }  public function GetRData() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_rData; }  public function SetTTLSeconds($_ttlSeconds) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_ttlSeconds = $_ttlSeconds; return true; }  public function GetTTLSeconds() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_ttlSeconds; }  public function SetDynectZone(SWIFT_DynectZone $_DynectZoneObject) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!$_DynectZoneObject instanceof SWIFT_DynectZone || !$_DynectZoneObject->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } $this->_DynectZoneObject = $_DynectZoneObject; return true; }  public function GetDynectZone() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_DynectZoneObject; }  public function SetFQDN($_FQDN) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_FQDN = $_FQDN; return true; }  public function GetFQDN() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_FQDN; }  static public function Create($_baseURL, SWIFT_DynectZone $_DynectZoneObject, $_FQDN, $_rData, $_ttlSeconds = self::DEFAULT_TTL) { $_SWIFT = SWIFT::GetInstance(); if (empty($_baseURL) || !$_DynectZoneObject instanceof SWIFT_DynectZone || !$_DynectZoneObject->GetIsClassLoaded() || empty($_FQDN) || !_is_array($_rData)) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } $_ResponseObject = self::GetBase()->Post($_baseURL . '/' . $_DynectZoneObject->GetName() . '/' . $_FQDN . '/', array('rdata' => $_rData, 'ttl' => $_ttlSeconds)); if (!self::GetBase()->CheckResponse($_ResponseObject, 'SWIFT_DynectRecord::Create', 200)) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } $_JSONObject = $_ResponseObject->GetBodyJSONObject(); if (!isset($_JSONObject->data->fqdn)) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } return $_JSONObject; }  static public function Retrieve($_baseURL, SWIFT_DynectZone $_DynectZoneObject, $_FQDN, $_recordID) { $_SWIFT = SWIFT::GetInstance(); if (empty($_baseURL) || !$_DynectZoneObject instanceof SWIFT_DynectZone || !$_DynectZoneObject->GetIsClassLoaded() || empty($_FQDN) || trim($_recordID) == '') { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } $_ResponseObject = self::GetBase()->Get($_baseURL . '/' . $_DynectZoneObject->GetName() . '/' . $_FQDN . '/' . $_recordID); if (!self::GetBase()->CheckResponse($_ResponseObject, 'SWIFT_DynectRecord::Retrieve', 200)) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } $_JSONObject = $_ResponseObject->GetBodyJSONObject(); if (!isset($_JSONObject->data->zone)) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } return $_JSONObject; }  static public function RetrieveALL($_baseURL, SWIFT_DynectZone $_DynectZoneObject, $_FQDN) { $_SWIFT = SWIFT::GetInstance(); if (empty($_baseURL) || !$_DynectZoneObject instanceof SWIFT_DynectZone || !$_DynectZoneObject->GetIsClassLoaded() || empty($_FQDN)) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } $_ResponseObject = self::GetBase()->Get($_baseURL . '/' . $_DynectZoneObject->GetName() . '/' . $_FQDN); if (!self::GetBase()->CheckResponse($_ResponseObject, 'SWIFT_DynectRecord::RetrieveAll', 200)) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } $_JSONObject = $_ResponseObject->GetBodyJSONObject(); if (!is_array($_JSONObject->data)) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } return $_JSONObject; }  public function Delete($_baseURL, $_recordID = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $_ResponseObject = parent::Delete($_baseURL . '/' . $this->_DynectZoneObject->GetName() . '/' . $this->GetFQDN() . '/' . $_recordID); if (!$this->CheckResponse($_ResponseObject, 'SWIFT_DynectZone::Delete', 200)) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } $this->_DynectZoneObject->Publish(); return true; }  public function Update($_baseURL, $_recordID = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Dynect_Exception(SWIFT_CLASSNOTLOADED); return false; } $_ResponseObject = $this->Put($_baseURL . '/' . $this->_DynectZoneObject->GetName() . '/' . $this->GetFQDN() . '/' . $_recordID, array('rdata' => $this->GetRData())); if (!$this->CheckResponse($_ResponseObject, 'SWIFT_DynectZone::Update', 200)) { throw new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA); } $_JSONObject = $_ResponseObject->GetBodyJSONObject(); if (!isset($_JSONObject->data->zone)) { throw new SWIFT_Dynect_Exception(new SWIFT_Dynect_Exception(SWIFT_INVALIDDATA)); } $this->_DynectZoneObject->Publish(); return true; } } 