<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_ImageResize extends SWIFT_Library {  const TYPE_SAME = 'same'; const TYPE_GIF = 'gif'; const TYPE_JPEG = 'jpeg'; const TYPE_PNG = 'png';  private $_imagePath = '';  private $_sizeLimitX = 100;  private $_sizeLimitY = 100;  private $_imageResource = '';  private $_keepProportions = true; private $_keepBothProportions = false;  private $_resizedResource = '';  private $_outputType = self::TYPE_SAME; private $_hasGD = false;  public function __construct($_imagePath) { parent::__construct(); if (!$this->SetImagePath($_imagePath)) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->CheckGD(); return true; }  public function __destruct() { parent::__destruct(); if ($this->GetResizedResource() != '') { imagedestroy($this->GetResizedResource()); } return true; }  protected function SetImagePath($_imagePath) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_imagePath)) { throw new SWIFT_Image_Exception(SWIFT_INVALIDDATA); return false; } $this->_imagePath = $_imagePath; return true; }  public function GetImagePath() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); $this->SetIsClassLoaded(false); return false; } return $this->_imagePath; }  protected function CheckGD() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } if (function_exists('gd_info')) { $this->_hasGD = true; return true; } return false; }  public function HasGD() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_hasGD; }  protected function SetImageResource($_imageResource) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_imageResource = $_imageResource; return true; }  public function GetImageResource() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_imageResource; }  protected function SetResizedResource($_resizedResource) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_resizedResource = $_resizedResource; return true; }  public function GetResizedResource() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_resizedResource; }  static public function IsValidOutputType($_outputType) { if ($_outputType == self::TYPE_SAME || $_outputType == self::TYPE_GIF || $_outputType == self::TYPE_JPEG || $_outputType == self::TYPE_PNG) { return true; } return false; }  public function SetOutputType($_outputType) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!self::IsValidOutputType($_outputType)) { throw new SWIFT_Image_Exception(SWIFT_INVALIDDATA); return false; } $this->_outputType = $_outputType; return true; }  public function GetOutputType() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_outputType; }  public function SetSize($_sizeLimitX, $_sizeLimitY) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } $_sizeLimitX = intval($_sizeLimitX); $_sizeLimitY = intval($_sizeLimitY); if (empty($_sizeLimitX) || empty($_sizeLimitY)) { throw new SWIFT_Image_Exception(SWIFT_INVALIDDATA); return false; } $this->_sizeLimitX = $_sizeLimitX; $this->_sizeLimitY = $_sizeLimitY; return true; }  public function GetSize() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } return array($this->_sizeLimitX, $this->_sizeLimitY); }  public function SetKeepBothProportions($_keepBothProportions) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_keepBothProportions = $_keepBothProportions; return true; }  public function GetKeepBothProportions() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_keepBothProportions; }  public function SetKeepProportions($_keepProportions) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_keepProportions = $_keepProportions; return true; }  public function GetKeepProportions() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_keepProportions; }  public function Resize() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } if (!$this->HasGD()) { return false; } $_pathInfoContainer = pathinfo($this->GetImagePath());  list ($_imageWidth, $_imageHeight, $_imageType, $_imageAttribute) = getimagesize($this->GetImagePath());  if ($_imageHeight != 0 || $_imageWidth != 0) { switch ($_imageType) {  case IMAGETYPE_GIF: if (!function_exists('imagecreatefromgif')) { throw new SWIFT_Exception('imagecreatefromgif function does not exist. Please ensure GD is compiled with support for GIF format.'); } $this->SetImageResource(imagecreatefromgif($this->GetImagePath())); if ($this->GetOutputType() == self::TYPE_SAME) { $this->SetOutputType(self::TYPE_GIF); } break;  case IMAGETYPE_JPEG2000: case IMAGETYPE_JPEG: if (!function_exists('imagecreatefromjpeg')) { throw new SWIFT_Exception('imagecreatefromjpeg function does not exist. Please ensure GD is compiled with support for JPG format.'); } $this->SetImageResource(imagecreatefromjpeg($this->GetImagePath())); if ($this->GetOutputType() == self::TYPE_SAME) { $this->SetOutputType(self::TYPE_JPEG); } break;  case IMAGETYPE_PNG: if (!function_exists('imagecreatefrompng')) { throw new SWIFT_Exception('imagecreatefrompng function does not exist. Please ensure GD is compiled with support for PNG format.'); } $this->SetImageResource(imagecreatefrompng($this->GetImagePath())); if ($this->GetOutputType() == self::TYPE_SAME) { $this->SetOutputType(self::TYPE_PNG); } break; }  if ($this->GetImageResource() == '') { return false; } } else { return false; } if ($this->GetKeepBothProportions() == true) { if (($_imageWidth - $this->_sizeLimitX) > ($_imageHeight - $this->_sizeLimitY)) {  $_scaleX = $this->_sizeLimitX / $_imageWidth; $_scaleY = $_scaleX;  } else { $_scaleX = $this->_sizeLimitY / $_imageHeight; $_scaleY = $_scaleX; } } else if ($this->GetKeepProportions() == true) {  $_scaleX = $this->_sizeLimitX / $_imageWidth; $_scaleY = $_scaleX; } else {  $_scaleX = $this->_sizeLimitX / $_imageWidth; $_scaleY = $this->_sizeLimitY / $_imageHeight;  if ($_scaleX > 1 ) { $_scaleX = 1; } if ($_scaleY > 1) { $_scaleY = 1; } }  $_newWidth = $_imageWidth * $_scaleX; $_newHeight = $_imageHeight * $_scaleY;   $this->SetResizedResource(imagecreatetruecolor($_newWidth, $_newHeight));  if (function_exists('imageantialias')) { imageantialias($this->GetResizedResource(), true); }  imagecopyresampled($this->GetResizedResource(), $this->GetImageResource(), 0, 0, 0, 0, $_newWidth, $_newHeight, $_imageWidth, $_imageHeight);  imagedestroy($this->GetImageResource()); return true; }  public function Save($_filePath, $_output = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (empty($_filePath)) { throw new SWIFT_Image_Exception(SWIFT_INVALIDDATA); return false; }  if (!$this->HasGD()) { $_filePointer = fopen($_filePath, 'w+'); fwrite($_filePointer, file_get_contents($this->GetImagePath())); fclose($_filePointer); return false; } if ($this->GetResizedResource() == '') { throw new SWIFT_Image_Exception(SWIFT_INVALIDDATA); return false; } if ($_output) { header('Last-Modified: ' . date('D, d M Y H:i:s', DATENOW) . ' GMT'); header('Cache-Control: public'); } switch ($this->GetOutputType()) { case self::TYPE_GIF: imagegif($this->GetResizedResource(), $_filePath); if ($_output) { header('Content-type: image/gif'); echo file_get_contents($_filePath); } break; case self::TYPE_JPEG: imagejpeg($this->GetResizedResource(), $_filePath, 100); if ($_output) { header('Content-type: image/jpg'); echo file_get_contents($_filePath); } break; case self::TYPE_PNG: imagepng($this->GetResizedResource(), $_filePath, 0); if ($_output) { header('Content-type: image/png'); echo file_get_contents($_filePath); } break; default: throw new SWIFT_Image_Exception(SWIFT_INVALIDDATA); break; } return true; }  public function Output() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; } header('Last-Modified: ' . date('D, d M Y H:i:s', DATENOW) . ' GMT'); header('Cache-Control: public');  if (!$this->HasGD()) { echo file_get_contents($this->GetImagePath()); return false; } if ($this->GetResizedResource() == '') { switch ($this->GetOutputType()) { case self::TYPE_GIF: header('Content-type: image/gif'); echo file_get_contents($this->GetImagePath()); break; case self::TYPE_JPEG: header('Content-type: image/jpg'); echo file_get_contents($this->GetImagePath()); break; case self::TYPE_PNG: header('Content-type: image/png'); echo file_get_contents($this->GetImagePath()); break; case self::TYPE_SAME: $_pathInfoContainer = pathinfo($this->GetImagePath()); header('Content-type: image/' . $_pathInfoContainer['extension']); echo file_get_contents($this->GetImagePath()); break; } return false; } switch ($this->GetOutputType()) { case self::TYPE_GIF: header('Content-type: image/gif'); imagegif($this->GetResizedResource()); break; case self::TYPE_JPEG: header('Content-type: image/jpg'); imagejpeg($this->GetResizedResource()); break; case self::TYPE_PNG: header('Content-type: image/png'); imagepng($this->GetResizedResource()); break; case self::TYPE_SAME: throw new SWIFT_Image_Exception(SWIFT_INVALIDDATA); break; } return true; }  public function Get() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Image_Exception(SWIFT_CLASSNOTLOADED); return false; }  if (!$this->HasGD()) { return file_get_contents($this->GetImagePath()); return false; } if ($this->GetResizedResource() == '') { throw new SWIFT_Image_Exception(SWIFT_INVALIDDATA); return false; } $_imageContents = false; switch ($this->GetOutputType()) { case self::TYPE_GIF: ob_start(); imagegif($this->GetResizedResource()); $_imageContents = ob_get_contents(); ob_end_clean(); break; case self::TYPE_JPEG: ob_start(); imagejpeg($this->GetResizedResource()); $_imageContents = ob_get_contents(); ob_end_clean(); break; case self::TYPE_PNG: ob_start(); imagepng($this->GetResizedResource()); $_imageContents = ob_get_contents(); ob_end_clean(); break; case self::TYPE_SAME: throw new SWIFT_Image_Exception(SWIFT_INVALIDDATA); break; } return $_imageContents; } } ?>