<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					    class SWIFT_Model extends SWIFT_Base implements SWIFT_Model_Interface { protected $_updatePool = array(); protected $_dataStore = array(); static protected $_updatePoolQueue = array();  public function __construct($_SWIFT_DataObject = null) { if (!$_SWIFT_DataObject instanceof SWIFT_Data && is_numeric($_SWIFT_DataObject)) { $_SWIFT_DataObject = new SWIFT_DataID($_SWIFT_DataObject); } else if (!$_SWIFT_DataObject instanceof SWIFT_Data && _is_array($_SWIFT_DataObject)) { $_SWIFT_DataObject = new SWIFT_DataStore($_SWIFT_DataObject); } if (!$this->Initialize()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); } else if ($_SWIFT_DataObject instanceof SWIFT_Data && $_SWIFT_DataObject->GetIsClassLoaded()) { if (!$this->LoadData($_SWIFT_DataObject)) { throw new SWIFT_Exception('Failed to load ' . __CLASS__ . ' Object'); } } parent::__construct(); }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  static public function GetOnID($_id) { return new self(new SWIFT_DataID($_id)); }  public function GetID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); } if (static::PRIMARY_KEY) { return $this->GetProperty($this->GetPrimaryKeyName()); } return 0; }  static public function GetTableName() { if (static::TABLE_NAME) { return static::TABLE_NAME; } return false; }  static public function GetPrimaryKeyName() { if (static::PRIMARY_KEY) { return static::PRIMARY_KEY; } return false; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { return false; } else if (!_is_array($this->GetUpdatePool()) || self::GetTableName() === false || self::GetPrimaryKeyName() === false) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . self::GetTableName(), $this->GetUpdatePool(), 'UPDATE', self::GetPrimaryKeyName() . " = '" . intval($this->GetProperty(self::GetPrimaryKeyName())) . "'"); $this->ClearUpdatePool(); return true; }  public function __call($_functionName, $_argumentContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); } $_baseFunctionName = mb_strtolower($_functionName);  if (strtolower(substr($_baseFunctionName, 0, strlen('get')) == 'get')) { $_propertyName = mb_strtolower(trim(substr($_baseFunctionName, 3))); if (!isset($this->_dataStore[$_propertyName])) { throw new SWIFT_Exception($_functionName . ' failed, property "' . $_propertyName . '" not found in datastore.'); } return $this->GetProperty($_propertyName);  } else if (strtolower(substr($_baseFunctionName, 0, strlen('set')) == 'set')) { $_propertyName = mb_strtolower(trim(substr($_baseFunctionName, 3))); if (!isset($this->_dataStore[$_propertyName])) { throw new SWIFT_Exception($_functionName . ' failed, property "' . $_propertyName . '" not found in datastore.'); } else if (!isset($_argumentContainer[0])) { throw new SWIFT_Exception($_functionName . ' failed, no value specified.'); } $this->SetProperty($_propertyName, $_argumentContainer[0]); return true; } return true; }  public function __get($_propertyName) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); } else if (!isset($this->_dataStore[$_propertyName])) { throw new SWIFT_Exception('Property retrieval failed, "' . $_propertyName . '" not found in datastore.'); } return $this->GetProperty($_propertyName); }  public function __isset($_propertyName) { return isset($this->_dataStore[$_propertyName]); }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); } return $this->_dataStore; }  public function Get($_propertyName) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); } return $this->GetProperty($_propertyName); }  public function GetProperty($_propertyName) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); } else if (!isset($this->_dataStore[$_propertyName])) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_INVALIDDATA); } $_propertyName = mb_strtolower($_propertyName); return $this->_dataStore[$_propertyName]; }  public function SetProperty($_propertyName, $_propertyValue) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); } else if (!isset($this->_dataStore[$_propertyName])) { throw new SWIFT_Exception('Property update failed, "' . $_propertyName . '" not found in datastore.'); } $_propertyName = mb_strtolower($_propertyName); $this->_dataStore[$_propertyName] = $_propertyValue; $this->UpdatePool($_propertyName, $_propertyValue); return true; }  protected function LoadData($_SWIFT_DataObject) { $_SWIFT = SWIFT::GetInstance();  if ($_SWIFT_DataObject instanceof SWIFT_DataID && $_SWIFT_DataObject->GetIsClassLoaded()) { $_query = "SELECT * FROM " . TABLE_PREFIX . self::GetTableName() . " WHERE " . self::GetPrimaryKeyName() . " = '" . intval($_SWIFT_DataObject->GetDataID()) . "'"; $_dataStore = $_SWIFT->Database->QueryFetch($_query); if (isset($_dataStore[self::GetPrimaryKeyName()]) && !empty($_dataStore[self::GetPrimaryKeyName()])) { $this->_dataStore = $_dataStore; return true; } else { return false; }  } else if ($_SWIFT_DataObject instanceof SWIFT_DataStore && $_SWIFT_DataObject->GetIsClassLoaded()) { $this->_dataStore = $_SWIFT_DataObject->GetDataStore(); if (!isset($this->_dataStore[self::GetPrimaryKeyName()]) || empty($this->_dataStore[self::GetPrimaryKeyName()])) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_INVALIDDATA); } return true; } throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_INVALIDDATA); }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); } else if (self::GetPrimaryKeyName() === false) { return false; } self::DeleteList(array($this->GetProperty(self::GetPrimaryKeyName()))); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_idList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_idList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . self::GetTableName() . " WHERE " . self::GetPrimaryKeyName() . " IN (" . BuildIN($_idList) . ")"); return true; }  public function UpdatePool($_key, $_value) { if (!$this->GetIsClassLoaded()) { return false; }  $this->_dataStore[$_key] = $_value; $this->_updatePool[$_key] = $_value; $this->QueueUpdatePool(); return true; }  public function GetUpdatePool() { if (!$this->GetIsClassLoaded()) { return false; } return $this->_updatePool; }  public function ClearUpdatePool() { if (!$this->GetIsClassLoaded()) { return false; } $this->_updatePool = array(); $_keyName = get_class($this) . '_' . $this->GetInstanceID();  if (isset(self::$_updatePoolQueue[$_keyName])) { unset(self::$_updatePoolQueue[$_keyName]); } return true; }  public function QueueUpdatePool() { if (!$this->GetIsClassLoaded()) { return false; } $_keyName = get_class($this) . '_' . $this->GetInstanceID(); if (!isset(self::$_updatePoolQueue[$_keyName])) { self::$_updatePoolQueue[$_keyName] = $this; } return true; }  static public function ProcessShutdownUpdatePool() { if (!_is_array(self::$_updatePoolQueue)) { return false; } foreach (self::$_updatePoolQueue as $_ModelObject) { if ($_ModelObject instanceof SWIFT_Model && $_ModelObject->GetIsClassLoaded() && method_exists($_ModelObject, 'ProcessUpdatePool')) { $_ModelObject->ProcessUpdatePool(); } } self::$_updatePoolQueue = array(); return true; } }