<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_RESTServer extends SWIFT_Library { private $_activeMethod = false; private $_variableContainer = array(); private $_rawData = '';  const METHOD_POST = 'POST'; const METHOD_PUT = 'PUT'; const METHOD_GET = 'GET'; const METHOD_DELETE = 'DELETE'; const HTTP_NOTFOUND = '404 Not Found'; const HTTP_OK = '200 OK'; const HTTP_CREATED = '201 Created'; const HTTP_DELETE = '204 No Content'; const HTTP_ACCEPTED = '202 Accepted'; const HTTP_UNAUTHORIZED = '401 Unauthorized'; const HTTP_BADREQUEST = '400 Bad Request'; const HTTP_FORBIDDEN = '403 Forbidden'; const HTTP_NOTALLOWED = '405 Not Allowed';  public function __construct() { parent::__construct(); if (!$this->InitializeServer()) { $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { parent::__destruct(); return true; }  protected function InitializeServer() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; }  if ($_SERVER['REQUEST_METHOD'] == 'GET') { $this->SetMethod(self::METHOD_GET); } else if ($_SERVER['REQUEST_METHOD'] == 'POST') { $this->SetMethod(self::METHOD_POST); } else if ($_SERVER['REQUEST_METHOD'] == 'PUT') { $this->SetMethod(self::METHOD_PUT); } else if ($_SERVER['REQUEST_METHOD'] == 'DELETE') { $this->SetMethod(self::METHOD_DELETE); } else { return false; }  if (!$this->ParseVariables()) { return false; } return true; }  static public function IsValidHTTPCode($_httpCode) { if ($_httpCode == self::HTTP_NOTFOUND || $_httpCode == self::HTTP_OK || $_httpCode == self::HTTP_CREATED || $_httpCode == self::HTTP_DELETE || $_httpCode == self::HTTP_ACCEPTED || $_httpCode == self::HTTP_UNAUTHORIZED || $_httpCode == self::HTTP_BADREQUEST || $_httpCode == self::HTTP_FORBIDDEN || $_httpCode == self::HTTP_NOTALLOWED) { return true; } return false; }  public function DispatchStatus($_httpCode, $_customContent = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!self::IsValidHTTPCode($_httpCode)) { throw new SWIFT_REST_Exception(SWIFT_INVALIDDATA); return false; } header('HTTP/1.1 ' . $_httpCode); echo $_customContent; return true; }  protected function ParseVariables() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; } switch ($this->GetMethod()) { case self::METHOD_GET: $this->SetVariableContainer($this->ParseInputStream(self::METHOD_GET)); return true; break; case self::METHOD_POST: $this->SetVariableContainer($this->ParseInputStream(self::METHOD_POST)); return true; break; case self::METHOD_PUT: $this->SetVariableContainer($this->ParseInputStream(self::METHOD_PUT)); return true; break; case self::METHOD_DELETE: $this->SetVariableContainer($this->ParseInputStream(self::METHOD_DELETE)); return true; break; default: return false; break; } return false; }  private function ParseInputStream($_method) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; } $_variableContainer = array(); $_inputStream = file_get_contents('php://input'); $this->SetRawData($_inputStream); if (isset($_SERVER['CONTENT_TYPE']) && strstr($_SERVER['CONTENT_TYPE'], 'application/json')) { return json_decode($_inputStream, true); } if ($_method == self::METHOD_GET && _is_array($_GET)) { return $_GET; } else if ($_method == self::METHOD_POST && _is_array($_POST)) { return $_POST; } else if ($_method == self::METHOD_DELETE && _is_array($_GET)) { return $_GET; } else if ($_method == self::METHOD_PUT && _is_array($_POST)) { return $_POST; } else if ($_method == self::METHOD_PUT && _is_array($_GET)) { return $_GET; } parse_str($_inputStream, $_variableContainer); if ($_method == self::METHOD_PUT) { $_POST = $_variableContainer; } return $_variableContainer; }  private function SetRawData($_inputStream) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_rawData = $_inputStream; return true; }  public function GetRawData() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_rawData; }  public function GetRawDataASJSON() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; } return json_decode($this->_rawData); }  private function GetSignature() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; }  }  protected function SetVariableContainer($_variableContainer) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!is_array($_variableContainer)) { return false; } $this->_variableContainer = $_variableContainer; return true; }  public function Get($_variableKey) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_variableContainer[$_variableKey])) { return false; } return $this->_variableContainer[$_variableKey]; }  public function GetVariableContainer() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_variableContainer; }  static public function IsValidMethod($_method) { if ($_method == self::METHOD_POST || $_method == self::METHOD_PUT || $_method == self::METHOD_DELETE || $_method == self::METHOD_GET) { return true; } return false; }  public function GetMethod() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_activeMethod; }  protected function SetMethod($_method) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_REST_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!self::IsValidMethod($_method)) { throw new SWIFT_REST_Exception(SWIFT_INVALIDDATA); return false; } $this->_activeMethod = $_method; return true; }  public function GetMethodFunction($_defaultAction = '') { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); } switch ($this->GetMethod()) { case self::METHOD_GET: if ($_defaultAction == SWIFT_Controller::DEFAULT_ACTION) { return 'GetList'; } return 'Get'; break; case self::METHOD_POST: return 'Post'; break; case self::METHOD_PUT: return 'Put'; break; case self::METHOD_DELETE: return 'Delete'; break; default: break; } throw new SWIFT_Exception(__CLASS__ . ': ' . SWIFT_INVALIDDATA); return true; } } ?>