<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_TemplateEngine extends SWIFT_Library { static private $_activeMode = false; static private $_compileCheckOn = false; private $_dwooObject = false; private $_Dwoo_Security_PolicyObject = false; private $_Dwoo_CompilerObject = false; private $_themeDirectoryList = array(); private $_templateGroupPrefix = ''; private $_templateGroupName = ''; private $_dataCache = array(); private $_templateCache = array(); private $_templateGroupID = 1;  const TYPE_DB = 1; const TYPE_FILE = 2; const HEADERIMAGE_SUPPORTCENTER = 'supportcenter'; const HEADERIMAGE_CONTROLPANEL = 'controlpanel';  public function __construct($_engineType) { $_SWIFT = SWIFT::GetInstance(); if (!self::IsValidEngineType($_engineType)) { return false; } parent::__construct(); $this->SetEngineType($_engineType); $_cacheDirectory = './'. SWIFT_BASEDIRECTORY .'/'. SWIFT_CACHEDIRECTORY; spl_autoload_register(array('SWIFT_TemplateEngine', 'AutoLoad')); require_once ('./'. SWIFT_BASEDIRECTORY .'/'. SWIFT_THIRDPARTYDIRECTORY .'/dwoo/Dwoo.php'); $this->_Dwoo_Security_PolicyObject= new Dwoo_Security_Policy();  if (defined('SWIFT_ENPHP_TEMPLATES') && constant('SWIFT_ENPHP_TEMPLATES') === true) { $this->_Dwoo_Security_PolicyObject->setPhpHandling(Dwoo_Security_Policy::PHP_ALLOW); } else { $this->_Dwoo_Security_PolicyObject->setPhpHandling(Dwoo_Security_Policy::PHP_REMOVE); } $this->_Dwoo_Security_PolicyObject->setConstantHandling(Dwoo_Security_Policy::CONST_DISALLOW); if (SWIFT::IsCP()) { $this->_themeDirectoryList[] = './' . SWIFT_BASEDIRECTORY . '/' . SWIFT_THEMESDIRECTORY . '/__cp/'; } $this->_themeDirectoryList[] = './' . SWIFT_BASEDIRECTORY . '/' . SWIFT_THEMESDIRECTORY . '/__global/'; $this->_themeDirectoryList[] = './' . SWIFT_BASEDIRECTORY . '/' . SWIFT_THEMESDIRECTORY . '/' . $this->Interface->GetName() . '/'; if ($this->GetEngineType() == self::TYPE_FILE) { if ($_SWIFT->Interface->GetInterface() != SWIFT_Interface::INTERFACE_SETUP) { $this->LoadDefaultTemplateGroup(); } foreach ($this->_themeDirectoryList as $_themeDirectory) { $this->_Dwoo_Security_PolicyObject->allowDirectory($_themeDirectory); } } else { $this->LoadTemplateGroup(SWIFT_Router::GetTemplateGroup()); } $this->_Dwoo_CompilerObject = new Dwoo_Compiler(); $this->_Dwoo_CompilerObject->setDelimiters('<{', '}>'); $this->_Dwoo_CompilerObject->setSecurityPolicy($this->_Dwoo_Security_PolicyObject); $this->_dwooObject = new Dwoo($_cacheDirectory, $_cacheDirectory); $this->_dwooObject->setLoader(new SWIFT_TemplateEngineLoader($_cacheDirectory)); $this->_dwooObject->setSecurityPolicy($this->_Dwoo_Security_PolicyObject); $this->_dwooObject->addPlugin('RenderTemplate', array('SWIFT_TemplateEngine', 'RenderTemplate')); if ($this->GetEngineType() == self::TYPE_FILE) { $this->_dwooObject->addPlugin('RenderControlPanelMenu', array('SWIFT_UserInterfaceControlPanel', 'RenderControlPanelMenu')); $this->_dwooObject->addPlugin('RenderAdminNavigationBar', array('SWIFT_UserInterfaceControlPanel', 'RenderAdminNavigationBar')); $this->_dwooObject->addPlugin('RenderOnlineStaff', array('SWIFT_UserInterfaceControlPanel', 'RenderOnlineStaff')); $this->_dwooObject->removeResource('file'); $this->_dwooObject->addResource('file', 'SWIFT_TemplateEngineFile', array('SWIFT_TemplateEngine', 'GetCompilerObject')); } else { $this->_dwooObject->removeResource('string'); $this->_dwooObject->addResource('string', 'SWIFT_TemplateEngineString', array('SWIFT_TemplateEngine', 'GetCompilerObject')); } $this->_dwooObject->setDefaultCompilerFactory('file', array('SWIFT_TemplateEngine', 'GetCompilerObject')); $this->_dwooObject->setDefaultCompilerFactory('string', array('SWIFT_TemplateEngine', 'GetCompilerObject')); return true; }  public function __destruct() { parent::__destruct(); return true; }  static public function IsValidHeaderImageType($_headerImageType) { if ($_headerImageType == self::HEADERIMAGE_SUPPORTCENTER || $_headerImageType == self::HEADERIMAGE_CONTROLPANEL) { return true; } return false; }  public function RetrieveHeaderImagePath($_headerImageType) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!self::IsValidHeaderImageType($_headerImageType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_settingsHeaderImage = $this->Settings->GetKey('headerimage', $_headerImageType); if ($_settingsHeaderImage && file_exists('./' . SWIFT_BASEDIRECTORY . '/' . SWIFT_FILESDIRECTORY . '/' . $_settingsHeaderImage)) { return SWIFT_BASEDIRECTORY . '/' . SWIFT_FILESDIRECTORY . '/' . $_settingsHeaderImage; } else { return SWIFT_BASEDIRECTORY . '/themes/' . SWIFT_THEMECPDIRECTORY . '/images/' . strtolower(SWIFT_PRODUCT) . '.gif'; } return false; }  public function RetrieveHeaderImage($_headerImageType) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!self::IsValidHeaderImageType($_headerImageType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_settingsHeaderImage = $this->Settings->GetKey('headerimage', $_headerImageType); if ($_settingsHeaderImage && file_exists('./' . SWIFT_BASEDIRECTORY . '/' . SWIFT_FILESDIRECTORY . '/' . $_settingsHeaderImage)) { return SWIFT::Get('swiftpath') . SWIFT_BASEDIRECTORY . '/' . SWIFT_FILESDIRECTORY . '/' . $_settingsHeaderImage; } else { return SWIFT::Get('themepath') . 'images/' . strtolower(SWIFT_PRODUCT) . '.gif'; } return false; }  public function LoadDefaultTemplateGroup() { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_defaultTemplateGroupID = false; $_templateGroupCache = $_SWIFT->Cache->Get('templategroupcache'); foreach ($_templateGroupCache as $_templateGroupID => $_templateGroupContainer) { if ($_templateGroupContainer['isdefault'] == '1') { $_defaultTemplateGroupID = $_templateGroupID; } } if (!$_defaultTemplateGroupID && SWIFT_INTERFACE != 'console') { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $this->_templateGroupID = $_defaultTemplateGroupID; if ($_defaultTemplateGroupID != false) { $this->SetTemplateGroupID($_defaultTemplateGroupID); } return true; }  public function LoadTemplateEngineFile($_templateType) { if ($_templateType == self::TYPE_FILE && !class_exists('SWIFT_TemplateEngineFile', false)) { $this->Load->Library('TemplateEngine:TemplateEngineFile', false, false); } else if ($_templateType == self::TYPE_DB && !class_exists('SWIFT_TemplateEngineString', false)) { $this->Load->Library('TemplateEngine:TemplateEngineString', false, false); } return true; }  static public function GetCompilerObject() { $_SWIFT = SWIFT::GetInstance(); return $_SWIFT->Template->GetCompiler(); }  public function GetCompiler() { return $this->_Dwoo_CompilerObject; }  public function LoadVariables() { $_SWIFT = SWIFT::GetInstance(); $this->Assign('_swiftBaseName', SWIFT_BASENAME); $_languageCache = $this->Cache->Get('languagecache'); $this->Assign('_languageContainer', $_languageCache); if (defined('BUILD_TYPE')) { SWIFT::Set('buildtype', BUILD_TYPE); $this->Assign('_buildType', BUILD_TYPE); } else { SWIFT::Set('buildtype', $_SWIFT->Language->Get('na')); $this->Assign('_buildType', $_SWIFT->Language->Get('na')); } if (defined('BUILD_DATE')) { SWIFT::Set('builddate', BUILD_DATE); $this->Assign('_buildDate', BUILD_DATE); } else { SWIFT::Set('builddate', $_SWIFT->Language->Get('na')); $this->Assign('_buildDate', $_SWIFT->Language->Get('na')); } if (defined('SOURCE_TYPE')) { SWIFT::Set('sourcetype', SOURCE_TYPE); $this->Assign('_sourceType', SOURCE_TYPE); } else { SWIFT::Set('sourcetype', $_SWIFT->Language->Get('na')); $this->Assign('_sourceType', $_SWIFT->Language->Get('na')); } $this->Assign('_headerImageCP', $this->RetrieveHeaderImage(self::HEADERIMAGE_CONTROLPANEL)); $this->Assign('_headerImageSC', $this->RetrieveHeaderImage(self::HEADERIMAGE_SUPPORTCENTER)); $this->Assign('_version', strtoupper(SWIFT_VERSION)); $this->Assign('_product', strtolower(SWIFT_PRODUCT)); $this->Assign('_productTitle', SWIFT_PRODUCT); $_templateGroupCache = $this->Cache->Get('templategroupcache'); if (isset($_templateGroupCache[$this->GetTemplateGroupID()]['companyname'])) { SWIFT::Set('companyname', $_templateGroupCache[$this->GetTemplateGroupID()]['companyname']); $this->Assign('_companyName', htmlspecialchars($_templateGroupCache[$this->GetTemplateGroupID()]['companyname'])); } else { SWIFT::Set('companyname', $this->Settings->Get('general_companyname')); $this->Assign('_companyName', htmlspecialchars($this->Settings->Get('general_companyname'))); } $this->Assign('_settings', $_SWIFT->Settings->GetSettings()); $this->Assign('_area', $_SWIFT->Interface->GetName()); $this->Assign('_defaultTitle', sprintf($_SWIFT->Language->Get('defaulttitle'), $this->Settings->Get('general_companyname'), SWIFT_PRODUCT, SWIFT_VERSION)); $this->Assign('_defaultFooter', sprintf($_SWIFT->Language->Get('defaulttitle'), SWIFT_PRODUCT, SWIFT_VERSION)); $this->Assign('_poweredByNotice', sprintf($_SWIFT->Language->Get('poweredby'), SWIFT_PRODUCT)); $this->Assign('_currentYear', strftime('%Y')); $this->Assign('_copyright', sprintf($_SWIFT->Language->Get('copyright'), strftime('%Y'))); $_basePath = StripTrailingSlash(SWIFT::Get('swiftpath')); if ($_SWIFT->Interface->GetInterface() == SWIFT_Interface::INTERFACE_SETUP) { $_baseName = SWIFT_BASENAME; } else { $_originalBaseName = SWIFT_BASENAME; if (!empty($_originalBaseName)) { $_originalBaseName = '/' . $_originalBaseName; } $_basePath = StripTrailingSlash(SWIFT::Get('swiftpath')) . $_originalBaseName;  if ($_SWIFT->Interface->GetInterface() == SWIFT_Interface::INTERFACE_CLIENT) { $_baseName = StripTrailingSlash(SWIFT::Get('swiftpath')) . $_originalBaseName; } else { $_baseName = SWIFT::Get('swiftpath') . $_SWIFT->Interface->GetName() . $_originalBaseName; } } SWIFT::Set('basename', RemoveTrailingSlash($_baseName)); SWIFT::Set('basepath', RemoveTrailingSlash($_basePath)); $this->Assign('_extendedRefreshScript', ''); $this->Assign('_baseName', RemoveTrailingSlash($_baseName)); $this->Assign('_basePath', RemoveTrailingSlash($_basePath)); $this->Assign('_currentDate', SWIFT_Date::Get(SWIFT_Date::TYPE_DATETIME)); $this->Assign('_session', array()); if (SWIFT::Get('swiftpath')) { $this->Assign('_swiftPath', SWIFT::Get('swiftpath')); } foreach (SWIFT::GetThemePath() as $_themePathName => $_themePathContainer) { $this->Assign($_themePathContainer[0], $_themePathContainer[1]); } return true; }  public function Assign($_key, $_value) { if (!$this->GetIsClassLoaded() || empty($_key)) { return false; } $this->_dataCache[$_key] = $_value; return true; }  public function Render($_templateName, $_templateType = false, $_customTemplatePath = '') { if (!$this->GetIsClassLoaded() || empty($_templateName)) { return false; } $this->LoadTemplateEngineFile($_templateType); echo $this->Get($_templateName, $_templateType, $_customTemplatePath); return false; }  static public function RenderTemplate($name = '') { $_SWIFT = SWIFT::GetInstance(); if (empty($name)) { return false; } return $_SWIFT->Template->Get($name, self::$_activeMode); }  public function Get($_templateName, $_templateType = false, $_customTemplatePath = '') { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded() || empty($_templateName)) { return false; } if (!$_templateType) { $_templateType = $this->GetEngineType(); } self::$_activeMode = $_templateType; $this->LoadTemplateEngineFile($_templateType); $_templateName = Clean($_templateName); $this->_dataCache['_language'] = &$_SWIFT->Language->_phraseCache; $this->_dataCache['_settings'] = &$_SWIFT->Settings->_settingsCache['settings']; $_templateResult = false; if ($_templateType == self::TYPE_FILE) { $_templatePath = false; foreach ($this->_themeDirectoryList as $_themeDirectory) { $_interimTemplatePath = $_themeDirectory . 'templates/' . $_templateName . '.tpl'; if (file_exists($_interimTemplatePath)) { $_templatePath = $_interimTemplatePath; break; } } if (!empty($_customTemplatePath)) { $_templatePath = $_customTemplatePath; }  $_SWIFT_AppObject = false; if ($_SWIFT->Router instanceof SWIFT_Router && $_SWIFT->Router->GetApp() instanceof SWIFT_App) { $_SWIFT_AppObject = $_SWIFT->Router->GetApp(); } if (empty($_templatePath) && $_SWIFT_AppObject instanceof SWIFT_App && $_SWIFT_AppObject->GetIsClassLoaded()) { $_probableAppTemplateList = array(); $_appDirectory = $_SWIFT_AppObject->GetDirectory();  $_probableAppTemplateList[] = $_appDirectory . '/themes/__global/templates/' . $_templateName . '.tpl';  if (SWIFT::IsCP()) { $_probableAppTemplateList[] = $_appDirectory . '/themes/__cp/templates/' . $_templateName . '.tpl'; }  $_probableAppTemplateList[] = $_appDirectory . '/themes/' . $this->Interface->GetName() . '/templates/' . $_templateName . '.tpl'; foreach ($_probableAppTemplateList as $_appTemplatePath) { if (file_exists($_appTemplatePath)) { $_templatePath = $_appTemplatePath; break; } } } if (empty($_templatePath)) { throw new SWIFT_Exception($_templateName . ' not found!'); } $_SWIFT_TemplateEngineFileObject = new SWIFT_TemplateEngineFile($_templatePath); $_templateResult = $this->_dwooObject->get($_SWIFT_TemplateEngineFileObject, $this->_dataCache, $this->_Dwoo_CompilerObject); } else if ($_templateType == self::TYPE_DB) { $this->LoadTemplateEngineFile(self::TYPE_DB); if (!isset($this->_templateCache[$this->_templateGroupID][$_templateName])) { $this->LoadCache(array($_templateName)); }  $_SWIFT_TemplateEngineStringObject = new SWIFT_TemplateEngineString($_templateName . $this->_templateGroupID, preg_replace('/<(\s*)script(\s*)language(\s*)=(\s*)("|\'?)php("|\'?)(\s*)>/i', '', str_replace(array('<?php', '<?', '?>', '<%', '%>'), '', $this->_templateCache[$this->_templateGroupID][$_templateName]['contents']))); if (defined('SWIFT_ENPHP_TEMPLATES') && constant('SWIFT_ENPHP_TEMPLATES') === true) { $_SWIFT_TemplateEngineStringObject = new SWIFT_TemplateEngineString($_templateName . $this->_templateGroupID, $this->_templateCache[$this->_templateGroupID][$_templateName]['contents']); } $_templateResult = $this->_dwooObject->get($_SWIFT_TemplateEngineStringObject, $this->_dataCache, $this->_Dwoo_CompilerObject); } if (defined('SWIFT_DEBUG') && constant('SWIFT_DEBUG') == true && SWIFT_INTERFACE != 'winapp' && SWIFT_INTERFACE != 'console' && ob_get_level() == 0) { ob_start(); } return $_templateResult; }  public function GetDBTemplatesWithPrefix($_prefix) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(__CLASS__ . ':  ' . SWIFT_CLASSNOTLOADED); return false; } else if (empty($_prefix)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); } $_templateNameList = array(); $this->Database->Query("SELECT name FROM " . TABLE_PREFIX . "templates
			WHERE tgroupid = '" . $this->GetTemplateGroupID() . "' AND name LIKE '" . $this->Database->Escape($_prefix) . "%'"); while ($this->Database->NextRecord()) { $_templateNameList[] = $this->Database->Record['name']; } $this->LoadCache($_templateNameList); $_finalTemplateContents = ''; foreach ($_templateNameList as $_templateName) { $_finalTemplateContents .= $this->Get($_templateName, self::TYPE_DB) . SWIFT_CRLF . SWIFT_CRLF; } return $_finalTemplateContents; }  public function CompileCheck($_templateName) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->LoadTemplateEngineFile(self::TYPE_DB); if (!isset($this->_templateCache[$this->_templateGroupID][$_templateName])) { $this->LoadCache(array($_templateName)); } $_SWIFT_TemplateEngineStringObject = new SWIFT_TemplateEngineString($_templateName . $this->_templateGroupID, $this->_templateCache[$this->_templateGroupID][$_templateName]['contents']); $this->_dwooObject->setTemplate($_SWIFT_TemplateEngineStringObject); $_SWIFT_TemplateEngineStringObject->forceCompilation(); $_SWIFT_TemplateEngineStringObject->getCompiledTemplate($this->_dwooObject, $this->_Dwoo_CompilerObject); return true; }  public function LoadCache($_templateList = array()) { if (!is_array($_templateList)) { $_templateList = array($_templateList); } $this->Database->Query("SELECT * FROM ". TABLE_PREFIX ."templates AS templates
			LEFT JOIN ". TABLE_PREFIX . "templatedata AS templatedata ON (templates.templateid = templatedata.templateid)
			WHERE templates.tgroupid = '". intval($this->_templateGroupID) ."' AND templates.name IN (". BuildIN($_templateList) .")", 5); while ($this->Database->NextRecord(5)) { $this->_templateCache[$this->_templateGroupID][$this->Database->Record5['name']] = $this->Database->Record5; } foreach ($_templateList as $_key => $_val) { if (!isset($this->_templateCache[$this->_templateGroupID][$_val])) { $this->_templateCache[$this->_templateGroupID][$_val] = ''; } } return true; }  static public function IsValidEngineType($_engineType) { if ($_engineType == self::TYPE_DB || $_engineType == self::TYPE_FILE) { return true; } return false; }  private function SetEngineType($_engineType) { if (!self::IsValidEngineType($_engineType)) { return false; } $this->_engineType = $_engineType; return true; }  public function GetEngineType() { return $this->_engineType; }  static public function AutoLoad($_className) { $_className = Clean($_className); if (substr($_className, 0, 5) === 'Dwoo_') { require_once ('./'. SWIFT_BASEDIRECTORY .'/'. SWIFT_THIRDPARTYDIRECTORY .'/dwoo/'. strtr($_className, '_', '/') . '.php'); return true; } return false; }  static public function LoadEngine() { $_SWIFT = SWIFT::GetInstance();  $_engineType = self::TYPE_FILE; if ($_SWIFT->Interface->GetInterface() == SWIFT_Interface::INTERFACE_CLIENT || $_SWIFT->Interface->GetInterface() == SWIFT_Interface::INTERFACE_VISITOR || $_SWIFT->Interface->GetInterface() == SWIFT_Interface::INTERFACE_RSS || $_SWIFT->Interface->GetInterface() == SWIFT_Interface::INTERFACE_ONSITE) { $_engineType = self::TYPE_DB; } $_SWIFT_TemplateEngineObject = new SWIFT_TemplateEngine($_engineType); if (!$_SWIFT_TemplateEngineObject instanceof SWIFT_TemplateEngine || !$_SWIFT_TemplateEngineObject->GetIsClassLoaded()) { return false; } if ($_SWIFT->Interface->GetInterface() == SWIFT_Interface::INTERFACE_CLIENT || $_SWIFT->Interface->GetInterface() == SWIFT_Interface::INTERFACE_VISITOR || $_SWIFT->Interface->GetInterface() == SWIFT_Interface::INTERFACE_RSS) { $_SWIFT_TemplateEngineObject->Assign('_templateGroupTitle', ''); } return $_SWIFT_TemplateEngineObject; }  public function SetTemplateGroupPrefix($_templateGroupID) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_templateGroupCache = $this->Cache->Get('templategroupcache'); $this->_templateGroupPrefix = ''; $this->Assign('_templateGroupPrefix', ''); if ($_templateGroupCache[$_templateGroupID]['isdefault'] != '1') { $this->_templateGroupPrefix = '/' . $_templateGroupCache[$_templateGroupID]['title']; $this->Assign('_templateGroupPrefix', $this->_templateGroupPrefix); } return true; }  public function GetTemplateGroupPrefix() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_templateGroupPrefix; }  public function GetTemplateGroupName() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_templateGroupName; }  public function SetTemplateGroupName($_templateGroupName) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->_templateGroupName = $_templateGroupName; return true; }  public function SetTemplateGroupID($_templateGroupID) { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_templateGroupCache = $this->Cache->Get('templategroupcache'); $_userGroupCache = $this->Cache->Get('usergroupcache'); if (!isset($_templateGroupCache[$_templateGroupID])) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT->SetClass('TemplateGroup', new SWIFT_TemplateGroup($_templateGroupID)); $this->SetTemplateGroupPrefix($_templateGroupID); $this->SetTemplateGroupName($_templateGroupCache[$_templateGroupID]['title']); $this->_templateGroupID = $_templateGroupID;  SWIFT::Set('companyname', $_templateGroupCache[$_templateGroupID]['companyname']); $this->Assign('_companyName', htmlspecialchars($_templateGroupCache[$_templateGroupID]['companyname']));  $_guestUserGroupID = $_templateGroupCache[$_templateGroupID]['guestusergroupid'];  if (!isset($_userGroupCache[$_guestUserGroupID])) { foreach ($_userGroupCache as $_key => $_val) { if ($_val['grouptype'] == SWIFT_UserGroup::TYPE_GUEST && $_val['ismaster'] == '1') { $_guestUserGroupID = $_val['usergroupid']; break; } } } if (!$_SWIFT->User instanceof SWIFT_User || !$_SWIFT->User->GetIsClassLoaded()) { SWIFT::Set('usergroupid', $_guestUserGroupID); $_userGroupSettingCache = $_SWIFT->Cache->Get('usergroupsettingcache'); $_permissionContainer = array(); if (isset($_userGroupSettingCache[$_guestUserGroupID]) && is_array($_userGroupSettingCache[$_guestUserGroupID])) { $_permissionContainer = $_userGroupSettingCache[$_guestUserGroupID]; } SWIFT_User::$_permissionCache = $_permissionContainer; } if ($_SWIFT->Language instanceof SWIFT_LanguageEngine && $_SWIFT->Language->GetIsClassLoaded()) { $_SWIFT->Language->UpdateTemplateGroup($_templateGroupID); } return true; }  public function GetTemplateGroupID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_templateGroupID; }  public function LoadTemplateGroup($_templateGroupString = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_templateGroupCache = $this->Cache->Get('templategroupcache'); $_finalTemplateGroupID = $_rebuildCookie = false; $this->Cookie->Parse('client');  if (empty($_templateGroupString) && $this->Cookie->GetVariable('client', 'templategroupid')) { $_templateGroupString = intval($this->Cookie->GetVariable('client', 'templategroupid')); } else if (defined('SWIFT_TEMPLATE_GROUP')) { $_constantTemplateGroupValue = constant('SWIFT_TEMPLATE_GROUP'); if (!empty($_constantTemplateGroupValue)) { $_templateGroupString = $_constantTemplateGroupValue; } }  if (!empty($_templateGroupString)) {  if (is_numeric($_templateGroupString) && isset($_templateGroupCache[$_templateGroupString])) { $_finalTemplateGroupID = intval($_templateGroupString); } else {  foreach ($_templateGroupCache as $_key => $_val) { if (mb_strtolower($_val['title']) == mb_strtolower($_templateGroupString) && $_val['isenabled'] == '1') { $_finalTemplateGroupID = intval($_val['tgroupid']); break; } } } }  if (!$_finalTemplateGroupID) { foreach ($_templateGroupCache as $_key => $_val) { if ($_val['isdefault'] == '1') { $_finalTemplateGroupID = intval($_val['tgroupid']); break; } } }  if (!$_finalTemplateGroupID) { foreach ($_templateGroupCache as $_key => $_val) { if ($_val['ismaster'] == '1') { $_finalTemplateGroupID = intval($_val['tgroupid']); break; } } }  if (!isset($_templateGroupCache[$_finalTemplateGroupID])) {  throw new SWIFT_Exception(SWIFT_INVALIDDATA . "22"); return false; }  $_templateGroup = $_templateGroupCache[$_finalTemplateGroupID]; if ($this->Cookie->GetVariable('client', 'templategroupid') != $_templateGroup['tgroupid']) { $this->Cookie->AddVariable('client', 'templategroupid', $_templateGroup['tgroupid']); $_rebuildCookie = true; } if (!self::HTTPAuthenticate($_templateGroup)) { return false; } if ($_rebuildCookie) { $this->Cookie->Rebuild('client', true); } $this->SetTemplateGroupID($_templateGroup['tgroupid']); return true; }  static protected function DieAuthFailure($_companyName = false) { $_SWIFT = SWIFT::GetInstance();  header('HTTP/1.1 401 Unauthorized'); header('WWW-Authenticate: Digest realm="' . addslashes($_companyName) . '",qop="auth",nonce="' . self::GetHTTPNOnce() . '",opaque="' . md5($_companyName) . '"'); exit; }  protected static function HTTPAuthenticate($_templateGroup) { $_SWIFT = SWIFT::GetInstance();  if (!isset($_templateGroup['enablepassword']) || $_templateGroup['enablepassword'] != '1') { return true; } $_companyName = $_SWIFT->Settings->Get('general_companyname'); if (!empty($_templateGroup['companyname'])) { $_companyName = $_templateGroup['companyname']; } header('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT'); header('Cache-Control: no-store, no-cache, must-revalidate'); header('Cache-Control: post-check=0, pre-check=0', false); header('Pragma: no-cache'); if (empty($_SERVER['PHP_AUTH_DIGEST'])) {  self::DieAuthFailure($_companyName); }  if (!$_data = self::HTTPParseDigest($_SERVER['PHP_AUTH_DIGEST'])) {  self::DieAuthFailure($_companyName); } if ($_data['username'] != $_templateGroup['groupusername']) {  self::DieAuthFailure($_companyName); }  $_a1Hash = md5($_templateGroup['groupusername'] . ':' . $_companyName . ':' . $_templateGroup['grouppassword']); $_a2Hash = md5($_SERVER['REQUEST_METHOD'] . ':' . $_data['uri']); $_validResponse = md5($_a1Hash . ':' . $_data['nonce'] . ':' . $_data['nc'] . ':' . $_data['cnonce'] . ':' . $_data['qop'] . ':' . $_a2Hash); if ($_data['response'] != $_validResponse) {  self::DieAuthFailure($_companyName); } return true; }  static private function GetHTTPNOnce() { $_time = ceil(time() / 300) * 300; return md5(date('Y-m-d H:i', $_time) . ':' . SWIFT::Get('IP') . ':' . SWIFT::Get('InstallationHash')); }  private static function HTTPParseDigest($_digest) { $_data = array(); $res = preg_match("/username=\"([^\"]+)\"/i", $_digest, $_matches); $_data['username'] = str_replace('"', '', $_matches[1]); $res = preg_match('/nonce=\"([^\"]+)\"/i', $_digest, $_matches); $_data['nonce'] = str_replace('"', '', $_matches[1]); $res = preg_match('/nc=([^,]+)/i', $_digest, $_matches); $_data['nc'] = str_replace('"', '', $_matches[1]); $res = preg_match('/cnonce=\"([^\"]+)\"/i', $_digest, $_matches); $_data['cnonce'] = str_replace('"', '', $_matches[1]); $res = preg_match('/qop=([^,]+)/i', $_digest, $_matches); $_data['qop'] = str_replace('"', '', $_matches[1]); $res = preg_match('/uri=\"([^\"]+)\"/i', $_digest, $_matches); $_data['uri'] = str_replace('"', '', $_matches[1]); $res = preg_match('/response=\"([^\"]+)\"/i', $_digest, $_matches); $_data['response'] = str_replace('"', '', $_matches[1]); return $_data; } }