<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_FileManager extends SWIFT_Model { protected $_dataStore = array();  const DEFAULT_PREFIX = 'file_'; const DEFAULT_TEMP_PREFIX = 'temp_'; const CALL_RECORDING = 'callrecording';  public function __construct($_fileID) { parent::__construct(); if (!$this->LoadData($_fileID)) { throw new SWIFT_FileManager_Exception('Failed to load File ID: ' . intval($_fileID)); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'files', $this->GetUpdatePool(), 'UPDATE', "fileid = '" . intval($this->GetFileID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetFileID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_FileManager_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['fileid']; }  protected function LoadData($_fileID) { $_dataStore = $this->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "files WHERE fileid = '" . intval($_fileID) . "'"); if (isset($_dataStore['fileid']) && !empty($_dataStore['fileid'])) { $this->_dataStore = $_dataStore; return true; } return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_FileManager_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_FileManager_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_FileManager_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function Create($_filePath, $_originalFileName, $_expiry = false, $_ignoreExtension = false, $_subDirectory = false) { $_SWIFT = SWIFT::GetInstance(); if (!file_exists($_filePath) || !is_readable($_filePath)) { throw new SWIFT_FileManager_Exception(SWIFT_INVALIDDATA); return false; } $_pathContainer = pathinfo($_filePath); if (!isset($_pathContainer['basename']) || empty($_pathContainer['basename'])) { throw new SWIFT_FileManager_Exception(SWIFT_INVALIDDATA); return false; } $_newFileName = self::GetNewFileName($_originalFileName, $_ignoreExtension); $_directoryPath = './' . SWIFT_BASEDIRECTORY . '/' . SWIFT_FILESDIRECTORY; $_newFilePath = ''; if (isset($_subDirectory)) { $_subDirectoryPath = $_directoryPath . '/' . $_subDirectory; if (!is_dir($_subDirectoryPath)) { mkdir($_subDirectoryPath, 0777); } $_newFilePath = $_subDirectoryPath . '/' . $_newFileName; } else { $_newFilePath = $_directoryPath . '/' . $_newFileName; }  rename($_filePath, $_newFilePath); @chmod($_newFilePath, 0666); if (!file_exists($_newFilePath)) { throw new SWIFT_FileManager_Exception(SWIFT_INVALIDDATA); return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'files', array('filename' => $_newFileName, 'originalfilename' => $_originalFileName, 'dateline' => DATENOW, 'expiry' => intval($_expiry), 'filehash' => BuildHash(), 'subdirectory' => $_subDirectory), 'INSERT'); $_fileID = $_SWIFT->Database->Insert_ID(); if (!$_fileID) { throw new SWIFT_FileManager_Exception(SWIFT_CREATEFAILED); return false; } return $_fileID; }  static public function CreateExtended($_fileName, $_expiry = false) { $_SWIFT = SWIFT::GetInstance(); $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'files', array('filename' => $_fileName, 'originalfilename' => $_fileName, 'dateline' => DATENOW, 'expiry' => intval($_expiry), 'filehash' => BuildHash()), 'INSERT'); $_fileID = $_SWIFT->Database->Insert_ID(); if (!$_fileID) { throw new SWIFT_FileManager_Exception(SWIFT_CREATEFAILED); return false; } return $_fileID; }  static protected function GetNewFileName($_originalFileName, $_ignoreExtension = false) { $_pathContainer = pathinfo($_originalFileName); if (!isset($_pathContainer['extension'])) { throw new SWIFT_FileManager_Exception(SWIFT_INVALIDDATA); return false; } if ($_ignoreExtension) { $_newFileName = self::DEFAULT_PREFIX . BuildHash(); } else { $_newFileName = self::DEFAULT_PREFIX . substr(BuildHash(), 0, 15) . '.' . mb_strtolower($_pathContainer['extension']); } return $_newFileName; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_FileManager_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetFileManagerID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_fileIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_fileIDList)) { return false; } $_finalFileIDList = array(); $_fileNameList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "files WHERE fileid IN (" . BuildIN($_fileIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_finalFileIDList[] = $_SWIFT->Database->Record['fileid']; if (!empty($_SWIFT->Database->Record['subdirectory'])) { $_fileNameList[] = $_SWIFT->Database->Record['subdirectory'] . '/' . $_SWIFT->Database->Record['filename']; } else { $_fileNameList[] = $_SWIFT->Database->Record['filename']; } } if (!count($_finalFileIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "files WHERE fileid IN (" . BuildIN($_finalFileIDList) . ")"); foreach ($_fileNameList as $_key => $_val) { $_filePath = './' . SWIFT_BASEDIRECTORY . '/' . SWIFT_FILESDIRECTORY . '/' . $_val; $_jsonFilePath = './' . SWIFT_BASEDIRECTORY . '/' . SWIFT_FILESDIRECTORY . '/_' . $_val; if (file_exists($_filePath)) { @unlink($_filePath); } if (file_exists($_jsonFilePath)) { @unlink($_jsonFilePath); } } return true; }  static public function DeleteExpired() { $_SWIFT = SWIFT::GetInstance(); $_fileIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "files WHERE (expiry != '0' AND expiry < '" . DATENOW . "')"); while ($_SWIFT->Database->NextRecord()) { $_fileIDList[] = $_SWIFT->Database->Record['fileid']; } if (!count($_fileIDList)) { return false; } self::DeleteList($_fileIDList); return true; }  static public function DeleteOnFileNameList($_fileNameList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_fileNameList)) { return false; } $_fileIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "files WHERE filename IN (" . BuildIN($_fileNameList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_fileIDList[] = $_SWIFT->Database->Record['fileid']; } if (!count($_fileIDList)) { return false; } self::DeleteList($_fileIDList); return true; }  public function GetURL() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetProperty('subdirectory') != '') { return SWIFT::Get('swiftpath') . SWIFT_BASEDIRECTORY . '/' . SWIFT_FILESDIRECTORY . '/' . $this->GetProperty('subdirectory') . '/' . $this->GetProperty('filename'); } return SWIFT::Get('swiftpath') . SWIFT_BASEDIRECTORY . '/' . SWIFT_FILESDIRECTORY . '/' . $this->GetProperty('filename'); }  public function GetPath() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if ($this->GetProperty('subdirectory') != '') { return './' . SWIFT_BASEDIRECTORY . '/' . SWIFT_FILESDIRECTORY . '/' . $this->GetProperty('subdirectory') . '/' . $this->GetProperty('filename'); } return './' . SWIFT_BASEDIRECTORY . '/' . SWIFT_FILESDIRECTORY . '/' . $this->GetProperty('filename'); }  public function HasRemote() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_originalFilePath = './' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_FILES_DIRECTORY . '/' . $this->GetProperty('filename'); $_remoteFileInfoPath = './' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_FILES_DIRECTORY . '/_' . $this->GetProperty('filename'); if ($this->GetProperty('subdirectory') != '') { $_originalFilePath = './' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_FILES_DIRECTORY . '/' . $this->GetProperty('subdirectory') . '/' . $this->GetProperty('filename'); $_remoteFileInfoPath = './' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_FILES_DIRECTORY . '/' . $this->GetProperty('subdirectory') . '/_' . $this->GetProperty('filename'); } if (file_exists($_remoteFileInfoPath) && !file_exists($_originalFilePath)) { return true; } return false; }  public function GetRemoteInfo() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_remoteFileInfoPath = './' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_FILES_DIRECTORY . '/_' . $this->GetProperty('filename'); if ($this->GetProperty('subdirectory') != '') { $_remoteFileInfoPath = './' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_FILES_DIRECTORY . '/' . $this->GetProperty('subdirectory') . '/_' . $this->GetProperty('filename'); } if (!file_exists($_remoteFileInfoPath)) { return false; } $_remoteFileInfo = @json_decode(@file_get_contents($_remoteFileInfoPath), true); if (!_is_array($_remoteFileInfo)) { return false; }  if (!isset($_remoteFileInfo['url']) || !isset($_remoteFileInfo['expiry']) || !isset($_remoteFileInfo['size']) || !isset($_remoteFileInfo['mtime']) || $_remoteFileInfo['expiry'] < DATENOW) { return false; } return $_remoteFileInfo; }  public function Dispatch() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_temporaryFilePath = './' . SWIFT_BASEDIRECTORY . '/' . SWIFT_FILESDIRECTORY . '/' . $this->GetProperty('filename'); if(isset($_SERVER['HTTP_USER_AGENT']) && preg_match('/MSIE/', $_SERVER['HTTP_USER_AGENT'])) {  @ini_set('zlib.output_compression','Off'); } header('Content-Type: application/force-download'); header("Content-Disposition: attachment; filename=\"" . $this->GetProperty('originalfilename') . "\""); header("Content-Transfer-Encoding: binary");  $_filePointer = fopen($_temporaryFilePath, 'rb'); if (!$_filePointer) { return false; } while(!feof($_filePointer)) { echo fread($_filePointer, 8192); } fclose($_filePointer); return true; }  public function GetBase64() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_temporaryFilePath = './' . SWIFT_BASEDIRECTORY . '/' . SWIFT_FILESDIRECTORY . '/' . $this->GetProperty('filename'); if (!file_exists($_temporaryFilePath)) { return ''; } return base64_encode(file_get_contents(($_temporaryFilePath))); }  static public function HasRemoteFile($_fileName) { $_SWIFT = SWIFT::GetInstance(); $_originalFilePath = './' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_FILES_DIRECTORY . '/' . $_fileName; $_remoteFileInfoPath = './' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_FILES_DIRECTORY . '/_' . $_fileName; if (file_exists($_remoteFileInfoPath) && !file_exists($_originalFilePath)) { return true; } return false; }  static public function GetRemoteFileInfo($_fileName) { $_SWIFT = SWIFT::GetInstance(); $_remoteFileInfoPath = './' . SWIFT_BASE_DIRECTORY . '/' . SWIFT_FILES_DIRECTORY . '/_' . $_fileName; if (!file_exists($_remoteFileInfoPath)) { return false; } $_remoteFileInfo = @json_decode(@file_get_contents($_remoteFileInfoPath), true); if (!_is_array($_remoteFileInfo)) { return false; }  if (!isset($_remoteFileInfo['url']) || !isset($_remoteFileInfo['expiry']) || !isset($_remoteFileInfo['size']) || !isset($_remoteFileInfo['mtime']) || $_remoteFileInfo['expiry'] < DATENOW) { return false; } return $_remoteFileInfo; } } ?>