<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_JobQueueMessage extends SWIFT_Model { const TABLE_NAME = 'jobqueuemessages'; const PRIMARY_KEY = 'jobqueuemessageid'; const TABLE_STRUCTURE = "jobqueuemessageid I PRIMARY AUTO NOTNULL,
								messageuuid C(100) DEFAULT '' NOTNULL,
								serverid I DEFAULT '0' NOTNULL,
								dateline I DEFAULT '0' NOTNULL,
								lastupdate I DEFAULT '0' NOTNULL,
								messagestatus I2 DEFAULT '0' NOTNULL,
								statusstage I2 DEFAULT '0' NOTNULL,
								executionpath C(255) DEFAULT '' NOTNULL,
								contents XL DEFAULT '' NOTNULL"; const INDEX_1 = 'serverid'; const INDEX_2 = 'messageuuid'; const INDEX_3 = 'lastupdate'; const INDEX_4 = 'dateline'; protected $_dataStore = array();  const STATUS_DISPATCHED = 1; const STATUS_RECEIVED = 2; const STATUS_INPROGRESS = 3; const STATUS_COMPLETED = 4; const STATUS_FAILED = 5; const STATUS_TIMEDOUT = 6; const STATUS_SIZELIMIT = 7;  const JOBQUEUECONTROLLER_BACKEND = '/Backend/JobQueue/Update'; const JOBQUEUECONTROLLER_CLUSTER = '/Cluster/JobQueue/Update';  public function __construct($_jobQueueMessageID) { parent::__construct(); if (!$this->LoadData($_jobQueueMessageID)) { throw new SWIFT_JobQueue_Exception('Failed to load Job Queue Message ID: ' . intval($_jobQueueMessageID)); $this->SetIsClassLoaded(false); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!$this->GetIsClassLoaded()) { return false; } else if (!_is_array($this->GetUpdatePool())) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'jobqueuemessages', $this->GetUpdatePool(), 'UPDATE', "jobqueuemessageid = '" . intval($this->GetJobQueueMessageID()) . "'"); $this->ClearUpdatePool(); return true; }  public function GetJobQueueMessageID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_JobQueue_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore['jobqueuemessageid']; }  protected function LoadData($_jobQueueMessageID) { $_dataStore = $this->Database->QueryFetch("SELECT * FROM " . TABLE_PREFIX . "jobqueuemessages WHERE jobqueuemessageid = '" . intval($_jobQueueMessageID) . "'"); if (isset($_dataStore['jobqueuemessageid']) && !empty($_dataStore['jobqueuemessageid'])) { $this->_dataStore = $_dataStore; return true; } return false; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_JobQueue_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_JobQueue_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!isset($this->_dataStore[$_key])) { throw new SWIFT_JobQueue_Exception(SWIFT_INVALIDDATA); return false; } return $this->_dataStore[$_key]; }  static public function IsValidStatus($_messageStatus) { if ($_messageStatus == self::STATUS_DISPATCHED || $_messageStatus == self::STATUS_RECEIVED || $_messageStatus == self::STATUS_INPROGRESS || $_messageStatus == self::STATUS_COMPLETED || $_messageStatus == self::STATUS_FAILED || $_messageStatus == self::STATUS_TIMEDOUT || $_messageStatus == self::STATUS_SIZELIMIT) { return true; } return false; }  static public function Create($_serverID, $_serverPassKey, $_controllerPath) { $_SWIFT = SWIFT::GetInstance(); if (empty($_controllerPath)) { throw new SWIFT_JobQueue_Exception(SWIFT_INVALIDDATA); return false; } $_functionArguments = array(); $_index = 0; foreach (func_get_args() as $_key => $_val) { if ($_index > 2) { $_functionArguments[] = $_val; } $_index++; }  $_messageStatus = self::STATUS_DISPATCHED; if (StripTrailingSlash(strtolower($_controllerPath)) == strtolower(self::JOBQUEUECONTROLLER_BACKEND) || StripTrailingSlash(strtolower($_controllerPath)) == strtolower(self::JOBQUEUECONTROLLER_CLUSTER)) { $_messageStatus = self::STATUS_COMPLETED; } $_messageUUID = GenerateUUID();  $_serializedArguments = serialize($_functionArguments); $_hashCalculateString = $_controllerPath . $_serializedArguments . DATENOW . intval($_serverID); $_packetHash = hash_hmac('sha256', $_hashCalculateString, $_serverPassKey);  $_databaseContainer = array(); $_databaseContainer['execute'] = $_controllerPath; $_databaseContainer['arguments'] = $_functionArguments; $_databaseContainer['dateline'] = DATENOW; $_databaseContainer['serverid'] = intval($_serverID); $_databaseContainer['hash'] = $_packetHash; $_SWIFT_JobQueueMessageObject = false; try { $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'jobqueuemessages', array('messageuuid' => $_messageUUID, 'serverid' => intval($_serverID), 'dateline' => DATENOW, 'messagestatus' => $_messageStatus, 'statusstage' => 0, 'contents' => serialize($_databaseContainer), 'executionpath' => $_controllerPath, 'lastupdate' => DATENOW), 'INSERT'); $_jobQueueMessageID = $_SWIFT->Database->Insert_ID(); if (!$_jobQueueMessageID) { throw new SWIFT_JobQueue_Exception(SWIFT_CREATEFAILED); } $_SWIFT_JobQueueMessageObject = new SWIFT_JobQueueMessage($_jobQueueMessageID); if (!$_SWIFT_JobQueueMessageObject->GetIsClassLoaded()) { throw new SWIFT_JobQueue_Exception(SWIFT_CREATEFAILED); } } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { }  $_dispatchContainer = array(); $_dispatchContainer['messageuuid'] = $_messageUUID; $_dispatchContainer['execute'] = $_controllerPath; $_dispatchContainer['arguments'] = $_serializedArguments; $_dispatchContainer['dateline'] = DATENOW; $_dispatchContainer['serverid'] = intval($_serverID); $_dispatchContainer['hash'] = $_packetHash; $_jsonData = json_encode($_dispatchContainer); $_packetContents = base64_encode(gzcompress($_jsonData, 9)); $_packetLength = strlen($_packetContents)/1024;  if ($_packetLength > 65 && $_SWIFT_JobQueueMessageObject instanceof SWIFT_JobQueueMessage && $_SWIFT_JobQueueMessageObject->GetIsClassLoaded()) { $_SWIFT_JobQueueMessageObject->Update(self::STATUS_SIZELIMIT); throw new SWIFT_JobQueue_Exception(SWIFT_INVALIDDATA); } return $_packetContents; }  public function Update($_messageStatus, $_statusStage = 0, $_updateContents = '', $_serverDate = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_JobQueue_Exception(SWIFT_CLASSNOTLOADED); return false; } else if (!self::IsValidStatus($_messageStatus)) { throw new SWIFT_JobQueue_Exception('3' . SWIFT_INVALIDDATA); return false; } $this->UpdatePool('lastupdate', DATENOW);  if ($this->GetProperty('messagestatus') <= $_messageStatus) { $this->UpdatePool('messagestatus', intval($_messageStatus)); $this->UpdatePool('statusstage', intval($_statusStage)); $this->ProcessUpdatePool(); }  $_SWIFT_JobQueueMessageLogID = SWIFT_JobQueueMessageLog::Create($this->GetJobQueueMessageID(), $_messageStatus, $_statusStage, $_updateContents, $_serverDate); return true; }  public function Delete() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_JobQueue_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetJobQueueMessageID())); $this->SetIsClassLoaded(false); return true; }  static public function DeleteList($_jobQueueMessageIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_jobQueueMessageIDList)) { return false; } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "jobqueuemessages WHERE jobqueuemessageid IN (" . BuildIN($_jobQueueMessageIDList) . ")"); return true; }  static public function Cleanup() { $_SWIFT = SWIFT::GetInstance(); $_dateThreshold = DATENOW - 3600; $_jobQueueMessageIDList = array(); $_SWIFT->Database->Query("SELECT jobqueuemessageid FROM " . TABLE_PREFIX . "jobqueuemessages WHERE dateline <= '" . intval($_dateThreshold) . "'"); while ($_SWIFT->Database->NextRecord()) { $_jobQueueMessageIDList[] = $_SWIFT->Database->Record['jobqueuemessageid']; } if (!count($_jobQueueMessageIDList)) { return false; } self::DeleteList($_jobQueueMessageIDList); return true; }  static public function RetrieveOnUUID($_messageUUID) { $_SWIFT = SWIFT::GetInstance(); if (empty($_messageUUID)) { throw new SWIFT_JobQueue_Exception(SWIFT_INVALIDDATA); } $_jobQueueMessageContainer = $_SWIFT->Database->QueryFetch("SELECT jobqueuemessageid FROM " . TABLE_PREFIX . "jobqueuemessages WHERE messageuuid = '" . $_SWIFT->Database->Escape($_messageUUID) . "'"); if (!$_jobQueueMessageContainer || !isset($_jobQueueMessageContainer['jobqueuemessageid'])) { throw new SWIFT_JobQueue_Exception(SWIFT_INVALIDDATA); } return new SWIFT_JobQueueMessage($_jobQueueMessageContainer['jobqueuemessageid']); }  static public function GetMessageStatusLabel($_messageStatus, $_statusStage = false) { $_SWIFT = SWIFT::GetInstance(); if (!self::IsValidStatus($_messageStatus)) { throw new SWIFT_JobQueue_Exception(SWIFT_INVALIDDATA); } $_stageSuffix = IIF(!empty($_statusStage), ' (' . intval($_statusStage) . ')', ''); switch ($_messageStatus) { case self::STATUS_DISPATCHED: return $_SWIFT->Language->Get('messagestatus_dispatched') . $_stageSuffix; break; case self::STATUS_RECEIVED: return $_SWIFT->Language->Get('messagestatus_received') . $_stageSuffix; break; case self::STATUS_INPROGRESS: return $_SWIFT->Language->Get('messagestatus_inprogress') . $_stageSuffix; break; case self::STATUS_COMPLETED: return $_SWIFT->Language->Get('messagestatus_completed') . $_stageSuffix; break; case self::STATUS_FAILED: return $_SWIFT->Language->Get('messagestatus_failed') . $_stageSuffix; break; case self::STATUS_TIMEDOUT: return $_SWIFT->Language->Get('messagestatus_timedout') . $_stageSuffix; break; case self::STATUS_SIZELIMIT: return $_SWIFT->Language->Get('messagestatus_sizelimit') . $_stageSuffix; break; default: break; } return false; } } ?>