<?php
					/**
					* ###############################################
					*
					* SWIFT Framework
					* _______________________________________________
					*
					* @package		SWIFT
					* @copyright	Copyright (c) 2001-2013, Kayako
					* @license		http://www.kayako.com/license
					* @link		http://www.kayako.com
					*
					* ###############################################
					*/

					   class SWIFT_Session extends SWIFT_Model { const TABLE_NAME = 'sessions'; const PRIMARY_KEY = 'sessionid'; const TABLE_STRUCTURE = "sessionid C(32) PRIMARY DEFAULT '' NOTNULL,
								ipaddress C(50) DEFAULT '0.0.0.0' NOTNULL,
								lastactivity I DEFAULT '0' NOTNULL,
								lastactivitycustom I DEFAULT '0' NOTNULL,
								useragent C(60) DEFAULT '' NOTNULL,
								isloggedin I2 DEFAULT '0' NOTNULL,
								sessiontype I DEFAULT '0' NOTNULL,
								typeid I DEFAULT '0' NOTNULL,
								sessionhits I DEFAULT '0' NOTNULL,
								dateline I DEFAULT '0' NOTNULL,
								status I2 DEFAULT '0' NOTNULL,
								phonestatus I2 DEFAULT '0' NOTNULL,
								captcha C(20) DEFAULT '' NOTNULL,
								gridcolor C(30) DEFAULT '' NOTNULL,
								visitorgroupid I2 DEFAULT '0' NOTNULL,
								departmentid I2 DEFAULT '0' NOTNULL,
								proactiveresult I2 DEFAULT '0' NOTNULL,
								ticketviewid I2 DEFAULT '0' NOTNULL,
								iswinapp I2 DEFAULT '0' NOTNULL,
								csrfhash C(50) DEFAULT '' NOTNULL,
								languagecode C(10) DEFAULT '' NOTNULL"; const INDEX_1 = 'sessiontype, lastactivity, status'; const INDEX_2 = 'typeid, sessiontype'; const INDEX_3 = 'sessionid, sessiontype'; protected $_dataStore = array();  const STATUS_ONLINE = 1; const STATUS_OFFLINE = 2; const STATUS_AWAY = 3; const STATUS_BACK = 4; const STATUS_BUSY = 5; const STATUS_AUTOAWAY = 6; const STATUS_INVISIBLE = 7; const PHONESTATUS_AVAILABLE = 1; const PHONESTATUS_PRIVATE = 2; const PHONESTATUS_DND = 3; const PHONESTATUS_OFFLINE = 4;  public function __construct($_sessionData) { parent::__construct(); if (!$this->LoadData($_sessionData)) { $this->SetIsClassLoaded(false); throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return true; }  public function __destruct() { $this->ProcessUpdatePool(); parent::__destruct(); return true; }  public function ProcessUpdatePool() { if (!_is_array($this->GetUpdatePool())) { return false; } else if (!$this->GetIsClassLoaded()) { return false; } $this->Database->AutoExecute(TABLE_PREFIX . 'sessions', $this->GetUpdatePool(), 'UPDATE', "sessionid = '". $this->GetSessionID() ."'"); $this->ClearUpdatePool(); return true; }  protected function LoadData($_sessionData) { if (_is_array($_sessionData) && isset($_sessionData['sessionid']) && !empty($_sessionData['sessionid'])) { $_dataStore = $_sessionData; } else if (is_string($_sessionData)) { $_dataStore = $this->Database->QueryFetch("SELECT * FROM ". TABLE_PREFIX ."sessions WHERE sessionid = '". $this->Database->Escape($_sessionData) ."'"); } if (isset($_dataStore['sessionid']) && !empty($_dataStore['sessionid'])) { $this->_dataStore = $_dataStore; SWIFT::Set('sessionid', $this->_dataStore['sessionid']); SWIFT::SetReference('session', $this->_dataStore); $this->UpdateActivityCombined(); return true; } return false; }  public function UpdateActivityCombined($_updateLastActivity = false) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_sessionID = $this->GetProperty('sessionid'); $_sessionIDList = array(); $_sessionIDList[] = $_sessionID;  if ($this->GetProperty('sessiontype') == SWIFT_Interface::INTERFACE_WINAPP && !empty($_POST["staffsessionid"])) { $_sessionIDList[] = $_POST['staffsessionid']; }  if ($this->GetProperty('sessiontype') != SWIFT_Interface::INTERFACE_VISITOR) {  $_sessionStatus = 0; $_phoneStatus = 0; if (isset($_POST['status']) && !empty($_POST['status']) && ($this->GetProperty('sessiontype') == SWIFT_Interface::INTERFACE_WINAPP)) { $_sessionStatus = intval($_POST['status']); } else if ($this->GetProperty('sessiontype') == SWIFT_Interface::INTERFACE_WINAPP) { $_sessionStatus = -1; } if (isset($_POST['voipstatus']) && !empty($_POST['voipstatus']) && ($this->GetProperty('sessiontype') == SWIFT_Interface::INTERFACE_WINAPP)) { $_phoneStatus = intval($_POST['voipstatus']); } else if ($this->GetProperty('sessiontype') == SWIFT_Interface::INTERFACE_WINAPP) { $_phoneStatus = -1; } if (strtolower($this->Router->GetController()) == 'fetchvisitors' && $_updateLastActivity == true) { $this->_dataStore['lastactivitycustom'] = time(); $this->_dataStore['lastactivity'] = time(); } self::UpdateHeartbeatAndStatus($_sessionIDList, $_sessionStatus, $_phoneStatus); } return true; }  public function GetDataStore() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore; }  public function GetProperty($_key) { if (!$this->GetIsClassLoaded() || !isset($this->_dataStore[$_key])) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } return $this->_dataStore[$_key]; }  public function GetSessionID() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } if (isset($this->_dataStore['sessionid'])) { return $this->_dataStore['sessionid']; } return false; }  static public function UpdateHeartbeatAndHitsOnTypeID($_typeIDList, $_sessionType) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_typeIDList) || !SWIFT_Interface::IsValidInterfaceType($_sessionType)) { return false; } $_sessionIDList = $_sessionHitsPointer = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "sessions WHERE typeid IN (" . BuildIN($_typeIDList) . ") and sessiontype = '" . intval($_sessionType) . "'"); while ($_SWIFT->Database->NextRecord()) { $_sessionIDList[] = $_SWIFT->Database->Record['sessionid']; $_sessionHitsPointer[$_SWIFT->Database->Record['sessionid']] = intval($_SWIFT->Database->Record['sessionhits']); } if (!count($_sessionIDList)) { return false; } foreach ($_sessionIDList as $_key => $_val) { if (!isset($_sessionHitsPointer[$_val])) { continue; } $_sessionHits = intval($_sessionHitsPointer[$_val])+1; $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'sessions', array('sessionhits' => $_sessionHits, 'lastactivity' => time()), 'UPDATE', "sessionid = '" . $_SWIFT->Database->Escape($_val) . "'"); } return true; }  static public function UpdateHeartbeatAndHitsOnSessionID($_sessionIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_sessionIDList)) { return false; } $_sessionHitsPointer = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "sessions WHERE sessionid IN (" . BuildIN($_sessionIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_sessionHitsPointer[$_SWIFT->Database->Record['sessionid']] = intval($_SWIFT->Database->Record['sessionhits']); } foreach ($_sessionIDList as $_key => $_val) { if (!isset($_sessionHitsPointer[$_val])) { continue; } $_sessionHits = intval($_sessionHitsPointer[$_val])+1; $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'sessions', array('sessionhits' => $_sessionHits, 'lastactivity' => time()), 'UPDATE', "sessionid = '" . $_SWIFT->Database->Escape($_val) . "'"); } return true; }  static public function UpdateHeartbeatOnTypeID($_typeIDList, $_sessionType) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_typeIDList) || !SWIFT_Interface::IsValidInterfaceType($_sessionType)) { return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'sessions', array('lastactivity' => time()), 'UPDATE', "typeid IN (" . BuildIN($_typeIDList) . ") AND sessiontype = '" . intval($_sessionType) . "'"); return true; }  static public function UpdateHeartbeatAndStatus($_sessionIDList, $_sessionStatus = 0, $_phoneStatus = 0) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_sessionIDList)) { return false; } $_fieldsContainer = array(); if ($_sessionStatus != -1) { $_fieldsContainer['status'] = intval($_sessionStatus); } if ($_phoneStatus != -1) { $_fieldsContainer['phonestatus'] = intval($_phoneStatus); } if (strtolower($_SWIFT->Router->GetController()) == 'fetchvisitors') { $_fieldsContainer['lastactivitycustom'] = time(); } $_fieldsContainer['lastactivity'] = time(); $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'sessions', $_fieldsContainer, 'UPDATE', "sessionid IN (" . BuildIN($_sessionIDList) . ")"); return true; }  static public function Insert($_interfaceType, $_typeID, $_customSessionID = '') { $_SWIFT = SWIFT::GetInstance(); $_sessionFields = array(); if (!SWIFT_Interface::IsValidInterfaceType($_interfaceType)) { return false; } if ($_customSessionID != "") { $_sessionID = $_customSessionID; } else { $_sessionID = BuildHash(); } $_isLoggedIn = 0;  if ($_interfaceType == SWIFT_Interface::INTERFACE_WINAPP || $_interfaceType == SWIFT_Interface::INTERFACE_ADMIN || $_interfaceType == SWIFT_Interface::INTERFACE_API || $_interfaceType == SWIFT_Interface::INTERFACE_PDA || $_interfaceType == SWIFT_Interface::INTERFACE_SYNCWORKS || $_interfaceType == SWIFT_Interface::INTERFACE_MOBILE || $_interfaceType == SWIFT_Interface::INTERFACE_INTRANET || $_interfaceType == SWIFT_Interface::INTERFACE_STAFFAPI) { if (!empty($_typeID)) { $_sessionIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "sessions
					WHERE sessiontype = '" . intval($_interfaceType) . "' AND typeid = '" . $_SWIFT->Database->Escape($_typeID) . "'"); while ($_SWIFT->Database->NextRecord()) { $_sessionIDList[] = $_SWIFT->Database->Record['sessionid']; } self::DeleteList($_sessionIDList); $_isLoggedIn = "1"; } else { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } } else if ($_interfaceType == SWIFT_Interface::INTERFACE_STAFF || $_interfaceType == SWIFT_Interface::INTERFACE_INSTAALERT) { if (!empty($_typeID)) {  $_clearTimeline = DATENOW - $_SWIFT->Settings->Get('security_sessioninactivity'); $_sessionIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "sessions
					WHERE sessiontype = '" . intval($_interfaceType) . "' AND lastactivity < '" . intval($_clearTimeline) . "'"); while ($_SWIFT->Database->NextRecord()) { $_sessionIDList[] = $_SWIFT->Database->Record['sessionid']; } self::DeleteList($_sessionIDList); $_isLoggedIn = "1"; } else { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } } else if ($_interfaceType == SWIFT_Interface::INTERFACE_VISITOR || $_interfaceType == SWIFT_Interface::INTERFACE_CLIENT || $_interfaceType == SWIFT_Interface::INTERFACE_WALLBOARD || $_interfaceType == SWIFT_Interface::INTERFACE_RSS || $_interfaceType == SWIFT_Interface::INTERFACE_CHAT) {  } else { return false; }  $_sessionFields['status'] = '0'; $_sessionFields['phonestatus'] = '0'; $_sessionFields['iswinapp'] = '0'; if ($_interfaceType == SWIFT_Interface::INTERFACE_WINAPP || $_interfaceType == SWIFT_Interface::INTERFACE_INSTAALERT || $_interfaceType == SWIFT_Interface::INTERFACE_MOBILE || $_interfaceType == SWIFT_Interface::INTERFACE_SYNCWORKS || $_interfaceType == SWIFT_Interface::INTERFACE_STAFFAPI) { $_sessionFields['status'] = self::STATUS_ONLINE; $_sessionFields['phonestatus'] = self::PHONESTATUS_AVAILABLE; $_sessionFields['iswinapp'] = '1'; } else if ($_SWIFT->Interface->GetInterface() == SWIFT_Interface::INTERFACE_WINAPP) { $_sessionFields['iswinapp'] = '1'; } $_sessionFields['sessionid'] = $_sessionID; $_sessionFields['ipaddress'] = ReturnNone(SWIFT::Get('IP')); $_sessionFields['lastactivity'] = DATENOW; $_sessionFields['dateline'] = DATENOW; $_sessionFields['useragent'] = ReturnNone(self::GetUserAgent()); $_sessionFields['isloggedin'] = intval($_isLoggedIn); $_sessionFields['sessiontype'] = intval($_interfaceType); $_sessionFields['typeid'] = $_SWIFT->Database->Escape($_typeID); $_sessionFields['csrfhash'] = BuildHash();  if (isset($_POST['languagecode'])) { $_languageCode = Clean($_POST['languagecode']); if (!empty($_languageCode) && is_dir('./'. SWIFT_BASEDIRECTORY .'/'. SWIFT_LOCALEDIRECTORY . $_languageCode)) { $_sessionFields['languagecode'] = $_languageCode; } } $_SWIFT->Database->Replace(TABLE_PREFIX . 'sessions', $_sessionFields, array('sessionid')); echo $_SWIFT->Database->FetchLastError(); $_SWIFT->Cookie->Set('sessionid' . $_interfaceType, $_sessionID); return $_sessionID; }  static public function InsertAndStart($_typeID) { $_SWIFT = SWIFT::GetInstance(); $_interfaceType = $_SWIFT->Interface->GetInterface(); if (empty($_interfaceType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_sessionID = self::Insert($_interfaceType, $_typeID); if (!$_sessionID) { throw new SWIFT_Exception(SWIFT_CREATEFAILED); return false; } return self::Start($_SWIFT->Interface, $_sessionID); }  static public function Start(SWIFT_Interface $_SWIFT_InterfaceObject, $_customSessionID = false) { $_SWIFT = SWIFT::GetInstance(); if (!$_SWIFT_InterfaceObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_interfaceType = $_SWIFT_InterfaceObject->GetInterface(); if (empty($_interfaceType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_cookieSessionID = Clean($_SWIFT->Cookie->Get('sessionid' . $_interfaceType)); if (empty($_customSessionID)) {  if (!empty($_POST['sessionid'])) { $_sessionID = Clean($_POST['sessionid']); } else if (!empty($_GET['sessionid'])) { $_sessionID = Clean($_GET['sessionid']); } else if (!empty($_cookieSessionID)) { $_sessionID = $_cookieSessionID; } else {   return false; } } else { $_sessionID = $_customSessionID; }  if (!empty($_REQUEST['sessionid']) && empty($_cookieSessionID)) { $_SWIFT->Cookie->Set('sessionid' . $_interfaceType, $_sessionID); }  $_SWIFT_SessionObject = self::CheckAndGet($_sessionID, $_SWIFT_InterfaceObject); if (!$_SWIFT_SessionObject instanceof SWIFT_Session || !$_SWIFT_SessionObject->GetIsClassLoaded()) { $_SWIFT->Cookie->Delete('sessionid' . $_interfaceType); SWIFT::Set('errorstring', $_SWIFT->Language->Get('invalid_sessionid'));  return false; }  if ($_interfaceType == SWIFT_Interface::INTERFACE_CLIENT || $_interfaceType == SWIFT_Interface::INTERFACE_VISITOR || $_interfaceType == SWIFT_Interface::INTERFACE_WALLBOARD) {  $_templateGroupCache = $_SWIFT->Cache->Get('templategroupcache'); if ($_SWIFT_SessionObject->GetProperty('typeid') && isset($_templateGroupCache['regusergroupid'])) {   } else if (isset($_templateGroupCache['guestusergroupid'])) {   }  $_sessionUserID = intval($_SWIFT_SessionObject->GetProperty('typeid')); if (!empty($_sessionUserID)) { try { $_SWIFT_SessionObject->Load->Model('User:User', new SWIFT_DataID($_SWIFT_SessionObject->GetProperty('typeid'))); } catch (SWIFT_Staff_Exception $_SWIFT_ExceptionObject) { $_SWIFT_SessionObject->Update(0); } if (!$_SWIFT_SessionObject->User instanceof SWIFT_User || !$_SWIFT_SessionObject->User->GetIsClassLoaded()) {  $_SWIFT_SessionObject->Update(0); $_SWIFT_SessionObject->End();  return false; } $_SWIFT_SessionObject->User->LoadIntoSWIFTNamespace(); if ((DATENOW - $_SWIFT_SessionObject->User->GetProperty('lastactivity')) > 180) { $_SWIFT_SessionObject->User->UpdateLastActivity(); }  if ((DATENOW - $_SWIFT_SessionObject->User->GetProperty('lastvisit2')) > 1800) { $_SWIFT_SessionObject->User->UpdateLastVisit(); } } } $_SWIFT->Template->Assign('_session', $_SWIFT_SessionObject->GetDataStore());  if ($_interfaceType != SWIFT_Interface::INTERFACE_ADMIN && $_interfaceType != SWIFT_Interface::INTERFACE_STAFF && $_interfaceType != SWIFT_Interface::INTERFACE_INTRANET && $_interfaceType != SWIFT_Interface::INTERFACE_WINAPP && $_interfaceType != SWIFT_Interface::INTERFACE_API && $_interfaceType != SWIFT_Interface::INTERFACE_PDA && $_interfaceType != SWIFT_Interface::INTERFACE_SYNCWORKS && $_interfaceType != SWIFT_Interface::INTERFACE_INSTAALERT && $_interfaceType != SWIFT_Interface::INTERFACE_MOBILE && $_interfaceType != SWIFT_Interface::INTERFACE_STAFFAPI) { $_SWIFT->Session = $_SWIFT_SessionObject; return $_sessionID; }  try { $_SWIFT_SessionObject->Load->Model('Staff:Staff', new SWIFT_DataID($_SWIFT_SessionObject->GetProperty('typeid'))); } catch (SWIFT_Staff_Exception $_SWIFT_ExceptionObject) { $_SWIFT_SessionObject = false; $_sessionID = false; } if (!$_SWIFT_SessionObject->Staff instanceof SWIFT_Staff || !$_SWIFT_SessionObject->Staff->GetIsClassLoaded()) {  $_SWIFT_SessionObject->End();  return false; }  if (($_interfaceType == SWIFT_Interface::INTERFACE_ADMIN) && $_SWIFT_SessionObject->Staff->IsAdmin() != "1") {  $_SWIFT_SessionObject->End(); SWIFT::Set('errorstring', $_SWIFT->Language->Get('staff_not_admin'));  return false; } $_SWIFT_SessionObject->Staff->LoadIntoSWIFTNamespace(); if ($_SWIFT->Settings->Get('security_sessioninactivity') != '0' && ((DATENOW - $_SWIFT_SessionObject->GetProperty('lastactivity')) > $_SWIFT->Settings->Get('security_sessioninactivity')) && $_SWIFT_SessionObject->GetProperty('lastactivity') != 0) {  $_SWIFT_SessionObject->End(); SWIFT::Set('errorstring', $_SWIFT->Language->Get('invalid_sessionid'));  return false; } if ((DATENOW - $_SWIFT_SessionObject->Staff->GetProperty('lastactivity')) > 180) { $_SWIFT_SessionObject->Staff->UpdateLastActivity(); }  if ((DATENOW - $_SWIFT_SessionObject->Staff->GetProperty('lastvisit2')) > 1800) { $_SWIFT_SessionObject->Staff->UpdateLastVisit(); } $_SWIFT->Session = $_SWIFT_SessionObject; return $_sessionID; }  static private function CheckAndGet($_sessionID, SWIFT_Interface $_SWIFT_InterfaceObject) { $_SWIFT = SWIFT::GetInstance(); if (!$_SWIFT_InterfaceObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_interfaceType = $_SWIFT_InterfaceObject->GetInterface(); if (empty($_interfaceType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_sessionContainer = $_SWIFT->Database->QueryFetch("SELECT * FROM ". TABLE_PREFIX ."sessions WHERE sessionid = '". $_SWIFT->Database->Escape($_sessionID) ."'"); $_dontProceed = $_userAgentFailed = false;  if (trim($_sessionContainer["useragent"]) != trim(self::GetUserAgent())) { $_dontProceed = false; } else { $_userAgentFailed = true; $_dontProceed = false; } if ($_sessionContainer["sessiontype"] == $_interfaceType && !$_dontProceed) {  if ($_sessionContainer["ipaddress"] != SWIFT::Get('IP') && defined('SESSION_IPCHECK') && SESSION_IPCHECK != true) { return false;  } else if (($_interfaceType == SWIFT_Interface::INTERFACE_STAFF || $_interfaceType == SWIFT_Interface::INTERFACE_INTRANET || $_interfaceType == SWIFT_Interface::INTERFACE_WINAPP || $_interfaceType == SWIFT_Interface::INTERFACE_ADMIN || $_interfaceType == SWIFT_Interface::INTERFACE_PDA || $_interfaceType == SWIFT_Interface::INTERFACE_MOBILE || $_interfaceType == SWIFT_Interface::INTERFACE_SYNCWORKS || $_interfaceType == SWIFT_Interface::INTERFACE_INSTAALERT || $_interfaceType == SWIFT_Interface::INTERFACE_API || $_interfaceType == SWIFT_Interface::INTERFACE_STAFFAPI) && empty($_sessionContainer["typeid"])) { return false; }  $_SWIFT_SessionObject = new SWIFT_Session($_sessionContainer); if (!$_SWIFT_SessionObject instanceof SWIFT_Session || !$_SWIFT_SessionObject->GetIsClassLoaded()) { return false; } return $_SWIFT_SessionObject; } else { if ($_userAgentFailed) {  }  return false; } return false; }  public function End() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } self::DeleteList(array($this->GetSessionID()));  $this->Cookie->Delete('sessionid' . $this->GetProperty('sessiontype')); SWIFT::Set('sessionid'); SWIFT::Set('session'); $this->SetIsClassLoaded(false); return true; }  static public function EndCustomSession($_customSessionID) { $_SWIFT = SWIFT::GetInstance(); if (empty($_customSessionID)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } self::DeleteList(array($_customSessionID)); return true; }  static public function Logout(SWIFT_Interface $_SWIFT_InterfaceObject, $_ignoreActiveSession = false) { $_SWIFT = SWIFT::GetInstance(); if (!$_SWIFT_InterfaceObject->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_interfaceType = $_SWIFT_InterfaceObject->GetInterface(); if (empty($_interfaceType)) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } $_cookieSessionID = Clean($_SWIFT->Cookie->Get('sessionid' . $_interfaceType));  $_sessionID = false; if (!empty($_POST["sessionid"])) { $_sessionID = Clean($_POST["sessionid"]); } else if (!empty($_GET["sessionid"])) { $_sessionID = Clean($_GET["sessionid"]); } else if (!empty($_cookieSessionID)) { $_sessionID = $_cookieSessionID; }  if (!$_ignoreActiveSession && isset($_SWIFT->Session) && $_SWIFT->Session instanceof SWIFT_Session && $_SWIFT->Session->GetIsClassLoaded()) { $_SWIFT->Session->End();  return false; } if (!empty($_sessionID)) {  $_SWIFT_SessionObject = false; try { $_SWIFT_SessionObject = new SWIFT_Session($_sessionID); } catch (SWIFT_Exception $_SWIFT_ExceptionObject) { return true; } if ($_SWIFT_SessionObject instanceof SWIFT_Session && $_SWIFT_SessionObject->GetIsClassLoaded()) { $_SWIFT_SessionObject->End(); } return true; } return false; }  public function Update($_typeID) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->UpdatePool('typeid', $_typeID); $this->ProcessUpdatePool(); return true; }  public function UpdateStatus($_sessionStatus) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->UpdatePool('status', $_sessionStatus); $this->ProcessUpdatePool(); return true; }  public function UpdatePhoneStatus($_phoneStatus) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->UpdatePool('phonestatus', $_phoneStatus); $this->ProcessUpdatePool(); return true; }  public function UpdateLastActivity() { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->UpdatePool('lastactivity', time()); $this->ProcessUpdatePool(); return true; }  static public function CheckCSRFHash($_csrfHash) { $_SWIFT = SWIFT::GetInstance(); if (!$_SWIFT->Session instanceof SWIFT_Session || !$_SWIFT->Session->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_INVALIDDATA); return false; } if (trim($_csrfHash) == '' || $_SWIFT->Session->GetProperty('csrfhash') != $_csrfHash) { return false; } return true; }  static public function FlushInactive() { $_SWIFT = SWIFT::GetInstance();  $_clearTimeline = time() - $_SWIFT->Settings->Get('security_sessioninactivity'); $_sessionIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "sessions WHERE lastactivity < '". intval($_clearTimeline) ."'"); while ($_SWIFT->Database->NextRecord()) { $_sessionIDList[] = $_SWIFT->Database->Record['sessionid']; } self::DeleteList($_sessionIDList); return true; }  static public function GetUserAgent() { $_userAgent = ''; if (isset($_SERVER['HTTP_USER_AGENT'])) { $_userAgent = $_SERVER['HTTP_USER_AGENT']; } return trim(mb_substr($_userAgent, 0, 60)); }  public function SetCaptcha($_captchaWord) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->UpdatePool('captcha', $_captchaWord); $this->_dataStore['captcha'] = $_captchaWord; $this->ProcessUpdatePool(); return true; }  static public function DeleteList($_sessionIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_sessionIDList)) { return false; }  $_sessionContainer = $_updateLoginLogList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "sessions WHERE sessionid IN (" . BuildIN($_sessionIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_sessionContainer[$_SWIFT->Database->Record['sessionid']] = $_SWIFT->Database->Record;  if ($_SWIFT->Database->Record['sessiontype'] == SWIFT_Interface::INTERFACE_STAFF || $_SWIFT->Database->Record['sessiontype'] == SWIFT_Interface::INTERFACE_INTRANET || $_SWIFT->Database->Record['sessiontype'] == SWIFT_Interface::INTERFACE_WINAPP || $_SWIFT->Database->Record['sessiontype'] == SWIFT_Interface::INTERFACE_ADMIN || $_SWIFT->Database->Record['sessiontype'] == SWIFT_Interface::INTERFACE_PDA || $_SWIFT->Database->Record['sessiontype'] == SWIFT_Interface::INTERFACE_INSTAALERT || $_SWIFT->Database->Record['sessiontype'] == SWIFT_Interface::INTERFACE_SYNCWORKS || $_SWIFT->Database->Record['sessiontype'] == SWIFT_Interface::INTERFACE_MOBILE || $_SWIFT->Database->Record['sessiontype'] == SWIFT_Interface::INTERFACE_STAFFAPI) { $_updateLoginLogList[] = $_SWIFT->Database->Record['sessionid']; } } foreach ($_updateLoginLogList as $_key => $_val) { $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'staffloginlog', array('logoutdateline' => DATENOW), 'UPDATE', "sessionid = '" . $_SWIFT->Database->Escape($_val) . "'"); } $_SWIFT->Database->Query("DELETE FROM " . TABLE_PREFIX . "sessions WHERE sessionid IN (" . BuildIN($_sessionIDList) . ")"); return true; }  public static function KillSessionList($_sessionIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_sessionIDList)) { return false; } self::DeleteList($_sessionIDList); return true; }  static public function KillSessionListOnType($_sessionTypeList, $_typeIDList) { $_SWIFT = SWIFT::GetInstance(); if (!_is_array($_sessionTypeList) || !_is_array($_typeIDList)) { return false; } $_sessionIDList = array(); $_SWIFT->Database->Query("SELECT * FROM " . TABLE_PREFIX . "sessions WHERE sessiontype IN (" . BuildIN($_sessionTypeList) . ") AND typeid IN (" . BuildIN($_typeIDList) . ")"); while ($_SWIFT->Database->NextRecord()) { $_sessionIDList[] = $_SWIFT->Database->Record['sessionid']; } self::DeleteList($_sessionIDList); return true; }  public function IsLoggedIn() { $_SWIFT = SWIFT::GetInstance(); if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $_interfaceType = $this->GetProperty('sessiontype'); $_typeID = intval($this->GetProperty('typeid'));  if ($_interfaceType == SWIFT_Interface::INTERFACE_CLIENT || $_interfaceType == SWIFT_Interface::INTERFACE_VISITOR || $_interfaceType == SWIFT_Interface::INTERFACE_WALLBOARD) {  if (!empty($_typeID)) { return true;  } else { return false; } }  if ($_interfaceType == SWIFT_Interface::INTERFACE_ADMIN || $_interfaceType == SWIFT_Interface::INTERFACE_STAFF || $_interfaceType == SWIFT_Interface::INTERFACE_INTRANET || $_interfaceType == SWIFT_Interface::INTERFACE_WINAPP || $_interfaceType == SWIFT_Interface::INTERFACE_API || $_interfaceType == SWIFT_Interface::INTERFACE_PDA || $_interfaceType == SWIFT_Interface::INTERFACE_SYNCWORKS || $_interfaceType == SWIFT_Interface::INTERFACE_INSTAALERT || $_interfaceType == SWIFT_Interface::INTERFACE_MOBILE || $_interfaceType == SWIFT_Interface::INTERFACE_STAFFAPI) { if (!empty($_typeID) && $_SWIFT->Staff instanceof SWIFT_Staff && $_SWIFT->Staff->GetIsClassLoaded()) { return true; } else { return false; } } return false; }  public function UpdateTicketView($_ticketViewID) { if (!$this->GetIsClassLoaded()) { throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED); return false; } $this->UpdatePool('ticketviewid', intval($_ticketViewID)); $this->ProcessUpdatePool(); return true; }  static public function ResetHitsOnSessionID($_sessionID) { $_SWIFT = SWIFT::GetInstance(); if (empty($_sessionID)) { return false; } $_SWIFT->Database->AutoExecute(TABLE_PREFIX . 'sessions', array('sessionhits' => '0'), 'UPDATE', "sessionid = '" . $_SWIFT->Database->Escape($_sessionID) . "'"); return true; } } ?>